About navigation bars

To learn more about navigation bars, click the graphic.

To display this topic, click the graphic.


Set a navigation structure for a web

You can create a navigation structure for the current web by organizing pages in Navigation view. When you add navigation bars to pages in your web, FrontPage sets up each navigation bar according to this structure. The navigation structure determines which hyperlinks to put on the navigation bar, and the page titles determine the labels for the hyperlinks:

The navigation structure determines which hyperlinks to put on the navigation bar

Navigation view displays your current web structure, which at a minimum includes your home page. In Navigation view, do one or more of the following:

  • To add an existing page to the current navigation structure, click the page in the Folder List, and drag it to the position in the structure where you want it.
  • To move a page in the navigation structure, click the page, and then drag it to another location, such as under or next to another page.
  • To give a page a meaningful title, right-click the page, click Rename on the shortcut menu, and then edit the name.
  • To add a new page under an existing page, right-click the existing page, and then click New Page on the shortcut menu. For example, you can add a page under your home page.
  • To add an external page (a page that is not in your web), right-click the page under which you want to add the external hyperlink, and then specify the destination in the URL box.
  • To delete a page from the navigation structure, click the page, and then press DELETE. Click Remove this page from all navigation bars.

Tip To open a page to edit it, double-click the page.

For more information how the navigation structure determines navigation bars, see About navigation bars.


Add a navigation bar to a page

A navigation bar is a set of text or button hyperlinks that a site visitor uses to get to the pages in your Web site. A typical navigation bar might have buttons to the site's home page and to each of the main top-level pages. When you add a navigation bar to a page, FrontPage generates the navigation hyperlinks based on the the navigation structure you have set up in Navigation view.

You have the following options when adding a FrontPage navigation bar:

  • Choose a vertical or horizontal layout for the navigation bar — for example, use a horizontal navigation bar across the top of a page, and use a vertical navigation bar down the side of the page.
  • Choose the type of hyperlinks to display — buttons (choose this option only when you're using a theme) or text.
  • Choose which hyperlinks to display on the navigation bar:
    • Hyperlinks to pages on the same level as the current page
    • Hyperlinks to pages above the current page (parent level)
    • Hyperlinks to pages under the current page (child level)
    • Hyperlinks to the child pages of the home page
    • Hyperlinks to pages at the top level of your web
    • Back and Next hyperlinks for browsing a sequence of same-level pages
    • A hyperlink to the web's home page or a page's parent page

      • For more information about these options, see About navigation bars, and then click Navigation hyperlinks.

You can add navigation bars to any page; however, to quickly set up a navigation system for your web, consider using shared borders with navigation bars (see About navigation bars, and then click Navigation bars in a shared border).

  1. In Page view, position the insertion point where you want to place the navigation bar. For example, click inside a shared border region to place a navigation bar inside a shared border.
  2. On the Insert menu, click Navigation Bar.
  3. Under Hyperlinks to add to page, select the type of hyperlinks you want on the navigation bar.
  4. Under Orientation and appearance, specify whether you want the navigation bar to be horizontal or vertical, and whether to display text or buttons. You should only select Buttons if you are using a theme.

The navigation bar is added to your page. If a theme has been applied to your web, button navigation bars will use fonts, colors, and other style elements from the theme.

Note Navigation bars might not be available if the server extensions on your Web server are FrontPage 97 or earlier.


Change which pages are displayed on a navigation bar

You can change the hyperlinks that are displayed on a navigation bar. For example, if you have a navigation bar that displays buttons for Back, Next, and Home, you can change the navigation bar to display buttons for the top-level pages instead.

You can display the following hyperlinks on a navigation bar:

  • Hyperlinks to pages on the same level as the current page
  • Hyperlinks to pages under the current page (child level)
  • Hyperlinks to pages above the current page (parent level)
  • Hyperlinks to the child pages of the home page
  • Hyperlinks to pages at the top level of your web
  • Back and Next hyperlinks for browsing a sequence of same-level pages
  • A hyperlink to the web's home page or to the page's parent page
  1. In Page view, double-click the navigation bar.
  2. Under Hyperlinks to add to page, specify the hyperlinks you want to display.

Note If you change a navigation bar in a shared border, the change will affect all pages using that shared border.


Exclude a page from navigation bars

When you add navigation bars to pages, FrontPage includes relevant pages based on the navigation structure that you set up in Navigation view. However, you can exclude a page from navigation bars. For example, you add a navigation bar that has hyperlinks to all the top-level pages in your web. If you don't want site visitors to see one of these pages, exclude it from all navigation bars.

  1. In Navigation view, right-click the page you want to exclude.
  2. Click Included in Navigation Bars on the shortcut menu to clear the check mark.

Note All pages under the excluded page (that is, all child-level pages) will also be excluded by default. If you want to change this setting, right-click a child-level page, and then click Included in Navigation Bars on the shortcut menu to add the check mark.


Add an external hyperlink to a navigation bar

On a navigation bar, you can add a hyperlink to a page that is not in your web (an external hyperlink). For example, your navigation bar could include a hyperlink that goes to a search page such as Yahoo! or to another Web site's home page.

  1. In Navigation view, right-click the page under which you want to add the external hyperlink, and then click External Hyperlink on the shortcut menu.
  2. In the URL box, type the URL to the destination page. Or, do one of the following:
    • To add a hyperlink to a page in another web, navigate to the web in which the destination page is located, and then select it.
    • To add a hyperlink to a page on the World Wide Web, click World Wide Web World Wide Web button. In your Web browser, browse to the page that you want, and then press ALT+TAB to switch back to Microsoft FrontPage. The location of the page you visited will be displayed in the URL box.
    • To add a hyperlink to a page on a file system, click File File button. Browse to the page you want from your local network, and then select the page.

The hyperlink is added to your navigation structure and is displayed with External hyperlink icon. You can change the position of the external hyperlink in the navigation structure by clicking and dragging the hyperlink to a different location.


Change the page labels on a navigation bar

When you add a navigation bar to a page, FrontPage uses the page labels displayed in Navigation view as the labels for the navigation bar. You can change the text that is displayed on a navigation bar by changing the page labels in Navigation view. For example, you change a page's title, and you want the navigation bar to match — you can change the page label on the navigation bar by updating the page label in Navigation view.

  • In Navigation view, right-click the page for which you want to change the label, click Rename on the shortcut menu, and then edit the name.

Note If you change a navigation bar in a shared border, the change will affect all pages using that shared border.


Change the orientation of a navigation bar

You can change whether a navigation bar is displayed horizontally (a row of hyperlinks) or vertically (a column of hyperlinks). For example, a navigation bar in a shared top border is displayed with buttons across the page. You can move the navigation bar to a shared left border, and change the orientation so that the buttons are displayed vertically.

  1. In Page view, double-click the navigation bar.
  2. Under Orientation and appearance, specify the orientation you want for the navigation bar.

Note If you change a navigation bar in a shared border, the change will affect all pages using that shared border.


Display text hyperlinks or buttons on a navigation bar

You can change the type of hyperlinks that a navigation bar displays — buttons or text hyperlinks. However, you can only display buttons when a theme is used.

  1. In Page view, double-click the navigation bar.
  2. Under Orientation and appearance, specify whether buttons or text should be displayed.

Note If you change a navigation bar in a shared border, the change will affect all pages using that shared border.


Change the text format of a navigation bar

You can change the text format of a navigation bar that uses text hyperlinks. For example, you can change the color and size of the font. However, if you are using buttons, change the text format on the navigation bar by changing the theme.

  • In Page view, click the navigation bar, and format it as you would other text.

Note If you change a navigation bar in a shared border, the change will affect all pages using that shared border.


Modify the title of a file

The title of a file — not its file name — appears in page banners and navigation bars that Microsoft FrontPage creates, as well as in the title bar of most Web browsers. You can modify the title of a file without modifying its file name.

  1. In any view except Tasks view, right-click the file, click Properties on the shortcut menu, and then click the General tab.
  2. In the Title box, type the title of the file that you want to appear in page banners and navigation bars.


Print the navigation structure of a web

You can print the navigation structure of the current web as it is displayed in Navigation view.

  1. In Navigation view, click Print on the File menu.
  2. Specify printing options, such as the printer name and number of copies you want.

Tip To see how the navigation structure will appear when printed, click Print Preview on the File menu.


Delete a navigation bar from a page

You can delete a navigation bar from a page or from a shared border on a page.

  • In Page view, click the navigation bar, and then press DELETE.

Note If you delete a navigation bar from a shared border, the navigation bar will be deleted from all pages using that shared border.


Create a site map using categories

Many Web sites use site maps to make it easier for site visitors to find the pages they need. For a personal web or other small web, a site map can be as simple as a list of hyperlinks to all the web's pages. You can create this kind of site map by using the Table of Contents component.

For a corporate presence web or other large web, a site map typically contains lists of hyperlinks to categories, or other logical groups, organized under logical headings. For example, if you sell appliances, your site map might have columns of hyperlinks for Small Appliances, Large Appliances, and Customer Service. You can create this kind of site map by using categories. Before using this procedure, you should determine the names of the categories you want to use to organize your web.

Create the categories you want on your site map.

You can skip this step if the categories you want to use on your site map have already been added to the list of available categories.

  1. In any view except Tasks view, right-click any file, click Properties on the shortcut menu, click the Workgroup tab, and then click Categories.
  2. In the New Category box, type the name of a category you want to appear on your site map, and then click Add. Repeat this step for each category you want to appear on the site map.

Categorize the files you want to display in the category lists on your site map.

  1. In any view except Tasks view, right-click the files you want to categorize, click Properties on the shortcut menu, and then click the Workgroup tab.
  2. In the Available categories list, select the check boxes of the categories you want to group the selected files in. You can select multiple categories, so a single file can appear in multiple categories on your site map.

Verify the list of files in each category on your site map.

  1. On the View menu, point to Reports, and then click Categories.

    2. Note If your web contains files located in hidden folders, those files will not be included in this report. To include files in hidden folders in your reports, click Web Settings on the Tools menu, click the Advanced tab, and then select the Show documents in hidden directories check box.

  2. The Categories report lists all of the files in your web. The Category column shows the categories (if any) into which each file has been grouped.

    Tip To list only the files in a single category, on the Reporting toolbar, click the category in the Report Setting list. To display the Reporting toolbar, point to Toolbars on the View menu, and then click Reporting.

Add the lists of categories to your site map.

  1. Create or open a page for the site map:
    • To create a new page for the site map, click New Page New Page button.
    • To open an existing page to which to add the site map, click Open Open button, and then browse to the page you want to open.
  2. In Page view of your site map, position the insertion point where you want to add the first category list.
  3. Type the name of the category (for example, "Customer Service") as a heading for the list of files in that category.

    4. Tip To apply a style to the category heading, in the Style box, click the heading or other paragraph style to apply to the name of the category.

  4. On the Insert menu, point to Components, and then click Categories.
  5. In the Choose categories to list pages by list, select the check box of the appropriate category.
  6. In the Sort pages by box, click Document title to sort the list alphabetically by title, or Date last modified to sort the list by file dates.

Repeat these steps for each category list that you want to include on your site map. You can easily arrange the category lists on your site map page by placing them in tables.

Note Your site map will be updated automatically whenever you add files to, or remove files from, a category.


Add a list of files from a category to a page

You can use categories to organize files into logical groups. For example, you might classify all of the shopping-related files in your web (for example, catalog and product pages in your root web, pictures in the Images folder, and a price database in another folder) in categories called Catalog and Products. You might further categorize your product pages into Small Appliances, Large Appliances, and Outdoor Appliances.

If you've categorized files in your web, you can add dynamic category lists to your web pages. For example, on a shopping page you might insert three lists of products in your Small Appliances, Large Appliances, and Outdoor Appliances categories; site visitors can click a product in any list to display that product's page from your online catalog. As you add or drop products from your product line and add or remove those product pages from your web, or as you recategorize files, the category lists on the shopping page are automatically updated.

  1. In Page view, open the page to which you want to add a list of files in a category. On the Insert menu, point to Components, and then click Categories.
  2. Under Choose categories to list pages by, select the check boxes of the categories you want to include in the list.
  3. In the Sort pages by box, click Date last modified to sort the list by file dates, or Document title to sort the list alphabetically by title or file name.
  4. Select any additional information to include in the list, in addition to the document titles:
    • To include the dates that files were last modified, select the Date the page was last modified check box.
    • To include any comments that have been added to the files, select the Comments added to the page check box.

Tips

  • If you select multiple categories, the files in the list won't be grouped by category; instead, they'll be sorted together by either the date last modified or the document title. To create individual lists of files in different categories, select only one category in step 2, and then repeat this procedure to create a separate list for each category you want to include on the page.
  • You can easily create columns of category lists on a page using tables. Create a two-row table with as many columns as you have categories. Type the name of each category in each cell of the header row, and then use this procedure to add a category list to each of the cells in the second row of the table.


Create a table of contents for a web

You can create an automatically generated table of contents based on the navigation structure of your web, and pages with hyperlinks that are not included in the navigation structure. A site visitor browsing your web can click any entry in the table to jump to that page or file.

  1. In Page view, position the insertion point where you want to create a table of contents.

    2. Tip You can create the table of contents on a page that contains other content, or on a page by itself. If you want to create a table of contents for a large web, you should probably create a special table of contents page containing only the table.

  2. On the Insert menu, point to Component, and then click Table of Contents.
  3. In the Page URL for starting point of table box, type the relative URL of the page to use as the starting point for the table of contents, or click Browse to locate the page.

    4. Tip The starting point determines which pages are leftmost in the table of contents. Pages pointed to by hyperlinks on the starting page will be indented one level in the table of contents.

  4. In the Heading font size box, select the paragraph style for the heading (the top-level entry, or starting page) of the table of contents. To exclude the starting page from the table of contents, click None.

    5. Tip If you're creating a table of contents on the same page as the starting point for the table, the heading of the table will be a hyperlink to the same page. For example, if you're creating a table of contents on the page Index.htm, and the starting point of that table is Index.htm (the same page), the heading of the table will be a hyperlink to Index.htm. If you want to exclude such a circular hyperlink as the heading of a table of contents, click None in the Heading font size box.

Notes

  • If your web includes pages pointed to by multiple hyperlinks and you want the table of contents to list each page only once, select the Show each page only once check box.
  • To include pages not pointed to by any hyperlinks in your web, select the Show pages with no incoming hyperlinks check box.
  • To automatically recalculate the table of contents whenever any page in your web is edited, select the Recompute table of contents when any other page is edited check box. Recalculating a table of contents for a large web can be a time-consuming process. If you select this check box, you may find that it takes longer to save pages. If you don't select this check box, you can manually regenerate the table of contents by opening and saving the page containing the table of contents.
  • To create a table of contents organized by categories instead of by navigation structure, follow the procedures to categorize a file and add a list of files from a category to a page.


Set properties for a table of contents

You can create an automatically generated table of contents based on the navigation structure of your web. A site visitor browsing your web can click any entry in the table to jump to that page or file. Use this procedure to format the table of contents — for example, to change the heading font size, or to automatically recalculate the table of contents whenever any page in your web is edited. In Page view, right-click the table of contents you want to modify, and then click Table of Contents Properties on the shortcut menu:

  • In the Page URL for starting point of table box, type the relative URL of the page to use as the starting point for the table of contents, or click Browse to locate the page.

    • Tip The starting point determines which pages are leftmost in the table of contents. Pages pointed to by hyperlinks on the starting page will be indented one level in the table of contents.

  • In the Heading font size box, select the paragraph style for the heading (the top-level entry, or starting page) of the table of contents. To exclude the starting page from the table of contents, click None.

    • Tip If you're creating a table of contents on the same page as the starting point for the table, the heading of the table will be a hyperlink to the same page. For example, if you're creating a table of contents on the page Index.htm, and the starting point of that table is Index.htm (the same page), the heading of the table will be a hyperlink to Index.htm. If you want to exclude such a circular hyperlink as the heading of a table of contents, in the Heading font size box, click None.

  • Select the Show each page only once check box if your web includes pages pointed to by multiple hyperlinks and you want the table of contents to list each page only once.
  • To include pages not pointed to by any hyperlinks in your web, select the Show pages with no incoming hyperlinks check box.

Tip To automatically recalculate the table of contents whenever any page in your web is edited, select the Recompute table of contents when any other page is edited check box. Recalculating a table of contents for a large web can be a time-consuming process. If you select this check box, you may find that it takes longer to save pages. If you don't select this check box, you can manually regenerate the table of contents by opening and saving the page containing the table of contents.


Regenerate a table of contents when any page is edited

You can create an automatically generated table of contents based on the navigation structure of your web. A site visitor browsing your web can click any entry in the table to jump to that page or file. Use this procedure to automatically recalculate the table of contents whenever any page in your web is edited.

  1. In Page view, right-click the table of contents you want to modify, and then click Table of Contents Properties on the shortcut menu.
  2. Select the Recompute table of contents when any other page is edited check box.

Note Recalculating a table of contents for a large web can be a time-consuming process. If you select this check box, you may find that it takes longer to save pages. If you don't select this check box, you can manually regenerate the table of contents by opening and saving the page containing the table of contents.


Save changes in Navigation view

When you make changes to your web's navigation structure in Navigation view — for example, adding or deleting a page from the structure, or creating a new page — those changes are saved automatically when you switch to another view, such as Page view. However, you can save changes at any time to prevent losing work.

  • To save changes without switching views, right-click on the view background, and then click Apply Changes on the shortcut menu.


About hyperlinks

To learn more about hyperlinks, click the graphic.

To display this topic, click the graphic.


Create a hyperlink to a page or file in a web

You can create a hyperlink to a destination such as a page or file in a web. When a site visitor clicks the hyperlink, the destination is displayed in the Web browser. For example, you can create hyperlinks from your home page to the other pages in the web. Or, create a hyperlink to a GIF picture.

  1. In Page view, type the text you want to use as a hyperlink and then select it. For example, type and select "My Interests" to link to a page that describes your hobbies.

    2. Or, if you want to use the title of the destination page (for example, Home Page) or location of the file (for example, http://localhost/filename) as the hyperlink text, position the insertion point where you want to insert the hyperlink.

  2. Click Hyperlink Hyperlink button.
  3. Navigate to the web in which the destination page or file is located, and then select the page or file.

Tip If the destination page or file is in the current web, click the page or file in the Folder List, and then drag it to the open page where you want the hyperlink.


Create a hyperlink to a page or file on the World Wide Web

You can create a hyperlink to a page or file on the World Wide Web. When a site visitor clicks the hyperlink, the destination page or file is displayed. For example, you can create a hyperlink to a page or picture on another Web site.

  1. In Page view, type the text you want to use as a hyperlink and then select it. For example, type and select "Microsoft's Home Page."

    2. Or, if you want to use the title of the destination page (such as "Welcome to Microsoft's Homepage") or the location of the file (such as http://www.microsoft.com/filename) as as the hyperlink text, position the insertion point where you want to insert the hyperlink.

  2. Click Hyperlink Hyperlink button.
  3. Click World Wide Web World Wide Web button.
  4. In your Web browser, browse to the page that you want, and then press ALT+TAB to switch back to Microsoft FrontPage. The location of the page you visited will be displayed in the URL box.


Create a hyperlink to a page or file on a file system

You can create a hyperlink to a page or file in a file system. When a site visitor clicks the hyperlink, the destination page or file is displayed. For example, you can create a hyperlink to a file on a network.

Note The hyperlink's destination should be in a location that is accessible to all site visitors, such as a network drive. If you want to create a hyperlink to a page or file located on your local drive, specify a UNC path (such as \\computername\share\file.htm) rather than a local path (such as C:\Share\File.htm). Otherwise, when a site visitor clicks the hyperlink, the Web browser will look for this file on the site visitor's C:\ drive and will most likely return an error.

  1. In Page view, type the text you want to use as a hyperlink and then select it, for example type and select "My Interests."

    2. Or, if you want to use the location of the destination (such as file://computername/share/filename) as the hyperlink text, position the insertion point where you want to insert the hyperlink.

  2. Click Hyperlink Hyperlink button.
  3. Click File File button.
  4. Browse to the page or file you want from your local network, and then select the file.


Create a hyperlink to a new page

You can create a hyperlink to a page in a web or file system. If you have not created this page yet, you can create it as you create a hyperlink to it. When a site visitor clicks the hyperlink, the destination page is displayed. For example, you can create hyperlinks from your home page to other pages in the web.

  1. In Page view, type the text you want to use as a hyperlink and then select it. For example, type and select "My Interests" to link to a page that will describe your hobbies.
  2. Click Hyperlink Hyperlink button.
  3. Click New Page New Page button.
  4. Click the template you want to use to create the new page.
  5. Do one of the following:
    • To edit the new page now, click OK.

      • FrontPage creates the hyperlink and displays the new page for you to edit. The new hyperlink you created will not work until you save the new page.

    • To create a task to remind you to finish the page later, click Just add web task, and then click OK.

      • You are prompted to save the new page, and the default page title and file name are displayed.

      • If you want to change the page title, click Change, type the new page title, and then click OK.
      • If you want to change the file name, type over the default file name in the File name box.
      • Click Save. You can complete the task of editing this page at any time in Tasks view.


Create a hyperlink to an Office document

You can create a hyperlink to a Microsoft Office document, such as a document created in Word, Excel, or PowerPoint. When the site visitor clicks the hyperlink, the Web browser opens the corresponding application or viewer, and then displays the document. Some Web browsers display the document inside the browser window; other browsers open a separate window.

Note Before you create a hyperlink to a PowerPoint animation, you must add the Microsoft PowerPoint Animation ActiveX control, which is installed with PowerPoint (see Add an ActiveX control).

  1. In Page view, type the text you want to use as a hyperlink and then select it. For example, type and select "Budget Spreadsheet."
  2. Click Hyperlink Hyperlink button.
  3. Do one of the following:
    • If the Office document is in the current web, locate the document and select it.
    • If the Office document is on the local file system, click File File button, browse to the document, and then select it.

    Tip If the Office document is in the current web, click it in the Folder List, and then drag it to the open page where you want the hyperlink.


Create a bookmark

A bookmark is a location or selected text on a page that you have marked.

You can use bookmarks as a destination for a hyperlink. For example, if you want to display a certain section of a page to the site visitor, add a hyperlink with the bookmark as its destination. When the site visitor clicks the hyperlink, the relevant part of the page is displayed, rather than the top of the page.

You can also use one or more bookmarks to find locations on a page. For example, add a bookmark to each main heading on a page. When you are editing the page, you can quickly find each section by going to the corresponding bookmark.

If a location (rather than text) is bookmarked, the bookmark is indicated by Bookmark icon. If text is bookmarked, the text is displayed with a dashed underline.

  1. In Page view, position the insertion point where you want to create a bookmark, or select the text to which you want to assign the bookmark.
  2. On the Insert menu, click Bookmark.
  3. In the Bookmark name box, type the name of the bookmark (spaces are allowed.)


Create a hyperlink to a bookmark

A bookmark is a location or selected text on a page that you have marked. You can create a hyperlink to a bookmark when you want to display a certain section of a page to the site visitor. When the site visitor clicks the hyperlink, the relevant part of the page is displayed, rather than the top of the page.

For example, you can use bookmarks to navigate a long page that contains five headings. Create a bookmark at each heading, and at the top of the page add a table of contents that lists these headings. Each entry in the table of contents is a hyperlink that uses a bookmarked heading as a destination.

A hyperlink to a bookmark, also called an anchor, is indicated by a pound sign (#), which precedes the destination URL.

  1. In Page view, type the text you want to use as a hyperlink, and then select it.

    2. Or, if you want to use the name of a bookmark as the hyperlink text, position the insertion point where you want to insert the hyperlink.

  2. Click Hyperlink Hyperlink button.
  3. Select the page that contains the bookmark.
  4. In the Bookmark box, click the bookmark you want to use as the destination.


Create a hyperlink to send an e-mail message

You can create a hyperlink that opens and addresses an e-mail message to the address you specify. For example, if you want site visitors to send you feedback, you can create a hyperlink that creates an e-mail message addressed to your e-mail alias.

Note Not all Web browsers support hyperlinks to e-mail addresses.

  1. In Page view, type the text you want to use as a hyperlink and then select it, for example type and select "Send me an e-mail message."

    2. Or, if you want to use mailto:address as the hyperlink text, position the insertion point where you want to insert the hyperlink.

  2. Click the Hyperlink button Hyperlink button.
  3. Click the E-Mail button E-Mail button.
  4. Type the e-mail address to which you want the message sent.


Follow a hyperlink

While editing a page, you can follow a hyperlink to open the destination page or file. For example, after you create a hyperlink, follow it to verify it goes to the destination you intended.

Microsoft FrontPage follows the hyperlink differently, depending on the destination:

  • If the destination is a page, FrontPage opens the page for editing in Page view.
  • If the destination is a bookmark, FrontPage opens the page and scrolls down to the bookmark.
  • If the destination is a file, FrontPage opens the file in its associated editor. For example, FrontPage opens a text file in Notepad.
  • If the destination is not in the current web, FrontPage opens a copy of the destination page or file.

In Page view, right-click the hyperlink, and then click Follow Hyperlink on the shortcut menu.

Tips

  • Press and hold CTRL, and then click the hyperlink to follow it.
  • If you followed a hyperlink to another page, click Back Back button to return to the original page.


Go to a bookmark on a page

You can go to a bookmark that you have added to a page. For example, you bookmark each section heading on a long page, and then when you want to work on a particular section, go to the corresponding bookmark.

  1. In Page view, click Bookmark on the Insert menu.
  2. In the Other bookmarks on this page box, click the bookmark you want to find.
  3. Click Goto.


Edit a hyperlink

You can edit a hyperlink. For example, you can change the text from Click to see a picture to See my favorite picture. Or, you can change the hyperlink's destination (the page or file that is displayed when the hyperlink is selected).

  • In Page view, do one of the following:
    • To change the hyperlink text, select the text and then edit it.
    • To change a hyperlink's destination, select the hyperlink, click Hyperlink Hyperlink button, and then specify a different URL for the destination.


Set hyperlink colors

You can choose the colors that a Web browser will use for displaying hyperlinks. You can select three colors to use for a hyperlink, depending on its status:

  • Hyperlink — a hyperlink that has not been selected.
  • Active hyperlink — a hyperlink that is currently selected.
  • Visited hyperlink — a hyperlink that has already been followed.

Web browsers determine whether a hyperlink has been visited already according to a specified time period. For example, in Microsoft Internet Explorer, this time period is the Web browser history; you specify how long to keep a history of the pages you have visited, such as 20 days. If you have visited the page within 20 days, the hyperlink status will be visited hyperlink. If you have not visited the page in 20 days, or if you clear the history, the hyperlink status will be hyperlink.

Note If the page uses a theme, set the hyperlink colors by changing the colors used in a theme.

  1. In Page view, right-click the page, click Page Properties on the shortcut menu, and then click the Background tab.
  2. In the Hyperlink, Visited hyperlink, and Active hyperlink boxes, select the colors you want to use.


Add font effects to a hyperlink

You can add effects to hyperlinks so that when a site visitor positions the mouse pointer over the hyperlink, it changes font. For example, you can set the hyperlink to change to a larger, bold, red font. Move your mouse pointer over this link to see how its appearance changes. These effects are set for the entire page, rather than for individual hyperlinks.

  1. In Page view, right-click the page, click Page Properties on the shortcut menu, and then click the Background tab.
  2. Under Formatting, select the Enable hyperlink rollover effects check box.
  3. Click Rollover Style.
  4. Set the font properties for hyperlinks on the current page.

Notes

  • You cannot add effects to a hyperlink if the page uses a theme.
  • Some Web browsers do not support this feature.


Delete a hyperlink

You can delete a hyperlink from a page.

  1. In Page view, select the hyperlink.
  2. Do one of the following:
    • To delete the hyperlink completely, including the hyperlink text, press DELETE.
    • To preserve the hyperlink text but delete the hyperlink associated with it, select the hyperlink, and then click Hyperlink Hyperlink button. Select the contents of the URL box, and then press DELETE.


Delete a bookmark

You can delete a bookmark.

  1. In Page view, click Bookmark on the Insert menu.
  2. In the Other bookmarks on this page box, click the bookmark you want to delete.
  3. Click Goto.
  4. Click Clear.


Add a hotspot to a graphic

You can add hotspots to graphics such as pictures and animated GIFs. A hotspot is an invisible region on a graphic to which you have assigned a hyperlink. When a site visitor clicks the region, the destination of the hyperlink is displayed in the Web browser. In Microsoft FrontPage, hotspots can be shaped as rectangles, circles, or polygons.

A graphic with one or more hotspots is called an image map. The image map usually gives cues about where it should be clicked. For example, a car manufacturer's Web site could use an image map of its new cars: when a site visitor clicks a car, a page with a detailed description of the car is displayed.

Image map example

  1. In Page view, click the picture.
  2. On the Pictures toolbar, click the Hotspot button corresponding to the shape you want:
    • Rectangular Hotspot Rectangular Hotspot button
    • Circular Hotspot Circular Hotspot button
    • Polygon Hotspot Polygon Hotspot button
  3. On the graphic, draw a rectangle, circle, or polygon, depending on the shape you chose. To draw a polygon, click where you want the first corner of the polygon to be, click to place each corner of the polygon, and then double-click to finish it.

    4. When you release the mouse button, the Create Hyperlink dialog box opens.

  4. Specify the destination for the hotspot:
    • If the destination is in a web, browse to the web and folder that contains the page, select it, and then click OK.
    • If the destination is on your local network, click File File button, browse to the page you want from your local network, and then click OK.
    • If the destination is on the World Wide Web, click World Wide Web World Wide Web button. In your Web browser, browse to the page that you want, and then press ALT+TAB to switch back to Microsoft FrontPage. The location of the page you visited will be displayed in the URL box. Click OK.
    • If you want to create an e-mail message when a site visitor clicks the graphic, click E-Mail E-Mail button. Type the e-mail address to which you want the message sent, and then click OK.


Add a text hotspot to a graphic

You can add text hotspots to graphics such as pictures, animated GIFs, and videos. A text hotspot is a string of text that you have placed on a graphic and assigned a hyperlink. When a site visitor clicks the text, the destination of the hyperlink is displayed in the Web browser.

  1. In Page view, click the picture.
  2. On the Pictures toolbar, click Text Text button.
  3. In the text box that is now displayed on the graphic, type the text.

    4. You can:

    • Resize the text box by clicking and dragging the handles.
    • Move the text box by clicking and dragging a border.
  4. To set the hyperlink for the text, double-click an edge of the text box.
  5. Specify the destination for the hotspot:
    • If the destination is in a web, browse to the web and folder that contains the page, select it, and then click OK.
    • If the destination is on your local network, click File File button, browse to the page you want from your local network, and then click OK.
    • If the destination is on the World Wide Web, click World Wide Web World Wide Web button. In your Web browser, browse to the page that you want, and then press ALT+TAB to switch back to Microsoft FrontPage. The location of the page you visited will be displayed in the URL box. Click OK.
    • If you want to create an e-mail message when a site visitor clicks the graphic, click E-Mail E-Mail button. Type the e-mail address to which you want the message sent, and then click OK.


Highlight the hotspots on a graphic

You can highlight hotspots on a graphic, for example if it's hard for you to see the hotspot outlines that are superimposed on the graphic.

  1. In Page view, click the graphic.
  2. On the Pictures toolbar, click Highlight Hotspots Highlight Hotspots button. Click this button again to display the graphic without highlighting.


Edit, move, resize, or delete a hotspot on a graphic

You can edit the URL of a hotspot, or move, resize, or delete it.

  1. In Page view, click the graphic to view the hotspots.
  2. Click a hotspot.
    • To edit the URL for a hotspot, double-click it.
    • To move the hotspot, click the hotspot and drag it to a new position.
    • To resize the hotspot, click and drag the selection handles. Or, press the arrow keys.
    • To delete a hotspot, press DELETE.

Tip When moving a hotspot, you can return a hotspot to its original position while you are still clicking the hotspot by pressing ESC.


Organize your intranet using subwebs

To learn more about organizing your intranet, click the graphic.

To display this topic, click the graphic.


Create a web

  1. On the File menu, point to New, and then click Web.
  2. In the Web Sites list, select the template or wizard you want to use to create the new web.
  3. In the Specify the location of the new web box, type or select a name for the new web.
  4. If you want to use Secure Sockets Layer (SSL) to secure transactions for your new web, select the Secure connection required (SSL) check box.

Notes

  • You can also create a new web by importing an existing web from your local computer, network, or the World Wide Web, or by converting a folder to a web.
  • The procedure for creating a subweb is the same for creating a web.


Import a web

You can import a source directory of files from your local computer or network. You can also import a web from a Web server on your computer, on a network server, or from the World Wide Web.

  1. On the File menu, click Import.
    • If you don't have any webs open in FrontPage, the New Web dialog box is displayed, with Import Web Wizard selected in the Web Sites list. In the Specify the location of the new web box, type the name for the new web that will be created from the imported source directory or web, and then click OK.
    • If you're editing a web in FrontPage, the Import dialog box is displayed. Click the From Web button.

    The first screen of the Import Web Wizard is displayed.

  2. Choose the web you want to import:
    • To import a source directory of files from your local computer or network, click From a source directory of files on a local computer or network, and then in the Location box, type the path to the directory. Or, click Browse to locate the directory, and then click OK.

      • Tip If you want to import the entire directory, including any subfolders or subwebs, select the Include subfolders check box.

    • To import a web from a Web server, click From a World Wide Web site, and then in the Location box, type the complete URL of the starting page you want to import. The starting page can be any page in the web, not just the home page.

      • Tip If you want to import a web that uses Secure Sockets Layer (SSL) for secure transactions, select the Secure connection required (SSL) check box.

  3. Click Next.

    4. The second screen of the Import Web Wizard is displayed. The screen differs depending on the option you selected in step 2 of this procedure.

  4. Determine the files to be imported:
    • If you chose to import from a source directory of files on a local computer or network, the Files list shows the files that will be imported:
      • To import all of the files listed, click Next.
      • To exclude specific files from being imported, select them, click Exclude, and then click Next.
      • To refresh the file list with the latest information, click Refresh.
    • If you chose to import a web from a Web server, you can optionally specify limitations on the files to be imported:
      • To import pages that are a specific level of hyperlinks below the starting page, select the Limit to this page plus check box, and then in the Levels below box, type the number of levels you want to import.

        • For example, if you specify a level of 0, FrontPage imports only the starting page you chose in step 2 of this procedure and any images, controls, applets, or other files on that page. If you specify a level of 1, FrontPage imports the starting page and its contents, plus all files pointed to by hyperlinks on the starting page (and any images, controls, applets, and so on contained in those files).

      • To import no more than a specific amount of file space (for example, 500 kilobytes) on your hard drive, select the Limit to check box, and then in the KB box, type the amount.
      • To import only text and image files, excluding any controls, applets, or other related files contained on the page, select the Limit to text and image files check box.

    The last screen of the Import Web Wizard is displayed.

  5. Click Finish.

Notes

  • If you import a disk-based web into an existing disk-based web, FrontPage only adds the files and folders to the current disk-based web. It does not create a new disk-based subweb.
  • If you import a Microsoft Access database (.mdb extension), you will be prompted to create a database connection.


Convert a disk-based web to a server-based web

If you configured your computer as a server after you installed Microsoft FrontPage, you can use the following procedure to convert your disk-based webs to server-based webs.

  • Open your disk-based web in FrontPage, and then publish the web using HTTP, specifying the URL of your server as the location you want to publish to.


Convert a folder to a web

New to Microsoft FrontPage 2000, you can easily convert any folder in a web into a subweb. Because each subweb can have its own set of permissions for who can author, browse, or administer it, you can set up individual subwebs with different levels of permissions and different groups of users.

For example, you might set up different subwebs for Marketing and Human Resources; within the Human Resources subweb, you might have different subwebs with different permissions for job postings, employee records, and even the employee handbook. Only recruiters could update the job postings subweb, but everyone in the company could browse it. Only Human Resources managers could browse and author the employee records subweb, while everyone in the company could browse (but not author) the employee benefits web.

Warning Do not convert the root folder (for example, C: or D:) of your computer's hard drive to a web. Doing so may render your hard drive unusable.

  • In the Folder List, right-click the folder you want to convert to a web, and then click Convert to Web on the shortcut menu.

Notes

  • Pages that include other files may not be updated when the included files change.
  • Hyperlinks on navigation bars may be linked to pages outside the new web.
  • The larger the contents of the folder, the longer it will take to convert the folder to a web. For a large folder, this process could take several minutes.


Create a folder

Create a folder in your web to organize your pages and files. For example, you might create a folder named Multimedia to store sound effects, videos, and so on. If you want to create a folder within an existing folder, select the existing folder before using this procedure.

  1. Right-click in the Folder List, and then click New Folder on the shortcut menu.
  2. Type the name of the new folder, and then press ENTER.

Tip If you want to hide files from site visitors, you can create a hidden folder for the files.


Rename a web

When you rename a web, Microsoft FrontPage automatically updates all internal hyperlinks and other web settings with the new web name.

  1. On the Tools menu, click Web Settings, and then click the General tab.
  2. In the Web name box, type a new name for the web.

Notes

  • Renaming a disk-based web changes the path to the web on your local computer or local network. Renaming a server-based web changes the web's URL on the server.
  • If you rename a web after publishing it, you'll need to republish the entire web under the new name. Hyperlinks from other Web sites to your old web will no longer work, so be sure to advise your site visitors of the new path or URL. You can also redirect the old URL to the new URL by creating a virtual directory on the server; consult your server documentation for details.


Copy a web

The Publish command lets you copy a web or a subweb to either a file system location or a server. When you copy a web by publishing it, Microsoft FrontPage maintains all of the hyperlinks, as well as the original web's theme information, shared borders, and so on. If you publish a web to another web, FrontPage creates the original web as a subweb of the web to which it was published.

What do you want to do?

Publish a web to a file system location

Publish a web using HTTP


Open a web

  • On the File menu, click Open Web, and then do one of the following:
    • To open a disk-based web on your local computer, in the Folder Name box, type the path to the folder containing the web, and then click Open.

      • For example, to open a web named Northwind located on your C: drive in the My Webs folder, you would type C:\My Webs\Northwind.

      Or, use the Look In box to navigate to the My Webs folder (or any other folder containing webs). In the list of webs, select the web you want, and then click Open.

    • To open a disk-based web on a network computer, use the Look in box to navigate to the network drive and folder containing the web you want to open. In the list of webs, select the web you want, and then click Open.

      • Tip To map a network drive without leaving the Open Web dialog box, click Tools, and then click Map Network Drive.

    • To open a web on a server, in the Folder Name box, type the URL to that web, and then click Open.

      • For example, to open a web named Northwind on a server named My Server, you would type http://My Server/Northwind.

    • To open a subweb displayed in the Folder List of another web, double-click the subweb.

Notes

  • To open a web that you've opened recently, in the Open Web dialog box, click the drop-down arrow at the right of the Folder Name box, click the web you want, and then click Open. Or, if you aren't in the Open Web dialog box, point to Recent Webs on the File menu, and then click the web you want.
  • To open the last web you worked on automatically each time you start FrontPage, click Options on the Tools menu, and then select the Open last web automatically when FrontPage starts check box.
  • In the Open Web dialog box, click an icon on the left (such as History, Favorites, or Web Folders) to open a web in one of those locations.
  • If you already have a web open, each subsequent web opens in a new FrontPage window.


Convert a web to a folder

You can convert any web or subweb into a folder. Because each subweb may have its own set of permissions for who can author, browse, or administer it, you can convert a subweb to a folder when you want to make the subweb available to anyone with permissions on the parent web.

Warning When you convert a web or subweb to a folder, many of the web settings — for example, hyperlinks on navigation bars, and tasks — may be lost.

  • In the Folder List, right-click the web you want to convert to a folder, and then click Convert to Folder on the shortcut menu.

Notes

  • Pages with themes may change to match the theme of the parent web.
  • Only users with permission to access the parent web will have access to the contents of the new folder.
  • Hyperlinks on navigation bars may be lost.
  • Any tasks for the web will be lost.
  • The larger the contents of the web, the longer it will take to convert the web to a folder. For a large web, this process could take several minutes.


Save a page to the current web

You can save a page to the current web. If you have added graphics, ActiveX controls, sound files, or other objects to the page, you will be prompted to save them to the same location as the page.

Even today, Internet standards only permit the use of plain ASCII characters in URLs. To ensure that all site visitors can follow URLs regardless of their computer language or operating system, you should also use plain ASCII characters in the URLs for your webs. On intranets, using non-ASCII characters in a file name will work as long as the server and all clients share the same system code page.

  • Do one of the following:
    • If the page has not been saved before, click Save Save button. Navigate to the location in the web where you want to save the page, and then type the file name of the page in the File name box. Click Save.
    • If the page was opened from the current web, click Save Save button.
    • If the page was opened from a location outside the current web, click Save As on the File menu. Navigate to the location in the web where you want to save the page, and then type the file name of the page in the File name box. Click Save.


Save a page to a different web

You can save a page to a different web.

Even today, Internet standards only permit the use of plain ASCII characters in URLs. To ensure that all site visitors can follow URLs regardless of their computer language or operating system, you should also use plain ASCII characters in the URLs for your webs. On intranets, using non-ASCII characters in a file name will work as long as the server and all clients share the same system code page.

  1. In Page view, click Save As on the File menu.
  2. Navigate to the web in which you want to save the page.
  3. In the File name box, type the name of the file.
  4. If you want to change the page title, click Change, type the new title, and then click OK.
  5. Click Save.


Save a page to a file system

You can save a page as an .htm file in a file system, such as on a local drive or network. If the page contains graphics, ActiveX controls, sound files, or other objects, you will be prompted to save them to the same location as the page.

Even today, Internet standards only permit the use of plain ASCII characters in URLs. To ensure that all site visitors can follow URLs regardless of their computer language or operating system, you should also use plain ASCII characters in the URLs for your webs. On intranets, using non-ASCII characters in a file name will work as long as the server and all clients share the same system code page.

  1. In Page view, click Save As on the File menu.
  2. Navigate to the location in the file system where you want to save the page.
  3. In the File name box, type the name of the file.
  4. Click Save.


Import a file or folder

When you import a file or a folder from your local file system, your corporate intranet, or the World Wide Web, Microsoft FrontPage places a copy of the file or folder in your web. You can import any type of file that your operating system supports. You can also create a list of files or folders to import at another time, and change the URLs of files before you import them.

Note To import a file or folder into a specific subfolder in your web, select that folder in the Folder List before using this procedure.

  1. On the File menu, click Import.
  2. Select the files or folders you want to import:
  3. To import files, click Add File, and then in the Add File to Import List dialog box, point to the folder where the files you want to import are stored. Select the files, and then click Open.

    4. Note To change the URL of any file before importing it (either to rename it or to change the file's folder in your web), click Modify. In the File location within your web box, type a URL relative to the root of the current web. For example, if you type the URL folder2/sample.htm, the page will be saved in Folder2 below the root folder of the current web. After changing the URL, click OK.

  4. To import a folder, click Add Folder, and then in the Browse for Folder dialog box, locate and select the folder, and then click OK.
  5. To import a file or folder from a Web site, click From Web, and then respond to the Import Web wizard.
  6. To add files from other folders, more folders, or files from other Web sites to the Import list, repeat this procedure beginning at step 3.
  7. To save the import list, and import the files and folders at a later time, click Close. To start importing the files to the selected folder (if any) in the current web, click OK.

Notes

  • While files are being imported, you can stop the process by clicking Stop.
  • If you import a Microsoft Access database (.mdb extension), you will be prompted to create a database connection.
  • To quickly import a file or a selection of files to the current web, drag them into the Folder List from Windows Explorer.


Export a file or folder

The easiest way to export a file or folder is to right-click it in the Folder List, click Copy, and then paste the file or folder into Windows Explorer or another application.

  • To export a file or folder under a different name, click Save As on the File menu, and then type the new name in the File name box.
  • To export a file or folder under a different path, to a different web, or to a network location, click Save As on the File menu, and then in the Save in box, navigate to the appropriate path, server, or network location.
  • To export a file as a different type (for example, to export an HTML page (.htm extension) as a template in FrontPage (.tem extension) or Active Server page (.asp extension)), click Save As on the File menu, and then in the Save as type list, click that file type.
  • To export files or a web to another server or network location, select the pages or open the web that you want to export, and then click Publish on the File menu. Respond to the Publish Web wizard to export the selected files or web by publishing them.

Note If you export files or a web by publishing them, Microsoft FrontPage automatically repairs any hyperlinks between files in the same web or subweb.


Move a file or folder

The easiest way to move a file or folder is to right-click it in the Folder List, click Cut, right-click the destination in the Folder List or in Windows Explorer, and then click Paste. If you paste the file or folder into another web or subweb, Microsoft FrontPage automatically repairs hyperlinks between the pages within the folder.


Rename a file or folder

When you rename a file or folder in a web using this procedure, Microsoft FrontPage automatically repairs any hyperlinks to or from the renamed file (or files in the renamed folder).

  1. In the Folder List, right-click the file or folder you want to rename, and then click Rename on the shortcut menu.
  2. Type a new name for the file or folder.

Notes

  • When renaming a file, be careful not to change or omit the file extension unintentionally (for example, from Index.htm to Index.asp). Changing or omitting the extension of a file might render the file unusable.
  • If you rename a file or folder using Windows Explorer, hyperlinks to and from that file (or files in that folder) will not be repaired automatically. You should always use the procedure above when renaming files or folders in a web.


Import graphics to a web

Import pictures and videos to a web so that you can quickly access the files you need. For instance, you can add pictures to your web, one by one, by adding each picture to a page and then saving the page. However, if you know that you will be using a certain group of pictures, you can import them all at once into a folder you specify in your web. Then, when you want to add a picture to a page, you can access it quickly without having to look for it in the file system.

  1. In Windows Explorer, select the graphics you want to import.

    2. Tip You can select a list of files by clicking the first file, and then while pressing SHIFT, click the last file in the list. Or, to select individual files, press and hold CTRL, then click the files.

  2. Right-click the selected files, and then click Copy on the shortcut menu.
  3. Switch to Microsoft FrontPage.
  4. In Folders view, open the folder into which you want to import the graphics.
  5. Right-click in the Contents pane, and then click Paste on the shortcut menu.

Tip You can also import graphics by clicking and dragging the files (for example, from your desktop) into the Folder List or Contents pane in FrontPage.


Delete pages from the current web

You can delete unwanted pages from the current web.

  • In Folders view, select the pages, and then press DELETE.

Tip You can also select and delete files from the Folder List in most views.


Create a new page in the Folder List

Creating a new page in the Folder List is an easy way to add new pages to your web.

  1. In the Folder List, right-click the folder in which you want to create the new page, and then click New Page on the shortcut menu.
  2. Type the name of the new page, and then press ENTER.

Notes

  • If you right-click the background of the Folder List without selecting a folder, the new page will be created in your root web.
  • If your web specifies that all pages use themes, shared borders, or navigation bars, the new page will inherit those settings from the web when you edit the page in Page view.


Delete a web

Warning Use caution when deleting a web! Once you've deleted a web, it is permanently destroyed and cannot be undeleted. If you created the web by converting a folder on your computer (or on another computer) into a web, that folder and all of its contents will be permanently deleted from that computer unless you specify otherwise. To retain the contents of a web or subweb as a folder on the computer, convert the web back into a folder before following this procedure.

  • To delete a web or subweb that you're currently editing in Microsoft FrontPage, right-click the web or subweb in the Folder List, and then click Delete on the shortcut menu.

Note You cannot delete a subweb unless you have administrative permissions on the parent web.


Find text in a web

You can search for text in one or more pages in the current web. You can either search the entire web, or select the pages you want to search.

  1. Switch to Folders view.
  2. If you do not want to search each page in the web, select the pages you want to search.
  3. On the Edit menu, click Find.
  4. Do one of the following:
    • To search for text in all pages in the current web, click All pages.
    • To search for text in pages you have selected, click Selected pages.
  5. In the Find what box, type the text you want to search for.
  6. To find text only if it matches a whole word, select the Match whole word only check box.
  7. To find text only if it matches the capitalization of the text you typed, select the Match case check box.
  8. To find text in the HTML code, select the Find in HTML check box. For example, you can search for text that is not visible or editable on the page, such as the page title you set in page properties.
  9. Click Find.
  10. When FrontPage lists the pages on which the text was found, do one of the following:
    • To add a task for a page, click the page in the list, and then click Add Task. You can complete the task at any time in Tasks view.
    • To open a page in Page view, double-click the page in the list. The first instance of the text is highlighted. Click Find Next to find the next occurrence. Click Back To Web to return to the list of pages.


Find and replace text in a web

You can search for and replace text in one or more pages in the current web. You can either search the entire web, or select the pages to search.

  1. Switch to Folders view.
  2. If you do not want to search each page in the web, select the pages you want to search.
  3. On the Edit menu, click Replace.
  4. Do one of the following:
    • To search for text in all pages in the current web, click All pages.
    • To search for text in pages you have selected, click Selected pages.
  5. In the Find what box, type the text you want to search for.
  6. In the Replace with box, type the replacement text.
  7. To find text only if it matches a whole word, select the Match whole word only check box.
  8. To find text only if it matches the capitalization of the text you typed, select the Match case check box.
  9. To find text in the HTML code, select the Find in HTML check box. For example, you can search for text that is not visible or editable on the page, such as the page title you set in page properties.
  10. Click Find.
  11. When FrontPage lists the pages on which the text was found, do one of the following:
    • To add a task for a page, click the page in the list, and then click Add Task. You can complete the task at any time in Tasks view.
    • To open a page in Page view, double-click the page in the list. The first instance of the text is highlighted. You can click Replace to replace this occurrence, click Find Next to find the next occurrence, or click Replace All to replace all occurrences on the current page.

      • When you have reviewed all occurrences of the text on the page, you are prompted to save and close the page, and continue to the next page on which the text was found.


About pages

To learn more about pages, click the graphic.

To display this topic, click the graphic.


About themes

To learn more about themes, click the graphic.

To display this topic, click the graphic.


Apply a theme to the current page

A theme is a collection of unified design elements and color schemes. You can apply a theme to the current page so that your page has an attractive appearance. The theme's styles, colors, and graphics will replace those that are currently being used.

After applying a theme to the current page rather than to the web, the page will no longer use the web's default theme setting. Therefore, any theme changes you apply to the web (the All pages option) will not affect this page, but rather only those pages that are using the default setting. To set a page to use the web's default theme setting, apply the Default theme to the page.

  1. In Page view, open the page to which you want to apply a theme.
  2. On the Format menu, click Theme.

    3. Under Apply Theme to, Selected pages is selected.

  3. In the list, click the theme you want to apply (to apply the web's default theme setting, click Default). A preview of the theme is displayed under Sample of Theme.

    4. You can also select any of the following check boxes to set the appearance of the theme:

    • To use a bright color scheme, select the Vivid colors check box. Clear this check box to use the normal color set.
    • To use a lively set of banners, buttons, bullets, and other graphical elements, select the Active graphics check box. For example, select this check box if you want to use hover buttons instead of plain buttons. Clear this check box to use the normal graphic set.
    • To use a background picture, select the Background picture check box.
    • To use an external style sheet with the theme (rather than reformatting the page's HTML code to apply the theme), select the Apply using CSS check box. You should also select this check box if you are using a theme for which you have modified the styles. However, this feature is not supported in older Web browsers or on FrontPage 98 Web servers.

      • Note When this check box is selected, horizontal lines will not be displayed.


Apply a theme to selected pages

A theme is a collection of unified design elements and color schemes. You can apply a theme to selected pages in your web so that your pages have a consistent and attractive appearance. The theme's styles, colors, and graphics will replace those that are currently being used.

After you apply a theme to selected pages rather than to the web, these pages will no longer use the web's default theme setting. Therefore, any theme changes you apply to the web (the All pages option) will not affect these selected pages, but rather only those pages that use the default setting. To set a page to use the web's default theme setting, apply the Default theme to the selected page.

  1. In Folder view, select the pages to which you want to apply a theme.
  2. On the Format menu, click Theme.
  3. Click Selected pages.
  4. In the list, click the theme you want to apply (to apply the web's default theme setting, click Default). A preview of the theme is displayed under Sample of Theme.

    5. You can also select any of the following check boxes to set the appearance of the theme:

    • To use a bright color scheme, select the Vivid colors check box. Clear this check box to use the normal color set.
    • To use a lively set of banners, buttons, bullets, and other graphical elements, select the Active graphics check box. For example, select this check box if you want to use hover buttons instead of plain buttons. Clear this check box to use the normal graphic set.
    • To use a background picture, select the Background picture check box.
    • To use an external style sheet with the theme (rather than reformatting the page's HTML code to apply the theme), select the Apply using CSS check box. You should also select this check box if you are using a theme for which you have modified the styles. However, this feature is not supported in older Web browsers or on FrontPage 98 Web servers.

      • Note When this check box is selected, horizontal lines will not be displayed.


Apply a theme to a web

A theme is a collection of unified design elements and color schemes. You can apply a theme to a web so that your pages have a consistent and attractive appearance. The theme's styles, colors, and graphics will replace those that are currently being used.

When you choose a theme for a web, the theme becomes the default setting for all pages in the web, and the theme will be applied automatically to new pages.

  1. On the Format menu, click Theme.
  2. Click All pages.
  3. In the list, click the theme you want to apply. A preview of the theme is displayed under Sample of Theme.

    4. You can also select any of the following check boxes to set the appearance of the theme:

    • To use a bright color scheme, select the Vivid colors check box. Clear this check box to use the normal color set.
    • To use a lively set of banners, buttons, bullets, and other graphical elements, select the Active graphics check box. For example, select this check box if you want to use hover buttons instead of plain buttons. Clear this check box to use the normal graphic set.
    • To use a background picture, select the Background picture check box.
    • To use an external style sheet with the theme (rather than reformatting the page's HTML code to apply the theme), select the Apply using CSS check box. You should also select this check box if you are using a theme for which you have modified the styles. However, this feature is not supported in older Web browsers or on FrontPage 98 Web servers.

      • Note When this check box is selected, horizontal lines will not be displayed.

Note If you have applied theme settings to individual pages, these pages no longer use the web's default theme setting. Therefore, any theme changes you apply to the web will not affect all pages in the web, just those pages that are using this default setting. To set a page to use the default theme setting, apply the Default theme to the selected page.


Change the colors used in a theme

You can change the colors that are used in a particular theme. For example, active hyperlinks in the Artsy theme are green — you can change this color to red. You can also change the colors of other page and text elements, such as the color of body and heading text, banner text, navigation bar labels, table borders, and the background. In addition, each theme has two color sets — normal and vivid — and you can specify the colors to use for both sets.

When you modify a preset theme, you must save your changes to a new theme: you cannot overwrite a preset theme. For example, if you modify the Artsy theme, save your changes to a new theme called My Theme.

  1. On the Format menu, click Theme.
  2. In the list, click the theme you want to modify.
  3. Click Modify, click Colors, and then click the Custom tab.
  4. Under Theme color set, specify whether you want to change colors in the normal or vivid color set.
  5. In the Item box, click the item for which you want to change the color, and then in the Color box, specify the color you want to use.

    6. Repeat steps 4 and 5 for each item for which you want to change the color.

    Tip You can also modify colors by changing the overall color scheme, rather than by choosing colors for individual elements. Choose a preset color scheme on the Color Schemes tab, or create a new color scheme on the Color Wheel tab.

  6. Click OK.
  7. Click Save As.
  8. Type a new name for the theme (unless you have modified a custom theme), and then click OK.
  9. Apply the new theme to the web or to selected pages.


Change the graphics used in a theme

You can replace the graphics that are used in a particular theme with graphics of your own. For example, you can replace the background picture used in the Blends theme with a graphic you have created. You can also change other graphical elements, such as the page banner, bullets, navigation buttons, and horizontal line. You can also specify the font to use for those graphical elements that are displayed with text.

In addition, each theme has two sets of graphics — normal and active — and you can specify the graphics to use for either set. Then, when you apply the theme, be sure to select the graphic set that you customized.

When you modify a preset theme, you must save your changes to a new theme; you cannot overwrite a preset theme. For example, if you modify the Blends theme, save your changes to a new theme called My Theme.

  1. On the Format menu, click Theme.
  2. In the list, click the theme you want to modify.
  3. Click Modify, and then click Graphics.
  4. Under Theme graphic set, specify whether you want to change graphics in the normal or active set (if Background Picture is selected on the Picture tab, you cannot specify the graphic set to change).
  5. On the Picture tab in the Item box, click the graphical element you want to change.
  6. Specify the picture or pictures you want to use — depending on the element you selected, one or more options are displayed. For example, for Bullet List, you can specify three different bullets. To find the graphic in the current web or file system, click Browse.

    7. If the graphical element you selected displays text, the options on the Font tab will be available, and you can change the font.

    Repeat steps 4, 5, and 6 for each graphical element you want to change.

  7. Click OK.
  8. Click Save As.
  9. Type a new name for the theme (unless you have modified a custom theme), and then click OK.
  10. Apply the new theme to the web or to selected pages.


Change the styles used in a theme

You can change the styles that are used in a particular theme. For example, you can change the font of body and heading styles in the Capsules theme from Arial to Times New Roman. However, if you want to change the font that is displayed on a graphical element (for example, the font used on page banners), you must change the graphic.

When you modify a preset theme, you must save your changes to a new theme; you cannot overwrite a preset theme. For example, if you modify the Capsules theme, save your changes to a new theme called My Theme.

  1. On the Format menu, click Theme.
  2. In the list, click the theme you want to modify.
  3. Click Modify, and then click Text.
  4. In the Item box, click the style you want to change, and then under Font, click the font you want to use.

    5. Repeat this step for each style you want to change.

  5. To change styles further, for example to change the font attributes for a particular style, click More Text Styles, modify styles as needed, and then click OK to return to the Modify Theme dialog box. For information about modifying styles, see Modify a style for a page.

    6. Note You will not see the results of your style changes unless you apply the theme using cascading style sheets (when you apply the theme, select the Apply using CSS check box). These style changes will not be reflected in the Sample of Theme preview.

  6. Click OK.
  7. Click Save As.
  8. Type a new name for the theme (unless you have modified a custom theme), and then click OK.
  9. Apply the new theme to the web or to selected pages.


Create a new theme

To create a new theme, you must change an existing one and then save your changes under a new name. You can change colors, graphics, and styles:

  • Change the normal and vivid color sets for hyperlinks, body and heading text, banner text, navigation bar labels, table borders, and the background. For example, you can change the color of hyperlinks from red to yellow.
  • Replace graphics (background picture, page banner, bullets, navigation buttons, and horizontal line) with your own graphics, for the normal and active graphic sets. And for those graphical elements that are displayed with text, you can change the font.
  • Change the body and heading styles, for example from Arial to Times New Roman.
  1. On the Format menu, click Theme.
  2. In the list, click any theme, preferably the one that has the characteristics closest to the theme you want to create so that you have fewer elements to change.
  3. Click Modify.
  4. Do any of the following to modify the theme:
    • To change the colors, click Colors, and then click the Custom tab.

      • Under Theme color set, specify whether you want to change colors for the normal or vivid color set. In the Item box, click the item for which you want to change the color, and then in the Color box, specify the color you want to use. Repeat this step for each item, and then click OK.

    • To change the graphics, click Graphics.

      • Under Theme graphic set, specify whether you want to change graphics for the normal or active graphic set. On the Picture tab in the Item box, click the graphical element you want to change, and then specify the picture or pictures you want to use — depending on the element you selected, one or more options are displayed. To find the graphic in the current web or file system, click Browse. If the graphical element you selected displays text, the options on the Font tab will be available, and you can change the font. Repeat this step for each graphical element, and then click OK.

    • To change the styles, click Text.

      • In the Item box, click the style you want to change, and then under Font, click a font to use. Repeat this step for each style, and then click OK.

  5. To save the theme, click Save As, type a name for the new theme, and then click OK.


Remove a theme from selected pages

You can remove a theme from selected pages; this removes the theme's styles, colors, and graphics from the pages.

  1. In Folders view, select the pages from which you want to remove a theme.
  2. On the Format menu, click Theme.
  3. Click Selected pages.
  4. In the list, click No Theme.


Remove a theme from a web

You can remove a theme that has been applied to the current web; this removes the theme's styles, colors, and graphics from all pages.

  1. On the Format menu, click Theme.
  2. Click All pages.
  3. In the list, click No Theme.

Note If you have applied a theme to selected pages (pages that do not use the web's default theme setting), you must remove the theme by selecting the individual pages. See Remove a theme from selected pages.


Install additional themes

If you chose to install only the typical themes when you installed Microsoft Office, you can install the rest of the themes that are available.

  1. On the Format menu, click Themes.
  2. In the list, click Install Additional Themes.
  3. Click Yes to confirm.


About shared borders

To learn more about shared borders, click the graphic.

To display this topic, click the graphic.


Set shared borders for all pages in a web

A shared border is a region that is common to one or more pages in a web. Inside a shared border, include items that you want to appear on each page with the shared border.

You can set which shared borders to use in a web by default. For example, set the top border to be shared by default. Then, when you create a page for your web, the new page will automatically share this top border.

Note After you set shared borders across a web, you can change this setting for individual pages.

  1. On the Format menu, click Shared Borders.
  2. Click All pages.
  3. Select the borders that you want to appear on every page in the current web. If you select Top or Left, you can also choose to include navigation bars. For more information about navigation bars and shared borders, see About navigation bars.

    4. Dashed lines are displayed to indicate the shared border, and you can now add the content you want.

    If you included a navigation bar, it is displayed in the shared border. Otherwise, a comment telling you to add content is displayed — you can remove the comment by selecting it and pressing DELETE.


Set shared borders for a page

A shared border is a region that is common to one or more pages in a web. Inside a shared border, include items that you want to appear on each page.

For each page in your web, you can set the borders to share. For example, if the top border is shared by default for a web but you don't want this shared border on a specific page, you can turn off the shared top border on that page. Or, you can set selected pages in a web to use a shared border, even if the web does not have any shared borders by default.

For example, the default setting for the web is to have top and bottom shared borders. You insert a navigation bar in the top border, and a copyright citation in the bottom border. However, on three pages you do not want to display the copyright citation, so for these three pages, disable the bottom border.

  1. In Page view, on the Format menu, click Shared Borders.
  2. Click Current page.
  3. Specify the borders that you want on this page.

    4. Shared borders are added or removed depending on your settings. New borders display placeholder elements, such as a comment, page banner, or navigation bar.


Add, change, or remove elements in a shared border

After you set a shared border, you can add content to it. At any point, you can change or remove the content in a shared border. For example, you can add a page banner to a shared top border, change the navigation bar, or delete text.

  1. Open a page that uses the shared border you want to modify.
  2. In Page view, click inside the shared border region, which is outlined with a dashed line. When you click the area, the outline changes to a solid line.
  3. Make your changes to the content inside the shared border region. For example, type text or add a picture.
  4. Click Save Save button. Your changes will appear on all pages that share the border.


Understanding frames and frames pages

To learn more about frames, click the graphic.

To display this topic, click the graphic.


Create a frames page

Create a frames page using a Microsoft FrontPage frames page template, and then set the initial page displayed in each frame. The highlighted border indicates the current frame.

A frames page is a special kind of HTML page that divides the browser window into different areas called frames, each of which can display a different page. When you click a hyperlink on a page displayed in one frame, the page pointed to by that hyperlink can be displayed in another frame.

The frames page itself contains no visible content: It's just a container that specifies which other pages to display and how to display them.

When you create a frames page using one of the frames page templates in FrontPage, the navigation between frames is already set up for you. In the Contents frames page template, for example, clicking a hyperlink in the Contents frame on the left displays a page in the Main frame (called the target frame) on the right.

  1. On the File menu, point to New, click Page, and then click the Frames Pages tab.
  2. Click a frames page template.

    3. Tip When you click a template, FrontPage displays a thumbnail showing that template's frames layout in the Preview area. It also displays a summary and suggested use of the template in the Description area.

Notes

  • After you've created a frames page, you must set the initial page to display in each frame when the frames page is viewed in a browser. Otherwise, the browser will display empty frames.
  • You can create your own custom frames page templates, add them to the Frames Pages tab, and share them with your workgroup.
  • You can also create a frames page by importing a frames page from the World Wide Web or your corporate intranet. This imports only the frames page, not the pages initially displayed in each frame.


Create a hyperlink to display a page in another frame

A frames page specifies the number, layout, and appearance of the frames. When you click a link in one frame, the page pointed to by that link is displayed in another frame.

When you click a hyperlink on a page that's displayed in one frame of a frames page, the page pointed to by that hyperlink usually opens in another frame (called the target frame).

On frames pages that you create using frames page templates in FrontPage, the navigation between frames is already set up for you. In the Contents template, for example, any hyperlinks you create on the page in the Contents frame automatically display a page in the Main frame.

Note Before using this procedure, you must create and save a frames page, and then in the frame where you want to create the hyperlinks, either set the initial page displayed in that frame or create a new page in that frame.

  1. In Page view, open the frames page that you want to modify, click the Normal tab, and then click the page where you want to create the hyperlink.
  2. Type or select the text or picture that you want to use as a hyperlink, and then click Insert Hyperlink Insert Hyperlink button.
  3. In the Create Hyperlink dialog box, select the page that you want to display in another frame (the target frame).


Delete a frame

Use this procedure to delete a frame from a frames page.

  1. In Page view, open the frames page you want to modify, click the Normal tab, and then select the frame that you want to delete.
  2. On the Frames menu, click Delete Frame.

Notes

  • This procedure deletes only the frame from the frames page, not the page that was displayed in the frame.
  • Any adjacent frame expands accordingly to occupy the space left by the deleted frame.
  • If the frames page contains only one frame, you cannot delete the last frame. The page displayed in the remaining frame will occupy the entire browser window when viewed by a visitor to your site.


Edit HTML of a frames page

If you're editing a frames page in Page view, you can edit the HTML of the frames page or of any page displayed in a frame.

  • To edit the HTML of the frames page, click the Frames Page HTML tab.
  • To edit the HTML of a page displayed in a frame, click that page, and then click the HTML tab.


Edit HTML of a page displayed in a frame

If you're editing a frames page in Page view, you can edit the HTML of a page displayed in a frame as well as the HTML of the frames page itself.

  • To edit the HTML of a page displayed in a frame, click that page, and then click the HTML tab.
  • To edit the HTML of the frames page, click the Frames Page HTML tab.


Edit the page displayed in a frame in another window

While you're editing a page displayed in a frame, you may find that the frame is too small for you to conveniently edit the page. If this is the case, you can open the page for editing in a new, full-size window in Page view.

  • Right-click anywhere on the page, and then click Open Page in New Window on the shortcut menu.


Make your home page a frames page

When you create a new web, Microsoft FrontPage creates a file named Index.htm (or Default.htm, depending on your server) as your home page. You can replace this default home page with an existing frames page.

  1. In Folders view, right-click your current home page, click Rename on the shortcut menu, note the name of the page, and then type a different name, such as Default-old.htm.
  2. Right-click the frames page that you want to use as your home page, click Rename on the shortcut menu, and then type the original name of your home page.

Note If your web uses shared borders or navigation bars, or if you've already designed a navigation structure in Navigation view, you should not use a frames page as your home page. Otherwise your web may be difficult to navigate, and pages may not be displayed properly.


Control how a browser displays frames

You can show or hide scroll bars or borders between frames, specify the space between frames and the inside margins of frames, and enable or disable frame resizing.

The following table describes how you can control the appearance of frames when the open frames page in Page view is viewed in a browser.

To | Do this
Show or hide borders around frames | On the File menu, click Properties, click the Frames tab, and then select or clear the Show borders check box.
Set the width of borders between frames | On the File menu, click Properties, click the Frames tab, and then type the width of the border, in pixels, in the Frame spacing box.
Create invisible frames | On the File menu, click Properties, click the Frames tab, clear the Show borders check box, and then set Frame spacing to 0.
Show or hide a frame's scroll bars | Right-click in the frame, click Frame Properties on the shortcut menu, and then adjust the Show scrollbars setting.
Prevent site visitors from resizing a frame when viewing it in a browser | Right-click in the frame, click Frame Properties on the shortcut menu, and then clear the Resizable in browser check box.
Adjust the amount of space between the outside edge of a frame and the contents of the frame | Right-click in the frame, click Frame Properties on the shortcut menu, and then in the Margins area, adjust the Width and Height settings.
Resize a frame graphically | Click and drag the border of the frame that you want to resize.
Resize a frame numerically | Right-click in the frame, click Frame Properties on the shortcut menu, and then in the Frame size area, adjust the Width (or Column width) and Height (or Row height) settings.


Modify a frames page template

Microsoft FrontPage includes a variety of frames page templates you can modify to create your own custom templates.

  1. On the File menu, point to New, click Page, and then click the Frames Pages tab.
  2. Click the frames page template that you want to modify, and then click OK.

    3. Tip When you click a template, FrontPage displays a thumbnail showing that template's frames layout in the Preview area. It also displays a summary and suggested use of the template in the Description area.

  3. In Page view, modify the frames page to create a custom template.

    4. Note If you set an initial page in any frame, that page will be the default initial page for the frame in every page you create based on the template.

  4. On the File menu, click Save As.
  5. In the Save as type box, click FrontPage Template (*.tem).
  6. In the File box, type the file name for your custom template, and then click Save.
  7. In the Save As Template dialog box, in the Title box, type a friendly title for the template. This is the title displayed in the list of templates on the Frames Pages tab of the New dialog box.
  8. In the Description box, type text describing what the template does. This text is displayed in the Description area of the Frames Pages tab.

Tips

  • To replace or overwrite an existing custom template, click Browse, and then in the Templates box, select the template you want to replace.
  • To add a template to the current web to make it available to other authors working on the same web, select the Save template in current web check box. FrontPage creates a Sharedtemplates folder in the current web and adds the new template to it.


Modify a frames page "no frames" message

Some older browsers can't display frames pages. Instead, they display a "no frames" message when a site visitor opens a frames page in your web. You can customize this "no frames" message.

  1. In Page view, open the frames page you want to modify, and then click the No Frames tab.
  2. Modify the message as you want. You can also include pictures, tables, or anything else in the message that you can put on a page.

Tip To directly edit HTML of the "no frames" message, click the Frames Page HTML tab.


Modify target frames on a frames page

A frames page specifies the number, layout, and appearance of the frames. When you click a link in one frame, the page pointed to by that link is displayed in another frame.

When you click a hyperlink on a page that's displayed in one frame of a frames page, the page pointed to by that hyperlink usually opens in another frame (called the target frame) on that same frames page.

On frames pages that you create using frames page templates in FrontPage, the target frames are already set up for you. In the Contents template, for example, any hyperlinks you create on the page in the Contents frame automatically display a page in the Main frame. You can override the target frame for a single hyperlink, or change the default target frame for all hyperlinks on a page.

  1. In Page view, open the frames page you want to modify, and then click the Normal tab.
  2. Right-click the hyperlink you want to modify, and then click Hyperlink Properties on the shortcut menu.
  3. Click Change Target Frame Change Target Frame button.
  4. In the Target Frame dialog box, the Current frames page area displays a "map" of the frames page. Click the frame in which you want to display the page pointed to by hyperlink you selected in step 2.
  5. To designate the target frame you selected as the default target frame for all the hyperlinks on the page, select the Set as page default check box. Any pages pointed to by hyperlinks on the current page will automatically open in the specified target frame.

    6. Note The default target frame you designate here applies to any subsequent pages you open or new pages you create in the current frame.


Open a frames page

A frames page specifies the number, layout, and appearance of the frames. When you click a link in one frame, the page pointed to by that link is displayed in another frame.

A frames page is a special kind of HTML page that divides the browser window into different areas called frames, each of which can display a different page. When you click a hyperlink on a page displayed in one frame, the page pointed to by that hyperlink is displayed in another frame.

The frames page itself contains no visible content: It's just a container that specifies which other pages to display and how to display them.

Use this procedure to open an existing frames page from any view. You can then change the size and appearance of the frames on the frames page itself, and you can create or edit the individual pages displayed in each frame.

  • On the File menu, click Open, and then select the frames page you want to open.

Tip To edit a page displayed in a frame in another window, right-click the page, and then click Open Page in New Window on the shortcut menu.


Rename a frame

A frames page created with the Banner and Contents frames page template. It contains three frames, named Banner, Contents, and Main.

Each frame on a frames page has a unique name, which is used to specify navigation between frames. In the Contents frames page template included with Microsoft FrontPage, for example, clicking a hyperlink in the Contents frame on the left displays a page in the Main frame on the right.

If you created the frames page using Contents or one of the other frames page templates, the names of frames are already set up for you. You can change these default frame names.

  1. In Page view, open the frames page that you want to modify, and then click the Normal tab.
  2. Right-click anywhere in the frame you want to rename, and then click Frame Properties on the shortcut menu.
  3. In the Name box, type the new name for the frame.

Important If you rename a frame, any existing hyperlinks anywhere in your web that point to the old frame name will no longer work. You must find each occurrence of the hyperlink in your web, edit the hyperlink, and change the Target frame box to the new frame name.


Resize a frame

When you resize a frame while editing a frames page, adjacent frames resize accordingly to fill the space. Resizing a frame on a frames page has no effect on the content of any pages displayed in that frame, it merely changes how much or little of the page is displayed at one time in the frame.

  • In Page view, open the frames page you want to modify, and then click and drag any frame border.
  • You can specify the size of a frame precisely. Right-click in the frame, click Frame Properties on the shortcut menu, and then adjust the Width and Height options in the Frame size area. You can specify the frame size to be a fixed number of pixels, a percentage of the size of the browser window, or sized in values relative to other frames in the same row or column.

Notes

  • If the frame is in the same row as another frame, the Height box changes to Row Height. Changing the row height of the current frame will also change the row height of every other frame in the row.
  • Similarly, the Width box changes to Column Width if the frame is part of a column, with similar effects.
  • Before you change how a frame is sized (in pixels, as a percentage, or relative to other frames), consider how the change will affect the layout of your designs and the behavior of the entire frames page when it is viewed in a browser.
  • To prevent a site visitor from resizing a frame when viewing the frames page in a browser, right-click the frame, click Frame Properties on the shortcut menu, and then clear the Resizable in browser check box.


Save a frames page

A frames page specifies the number, layout, and appearance of the frames. When you click a link in one frame, the page pointed to by that link is displayed in another frame.

A frames page is a special kind of HTML page that contains no visible content: It's just a container that specifies which other pages to display and how to display them. You can save the frames page itself, as well as the individual pages displayed in each frame.

  1. In Page view of the frames page that you want to save, click the Normal tab.
  2. Click to select the page or frame displaying the page that you want to save, and then click Save Save button.

    3. The Save As dialog box displays a thumbnail showing the layout of the frames page. A dark blue box highlights what you're saving:

    • If the entire outside border of the frames page is highlighted, you're saving the frames page itself.
    • If an individual frame is highlighted, you're saving the page displayed in the frame.
  3. In the File name box, type or select a file name for the highlighted frames page, or for the page displayed in the highlighted frame.

Microsoft FrontPage will repeat this sequence for each unsaved new page or new frames page, until all of the pages and the frames page have been saved.

Tip To change the page title (that is, the text that you want to appear in the title bar of a browser), click Change, and then in the Set Page Title dialog box, type the new page title.


Save a frames page template

Use this procedure to save your own custom frames page template and add it to the list displayed on the Frames Pages tab.

  1. In Page view, modify the frames page from which you want to create a custom template.

    2. Note If you set an initial page in any frame, that page will be the default initial page for the frame in every page you create based on the template.

  2. On the File menu, click Save As.
  3. In the Save as type box, click FrontPage Template (*.tem).
  4. In the File box, type the file name for your custom template, and then click Save.
  5. In the Save As Template dialog box, in the Title box, type a friendly title for the template. This is the title displayed in the list of templates on the Frames Pages tab of the New dialog box.
  6. In the Description box, type text describing what the template does. This text is displayed in the Description area of the Frames Pages tab.

Tips

  • To replace or overwrite an existing custom template, click Browse, and then in the Templates box, select the template you want to replace.
  • To add a template to the current web to make it available to other authors working on the same web, select the Save template in current web check box. FrontPage creates a Sharedtemplates folder in the current web and adds the new template to it.


Save a page displayed in a frame

A frames page specifies the number, layout, and appearance of the frames. When you click a link in one frame, the page pointed to by that link is displayed in another frame.

A frames page is a special kind of HTML page that contains no visible content: It's just a container that specifies which other pages to display and how to display them. You can save a page displayed in a frame or the frames page itself.

  1. In Page view of the frames page that you want to modify, click the Normal tab.
  2. Click to select the page or frame displaying the page that you want to save, and then click Save Page on the Frames menu.
  3. If you've saved the page before, Microsoft FrontPage saves any changes you've made without prompting.

    4. If you haven't saved the page before, the Save As dialog box displays a thumbnail showing the layout of the frames page. A dark blue box indicates the current page in the highlighted frame.

  4. In the File name box, type or select the appropriate file name for the page displayed in the highlighted frame in the thumbnail.
  5. In the Save as type box, select the type of Web page you want to save.
  6. To change the page title (that is, the text that you want to appear in the title bar of a browser), click Change, and then in the Set Page Title dialog box, type the new page title.

Tip Once you have saved a page displayed in a frame, click Save As on the Frames menu to save a copy of the page, or to save the page under a different file name, in a different location, or as a different type of file (for example, as a template).


Set frame margins

You can show or hide scroll bars or borders between frames, specify the space between frames and the inside margins of frames, and enable or disable frame resizing.

When a frames page is viewed in a browser, the distance between the edge of a frame and the edge of the page displayed inside that frame is called the frame margin.

  1. In Page view, open the frames page you want to modify, and then click the Normal tab.
  2. Right-click in the frame whose margins you want to change, and then click Frame Properties on the shortcut menu.
  3. In the Margins area, set the Width and Height, in pixels, for the frame margins.

Notes

  • If frame borders are turned on, the frame margin is measured from the inside edge of the frame border instead of the inside edge of the frame. In other words, a frame border 3 pixels wide plus a frame margin set to 12 pixels wide would equal a total frame margin of 15 pixels.
  • If the page displayed in the frame also has margins, the margins of the page will be added to the frame margin.


Set spacing between frames

You can show or hide scroll bars or borders between frames, specify the space between frames and the inside margins of frames, and enable or disable frame resizing.

When a frames page is viewed in a browser, you can specify the amount of spacing between the outside edges of adjoining frames.

  1. In Page view, open the frames page you want to modify, and then click the Normal tab.
  2. On the File menu, click Properties, and then click the Frames tab.
  3. Type the amount of spacing, in pixels, in the Frame spacing box. The default for most Web browsers is 2 pixels.

Tips

  • If the Show borders check box is selected, the borders between frames will be as wide as the amount of spacing between frames.
  • To create invisible frames, clear the Show borders check box and set Frames spacing to 0.


Set the initial page displayed in a frame

When a frames-compatible browser downloads a frames page, it reads the frame information and then displays an initial page in each frame. You need to specify the initial page for the browser to display in each frame.

  • In Page view, open the frames page you want to modify, and then click the Normal tab. Click the frame whose initial page you want to set.
    • To select an existing page in your web as the initial page to display in that frame, click Set Initial Page in the frame, and then select the page you want to display.
    • To create a new page and set it as the initial page to display in that frame, click New Page in that frame. Microsoft FrontPage creates a new page in the frame, and the new page is automatically set as the initial page.

Tip If an initial page has been already been set, and you want to change it, right-click in the frame, click Frame Properties on the shortcut menu, and then in the Initial page box, type the URL of the initial page you want to display. Or, click Browse to locate the page.


Show or hide frame borders

You can show or hide scroll bars or borders between frames, specify the space between frames and the inside margins of frames, and enable or disable frame resizing.

When a frames page is viewed in a browser, you can specify whether you want to show or hide borders between frames.

  1. In Page view, open the frames page you want to modify, and then click the Normal tab.
  2. On the File menu, click Properties, and then click the Frames tab:
    • To show borders between frames, select the Show borders check box, and then in the Frame spacing box, type the width for the borders in pixels. The default for most Web browsers is 2 pixels.
    • To hide borders between frames, clear the Show borders check box.

Tip To create invisible frames, clear the Show borders check box and set Frame spacing to 0.


Split a frame

On any frames page, you can split a frame horizontally or vertically to create two frames.

  • In Page view, open the frames page you want to modify, and then hold down CTRL and drag any frame border.

Notes

  • To exactly split a frame into two evenly divided columns or rows, click Split Frame on the Frames menu, and then select the appropriate option.
  • Splitting a frame does not affect the contents of the page displayed in the original frame.


Switch between frames in a frames page

If you're editing a frames page in Page view, you can edit only one page in one frame at a time. A dark blue box indicates the current frame or the frames page.

  • Click in the frame you want to edit, or press F6 or SHIFT+F6 to change the current frame. Each time you click a frame, or press F6 or SHIFT+F6, the highlight moves to indicate the current frame.


View or edit a frames page inside a frame

A frame may display or point to another frames page, which is considered a "nested" frames page (because it's nested inside the frame of another frames page). However, you can't directly view or edit a nested frames page when the Normal tab is selected for the parent frames page.

  • To see how the parent frames page that contains the nested frames page(s) will look when a site visitor views it in a browser, click the Preview tab.
  • To edit a frames page nested inside a frame, click the View Frames Page button inside the frame. FrontPage opens the nested frames page in Page view.


Working with cascading style sheets

To learn more about cascading style sheets, click the graphic below.

To display this topic, click the graphic.


Modify a style for a page

You can modify the formatting characteristics of any standard HTML style or custom style listed in the Style box. For example, you can modify the standard Heading 1 style to apply a red font color. The change will be applied automatically to all elements on the page that are styled as Heading 1.

  1. In Page view, make sure the Normal tab is selected. On the Format menu, click Style.
  2. In the List box, click the type of style you want to modify:
    • To modify a custom style you've created, click User-defined styles.
    • To modify a standard HTML tag, click All HTML tags.
  3. In the Styles list, double-click the style you want to modify.
  4. Click Format, and then modify the formatting characteristics:
    • To set font properties — such as the font family or color, or character spacing — click Font.
    • To set alignment, indentation, or spacing, click Paragraph.
    • To set borders and shading, click Border.
    • To set the style of bullets and numbering, click Numbering.
    • To set positioning properties — such as wrapping style, location, or z-order — click Position.

Notes

  • If the page is linked to an external style sheet, the list of available styles you can apply (found in the Style box) may include custom styles (styles that are preceded with a period or other character, such as .mystyle or Heading1.mystyle) from the external style sheet. If you want to modify a custom style from an external style sheet, you must edit the external style sheet.
  • This procedure modifies a style for a page by creating or editing an embedded style sheet in the page's HEAD tags. The style information is saved within the embedded style sheet.
  • If the page is also linked to an external style sheet, and the external style sheet contains a style of the same name, the style characteristics of both will be combined when applied to a page element. For example, if .tipbox on the embedded style sheet adds a blue border, and .tipbox in the external style sheet adds a red background, applying the style .tipbox adds both a blue border and a red background. If there are conflicting characteristics between styles (for example, one sets a black border, another sets a green border), the characteristics of the style on the page's embedded style sheet are applied, overriding the external style sheet.
  • If a style feature is unavailable (that is, it appears dimmed), or if you do not want to use cascading style sheets in order to ensure compatibility with older browsers, you need to enable or disable specific versions of CSS.


Create a style for a page

You can create a new style and add it to the standard HTML styles listed in the Style box. Any authors editing that page can then apply the new style to anything on the page, including text, paragraphs, pictures, and tables. The new style can also be applied to a page element in combination with any standard HTML style, resulting in a combination of the two styles.

For example, if you create a style called Redbg that specifies a red background behind a page element, it's listed in the Style box as .redbg. When you apply the Redbg style, the background of the selected page element turns red. If you apply a standard HTML style, such as Heading 1, to the same page element, then the page element will inherit the styles of both Heading 1 and Redbg; this is indicated in the Style box as Heading 1.redbg.

  1. In Page view, make sure the Normal tab is selected. On the Format menu, click Style.
  2. Click New, and then in the Name box, type the name of the new style.
  3. Click Format, and then specify the formatting characteristics for the new style:
    • To set font properties — such as the font family or color, or character spacing — click Font.
    • To set alignment, indentation, or spacing, click Paragraph.
    • To set borders and shading, click Border.
    • To set the style of bullets and numbering, click Numbering.
    • To set positioning properties — such as wrapping style, location, or z-order — click Position.

Notes

  • Styles you create for a page can't be shared with other pages. If you want to create styles that can be used on any or all of the pages in a web, create an external style sheet (or edit an external style sheet), adding the styles you want, and then link pages to the external style sheet.
  • This procedure creates a style for a page by placing an embedded style sheet, using STYLE tags, in the page's HEAD tags. The style is saved as a CSS class selector within the embedded style sheet, and applied in HTML on the page as a CLASS attribute added to the HTML tag.
  • If the page is also linked to an external style sheet, and the external style sheet contains a style of the same name, the style characteristics of both will be combined when applied to a page element. For example, if .tipbox on the embedded style sheet adds a blue border, and .tipbox in the external style sheet adds a red background, applying the style .tipbox adds both a blue border and a red background. If there are conflicting characteristics between styles (for example, one sets a black border, another sets a green border), the characteristics of the style on the page's embedded style sheet are applied, overriding the external style sheet.
  • If a style feature is unavailable (that is, it appears dimmed), or if you do not want to use cascading style sheets in order to ensure compatibility with older browsers, you need to enable or disable specific versions of CSS.


Delete a style from a page

In the Style box, custom styles you've created are preceded with a period (for example, .mystyle) to differentiate them from standard HTML styles. You can delete any custom style you've created on that page. You can also delete any custom formatting changes you've made to a standard HTML style.

Note If the page is linked to an external style sheet, the list of available styles you can apply (found in the Style box) may include custom styles from the external style sheet. If you want to delete a custom style from an external style sheet, you must edit the external style sheet.

  1. In Page view, make sure the Normal tab is selected. On the Format menu, click Style.
  2. In the List box, click User-defined styles.
  3. In the Style list, click the custom style you want to delete, or the standard HTML style from which you want to remove custom formatting characteristics, and then click Delete.

Notes

  • This procedure deletes a style from a page by editing an embedded style sheet in the page's HEAD tags. The custom style information, or the formatting changes to a standard HTML style, are saved within the embedded style sheet.
  • If a style feature is unavailable (that is, it appears dimmed), or if you do not want to use cascading style sheets in order to ensure compatibility with older browsers, you need to enable or disable specific versions of CSS.


Create or modify a class or ID selector

When you create or modify a style for a page using the Style command on the Format menu, Microsoft FrontPage saves the style as a class selector within the embedded style sheet on the page.

  1. In Page view, make sure the Normal tab is selected. On the Format menu, click Style.
    • To create a new class selector, click New, and then in the Name box, type a period (.) followed by the selector name.
    • To create a new ID selector, click New, and then in the Name box, type a pound sign (#) followed by the ID selector name (for example, #footer).
    • To modify an existing class or ID selector, double-click its name in the Styles list.
  2. Click Format, and then specify the formatting characteristics for the class or ID selector:
    • To set font properties — such as the font family or color, or character spacing — click Font.
    • To set alignment, indentation, or spacing, click Paragraph.
    • To set borders and shading, click Border.
    • To set the style of bullets and numbering, click Numbering.
    • To set positioning properties — such as wrapping style, location, or z-order — click Position.

Notes

  • To create or modify a class or ID selector in an external style sheet, you must edit the external style sheet.
  • If a style feature is unavailable (that is, it appears dimmed), or if you do not want to use cascading style sheets in order to ensure compatibility with older browsers, you need to enable or disable specific versions of CSS.


Apply a style to a page element

A style contains formatting information, such as a specific font, background color, or border style, that can be applied to almost anything on a page, including text, paragraphs, pictures, and tables. If you modify the style, all of the page elements to which that style has been applied are automatically updated with the new formatting.

The Style box lists standard HTML styles, such as Heading 1, as well as any custom styles created for the page or contained in an external style sheet linked to the page. Custom styles are usually preceded with a period or other character, such as .redbg or #tipbox.

  • To apply a style on the Normal tab in Page view, select the page element you want to modify, and then in the Style box, click the style you want to apply.

Notes

  • To apply a class or ID selector to a page element, right-click the page element, click Properties on the shortcut menu, and then click Style.
  • If you apply a custom style from an embedded or external style sheet, that style is appended to the end of a standard HTML style name in the Style box, and the formatting of the custom style and the standard HTML style will be combined. The style is applied in HTML on the page as a CLASS attribute added to the HTML tag surrounding the page element.

    • For example, if you select a paragraph styled as Heading 2, and then apply a custom style named .redbg that adds a red background, the Style box will list the style as Heading2.redbg. FrontPage will combine the formatting characteristics of the two styles when applied.

  • To remove a custom style from a page element to which it has been applied, click any standard HTML tag in the Style box, such as Heading 1 or Normal.
  • To copy a style from one page element to another, select the element with the style you want to copy, click Format Painter Format Painter button, and then click the page element to which you want to apply the style.
  • If a style feature is unavailable (that is, it appears dimmed), or if all of the formatting characteristics of a style aren't applied when you preview the page in a browser, you need to enable or disable specific versions of CSS.


Apply an inline style to a page element

In Microsoft FrontPage 2000, some formatting features are now automatically applied as inline styles. For example, if you apply a box around a normal paragraph using the Borders and Shading command on the Format menu, FrontPage writes the formatting information as an inline style attribute for the paragraph tag (for example, <p style="border-style: solid">).

For some page elements, such as tables or form fields, you can apply an inline style as follows:

  1. In Page view, make sure the Normal tab is selected. Select the page element you want to modify, and then click Properties on the Format menu.
  2. Click Style in that element's Properties dialog box.

    3. The Modify Style dialog box is displayed.

  3. Click Format, and then set the formatting characteristics you want to apply as an inline style:
    • To set font properties — such as the font family or color, or character spacing — click Font.
    • To set alignment, indentation, or spacing, click Paragraph.
    • To set borders and shading, click Border.
    • To set the style of bullets and numbering, click Numbering.
    • To set positioning properties — such as wrapping style, location, or z-order — click Position.

    Note If ether the Class or ID box contains text or a selection, clear the box before clicking OK. Otherwise, the formatting might be unintentionally saved over an existing class or ID selector for that page.

Notes

  • You can also apply inline styles using the Borders and Shading, Position, and Paragraph commands on the Format menu. However, some attributes will be applied using CSS, others using HTML. If you want to apply inline styles using only CSS, follow the procedure above.
  • If a style feature is unavailable (that is, it appears dimmed), or if all of the formatting characteristics of a style aren't applied when you preview the page in a browser, you need to enable or disable specific versions of CSS.


Apply a class or ID selector

When you're editing a page on the Normal tab in Page view, you can apply a class or ID selector from an embedded or external style sheet to anything on that page. Class selectors are listed in the Style box. The easiest way to apply a class selector is to select the page element, and then in the Style box, click the class selector you want to apply.

For some page elements, such as tables or form fields, you can apply apply a class or ID selector as follows:

  1. In Page view, make sure the Normal tab is selected. Select the page element you want to modify, and then on the Format menu, click Properties.
  2. Click Style on that element's Properties dialog box.

    3. The Modify Style dialog box is displayed.

  3. Specify the class or ID selector you want to apply as follows:
    • To apply a class selector from the embedded style sheet for the page, click the Class box, and then click a selection in the list of available class selectors.
    • To apply a class selector from an external style sheet, type the name of the selector in the Class box.
    • To apply an ID selector, type the name of the selector in the ID box.

Notes

  • If you apply a class selector from an embedded or external style sheet, that selector is appended to the end of a standard HTML style name in the Style box, and the formatting of the custom style and the standard HTML style will be combined. The class selector is applied in HTML on the page as a CLASS attribute added to the HTML tag surrounding the page element.

    • For example, if you select a paragraph styled as Heading 2, and then apply a class selector named .redbg that adds a red background, the Style box will list the style as Heading2.redbg. FrontPage will combine the formatting characteristics of the two styles when applied.

  • To remove a class selector from a page element to which it has been applied, in the Style box, click any standard HTML tag, such as Heading 1 or Normal.
  • To copy a class or ID selector from one page element to another, select the element with the selector you want to copy, click Format Painter Format Painter button, and then click the page element to which you want to apply the selector.
  • If a style feature is unavailable (that is, it appears dimmed), or if all of the formatting characteristics of a style aren't applied when you preview the page in a browser, you need to enable or disable specific versions of CSS.


Create an external style sheet

Creating a cascading style sheet is a great way to ensure consistency of style in your web and save you time as well. When you link pages in your web to an external style sheet, applying a style from that style sheet is easy: Click that style in the Style box. If you want to modify a style, you change it in one place — the external style sheet — and the change is automatically reflected in all of the linked pages.

  1. On the File menu, point to New, and then click Page.
  2. Click the Style Sheets tab, click the type of style sheet you want to create, and then click OK.

    3. Microsoft FrontPage creates a new style sheet page with a .css file name extension and opens it for editing in Page view.

Tips

  • To create or modify styles in a cascading style sheet, type the style information in proper CSS syntax, or use the Style command on the Format menu (or click Style on the Style toolbar) to let FrontPage modify the style sheet for you.
  • Save the style sheet using a .css file name extension.
  • Before you can apply styles from an external style sheet to a page in your web, you must link the page to the external style sheet.

Notes

  • If a style feature is unavailable (that is, it appears dimmed), or if you do not want to use cascading style sheets in order to ensure compatibility with older browsers, you need to enable or disable specific versions of CSS.


Create or edit an embedded style sheet

An embedded style sheet is a type of cascading style sheet that's "embedded" within the HEAD tags of a page. Styles in an embedded style sheet can be used only on that same page.

When you create or modify a style for a page using the Style command on the Format menu, Microsoft FrontPage automatically creates an embedded style sheet (if it doesn't already exist), and saves the style as a class selector within the embedded style sheet.

You can edit the styles in the embedded style sheet using the Style command on the Format menu.

Note If a style feature is unavailable (that is, it appears dimmed), or if you do not want to use cascading style sheets in order to ensure compatibility with older browsers, you need to enable or disable specific versions of CSS.


Edit an external style sheet

  1. In the Folder List, double-click the cascading style sheet you want to open.

    2. Microsoft FrontPage opens the style sheet in Page view.

  2. On the Format menu, click Style (or click Style on the Style toolbar).
  3. In the Style dialog box, you can create new class selectors, modify or delete existing ones, or apply CSS formatting properties to standard HTML tags such as H1. When you click OK to close the dialog box, FrontPage writes the formatting characteristics back to the CSS using the proper syntax.

    4. Or, if you're familiar with proper CSS syntax, you can edit the text of the CSS directly on the style sheet in Page view. You can even find and replace text in a style sheet.

Notes

  • Before you can apply styles from an external style sheet to a page in your web, you must link the page to the external style sheet.
  • If a style feature is unavailable (that is, it appears dimmed), or if you do not want to use cascading style sheets in order to ensure compatibility with older browsers, you need to enable or disable specific versions of CSS.


Link a page to an external style sheet

If you link a page to an external cascading style sheet in your web, the styles in that style sheet can be applied to any element on the page. Styles from a linked external style sheet are displayed in the list of available styles in the Style box.

  1. In Page view, open the page you want to link to the style sheet. On the Format menu, click Style Sheet Links.
  2. In the URL list, select the style sheets you want to link to the page.

Tips

  • If the URL list doesn't contain any style sheets, click Add, and then in the Select Hyperlink dialog box, browse to the style sheet you want to add to the list, and then click OK.
  • To link all of the pages in your web to the selected style sheets in the URL list, click All Pages.
  • To remove a style sheet from the URL list, select it and click Remove.
  • To change the cascading order of the style sheets in the URL list, select the style sheet you want to move, and then click Move Up or Move Down.


Edit the external style sheet of a theme

If you select the Apply using CSS check box for a theme applied to a web, FrontPage creates a file named Theme1.css in the root of your web, where Theme is the name of the theme. This is the cascading style sheet for that theme. If you modify the theme, FrontPage writes the changes back to the theme CSS automatically. You can also modify the theme by directly editing the theme CSS as follows:

  1. In the Folder List, double-click the theme CSS.

    2. FrontPage opens the style sheet for the theme in Page view.

  2. On the Format menu, click Style (or click Style on the Style toolbar).
  3. In the Style dialog box, you can create new class selectors, modify or delete existing ones, or apply CSS formatting properties to standard HTML tags such as H1 . When you click OK to close the dialog box, FrontPage writes the formatting characteristics back to the theme CSS using the proper syntax.

    4. Or, if you're familiar with proper CSS syntax, you can edit the text of the CSS directly on the style sheet in Page view. You can even find and replace text in a style sheet.


Find and replace text in a style sheet

If you're editing an external style sheet in Page view, you can find and replace text in selectors, attributes, and values.

  1. On the Edit menu, click Find or Replace.
  2. In the Find what box, type the text that you want to find and replace in the CSS. If you're replacing text, type the replacement text in the Replace with box.
  3. Set the other find and replace options:
    • Click Up or Down to specify the direction to search relative to the insertion point.
    • To find and replace only whole words matching the text in the Find what box, or to match the case of the text in the Find what box, select the Find whole word only or Match case check boxes.
  4. Click Find Next to find the first occurrence.

    5. Microsoft FrontPage highlights the first occurrence.

  5. Click Find Next to find the next occurrence, Replace to replace this occurrence and find the next, or Replace All to replace all occurrences in the CSS.


Enable or disable specific versions of CSS

Cascading style sheets (.css files) were enhancements first added to HTML version 3.0 for improving control over design elements and adding wider accessibility support to Web pages. CSS version 1.0 introduced the concept of cascading style sheets to store design information that could be applied to entire webs. CSS version 2.0 introduced effects such as position boxes and the ability to layer page elements on top of or behind one another. However, some Web browsers don't support certain versions of CSS, so pages containing CSS references or information might not be displayed properly or might contain errors when viewed by some site visitors.

Microsoft FrontPage lets you target your web for compatibility with specific browsers and technologies. If you enable or disable a specific version of CSS, or if you target a web for compatibility with a browser that doesn't support a specific version of CSS, the commands that utilize CSS will be unavailable (that is, they will appear dimmed) on menus in FrontPage at authoring time.

  1. On the Tools menu, click Page Options, and then click the Compatibility tab.
  2. Select or clear the CSS 1.0 (formatting) check box to enable or disable commands that use CSS version 1.0, such as adding space before or after a paragraph.

    3. Note If you clear the CSS 1.0 (formatting) check box, FrontPage automatically disables the CSS 2.0 (positioning) check box, and, thus, commands that use CSS version 2.0.

  3. Select or clear the CSS 2.0 (positioning) check box to enable or disable commands that use CSS version 2.0, such as position boxes or send-to-front.

Notes

  • Specific versions of CSS are automatically disabled or unavailable for some browser compatibility options. If you override the default and enable a specific version of CSS, your pages might not be displayed properly, or they might contain errors.
    Browser | Browser Version | CSS 1.0 | CSS 2.0
Internet Explorer | 4.0 and later | enabled | enabled
Internet Explorer | 3.0 and later | enabled | disabled
Netscape Navigator | 4.0 and later | enabled | enabled
Netscape Navigator | 3.0 and later | disabled | disabled
Both Internet Explorer and Navigator | 4.0 and later | enabled | enabled
Both Internet Explorer and Navigator | 3.0 and later | disabled | disabled
Microsoft WebTV | unavailable | disabled | disabled

  • If you disable CSS 1.0 (formatting), or choose a browser compatibility option that disables CSS 1.0 (formatting), the following commands will be unavailable, in addition to any commands listed under CSS 2.0 (positioning), below:
    • Borders and Shading (Format menu)
    • Style (Format menu)
    • Style Sheet Links (Format menu)
    • Modify Style dialog box
    • Highlight Color button (Formatting toolbar)
    • Apply using CSS check box (Format menu, Theme command)
  • If you disable CSS 2.0 (positioning), or choose a browser compatibility option that disables CSS 2.0 (positioning), the following commands will be unavailable:
    • Position Box (Insert menu)
    • Position (Format menu)
    • Bring Forward button (Pictures toolbar)
    • Send Backward button (Pictures toolbar)
    • Format Border (Format menu, Style command, New Style dialog box)
    • All commands on the Positioning toolbar


Add a page banner to a page

A page banner is a quick way to add titles to your pages. Page banners use the styles and graphics of a theme, if one is used on the current page; otherwise, the page banner just displays text, which you can format. Using a page banner inside a shared border is a way to quickly add titles to multiple pages in a web.

Before you can use page banners, you must set up your web's navigation structure in Navigation view. (A page banner will not be visible on a page unless the page is included in the navigation structure.) Page banners use the page titles from Navigation view; if you change this title for a page, its page banner label will also change.

  1. In Page view, position the insertion point where you want to add a page banner, for example in a shared top border.
  2. On the Insert menu, click Page Banner.
  3. Specify whether you want to display the page banner as a picture or plain text.
  4. In the Page banner text box, type the text you want to display in the page banner. By default, a page banner displays the page title as displayed in Navigation view.


Change a page banner

After you add a page banner to a page, you can change the text that is displayed on it, and you can specify whether to display a graphic or just text.

Note When you change the text displayed on a page banner, the title of the page in Navigation view is also changed.

  1. In Page view, double-click the page banner.
  2. Set the properties for the page banner.

Tip If the page banner is text only, you can edit it directly on the page.


Add a time stamp to a page

Add a time stamp to a page to display the time and/or date the page was last changed. For example, a time stamp lets site visitors know whether the information on your site has changed since their last visit.

  1. In Page view, position the insertion point where you want to place a time stamp.
  2. On the Insert menu, click Date and Time.
  3. Specify the type of time stamp to display.
  4. Specify a format for the date and for the time.


Add a horizontal line to a page

You can add a horizontal line to a page, for example to separate text or add an accent. After you add a horizontal line, you can modify its properties to change its width, height, alignment, and color. If your page uses a theme, the horizontal line uses a graphic to match the theme, for example:

  1. In Page view, position the insertion point where you want to insert a line.
  2. On the Insert menu, click Horizontal Line.
  3. To modify the appearance of the horizontal line, double-click it, and do one or more of the following:
    • Under Width, specify the width of the line as a percentage of the window width or as a number of pixels.
    • Under Height, enter the number of pixels high the line should be.
    • Under Alignment, specify the alignment of the line on the page.
    • In the Color box, select a color for the line if you do not want a shaded line.
    • Select the Solid Line check box if you want the line to appear solid. Clear the check box if you want the line to appear shaded. If you select a color, the line will be solid, and you cannot apply shading.

    Note If the current page uses a theme, you can change only the alignment of the line.


About lists

To learn more about lists, click the graphic.

To display this topic, click the graphic.


Create custom bullets

You can create graphics and use them as bullets, rather than using the standard default bullets (circles or squares). For example, the following list uses custom bullets:

Apples
Bananas
Oranges
  1. In a graphics program, create a graphic to use as a bullet, and then save it, preferably in GIF or JPEG format.
  2. In Microsoft FrontPage in Page view, position the insertion point where you want to create a list.
  3. On the Format menu, click Bullets and Numbering, and then click the Picture Bullets tab.
  4. Click Specify picture, and then click Browse to find and select the graphic you just created.
  5. Click OK.
  6. For each item you want to add to the list, type the item and then press ENTER.
  7. To end the list, press ENTER twice.

    8. Note When you save this page, you are prompted to save the bullet graphic, in GIF or JPEG format, to the current web.


Create a bulleted list

To display a non-sequential list of items, create a bulleted list. Following is an example of a bulleted list:

  • Apples
  • Bananas
  • Oranges
  1. In Page view, position the insertion point where you want to create a list.
  2. On the Format menu, click Bullets and Numbering.
  3. Do one of the following:
    • To use standard bullets such as circles or squares, click the Plain Bullets tab, click the box with the bullets you want to use, and then click OK.
    • To use custom bullets, click the Picture Bullets tab, and click Specify picture. Click Browse to find and select the graphic you want to use. Click OK.
    • To use bullets from the current theme (if the page uses a theme), click the Picture Bullets tab, and then click Use pictures from current theme.
  4. For each item you want to add to the list, type the item and then press ENTER. When you have typed the last item, press ENTER twice to end the list.

Tip To quickly create a bulleted list, click Bullets Bullets button, and then type the items. Or, to add bullets to a group of items, select the items, and then click Bullets Bullets button. The default bullet style is used. If the page uses a theme, bullets from the theme are used.


Create a numbered list

To display a sequential list of items, create a numbered list. The following procedure is an example of a numbered list.

  1. In Page view, position the insertion point where you want to create a list.
  2. On the Format menu, click Bullets and Numbering, and then click the Numbers tab.
  3. Click the box with the style of numbers you want to use, and then click OK.
  4. For each item you want to add to the list, type the item and then press ENTER. When you have typed the last item, press ENTER twice to end the list.

Tip To quickly create a numbered list, click Numbering Numbering button, and then type the items. Or, to add numbers to a group of items, select the items, and then click Numbering Numbering button. The default number style is used.


Create a definition list

You can display definitions and terms in a definition list format. Generally, the term is positioned flush left, and its definition is indented. The exact formatting of the list depends on the Web browser being used. Following is an example of a definition list:

Term A
This is the definition for Term A.
Term B
This is the definition for Term B.

You can also add formatting as needed; for example, you can make terms bold.

  1. In Page view, position the insertion point where you want to create a list.
  2. In the Style box, click Defined Term, type the first term in the list, and then press ENTER.

    3. The next line is automatically formatted with the Definition style.

  3. Type the term's definition, and then press ENTER.

    4. Or, to add a second paragraph to the definition, press CTRL+ENTER. A line break is used to separate the paragraphs. Press ENTER to continue to the next term.

    The next line is automatically formatted with the Defined Term style.

    Repeat steps 2 and 3 for each term and definition.

  4. To end the list, press ENTER twice.


Create an outline

You can create a multilevel list in outline format, for example:

  1. Chapter
    1. Heading
      1. Subheading
        1. Topic

          2. Paragraph

        2. Topic
          1. Detail
          2. Detail

This list uses different numbering styles at each level. If a heading has only one item below it, you can list the item without numbers (note the way "Paragraph" is displayed above).

  1. In Page view, position the insertion point where you want to create an outline.
  2. On the Format menu, click Bullets and Numbering, and then click the Numbers tab.
  3. Click the box with the style of numbers or letters you want to start with, and then click OK.
  4. For each item you want in the outline, type the item, and then press ENTER. When you have typed the last item, press ENTER twice to end the list.
  5. Place each item on the correct level:
    • To move items down to the next numbered level, select the items, and then click Increase Indent Increase Indent button twice.
    • To format items as a paragraph on the current level (without bullets or numbering), select the items, and then click Increase Indent Increase Indent button once.
    • To move items up to the previous level, select the items, and then click Decrease Indent Decrease Indent button one or more times as needed.
  6. To apply numbering styles to the different levels, select an item on a sublevel, right-click, and then click List Properties on the shortcut menu. On the Numbers tab, click the box with the numbering style you want to use.


Create a collapsible list

You can create a collapsible list from a multilevel bulleted or numbered list. A collapsible list lets the site visitor show or hide different levels of the list by double-clicking an item.

The following list is collapsible. To see how it works, click B. To collapse the rest of the list, click One. To expand the list, click One and then B again.

  • One
    • A
    • B
      • 1
      • 2
      • 3
  • Two

Note Collapsible lists are supported by Microsoft Internet Explorer 4.0 or higher, or other Web browsers that support Dynamic HTML.

  1. In Page view, create a multilevel list.
  2. Do one of the following:
    • To set the entire list as collapsible, select the entire list, right-click, and then click List Properties on the shortcut menu.
    • To set only one level in the list to be collapsible, select the items in the level below it, right-click, and then click List Properties on the shortcut menu. For example, in the sample list above, to make B collapsible you would select 1, 2, and 3.
  3. Select the Enable collapsible outlines check box on the tab that is displayed.

    4. Note If this option is not displayed, you have not selected all the items in the list or level.

  4. If you selected the entire list, and if you want the list to be collapsed when the page is first opened in a Web browser, select the Initially collapsed check box.


Create a multilevel list

You can create a list that has multiple nested levels, for example:

  • Heading
    • Topic A
    • Topic B
    • Topic C

      • Detail

  • Heading

You can also create sublevels that are not numbered or bulleted (note the way "Detail" is displayed above).

  1. In Page view, position the insertion point where you want to create a list.
  2. On the Format menu, click Bullets and Numbering.
  3. Do one of the following:
    • To create a bulleted list, click the Plain Bullets tab. Click the box with the style of bullets you want to start with, and then click OK.
    • To create a numbered list, click the Numbers tab. Click the box with the style of numbers or letters you want to start with, and then click OK.
    • To create a list with custom bullets or bullets from the current theme, click the Picture Bullets tab. Click the option you want, and if you are using custom bullets, click Browse to find and select the graphic you want to use. Click OK.
  4. For each item you want in the list, type the item and then press ENTER. When you have typed the last item, press ENTER twice to end the list.
  5. Place each item on the correct level:
    • To move items down to the next bulleted or numbered level, select the items, and then click Increase Indent Increase Indent button twice.
    • To format items as a paragraph on the current level (without bullets or numbering), select the items, and then click Increase Indent Increase Indent button once.
    • To move items up to the previous level, select the items, and then click Decrease Indent Decrease Indent button one or more times as needed.

Tip A sublevel can have a different numbering or bullet style than the level above it. To apply a different style to a sublevel, select an item on the level, right-click, and then click List Properties on the shortcut menu. Click the tab corresponding to the style you want to apply, and then specify the style.


Change the properties of a list

You can change the properties of a list. For example, you can:

  • Change a bulleted list to a numbered list.
  • Change the style of bullets or numbering currently being used.
  • Make a list collapsible.

Note that when you change one item in a list (for example, change bullets to numbers), the change affects all items on the same level.

  1. In Page view, select the items in the list. Or, to change the properties only for items on a sublevel, select items in the sublevel.
  2. On the Format menu, click Bullets and Numbering.
  3. Do one of the following:
    • To change a list to use custom bullets or bullets from a theme, click the Picture Bullets tab, and select the option you want. If you're using custom bullets, click Browse to find and select the graphic you want to use.
    • To change a list to use plain bullets such as circles or squares, click the Plain Bullets tab, and then click the box that shows the bullets you want to use.
    • To change a list to use letters or numbers, click the Numbers tab, and then click the box that shows the style of letters or numbers you want to use.
    • To change a list to a different style such as a definition list, click the Other tab, and then click the style of list you want to use.


Remove numbers or bullets from a list

You can remove the numbers or bullets formatting from a list of items.

  1. In Page view, select the items in the list.
  2. On the Format menu, click Bullets and Numbering.
  3. Do one of the following:
    • If the list uses bullets, on the Plain Bullets tab, click the box with no bullets.
    • If the list uses numbers or letters, on the Numbers tab, click the box with no numbering.


Ways to use tables

To learn more about tables, click the graphic.

To display this topic, click the graphic.


Ways to create a table

To learn the different ways to create a table, click the graphic.

To display this topic, click the graphic.


Customizing tables

To learn how to customize tables, click the graphic.

To display this topic, click the graphic.


Create a simple table

You can create a simple table just by specifying the number of rows and columns. Default properties will be used for the table.

  1. In Page view, position the insertion point where you want to insert the table.
  2. Click Insert Table Insert Table button, then drag down and to the right until the number of rows and columns you want in the table is displayed.


Create a table and set its properties

When you create a table, you can also specify its properties, such as the number of rows and columns, its size and alignment, border attributes, and so on.

  1. In Page view, position the insertion point where you want to insert the table.
  2. On the Table menu, point to Insert, and then click Table.
  3. In the Rows box, enter the number of rows you want.
  4. In the Columns box, enter the number of columns you want.
  5. In the Alignment box, select the position for the table on the page.
  6. In the Border size box, enter the width you want for the table border in pixels. If you do not want a border, type 0.
  7. To change the table's cell padding (the space between a cell's border and content), enter a number in the Cell padding box.
  8. To change the table's cell spacing (the space between cells), enter a number in the Cell spacing box.
  9. To change the table's width, do one of the following:
    • Select In pixels, then type the width you want the table to be in pixels.
    • Select In percent, then type a percentage of the screen width you want the table to be. If the table is to appear in a frame, specify a percentage of the frame width.

Note The properties that you specify for the new table will be used as the default properties the next time you create a table.


Create a table by drawing it

You can create a table by drawing the table and its cells, rather than by specifying the number of rows and columns.

Drawing a table

When drawing a table, you can easily create irregular rows and columns.

  1. In Page view, click Draw Table on the Table menu.

    2. FrontPage opens the Tables toolbar with Draw Table Draw Table button selected.

  2. On your page, draw the outside border of the table by dragging from the upper-left corner to the lower-right corner of the table.
  3. To make cells, draw vertical and horizontal lines within the table.

    4. To remove any lines you do not want, click Eraser Eraser button on the Tables toolbar, drag across the unwanted line, and then when the line turns red, release the mouse button.

  4. When you have finished drawing the table, click Draw Table Draw Table button on the Tables toolbar so that the button is no longer selected.


Set the table layout

You can set the layout of a table by changing the following properties:

  • Alignment of the table relative to the page
  • Text flow around the table
  • Thickness of the table's outer border
  • Cell padding (the space between text and cell borders)
  • Cell spacing (the distance between cells in a table)
  1. In Page view, right-click the table, and then click Table Properties on the shortcut menu.
  2. In the Alignment box, select the alignment to use for the table.
  3. In the Float box, specify whether you want text to flow around the left or right of the table. If you do not want text to flow around the table, select Default.
  4. Under Borders, in the Size box, enter the width of the border in pixels.
  5. In the Cell padding box, enter how much space to allow between the contents and inside edges of cells, in pixels.
  6. In the Cell spacing box, enter how much space to allow between the cells in the table, in pixels.


Convert text to a table

You can convert text into a table if it has been delimited (separated into rows and columns by separator characters).

If your text is not delimited, type separator characters where you want to divide text into columns and rows. For instance, use commas to divide columns, and use paragraph marks to mark the ends of rows.

For example, the following text:

Name, City, Age
Jeff Smith, Los Angeles, 30

Converts to:

Name | City | Age
Jeff Smith | Los Angeles | 30

In addition to converting text to a table with rows and columns, you can also create a one-celled table that contains all the selected text. For example, if you are using a table for page layout, you might want to keep all selected text together in the table.

  1. In Page view, select the text you want to convert to a table.
  2. On the Table menu, point to Convert, and then click Text To Table.
  3. Specify the column separator character that you used, or click None to create a one-celled table.

Tip Because HTML does not directly support tab characters, it is recommended that you not use tab characters as your text delimiter.


Convert a table to text

When you convert a table to text, Microsoft FrontPage separates each table cell into a paragraph.

For example, the following table:

Name | City | Age
Jeff Smith | Los Angeles | 30

Converts to the following list of paragraphs:

Name
City
Age
Jeff Smith
Los Angeles
30

  1. In Page view, select the table that you want to convert to text.
  2. On the Table menu, point to Convert, and then click Table To Text.


Delete table elements

You can delete a table or its elements.

To delete | In Page view, do this
A table | Select the table to delete, and then press DELETE.
A cell | Select the cells to delete, right-click, and then click Delete Cells on the shortcut menu.
A row | Select the rows to delete, right-click, and then click Delete Cells on the shortcut menu.
A column | Select the columns to delete, right-click, and then click Delete Cells on the shortcut menu.
A table caption | Select the caption to delete, and then press DELETE.

Tip You can also delete selected cells, rows, and columns by clicking Delete Cells Delete Cells button on the Tables toolbar. To display the Tables toolbar, point to Toolbars on the View menu, and then click Tables.


Distribute rows and columns evenly

If you have a table of varying row heights and column widths, you can equalize the width or height of selected rows or columns.

  1. In Page view, select the rows or columns that you want to make the same height or width.
  2. Right-click, and then click Distribute Rows Evenly or Distribute Columns Evenly on the shortcut menu.

Tip You can also distribute selected rows or columns evenly by clicking Distribute Rows Evenly Distribute Rows Evenly button or Distribute Columns Evenly Distribute Columns Evenly button on the Tables toolbar. To display the Tables toolbar, point to Toolbars on the View menu, and then click Tables.


Format headings in a table

To emphasize certain cells in your table, such as the first row or column, you can format the cells as table headers. By default, table headers appear in bold. However, you can modify the table header style (th) and define additional properties for your table headers, such as shading.

 | Jan | Feb | Total
East |  |  |
West |  |  |
Total |  |  |
  1. In Page view, select the cell, row, or column you want to format as a header.
  2. Right-click, and then click Cell Properties on the shortcut menu.
  3. Select the Header cell check box.


Hide a table border

You can hide table borders when you do not want them to be visible, such as when you use a table for laying out text and graphics on a page. To hide the table border, you set its width to zero. Web browsers will not display the border.

  1. In Page view, right-click the table, and then click Table Properties on the shortcut menu.
  2. Under Borders, in the Size box, enter 0.

Tip To see a hidden border as a dotted line while you are editing the page, click Show All Show All button.


Add a cell, row, or column

After you create a table, you can add cells, rows, and columns as needed.

To insert | In Page view, do this
A cell | Position the insertion point in a cell. On the Table menu, point to Insert, and then click Cell. A new cell is inserted to the left of the cell.
A row | Select a row. On the Table menu, point to Insert, and then click Rows or Columns. Click Rows, enter the number of rows to insert, and specify where to place them.
A column | Select a column. On the Table menu, point to Insert, and then click Rows or Columns. Click Columns, enter the number of columns to insert, and specify where to place them.

Tip You can also insert rows or columns by selecting a row or column and then clicking Insert Rows Insert Rows button or Insert Columns Insert Columns button on the Tables toolbar. A new row is inserted above the selected row, or a new column is inserted to the left of the selected column. To insert multiple rows or columns, select as many rows or columns as you want to insert — the same number of rows or columns are inserted as the number of rows or columns you selected. To display the Tables toolbar, point to Toolbars on the View menu, and then click Tables.


Insert a table caption

You can add a caption — a title — to a table to label it or summarize its content for a site visitor. A table caption can be displayed above or below the table. You can also align the caption and format it like you would any other text.

  1. In Page view, position the insertion point in the table.
  2. On the Table menu, point to Insert, and then click Caption.
  3. Type the text for your caption.

Tips

  • To position the caption below the table, right-click the caption, and then click Caption Properties on the shortcut menu. Click Bottom of table, and then click OK.
  • To change the alignment of the caption, select the caption, and then click Align Right Align Right button or Align Left Align Left button on the Formatting toolbar.


Insert a table within a table

You can insert a table within a cell in an existing table.

  1. In Page view, position the insertion point in the cell where you want to insert a table.
  2. Click Insert Table Insert Table button, then drag down and to the right until the number of rows and columns you want in the table is displayed.


Merge cells

You can combine two or more adjacent cells to make a larger cell by merging them.

Note This command is only available when two or more adjacent cells are selected, and the selected cells form a rectangle.

  • In Page view, select a row, column, or a group of adjacent cells, right-click the selection, and then click Merge Cells on the shortcut menu.

Tip You can also merge cells by clicking Merge Cells Merge Cells button on the Tables toolbar. To display the Tables toolbar, point to Toolbars on the View menu, and then click Tables.


Modify a table border

You can change the color of a table's border, and set the width of the outer border. You can also define the amount of space between cells.

  1. In Page view, right-click the table, and then click Table Properties on the shortcut menu.
  2. To change the distance between each cell border, in the Cell spacing box, enter a number in pixels to increase or decrease the space.
  3. To change the thickness of the outer table border, in the Size box under Borders, enter a number in pixels to increase or decrease the width of the table border. If you enter 0, the table border will be invisible.
  4. To change the color of the table border, under Borders, do one of the following:
    • To set one color for the table border, select a color from the Color list.
    • To set a two-color border for a three-dimensional effect, select colors from the Light border and Dark border lists.

      • The color for Color will not be used. However, if you select only a Light border or only a Dark border, the color selected from the Color list will be used as the second color.

    • Make sure the border size is greater than zero, otherwise the table border will not be displayed.


Resize a cell, row, or column

You can quickly resize a cell, row, or column by selecting its border and dragging it to the height or width you want.

Resizing a column

You can also resize selected cells by specifying their height and width. You can set the size in pixels or as a percentage of the table's size.

  • If a cell is sized in pixels, its size remains constant, regardless of the size of the table in which it is displayed.
  • If a cell is sized as a percentage of the table, its size changes depending on the size of the table.
  • If a height or width is not specified, the cell is sized according to its content.
  1. In Page view, select the cells, rows, or columns you want to resize.
  2. Right-click, and then click Cell Properties on the shortcut menu.
  3. To specify width, select the Specify width check box, type a value for the width of the selected cell, and then select In pixels or In percent.
  4. To specify height, select the Specify height check box, type a value for the height of the selected cell, and then select In pixels or In percent.


Resize a table

You can quickly resize a table by selecting its border and dragging it to the height or width you want.

Resizing a table

You can also resize a table by specifying its height and width. You can set the size in pixels or as a percentage of the page size.

  • If a table is sized in pixels, its size remains constant, regardless of the size of the page in which it is displayed.
  • If a table is sized as a percentage of the browser window, its size changes depending on the size of the window.
  • If a height or width is not specified, the table is sized according to its content.

Note If the table is displayed in a frame, the percentage applies to the size of the specific frame rather than the entire page.

  1. In Page view, right-click the table, and then click Table Properties on the shortcut menu.
  2. To specify width, select the Specify width check box, type a value for the width of the selected cell, and then select In pixels or In percent.
  3. To specify height, select the Specify height check box, type a value for the height of the selected cell, and then select In pixels or In percent.


Select table elements

You can select a table and its elements when you work with tables. For example, you can select a column and then set unique cell properties for it.

To select | In Page view, do this
A table | Click anywhere in the table. Point to Select on the Table menu, and then click Table. Or, move the mouse pointer to the left of the table, and then double-click when the mouse pointer changes to an arrow.
A cell | Position the insertion point in a cell, point to Select on the Table menu, and then click Cell. Or, press and hold ALT, then click the cell. To select multiple adjacent cells, click and drag the mouse pointer over the cells. To select noncontiguous cells, press and hold SHIFT, then click the cells.
A row | Move the mouse pointer over the left border of the row, and then click when the mouse pointer changes to an arrow. To select multiple rows, drag the mouse pointer over the rows.
A column | Move the mouse pointer over the top border of the column, and then click when the mouse pointer changes to an arrow. To select multiple columns, drag the mouse pointer over the columns.
A table caption | Move the mouse pointer to the left of the caption, and then click when the pointer changes to an arrow. Or, press and hold ALT, and then click the caption.


Set cell spanning

You can adjust a cell's width or height by setting the number of rows and columns that it spans. Adjusting the cell spanning allows you to have cells of varying heights or widths in a table. For example, you can set the span of a cell to two rows in height.

  1. In Page view, select the cells, rows, or columns for which you want to set cell spanning.
  2. Right-click, and then click Cell Properties on the shortcut menu.
  3. In the Rows spanned box, enter the number of rows you want the cells to span.
  4. In the Columns spanned box, enter the number of columns you want the cells to span.


Set the background color in a table

You can set the background color for a table. You have the option of setting the background color for the entire table, for individual cells, or both. When you set background colors both for individual cells and the entire table, the cell color will take priority. In the example below, both tables have background colors, but the second table also has background colors for three cells:

Setting background colors for tables and cells

To set a color for | In Page view, do this
A table background | Right-click the table, and then click Table Properties on the shortcut menu. Under Background, in the Color list, select a color for the table background.
A cell background | Select the cells, right-click, and then click Cell Properties on the shortcut menu. Under Background, in the Color list, select a color for the cell background.

Tip You can also set a background color for a selected table or group of cells by clicking Fill Color Fill Color button on the Tables toolbar. To display the Tables toolbar, point to Toolbars on the View menu, and then click Tables.


Display a background picture in a table

You can display a background picture in a table. You can set a background picture for the whole table, or for individual cells. When you set background pictures for both individual cells and the entire table, the cell background will take priority.

Name | City
Jeff Smith | Los Angeles

Note If you set a background color for the table, it will only be visible if the background picture has a transparent color.

  1. In Page view, select the table or cells in which you want to display a background picture.
  2. Right-click, and then click Cell Properties or Table Properties on the shortcut menu, depending on your selection.
  3. Select the Use background image check box, and then click Browse.
  4. Select the background picture:
    • If the picture is in a web, browse to the web and folder that contains the picture, select the picture you want, and then click OK.
    • If the picture is on your local network, click File File button, browse to the picture you want from your local network, and then click OK.
    • If the picture is on the World Wide Web, click World Wide Web World Wide Web button. In your Web browser, browse to the picture that you want, and then switch back to Microsoft FrontPage. The location of the page you visited will be displayed in the URL box. Click OK.
    • If the picture is clip art, click Clip Art to display the Microsoft Clip Gallery, right-click the picture that you want, and then click Insert on the shortcut menu.

Note You can set the properties for the picture after you have inserted it. Click OK in this dialog box, right-click the cell or table, and then click Cell Properties or Table Properties on the shortcut menu, depending on your selection.


Set the cell layout

You can set the layout of a cell and its content by changing cell properties.

  1. In Page view, select the cells for which you want to set the layout.
  2. Right-click, and then click Cell Properties on the shortcut menu.
  3. In the Horizontal alignment and Vertical alignment boxes, select the alignment you want for the contents of the cell.
  4. To set the cells as header cells and emphasize them, select Header cell. By default, the emphasis is bold text.
  5. To prevent Web browsers from wrapping text in the cell, select No wrap.


Set the color of table borders

A table border can be one color or two colors. When you use two colors, the table border has a three-dimensional appearance.

You can set the border color for the entire table and for individual cell borders. When you set border colors both for individual cells and the entire table, the cell color will take priority.

Note The border size must be greater than zero; otherwise, the border will not be displayed.

  1. In Page view, move the insertion point inside the cell or table for which you want to set the border color.
  2. Right-click, and then click Cell Properties or Table Properties, depending on whether you want to set a border color for a cell or table.
  3. Do one of the following:
    • To set one color for the border, under Borders, select a color from the Color list.
    • To set a two-color border for a three-dimensional effect, under Borders, select colors from the Light border and Dark border lists.

      • The color from the Color list will not be used. However, if you select only a Light border or a Dark border, the color selected from the Color list will be used as the second color.

    • Make sure the border size is greater than zero, otherwise the table border will not be displayed.


Split cells

You can divide cells into columns or rows by splitting them.

  1. In Page view, select the cells to split.
  2. Right-click, and then click Split Cells on the shortcut menu.
  3. Click Split into Columns or Split into Rows.
  4. In the Number of Columns or Number or Rows field, enter the number of columns or rows into which you want the cells split.

Tip You can also split selected cells by clicking Split Cells Split Cells button on the Tables toolbar. To display the Tables toolbar, point to Toolbars on the View menu, and then click Tables.


Animating your web

To learn more about animating your web, click the graphic.

To display this topic, click the graphic.


Add a sound effect to a hover button

Use this procedure to add a sound effect to a hover button that you've already created. When a site visitor browsing your page clicks or points to the hover button, the sound effect is played.

  1. In Page view, right-click the hover button you want to modify, and then click Hover Button Properties on the shortcut menu.
  2. Click Custom.
  3. In the Play sound area, select the action and the sound effect:
    • To play the sound effect when a site visitor clicks the hover button, type the URL of the sound effect in the On click box. Or, click Browse to locate the sound effect.
    • To play the sound effect when a site visitor points to the hover button, type the URL of the sound effect in the On hover box. Or, click Browse to locate the sound effect.

Note Because hover buttons are actually Java applets, you can only use .au format sound files for sound effects; you cannot use .midi or .wav files. Furthermore, the .au files must be in 8-bit, 8000 Hz, mono, u-law format.


Create a marquee

Create a marquee on a page to display a horizontally scrolling text message, as in the following example:

This marquee is set to loop continuously and move slowly.

  1. In Page view, click where you want to create the marquee, or select the text that you want to display in the marquee.
  2. On the Insert menu, point to Component, and then click Marquee.
  3. In the Text box, type the line of text you want the marquee to display. If you selected text on the page in step 1, the Text box contains the selected text.

Tips

  • To preview the marquee as it will appear when a site visitor browses to the page on the World Wide Web, click the Preview tab, or click Preview in Browser on the File menu.
  • You can format a marquee to adjust its direction and speed, behavior, alignment, size, number of repetitions, and background color.
  • You can format the font in a marquee to adjust font size, style, color, and character spacing.


Create a hover button

Creating a hover button is an easy way to add animation to your web without any scripting. Like any other button, a hover button contains a hyperlink to another page or file. However, when a site visitor clicks or points to a hover button, the button can also glow, display a custom picture, or play a sound effect.

  1. In Page view, position the insertion point where you want to create a hover button.
  2. On the Insert menu, point to Component, and then click Hover Button.
  3. In the Button text box, type the text label for the hover button. Leave this box blank if you want to use a custom picture that already contains a text label.
  4. In the Link to box, type the URL of the page or file you want to display when the hover button is clicked. Or, click Browse to locate the page or file.

Tips

  • You can set a picture for a hover button or set a picture for a hover effect on a hover button.
  • You can set properties for a hover button to adjust the text label, font size and characters, or type of special effects.
  • You can add a sound effect to a hover button to play a sound effect when a site visitor clicks or points to the hover button.
  • To preview the hover button as it will appear when a site visitor browses to the page on the World Wide Web, click the Preview tab, or click Preview in Browser on the File menu.


Create a banner ad

A banner ad is like a rotating billboard on a Web page. It displays a timed sequence of pictures using a transition effect between pictures.

Authors typically use banner ads to place advertising on pages.

  1. In Page view, position the insertion point where you want to create a banner ad.
  2. On the Insert menu, point to Component, and then click Banner Ad Manager.
  3. For each picture you want to display in the banner ad, click Add and then select the picture.
  4. The list in the Pictures to display box shows the pictures you've added and the sequence in which the pictures will be displayed. To change the sequence, select the URL of a picture in the list, and then click Move Up or Move Down.
  5. In the Transition effect box, select the effect you want to use between pictures.

    6. Tip The best way to select a transition effect is to create a banner ad and preview it, trying various effects until one matches your needs. To preview a banner ad, click the Preview tab, or click Preview in Browser on the File menu.

  6. To create a hyperlink from the banner ad, in the Link to box, type a URL. Or, click Browse to locate the destination page or file for the hyperlink.

Tip You can set properties for a banner ad you've already created if you want to adjust the pictures displayed, transition effect between pictures, duration of each picture, and so on.


Format a marquee

A marquee displays a scrolling text message. You can customize a marquee to achieve exactly the effects you want, as in the following example:

This marquee alternates between scrolling and sliding, repeats twice, and uses a yellow background color to set if off from surrounding text.

In Page view, right-click the marquee that you want to modify, and then click Marquee Properties.

  • To specify the text contained in a marquee, type the text you want to display in the Text box (there's no limit to the length).
  • To specify the direction that text in a marquee moves, click Left or Right.
  • To specify the speed that text in a marquee moves, in the Delay box, select or type the delay, in milliseconds, before the marquee text begins to move. In the Amount box, select or type the increment, in pixels, that the text in the marquee should move.
  • To specify the type of motion used to animate the text in a marquee, click Scroll if you want the marquee text to scroll across the screen like a stock ticker, click Slide if you want the marquee text to slide into view, or click Alternate if you want the marquee text to alternate between scrolling and sliding.
  • To align a marquee with surrounding text, click Top, Middle, or Bottom.
  • To specify the size of a marquee, select the Width or Height check box, type the width or height, and then select whether the width or height is given in pixels or as a percent of the browser window.
  • To specify how many times the text effect in a marquee is repeated, select the Continuously check box to repeat the marquee continuously. To repeat the marquee a fixed number of times, clear the Continuously check box, and then type the number of times the marquee should be repeated.
  • To set the background color of a marquee, in the Background color box, select the background color you want to display behind the marquee's scrolling text.

Tip You can also format the font in a marquee to adjust the font style, size, color, character spacing, and so on.


Format the font in a marquee

You can emphasize your marquee by formatting the font of the text displayed in the marquee. You can select a custom font or use a different font color, as in the following example:

The font in this marquee is set to Verdana bold italic, displayed in red.

  • In Page view, right-click the marquee you want to format, and then click Font Properties on the shortcut menu.
    • To format the font style, size, color, or effects, modify the settings on the Font tab.
    • To expand or condense the spacing between characters, or to raise or lower the text, modify the settings on the Character Spacing tab.

Tip You can also format a marquee to adjust properties such as the text displayed, marquee direction, and scrolling behavior.


Animate a page element

You can apply Dynamic HTML (DHTML) animation effects to just about anything on a page — text, paragraphs, pictures, buttons, marquees, and so on — and tie the effect to a trigger event, such as clicking a mouse, pointing a mouse, loading a page, and so on. You can create an animation that makes text fly in from the right when the page is loaded, as in the following example:

DHTML animation makes this text fly in from the right when the page is loaded.

  1. Select the page element you want to animate, and then click Dynamic HTML Effects on the Format menu.

    2. The DHTML Effects toolbar is displayed.

  2. In the On box, click the down arrow, and then select the event that will trigger the animation:
    • To start the animation when a site visitor points to the page element and clicks the left mouse button once, select Click.
    • To start the animation when a site visitor points to the page element and double-clicks the left mouse button, select Double click.
    • To start the animation when a site visitor points to and rests on the page element, select Mouse over.
    • To start the animation when the page is loaded in a site visitor's browser, select Page load.

    Note The events listed in the On box depend on the type of page element you selected.

  3. In the Apply box, click the down arrow, and then select the type of animation effect you want to occur:
    • To apply an animation that moves a page element, click Fly out, Fly in, Drop in by word, Elastic, or one of the other movement animations.
    • To apply an animation that changes the appearance of the page element, such as changing a font color or applying a border effect, click Formatting.
    • If you selected a picture, to apply an animation that swaps the picture with another one, click Swap picture.

    Note The effects listed in the Apply box depend on the type of page element you selected, and on the type of event you selected in step 2.

  4. In the Choose Settings box, click the down arrow, and then choose the settings for the effect:
    • If you applied Fly out animation in step 3, select the direction or type of movement, such as to left or to top-right by word.
    • If you applied Formatting animation in step 3, select Choose font to change the font style, size, color, effects, or character spacing, or select Choose border to change the border or shading.
    • If you selected a picture and a Swap picture effect in step 3, click Choose picture and then select the picture to swap on the event you selected in step 2.

    Note The settings listed in the Choose Settings box depend on the type of page element you selected and the type of effect you selected in the Apply box.

Tips

  • The best way to determine the type of animation you want is to experiment by applying different events and effects and then previewing the page in a browser. To preview the page, click the Preview tab, or click Preview in Browser on the File menu.
  • To remove the effect, click Remove Effect on the DHTML Effects toolbar. You can also remove animation in Page view by selecting the page element and pressing CTRL+SPACEBAR.
  • You can copy animation from one page element to another by using Format Painter Format Painter button. Select the element whose animation you want to copy, click Format Painter Format Painter button, and then click the page element to which you want to apply the animation.
  • You can apply multiple effects to most page elements. For example, you can animate text to fly in from the right when the page is loaded, and then add a border around the text that is displayed when a site visitor clicks it.


Create a transition effect for a page or web

You can create special effects that are displayed when a site visitor enters or leaves your site, or browses to or from a specific page. For example, this page uses a "vertical blinds" effect that lasts 5 seconds when a visitor browses to it the first time. By applying transition effects consistently and judiciously throughout your web, you can create slide-show-style presentations with professional-looking transitions between pages.

  1. In Page view, open the page for which you want to display the transition effect. On the Format menu, click Page Transition.
  2. In the Event box, click the the event that will trigger the transition effect. For example, click Page enter to display the transition effect when a site visitor browses to the page for the first time.
  3. In the Transition effect box, click the type of transition effect to use when the page is displayed or exited.

    4. Tip The best way to choose a transition effect is to create one, save the page, and preview the page in your browser.

  4. In the Duration box, type the amount of time that you want the transition effect to last.

Tip To animate a specific page element when a page is loaded, select the page element, and then click Dynamic HTML Effects on the Format menu. On the DHTML Effects toolbar, click Page load in the On box, and then select the animation effect and settings in the other boxes.


Set properties for a hover button

You can modify the text label, default hyperlink, effects, colors, and size of a hover button.

In Page view, right-click the hover button you want to modify, and then click Hover Button Properties on the shortcut menu:

  • To set the text label, type the label you want to use in the Button text box. If you type a long label, adjust the Width of the hover button to accommodate the long label.
  • To set the default hyperlink, in the Link to box, type the URL to the page or file you want to display when a site visitor clicks the hover button. Or, click Browse to locate the page or file.
  • To set the color of the button when it is initially displayed on the page, select the color you want to use in the Button color box.

    • Note If you click Custom and select a picture to use for the hover button, modifying the button color has no effect.

  • To set the background color of the button, select a background color for the hover button in the Background color box. The background color can't be made transparent; however, you can match its background color to the page's background color.
  • To set the hover effect, in the Effect box, select the visual effect that will be displayed when a site visitor points to the button.
  • To set the color of the hover effect, select the color for the hover effect in the Effect color box.
  • To set the size of the hover button, modify the settings in the Width and Height boxes, in pixels.

Tips

  • If you use a custom picture for the hover button, or if the button text is lengthy, set the width and height of the button to match the width and height of the picture or button text.
  • You can also set a picture for a hover button or set a picture for a hover effect on a hover button.
  • You can add a sound effect to a hover button to play a sound effect when a visitor clicks or points to the hover button.


Set a picture for a hover button

You can use a picture as the background of a hover button.

  1. In Page view, right-click the hover button, and then click Hover Button Properties on the shortcut menu.
  2. Click Custom.
  3. In the Button box, type the URL to the picture you want to use as the background for the hover button, and then click OK. Or, click Browse to locate the picture.
  4. In the Width and Height boxes, type the width and height of the picture in pixels, and then click OK. The size of the hover button must match the size of the picture.

Tip You can also set a picture for a hover effect on a hover button. When a site visitor points to the hover button, the picture for the hover effect is displayed.


Set a picture for a hover effect on a hover button

You can set a picture for a hover effect on a hover button. When a site visitor points to the hover button, the picture is displayed.

  1. In Page view, right-click the hover button, and then click Hover Button Properties on the shortcut menu.
  2. Click Custom.
  3. In the On hover box, type the URL to the picture you want to use for the hover effect on the hover button, and then click OK. Or, click Browse to locate the picture.
  4. In the Width and Height boxes, type the width and height of the picture in pixels, and then click OK. The size of the hover button must match the size of the picture you use for the hover effect.

Tip You can also set a picture for a hover button.


Set properties for a banner ad

You can modify the the size, transition effect, duration and order of pictures displayed for a banner ad.

In Page view, right-click the banner ad you want to modify, and then click Banner Ad Manager Properties on the shortcut menu:

  • To set the size of the banner ad, type the size of the banner ad in pixels in the Width and Height boxes. The size should match the size of the largest picture displayed in the ad.
  • To set the transition effect to display between pictures, in the Transition effect box, click the type of transition effect you want to use.

    • Tip The best way to select a transition effect is to create a banner ad and preview it, trying various effects until one matches your needs. To preview a banner ad, click the Preview tab, or click Preview in Browser on the File menu.

  • To set the duration that pictures are displayed, in the Show each picture for (seconds) box, type the duration, in seconds, that each picture in the banner ad should be displayed.
  • To set the default hyperlink for a banner ad, type the URL of the destination page for the hyperlink in the Link to box. Or, click Browse to locate the page or file.
  • To set the pictures displayed in the ad, check the list in the Pictures to display box, which shows the pictures in the order that they will be displayed in the banner ad. To add a picture to the list, click Add. To remove a picture from the list, click Remove. To reorder the list, click the picture you want to move, and then click Move Up or Move Down.


Highlight animated elements on the Normal tab in Page view

When you're editing a page on the Normal tab in Page view, you can turn on highlighting beneath page elements that use Dynamic HTML (DHTML) animations or effects, such as text that flies off the page or an image that changes when a site visitor clicks it. You can then see at a glance which page elements use DHTML animation or effects.

  1. On the View menu, point to Toolbars, and then click DHTML Effects if it is not already checked.
  2. On the DHTML Effects toolbar, click Highlight DHTML Effects Highlight DHTML Effects button

Tips

  • To quickly view the details about an effect applied to an element, point to the element.
  • You can copy animation from one page element to another by using Format Painter Format Painter button. Select the element whose animation you want to copy, click Format Painter Format Painter button, and then click the page element to which you want to apply the animation.
  • To remove an animation from a page element, select the page element and press CTRL+SPACEBAR.


Modify the animation of a page element

You can apply Dynamic HTML (DHTML) animation effects to just about anything on a page — text, paragraphs, pictures, buttons, marquees, banner ads, and so on — and tie the effect to a trigger event, such as clicking a mouse, pointing a mouse, loading a page, and so on. You can create an animation that makes text fly in from the right when the page is loaded, as in the following example:

DHTML animation makes this text fly in from the right when the page is loaded.

  1. In Page view, select the animated page element you want to modify, and then click Dynamic HTML Effects on the Format menu.

    2. The DHTML Effects toolbar is displayed.

  2. In the On box, click the down arrow, and then select the event that will trigger the animation:
    • To start the animation when a site visitor points to the page element and clicks the left mouse button once, select Click.
    • To start the animation when a site visitor points to the page element and double-clicks the left mouse button, select Double click.
    • To start the animation when a site visitor points to and rests on the page element, select Mouse over.
    • To start the animation when the page is loaded in the site visitor's browser, select Page load.

    Note The events listed in the On box depend on the type of page element you selected.

  3. In the Apply box, click the down arrow, and then select the type of animation effect you want to occur:
    • To apply an animation that moves a page element, click Fly out, Fly in, Drop in by word, Elastic, or one of the other movement animations.
    • To apply an animation that changes the appearance of the page element, such as changing a font color or applying a border effect, click Formatting.
    • If you selected a picture, to apply an animation that swaps the picture with another one, click Swap picture.

    Note The effects listed in the Apply box depend on the type of page element you selected, and on the type of event you selected in step 2.

  4. In the Choose Settings box, click the down arrow, and then choose the settings for the effect:
    • If you applied Fly out animation in step 3, select the direction or type of movement, such as to left or to top-right by word.
    • If you applied Formatting animation in step 3, select Choose font to change the font style, size, color, effects, or character spacing, or select Choose border to change the border or shading.
    • If you selected a picture and a Swap picture effect in step 3, click Choose picture and then select the picture to swap on the event selected in step 2.

    Note The settings listed in the Choose Settings box depend on the type of page element you selected, and the type of effect you selected in the Apply box.

Tips

  • To highlight page elements that use DHTML animation, click Highlight DHTML Effects Highlight DHTML Effects button on the DHTML Effects toolbar.
  • To quickly view the details about a DHTML animation applied to a page element, point to the element.
  • The best way to determine the type of animation you want is to experiment by applying different events and effects and then previewing the page in a browser. To preview the page, click the Preview tab, or click Preview in Browser on the File menu.
  • To remove the effect, click Remove Effect on the DHTML Effects toolbar. You can also remove animation in Page view by selecting the page element and pressing CTRL+SPACEBAR.
  • You can copy animation from one page element to another by using Format Painter Format Painter button. Select the element whose animation you want to copy, click Format Painter Format Painter button, and then click the page element to which you want to apply the animation.
  • You can apply multiple effects to most page elements. For example, you can animate text to fly in from the right when the page is loaded, and then add a border around the text when a site visitor clicks it.


Remove animation from a page element

If you've applied Dynamic HTML (DHTML) animation or special effects to a page element, you can easily remove the animation without removing the page element. For example, if you've created an animation in which a paragraph flies off the page to the left when clicked, you can remove the animation but leave the paragraph intact.

  • In Page view, select the page element from which you want to remove the animation or effect, and then press CTRL+SPACEBAR. Or, if the DHTML Effects toolbar is displayed, click Remove Effect.

Tips

  • To highlight page elements that use DHTML animation, click Highlight DHTML Effects Highlight DHTML Effects button on the DHTML Effects toolbar.
  • You can copy animation from one page element to another by using Format Painter Format Painter button. Select the element whose animation you want to copy, click Format Painter Format Painter button, and then click the page element to which you want to apply the animation.


Set properties for a video

You can specify how to play a video in a site visitor's Web browser.

  1. In Page view, right-click the video, and then click Picture Properties on the shortcut menu.
  2. On the Video tab, to display video controls in the Web browser so that the site visitor can control the video playback, select the Show controls in browser check box.

    3. Note Some Web browsers do not support this feature.

  3. To play the video whenever the page is loaded in a site visitor's Web browser, select the On file open check box.
  4. To play the video whenever a site visitor moves the mouse over the video, select the On mouse over check box.
  5. In the Loop box, enter the number of times you want to play the video, or select Forever for continuous play. To set a delay between playbacks, enter the delay time in milliseconds in the Loop delay box.

Tip If Microsoft Internet Explorer is installed on your computer, you can see how the video will be played with its current settings by clicking the Preview tab.


Add a Java applet

  1. On the Insert menu, point to Advanced, and then click Java Applet.
  2. In the Applet source box, type the name of the Java applet source file. Java applet source files usually have a CLASS filename extension.
  3. In the Applet base URL box, type the URL of the folder containing the Java applet source file.
  4. In the Message for browsers without Java support box, type HTML or plain text to display in place of the Java applet on Web browsers that do not support Java applets.
  5. Under Applet parameters, for each parameter that you want to pass to the Java applet, click Add and then type the parameter's name and — if required — value.

    6. Note Since Java does not provide a mechanism for displaying the valid properties and values for a given applet, consult the documentation that comes with the Java applet, and then specify the correct parameter names and legal values for each parameter.

  6. Under Size and Layout, specify the alignment, horizontal and vertical spacing, and width and height for the Java applet.
  7. If you want to specify cascading style sheet properties as an inline style for the Java applet, click the Style button.


Add a video

You can add a video to your page. You can add any type of video that can be played by the Windows Media Player.

  1. In Page view, position the insertion point where you want to insert a video.
  2. On the Insert menu, point to Picture, and then click Video.
  3. If the video clip file is not in a web, click the File button File button.
  4. Browse to the video file and select it.

Tip If Microsoft Internet Explorer is installed on your computer, you can click the Preview tab to preview the video.

Note Some Web browsers do not support video.


Set a background sound for a page

You can set a background sound for a page. When a site visitor opens the page, the sound is played. You can play the sound continuously, or play it a specified number of times.

Note This feature is not supported by all Web browsers.

  1. In Page view, right-click the page, and then click Page Properties on the shortcut menu.
  2. On the General tab under Background sound, in the Location box, type the sound file you want to play, or click Browse to locate the file.
  3. To play the sound continuously, select the Forever checkbox.
  4. To play the sound a fixed number of times, clear the Forever checkbox, and enter the number of times you want the sound to play in the Loop box.


Define a variable

Define a variable that you want to display on your web pages. Variables are useful for content that might change. For example, you want to refer to a product throughout your web, but the name might change. You define a variable for the product (you set a name and value, such as Product and MyProduct's Name 1.0), and then place the variable on your pages. If the product name changes, you simply change the value of the variable you defined, and then new the product name is automatically displayed in your web.

  1. On the Tools menu, click Web Settings, and then click the Parameters tab.
  2. Click Add.
  3. In the Name box, type a name for the variable.
  4. In the Value box, type a value for the variable.


Display a page on another page

You can display an HTML page on another page in the web, allowing you to maintain separate pages. For example, to display a copyright notice on several pages in a web, create one page that contains the copyright notice, and include that page on other pages in the web. When you update the copyright notice, you simply update that one page; all other pages that include the copyright page will be automatically updated.

Note This feature only works for pages in a web.

  1. In Page view, position the insertion point where you want to include a page.
  2. On the Insert menu, point to Component, and then click Insert Page.
  3. In the Page to include box, type the relative URL of the page to include, or click Browse to find the file.


Schedule a page or picture to appear on another page

You can set a page or picture to be displayed on another page during a specific time period. This feature is useful for time-sensitive content. For example, you can display a special advertisement during a holiday weekend.

You can also specify a page or picture to be displayed outside of the time period; for example, you can specify a regular advertisement to be displayed before and after the holiday weekend.

Note The Web server's clock is used to determine the time period.

  1. In Page view, position the insertion point where you want to display another page or picture.
  2. On the Insert menu, point to Component, and then click Scheduled Include Page or Scheduled Picture.
  3. In the During the scheduled time box, type the relative URL of the page or picture to include, or click Browse to locate it.
  4. Under Starting, specify the year, month, day, and time at which you want to start displaying the page or picture.
  5. Under Ending, specify the year, month, day, and time at which you want to stop displaying the page or picture.
  6. To specify a page or picture to display outside the specified time period, in the Before and after the scheduled time box, type the relative URL of the page or picture you want to include, or click Browse to locate it.


Display a variable on a page

You can display the value of a variable on a page. The variable can either be a system variable (such as the page author's name, name of the person who last modified the page, the description of the page, or the page URL), or a variable you have defined.

Variables are useful for content that might change. For example, you want to refer to a product throughout your web, but the name might change. You define a variable for the product (you set a name and value, such as Product and MyProduct's Name 1.0), and then place the variable on your pages. If the product name changes, you simply change the value of the variable you defined, and then new the product name is automatically updated in your web.

  1. In Page view, position the insertion point where you want to display a variable.
  2. On the Insert menu, point to Component, and then click Substitution.
  3. In the Substitute with box, click a variable from the list.


Set properties for a Java applet

  1. In Page view, right-click the Java applet that you want to modify, and then click Java Applet Properties on the shortcut menu.
  2. In the Message for browsers without Java support box, type HTML or plain text to display in place of the Java applet on Web browsers that do not support Java applets.
  3. Under Applet parameters, for each parameter that you want to pass to the Java applet, click Add and then type the parameter's name and — if required — value.

    4. Note Since Java does not provide a mechanism for displaying the valid properties and values for a given applet, consult the documentation that comes with the Java applet, and then specify the correct parameter names and legal values for each parameter.

  4. Under Size and Layout, specify the alignment, horizontal and vertical spacing, and width and height for the Java applet.
  5. If you want to specify cascading style sheet properties as an inline style for the Java applet, click the Style button.


Add a plug-in

  1. On the Insert menu, point to Advanced, and then click Plug-In.
  2. In the Data source box, type the URL or file location of the plug-in, or click Browse to locate the plug-in.
  3. In the Message for browsers without plug-in support box, type HTML or plain text to display in place of the plug-in on Web browsers that don't support plug-ins.
  4. Under Size, specify the plug-in's width and height.
  5. If you want the plug-in to be hidden when the page is viewed in a Web browser, select the Hide plug-in check box.
  6. Under Layout, specify the alignment, border thickness, and horizontal and vertical spacing for the plug-in.
  7. If you want to specify cascading style sheet properties as an inline style for the plug-in, click the Style button.


Set properties for a plug-in

  1. In Page view, right-click the plug-in that you want to modify, and then click Plug-In Properties on the shortcut menu.
  2. In the Message for browsers without plug-in support box, type HTML or plain text to display in place of the plug-in on Web browsers that don't support plug-ins.
  3. Under Size, specify the plug-in's width and height.
  4. If you want the plug-in to be hidden when the page is viewed in a Web browser, select the Hide Plug-In check box.
  5. Under Layout, specify the alignment, border thickness, and horizontal and vertical spacing for the plug-in.
  6. If you want to specify cascading style sheet properties as an inline style for the plug-in, click the Style button.


Add an ActiveX control

You can use the latest Microsoft ActiveX controls in your web to insert everything from calendars to stock tickers on your pages. Visit the Microsoft Site Builder Network tools gallery at http://www.microsoft.com/gallery/default.asp to read about or download the latest controls.

  1. On the Insert menu, point to Advanced, and then click ActiveX Control.
  2. The Select a control list shows a subset of ActiveX controls currently installed on your computer. Click the control you want to insert, and then click OK.

Tip You can add or remove ActiveX controls from the list of controls from which you can choose in step 2.


Set properties for an ActiveX control

  • In Page view, right-click the ActiveX control that you want to modify, and then click ActiveX Control Properties on the shortcut menu.

Note The properties listed are specific to each ActiveX control; consult the documentation that came with the control to set its properties.


Add or remove ActiveX controls from the list

The Select a control list in the Insert ActiveX Control dialog box shows a subset of the ActiveX controls installed on your computer. You can add or remove ActiveX controls from this list.

Tip You can use the latest Microsoft ActiveX controls in your web to insert everything from calendars to stock tickers on your pages. Visit the Microsoft Site Builder Network tools gallery at http://www.microsoft.com/gallery/default.asp to read about or download the latest controls.

  1. In Page view, point to Advanced on the Insert menu, and then click ActiveX Control.
  2. Click Customize.
  3. In the Control name list, select the check boxes of the ActiveX controls that you want to make available, or clear the check boxes of the ActiveX controls that you do not want to make available.

Notes

  • This procedure does not install or remove ActiveX controls from your computer. Whenever you download, install, register, or otherwise add an ActiveX control to your computer, that control is added to the Control name list in the Customize ActiveX Control List dialog box.. Similarly, when you uninstall, delete, or otherwise remove an ActiveX control from your computer, that control is automatically removed from the Control name list.
  • Some ActiveX controls that are known to cause errors in FrontPage are automatically excluded from the list of available controls, even if they are installed on your computer.


Create a message to display in browsers without Java support

  1. In Page view, right-click the Java applet that you want to modify, and then click Java Applet Properties on the shortcut menu.
  2. In the Message for browsers without Java support box, type HTML or plain text to display in place of the Java applet on Web browsers that do not support Java applets.


Create a message to display in browsers without plug-in support

  1. In Page view, right-click the plug-in that you want to modify, and then click Plug-In Properties on the shortcut menu.
  2. In the Message for browsers without plug-in support box, type HTML or plain text to display in place of the plug-in on Web browsers that do not support plug-ins.


Hide a plug-in

  1. In Page view, right-click the plug-in that you want to modify, and then click Plug-In Properties on the shortcut menu.
  2. To hide the plug-in when a site visitor views the page in a Web browser, select the Hide plug-in check box.


Add a design-time control

Design-time controls are unique. When you add a design-time control to a page in Page view, it's displayed as a control (such as a data header control) that you can script and set properties for. However, a site visitor browsing to the page will see the results or output of the control, such as a table containing the results of a database query.

You can download design-time controls from the World Wide Web, or install design-time controls that you've purchased. After the controls have been downloaded, or installed, you can add them to your pages.

  1. On the Insert menu, point to Advanced, and then click Design-Time Control.
  2. The Select a control list shows a subset of the design-time controls installed on your computer. Click the control you want to insert, and then click OK.

Tip You can add or remove design-time controls from the list of controls from which you can choose in step 2.

Notes

  • If you click the HTML tab, you'll see that the design-time control inserts <!--METADATA> comment tags identifying the control. Within the comment tags are an <OBJECT> tag representing the control, followed by the parameters and values for the control and any script that the control might generate.
  • Design-time controls that rely on data bindings may not function properly, or may have limited functionality, in FrontPage. Consult the documentation for the design-time control to determine if you can use it properly in FrontPage.


Set properties for a design-time control

  • In Page view, right-click the design-time control that you want to modify, and then click Design-Time Control Properties on the shortcut menu.

Note The properties listed are specific to each design-time control; consult the documentation that came with the control to set its properties.


Add or remove design-time controls from the list

The Control name list in the Customize Design-Time Control List dialog box shows all of the design-time controls installed on your computer. You can add or remove design-time controls from this list.

  1. In Page view, point to Advanced on the Insert menu, and then click Design-Time Control.
  2. Click Customize.
  3. In the Control name list, select the check boxes of the design-time controls that you want to make available, or clear the check boxes of the design-time controls that you do not want to make available.

Notes

  • This procedure does not install or remove design-time controls from your computer. Whenever you download, install, register, or otherwise add a design-time control to your computer, that control is automatically added to the Control name list. Similarly, when you uninstall, delete, or otherwise remove a design-time control from your computer, that control is automatically removed from the Control name list.


Select the design-time control scripting platform

You can specify whether design-time controls that write script should execute that script on the server or on the client.

  1. In Page view, open the page containing (or that will contain) design-time controls. Click Properties on the File menu, and then click the General tab.
  2. In the Platform box, click Client to execute script on the client, or Server to execute script on the server.

Note If a given design-time control specifies whether the control executes script on the server or the client, the control's settings will override the setting you choose here.


Select the design-time control server script language

You can specify the scripting language used by design-time controls that write server script.

  1. In Page view, open the page containing (or that will contain) design-time controls. Click Properties on the File menu, and then click the General tab.
  2. In the Server box, select the server script language:
    • Click Inherit from web to use the default scripting language for the current web.
    • Click JavaScript to use JavaScript.
    • Click VBScript to use VBScript.

Note If a given design-time control specifies which scripting language the control writes, the control's settings will override the setting you choose here.


Select the design-time control client script language

You can specify the scripting language used by design-time controls that write client script.

  1. In Page view, open the page containing (or that will contain) design-time controls. Click Properties on the File menu, and then click the General tab.
  2. In the Client box, select the script language:
    • Click Inherit from web to use the default scripting language for the current web.
    • Click JavaScript to use JavaScript.
    • Click VBScript to use VBScript.

Note If a given design-time control specifies which scripting language the control writes, the control's settings will override the setting you choose here.


Show or hide design-time controls on the Normal tab in Page view

Design-time controls are unique. When you add a design-time control to a page in Page view, it's displayed as a control (such as a data header control) that you can script and set properties for. However, a site visitor browsing to the page will see the results or output of the control, such as a table containing the results of a database query.

  • To show design-time controls, point to Advanced on the Insert menu, and then click Show Design-Time Controls. The icon next to the command name appears pressed in.
  • To hide design-time controls, point to Advanced on the Insert menu, and then click Show Design-Time Controls so that the icon next to the command name does not appear pressed in. Instead of displaying controls, Microsoft FrontPage will display text describing the controls (this text is taken from each control's ID tag).


About graphics

To learn more about graphics, click the one below.

To display this topic, click the graphic.


How graphics affect your web

To learn more about how graphics affect your web, click the graphic below.

To display this topic, click the graphic.


Add a picture from a file

You can add a picture from your local file system. Pictures can have the following file formats: GIF (standard and animated), JPEG (standard and progressive), BMP (Windows and OS/2), TIFF, TGA, RAS, EPS, PCX, PNG, PCD (Kodak Photo CD), and WMF.

When you save the page, Microsoft FrontPage prompts you to save the picture to your web. If the picture is not in GIF or JPEG format, pictures that use 256 or fewer distinct colors are automatically converted to GIF, and all other pictures are converted to JPEG.

  1. In Page view, position the insertion point where you want to insert a picture.
  2. Click Insert Picture Insert Picture button.
  3. Click File File button.
  4. Browse to the picture you want from your local file system and then select the file. You can specify the type of file you want to view in the Files of type box.


Add a picture from a web

You can add a picture from the current web or from another web. Pictures can have the following file formats: GIF (standard and animated), JPEG (standard and progressive), BMP (Windows and OS/2), TIFF, TGA, RAS, EPS, PCX, PNG, PCD (Kodak Photo CD), and WMF.

When you save the page, Microsoft FrontPage prompts you to save the picture to your web. If the picture is not in GIF or JPEG format, pictures that use 256 or fewer distinct colors are automatically converted to GIF, and all other pictures are converted to JPEG.

  1. In Page view, position the insertion point where you want to insert a picture.
  2. Click Insert Picture Insert Picture button.
  3. Browse to the picture, and then select the file.


Add a picture from a site on the World Wide Web

You can add a picture from a site on the World Wide Web. The picture can be added to the web if you choose to save it to the web. You can choose not to save the picture to your web, and in that case, a reference to the picture on the other Web site is created on your page. However, if the picture is removed from the other Web site, you will no longer see the picture on your own page.

Pictures can have the following file formats: GIF (standard and animated), JPEG (standard and progressive), BMP (Windows and OS/2), TIFF, TGA, RAS, EPS, PCX, PNG, PCD (Kodak Photo CD), and WMF.

  1. In Page view, position the insertion point where you want to insert a picture.
  2. Click Insert Picture Insert Picture button.
  3. In the URL box, type the exact location and name of the picture you want to insert. For example, type http://www.microsoft.com/sample.gif.

    4. Or, click World Wide Web World Wide Web button to open your Web browser and browse to the picture you want. Press ALT+TAB to switch back to Microsoft FrontPage. The location you visited will be displayed in the URL box.

    Note The location in the URL box must refer to the picture rather than to its HTML page, otherwise your page will not display the picture.

    If the World Wide Web page does not provide a hyperlink to the picture, do one of the following:

    • If you are using Netscape Navigator 4.x or later, right-click the picture, click Copy Image Location on the shortcut menu, switch back to FrontPage, and then paste over the text in the URL box.
    • If you are using Microsoft Internet Explorer 4.x or later, right-click the picture, click Copy on the shortcut menu, switch back to FrontPage, click Cancel, and then paste the picture directly onto your page. This inserts a reference on your page to the picture on the Web site.


Add clip art

Microsoft FrontPage includes the Microsoft Clip Gallery. You can preview clip art, pictures, and videos, and then select items to use on your page.

  1. In Page view, position the insertion point where you want to insert clip art.
  2. On the Insert menu, point to Picture, and then click Clip Art.
  3. Browse the Microsoft Clip Gallery to find the clip art you want to use, right-click a graphic, and then click Insert on the shortcut menu.
  4. Close the Microsoft Clip Gallery.


Change the brightness of a picture

You can increase or decrease the brightness of a picture.

Increased brightness
Increased brightness 		Decreased brightness
Decreased brightness
  1. In Page view, click the picture. If you want to change the brightness of the background picture, you do not need to make a selection.
  2. On the Pictures toolbar, click More Brightness More Brightness button to increase the brightness of the picture. Click Less Brightness Less Brightness button to decrease the brightness.

Tip To display the Pictures toolbar, point to Toolbars on the View menu, and then click Pictures.


Change the color contrast of a picture

You can increase or decrease the contrast of color in a picture, for example to sharpen a picture.

More contrast
More contrast 		Less contrast
Less contrast
  1. In Page view, click the picture. If you want to change the contrast of the background picture, you do not need to make a selection.
  2. On the Pictures toolbar, click More Contrast More Contrast button to increase the contrast of the picture. Click Less Contrast Less Contrast button to decrease the contrast.

Tip To display the Pictures toolbar, point to Toolbars on the View menu, and then click Pictures.


Convert a picture to black and white

You can convert a picture to black and white (grayscale).

Color picture
Color picture 		Black and white picture
Black and white picture
  1. In Page view, click the picture. If you want to convert the background picture to black and white, you do not need to make a selection.
  2. On the Pictures toolbar, click Black and White Black and White button.

Tip To display the Pictures toolbar, point to Toolbars on the View menu, and then click Pictures.


Crop a picture

By cropping a picture, you can remove areas of the picture that you don't want to use. Cropping also lets you change the proportions of the picture; for instance, you can crop a picture to be more narrow.

Before
Before 		After
After
  1. In Page view, click the picture.
  2. Click Crop Crop button on the Pictures toolbar.

    3. A cropping box appears on the picture.

  3. By clicking and dragging the handles on the box, resize the box to include the part of the picture that you want to keep. To draw the cropping box yourself, click outside the cropping box but inside the picture, and then draw the box.
  4. Click Crop Crop button again to remove the area outside of the cropping box.


Rotate a picture

You can rotate a picture 90 degrees clockwise or counterclockwise.

Original | Rotate left | Rotate right
Original | Rotate left Rotate left | Rotate right Rotate right
  1. In Page view, click the picture. If you want to rotate the background picture, you do not need to make a selection.
  2. On the Pictures toolbar, click Rotate Left Rotate Left button to rotate the picture 90 degrees counterclockwise. Click Rotate Right Rotate Right button to rotate the picture 90 degrees clockwise.

Tip To display the Pictures toolbar, point to Toolbars on the View menu, and then click Pictures.


Flip a picture

You can flip pictures horizontally (which turns the picture upside down) or vertically (which makes a mirror image).

Original | Flip horizontally | Flip vertically
Original | Flip horizontally Flip horizontally | Flip vertically Flip vertically
  1. In Page view, click the picture. If you want to flip the background picture, you do not need to make a selection.
  2. On the Pictures toolbar, click Flip Vertical Flip Vertical button to turn the picture upside down. Click Flip Horizontal Flip Horizontal button to create a mirror image.

Tip To display the Pictures toolbar, point to Toolbars on the View menu, and then click Pictures.


Wash out the color of a picture

You can wash out the color of a picture, which reduces the picture's contrast and increases its brightness. This feature is useful when you want to create a watermark, or use a picture as a background.

Original
Original 		Washed out
Washed out
  1. In Page view, click the picture. If you want to wash out the background picture, you do not need to make a selection.
  2. On the Pictures toolbar, click Wash Out Wash Out button.

Tip To display the Pictures toolbar, point to Toolbars on the View menu, and then click Pictures.


Make a color in a picture transparent

You can select one color in a picture to be transparent, and then wherever that color appears, the background will show through. Pictures can have only one transparent color. If you select a transparent color for a picture that already has one specified, the original transparent color will no longer be transparent.

When you save the page, Microsoft FrontPage prompts you to save the picture in GIF format, even if the original picture is in JPEG format (JPEG format does not support transparency.) If FrontPage converts the picture from another file format to GIF, the number of colors in the picture may be reduced and the picture file may become larger.

Original
Original 		Transparent color
Transparent color
  1. In Page view, click the picture.
  2. On the Pictures toolbar, click Set Transparent Color Set Transparent Color button.
  3. Click the color in the picture that you want to make transparent.


Put text on a picture

You can put text on a picture, for instance, if you want to label it. The text you add will not affect the picture file in your web.

  1. In Page view, click the picture.
  2. On the Pictures toolbar, click Text Text button.
  3. If the picture is in JPEG format, Microsoft FrontPage prompts you to save it in GIF format, because text is not supported on JPEG pictures. If FrontPage converts the picture to GIF format, the number of colors in the picture might be reduced and the file might become larger. Click OK.

    4. If the picture is in a different format, such as BMP, FrontPage prompts you to save it as a GIF when you save the page.

  4. Type the text into the box that is displayed on the picture.
    • You can resize the text box by clicking and dragging the resize handles.
    • You can move the text box by clicking inside the box and dragging it.
    • You can format the text — for example, you can change the font or color, as you would other text. Click the text box, and then select the text.


Resample a picture

Resampling a picture changes its pixel size to match its current display size. For example, if you resize a picture to 50% of its original size, the picture appears smaller on the page, but the file size is unchanged — resizing a picture only changes the HTML tags that tell the Web browser how to display the picture. But, when you resample the picture, the file size is reduced to match the smaller size.

Before you can resample a picture, you must resize it.

  1. In Page view, click the picture that you have resized.
  2. On the Pictures toolbar, click Resample Resample button.


Add a beveled border to a picture

You can add a beveled border to a picture to give it a raised, three-dimensional appearance. This feature is useful if you want to use the picture as a button.

Original
Original 		Beveled
Beveled
  1. In Page view, click the picture. If you want to bevel the background picture, you do not need to make a selection.
  2. On the Pictures toolbar, click Bevel Bevel button.

Tip To display the Pictures toolbar, point to Toolbars on the View menu, and then click Pictures.


Restore a picture

If you do not like the results of picture-editing commands (such as cropping, resizing, rotation, and so on), you can undo all the changes you have made to the picture since you last saved it or added it to the page.

  1. In Page view, click the picture. If you want to restore the background picture, you do not need to make a selection.
  2. On the Pictures toolbar, click Restore Restore button.

Tip To display the Pictures toolbar, point to Toolbars on the View menu, and then click Pictures.


Create a thumbnail of a picture

You can use FrontPage to create a thumbnail, which is a small version of a picture that a site visitor clicks in order to follow a hyperlink to the full-size picture.

A thumbnail is useful when you have a large picture that might take a long time to download, depending on the site visitor's system. Rather than forcing the site visitor to download a large picture, you can provide a thumbnail, allowing the visitor to choose whether to view the full-size version.

Click this thumbnail, and then click the Back button to return to this topic:

Click this thumbnail

  1. In Page view, click the picture.
  2. On the Pictures toolbar, click Auto Thumbnail Auto Thumbnail button.

    3. FrontPage creates the thumbnail picture and a hyperlink to the original full-size picture.

    Note Auto Thumbnail Auto Thumbnail button will be unavailable if the picture you selected is already smaller than a thumbnail, if the picture has a hyperlink or hotspots set for it, or if the picture is an animation.

Tip You can change the settings for the way thumbnails are created, for example to change the size or borders of thumbnails.


Set the border properties for a graphic

You can add a border to a picture, animated GIF, clip art, or video. If you set a default hyperlink for the graphic, Microsoft FrontPage automatically puts a border on the graphic as a way to indicate to site visitors that they can click the graphic.

You can set the width of the border, or — if you do not want a border — you can remove it. By default, the border is black. However, if the graphic has a default hyperlink, the border will have the colors that you specified for hyperlinks (these colors are set in the Page Properties dialog box).

  1. In Page view, right-click the graphic, click Picture Properties on the shortcut menu, and then click the Appearance tab.
  2. In the Border thickness box, enter a value to indicate the width of the border in pixels. To remove the border, type 0.


Open a picture to edit it

You can open a picture to edit it. First, you must specify the editing program to use for the types of picture files you are using, such as GIF, JPEG, BMP, and so on.

  • In Page view, double-click the picture.

Note If you double-click an animated GIF, FrontPage opens the editor that you have set for standard GIF files — you cannot specify a different application for animated GIFs.


Resize a graphic

You can resize graphics such as pictures, animated GIFs, and videos. You can resize a graphic by changing its height and width properties, or you can resize it directly on the page.

Resizing a graphic changes the HTML tags that tell a Web browser how to display the graphic; the actual graphic file is not changed. For example, you want to reduce the download time for a page with a large picture. If you only resize the picture, it will be displayed in a smaller area on a site visitor's screen, but its file size and the download time are unchanged. To decrease the file size of a picture and its download time, resample the picture after resizing it.

  1. In Page view, right-click the graphic, click Picture Properties on the shortcut menu, and then click the Appearance tab.
  2. Select the Specify size check box.
  3. If you want to preserve the height-to-width proportions, select the Keep aspect ratio check box. If you select this check box and then enter a pixel value in either the Width or Height box, Microsoft FrontPage automatically changes the value in the other box to preserve the graphic's proportions.
  4. Specify whether you want to change the size in pixels or percentage, and then enter values in the Width and Height boxes.

Tip You can also resize the graphic directly. Click the graphic, and then resize it by clicking and dragging the handles on the graphic. To resize the graphic and preserve its proportions (its aspect ratio), drag a corner handle. When you drag a side handle, the graphic will be distorted.


Set the alignment and spacing of a graphic

You can specify how pictures and videos appear on the page by setting their alignment and horizontal and vertical spacing. For example, you can select an alignment option that positions the graphic on right side of the page, with text flowing on the left. Or, set the horizontal spacing to 10, which puts a margin of 10 pixels on the left and right sides of the graphic.

  1. In Page view, right-click the graphic, click Picture Properties on the shortcut menu, and then click the Appearance tab.
  2. In the Alignment box, click an option to specify how you want the graphic to be aligned on the page. For example, to align the picture to the left side of the page and have text flow to the right of it, click Left. You can experiment with each option to see its effect.
  3. In the Horizontal spacing box, enter how much space in pixels you want displayed on the left and right sides of the graphic.
  4. In the Vertical spacing box, enter how much space in pixels you want displayed on the top and bottom sides of the graphic.


Specify text to display in place of a graphic

You can specify ALT text, which is text that is displayed in place of a graphic if the graphic cannot be displayed in a Web browser. Some Web browsers also display ALT text while the graphic is downloading, or when a site visitor moves her mouse pointer over the graphic.

Move your mouse pointer over this picture to see its ALT text:

This is ALT text

  1. In Page view, right-click the graphic, click Picture Properties on the shortcut menu, and then click the General tab.
  2. Under Alternative representations in the Text box, type the ALT text for the graphic.


Specify a low-resolution version of a graphic

You can display a low-resolution version of a graphic while the site visitor's Web browser is downloading the final version. This feature is useful when you have a large or high-resolution picture. If the picture is an image map, site visitors with slow Internet connections can proceed to click hotspots based on the low-resolution picture, without having to wait for the entire high-resolution picture to finish downloading.

First you must create a low-resolution version of your picture. Open your picture in a graphics program, such as Microsoft Image Composer, and reduce the color depth (number of colors) in the picture. The fewer colors you specify for the low-resolution version of the picture, the faster it will be displayed in a Web browser. Because the low-resolution picture is intended as a placeholder for the high-resolution picture, you should not change the height or width of the picture.

Note Some Web browsers do not support this feature.

  1. In Page view, right-click the picture, click Picture Properties on the shortcut menu, and then click the General tab.
  2. In the Low-Res box, type the file name for the alternate low-resolution picture, or click Browse to locate it:
    • If the picture is in a web, browse to the web and folder that contains the picture, and then select the picture you want.
    • If the picture is on your local network, click File File button, and then browse to the picture you want from your local network.
    • If the picture is on the World Wide Web, click World Wide Web World Wide Web button. In your Web browser, browse to the picture that you want, and then switch back to Microsoft FrontPage. The location of the page you visited will be displayed in the URL box.


Set properties for creating thumbnails

You can specify how you want Microsoft FrontPage to create thumbnails for pictures. You can set properties for the thumbnail size and borders.

Note Any changes you make to thumbnail properties do not affect thumbnails you have already created.

  1. On the Tools menu, click Page Options, and then click the AutoThumbnail tab.
  2. In the Set box, click the option you want to use for specifying a size, then in the Pixels box, enter the value in pixels.

    3. For example, if you want thumbnail pictures to be 75 pixels wide, click Width and then enter 75. The height of the thumbnail will be sized to maintain the proportions (aspect ratio) of the original picture. Or, if you select Shortest side and then enter 75, the shortest side of any thumbnail picture, whether height or width, will be 75 pixels.

  3. To specify a border, select Border thickness, and then in the Pixels box, enter a value for the thickness of the border in pixels.
  4. If you want the graphic to be beveled, select Beveled edge. If you have also specified a border thickness, the thumbnail will have a beveled edge inside of a border.


Convert a picture to GIF, JPEG, or PNG format

You can convert a picture to GIF, JPEG, or PNG format. For example, if you want to set a transparent color for a JPEG picture, you must first convert the picture to GIF format.

  1. In Page view, right-click the picture, and then click Picture Properties on the shortcut menu.
  2. On the General tab, do one of the following:
    • To convert the picture to GIF format, click GIF. If you want to display the picture with increasing detail as it is downloaded, select Interlaced.

      • Note You cannot set the transparent color in this dialog box, but you can clear the Transparent check box if you do not want a transparent color for the picture.

    • To convert the picture to JPEG format, click JPEG. You can also specify the quality of the JPEG picture by entering a value from 1 to 100 in the Quality box. The higher the value, the lower the compression and the greater the file size. In the Progressive passes box, you can specify the number of passes that a Web browser makes in order to resolve a picture as it downloads.

      • Note Some Web browsers do not support progressive passes.

    • To convert the picture to PNG format, click PNG.


Set properties for a GIF or JPEG picture

You can set properties for pictures in GIF and JPEG format.

For a GIF, you can specify whether to allow a transparent color and whether the picture is interlaced (that is, whether the picture is displayed with increasing detail as it is downloaded).

For a JPEG, you can specify the quality and number of progressive passes. The lower the quality you set, the more the picture will be compressed and the smaller its file size will be. The number of progressive passes refers to the number of passes that a Web browser makes in order to resolve a picture as it downloads.

  1. In Page view, do one of the following:
    • To set properties for a picture, right-click the picture, and then click Picture Properties on the shortcut menu.
    • To set properties for a background picture, right-click the page, click Page Properties on the shortcut menu, click the Background tab, and then click Properties.
    • To set properties for a background picture in a table or cell, right-click the table or cell, click Table Properties or Cell Properties on the shortcut menu, and then click Properties.
  2. On the General tab, do one of the following:
    • If the picture is in GIF format, you can specify whether the picture should be interlaced by selecting Interlaced. If a transparent color has been set, the Transparent box is selected; you can remove the transparency by clearing this box.
    • If the picture is in JPEG format, you can specify the quality of the JPEG by entering a value from 1 to 100 in the Quality box. In the Progressive passes box, enter the number of progressive passes you want Web browsers to make.

      • Note Some Web browsers do not support progressive passes.


Add a picture as a submit button to a form

Add a picture to a form to use in place of a submit button. After filling out the form, the site visitor clicks the picture to submit the form, and then the data from the form, including the name of the picture field, is sent to the form handler.

You can use the picture field to build a custom image-map utility. When a site visitor clicks the picture field to submit the form, the x- and y-coordinates of the pointer are passed to the form handler, using the picture field's coordinate system. Although the form handlers in Microsoft FrontPage do not use the coordinate information, you can create a custom script that processes the form based on these coordinates.

  1. In Page view, click in the form where you want to place the submit button. You can insert a new line by pressing ENTER.

    2. Note By default, if you place a field outside of a form, a new form area will be created with submit and reset buttons, and the field will be inserted inside the form. You can disable this feature if you want to use fields with scripts rather than inside forms.

  2. On the Insert menu, point to Form, and then click Picture.
  3. Select the picture:
    • If the picture is in a web, browse to the web and folder that contains the picture, select the picture you want, and then click OK.
    • If the picture is on your local network, click File File button, browse to the picture you want from your local network, and then click OK.
    • If the picture is on the World Wide Web, click World Wide Web World Wide Web button. In your Web browser, browse to the picture that you want, and then switch back to FrontPage. The location of the page you visited will be displayed in the URL box. Click OK.
    • If the picture is clip art, click Clip Art to display the Microsoft Clip Gallery, right-click the picture that you want, and then click Insert on the shortcut menu.
  4. Right-click the picture to set its properties, and then click Form Field Properties on the shortcut menu.
  5. In the Name box, type a name to identify the picture. This internal name will be visible to the site visitor on the default confirmation page, which is displayed when you use a form handler rather than a custom script.

Tip To test your form, preview it in your Web browser by clicking Preview in Browser Preview in Browser button.


Set a default hyperlink for a graphic

You can set a default hyperlink for a graphic, such as a picture, animated GIF, or video. When a site visitor clicks the graphic, the Web browser displays the destination of the hyperlink. For example, to create a button that displays your home page, add a button graphic to a page, and then set the default hyperlink for it to go to your home page.

If you put hotspots on a graphic, the default hyperlink is used for the areas that do not have a hotspot.

  1. In Page view, right-click the graphic, click Picture Properties on the shortcut menu, and then click the General tab.
  2. In the Location box under Default hyperlink, type the destination that you want to use as the default hyperlink. Or, click Browse to find the destination:
    • If the destination is in a web, browse to the web and folder that contains the page, select it, and then click OK.
    • If the destination is on your local network, click File File button, browse to the page you want from your local network, and then click OK.
    • If the destination is on the World Wide Web, click World Wide Web World Wide Web button. In your Web browser, browse to the page that you want, and then press ALT+TAB to switch back to Microsoft FrontPage. The location of the page you visited will be displayed in the URL box. Click OK.
    • If you want to create an e-mail message when a site visitor clicks the graphic, click E-Mail E-Mail button. Type the e-mail address to which you want the message sent, click OK, and then click OK again.
  3. If you want the destination of the hyperlink to show up in a specific frame, click Change Target Frame Change Target Frame button, and specify the frame.


Create a page template

A template is a predesigned page that can contain page settings, formatting, and page elements. You can create your own page templates so that you can create pages for your web quickly and consistently. Templates are very useful in a multiple-author environment because they help authors create pages the same way.

For example, if all your pages always have a company logo and description at the top of the page, create a template with those elements. Then, use your template when you want to create a new page, and the logo and description will automatically be placed on the page.

When you create a page template, you create a page with the settings and page elements you want, and then you save the page as a template. The template will be displayed with the other templates provided in FrontPage. When you want to create a new page using your template, you simply select your template from the list.

Note A page that has a theme applied to it can be saved as a template. The pages that are created using the template will either use the web's default theme setting or a specific theme, depending on how the theme was applied to the original page. For example, you create a template from a page with a theme, then create pages in a web whose default theme is Artsy. If the page template used the web default theme, new pages will use the Artsy theme. If the page template used a specific theme, new pages will use that theme.

  1. In Page view, create a page that includes the page settings and elements that you want in the template. For example, create a page that includes generic text, comments, and so on.
  2. Click Save As on the File menu.
  3. In the Save as type box, click FrontPage Template (*.tem).
  4. Click Save.
  5. In the Title box, type a title for the template, which will appear with the standard templates on the General tab in the New dialog box.
  6. In the Name box, type the file name of the template. FrontPage will automatically use the correct extension.
  7. In the Description box, type a description of the template, for example, describe the type of page that is created with the template. When you create a new page, this description will appear in the New dialog box when you select the template.


Set a background color for a page

You can set a background color for a page.

Note If the page uses a theme, modify the background color by changing the colors used in the theme.

  1. In Page view, right-click the page, click Page Properties on the shortcut menu, and then click the Background tab.
  2. In the Background box, select a background color.


Set a background picture for a page

You can set a background picture for a page. All page elements, such as text and graphics, will appear on top of the background picture. You can use pictures from a web, a file system, the World Wide Web, or clip art. You can also set the background picture to be a watermark, which means the picture that does not scroll as the page scrolls. However, not all Web browsers support watermarks.

Note If the page uses a theme, modify the background picture by changing the graphics used in the theme.

  1. In Page view, right-click the page, and then click Page Properties on the shortcut menu.
  2. Click the Background tab.
  3. Select the Background picture check box, and then click Browse.
  4. Select the background picture:
    • If the picture is in a web, browse to the web and folder that contains the picture, select the picture you want, and then click OK.
    • If the picture is on your local network, click File File button, browse to the picture you want from your local network, and then click OK.
    • If the picture is on the World Wide Web, click World Wide Web World Wide Web button. In your Web browser, browse to the picture that you want, and then switch back to Microsoft FrontPage. The location of the page you visited will be displayed in the URL box. Click OK.
    • If the picture is clip art, click Clip Art to display the Microsoft Clip Gallery, right-click the picture that you want, and then click Insert on the shortcut menu.


Apply the background and colors of one page to another

If you have set the background picture, background color, hyperlink colors, and text colors for one page, you can apply these settings to another page in the current web.

Note If the current page uses a theme, this feature is disabled.

  1. In Page view, open the page to which you want to apply a background and color.
  2. Right-click the page, and then click Page Properties on the shortcut menu.
  3. Click the Background tab.
  4. Select the Get background information from another page check box.
  5. Click Browse.
  6. Select the page that contains the background and colors you want to use.


Set page margins

You can set the size of the top and left margins for a page.

  1. In Page view, right-click the page, and then click Page Properties on the shortcut menu.
  2. Click the Margins tab.
  3. To set a top margin, select the Specify top margin checkbox, and then enter a value for the height of the margin in pixels.
  4. To set a left margin, select the Specify left margin checkbox, and then enter a value for the width of the margin in pixels.


Formatting text

To learn how to format text, click the graphic.

To display this topic, click the graphic.


Make text bold

You can make text bold, for example to add emphasis.

  • In Page view, select the text, and then click Bold Bold button.


Insert a special character

You can insert a special character or symbol, such as the trademark symbol (™).

  1. In Page view, place the insertion point where you want to insert a character.
  2. On the Insert menu, click Symbol.
  3. Click the character you want to insert, and then click Insert.
  4. Click Close.


Add borders around text

You can add borders around text, and then set properties, such as the style, color, padding, and width of the border.

For example, the style of the border around this paragraph is double, and the color blue.

When you add a border, it is applied to an entire paragraph. For example, if you apply a border to a selected word, the border is applied to the whole paragraph. Or, if you select two paragraphs and then apply a border, each paragraph will have a border around it. If text is separated by line breaks rather than paragraph marks, the text is considered to be one paragraph and will have one border.

  1. In Page view, select the paragraphs around which you want to add a border.
  2. On the Format menu, click Borders and Shading.
  3. Do one of the following:
    • If you want a four-sided border, under Setting, click Box. Set properties for the border by clicking options from Style, Color, and Width.
    • To create a custom border, under Setting, click Custom. A custom border can have borders on particular sides, and each side can have a different style, color and width. From the Style box, click a border style. You can also click options from Color and Width. Under Preview, apply the border to one or more sides by clicking the diagram's sides or by clicking the buttons.
  4. To specify the padding (the distance between the text and its border), under Padding, enter a value in the Top, Bottom, Left, and Right boxes in points.


Set the font for text

You can set the font for selected text by choosing the font face, style, size, and color. You can also apply different effects to the text, such as strikethrough and small caps.

  1. In Page view, select the text you want to format, right-click, and then click Font on the shortcut menu.
  2. On the Font tab, format text by selecting options from the Font, Font style, Size, and Color boxes. You can also select one or more options under Effects. The Preview area shows how text looks with your settings applied to it.

Tip You can change a style (such as the Normal style) with your font settings so that you only need to set your preferences once. Then, just apply the style to new text, and your font settings will be applied automatically.


Increase or decrease space between characters

You can increase or decrease the space between characters to condense or expand the text.

  1. In Page view, select the text, right-click, and then click Font on the shortcut menu.
  2. Click the Character Spacing tab.
  3. In the Spacing box, click Expanded or Condensed to change the spacing of text.
  4. In the By box, select an option to specify how you want to space the text.


Cut or delete text

Cut or delete text to remove it from the page. When you cut text, it is copied to the Clipboard and you can then paste the text to another location. When you delete text, it is not copied to the Clipboard.

  1. In Page view, select the text.
  2. To cut text and copy it to the clipboard, click Cut Cut button.
  3. To delete text, press DELETE.


Add shading to text

You can add shading to text. Shading, like a page background, can be a color or a picture.

For example, you can add shading to highlight a paragraph as shown here.

When you add shading, it is applied to an entire paragraph. For example, if you apply shading to a selected word, the entire paragraph will be shaded. Text separated by line breaks rather than paragraph marks is considered to be one paragraph.

  1. In Page view, select the paragraphs to which you want to add shading.
  2. On the Format menu, click Borders and Shading, and then click the Shading tab.
  3. To set a background color for the selected text, select a color in the Background color box.
  4. To set the color of the selected text, select a color in the Foreground color box.
  5. To set a background picture for the selected text, type the picture name and location in the Background picture box, or click Browse to find and select the picture.

    6. Set the properties for the background picture:

    • To specify the vertical and horizontal position of the picture within the selected paragraph, click options from the Vertical position and Horizontal position boxes.
    • In the Repeat box, click an option to specify how you want to tile the picture under the selected text. For example, to tile the picture horizontally, click Repeat-x.
    • In the Attachment box, click an option to specify whether the background picture should be fixed relative to the browser window, or whether it should scroll with the document.


Set the text alignment

You can align text to the left, right, or center of the page. The alignment setting affects all text in the paragraph.

  1. In Page view, select the text you want to align.
  2. Click Align Left Align Left button, Center Center button, or Align Right Align Right button to align the text.

Tip You can change a style (such as the Normal style) with your alignment settings so that you only need to set your preferences once. Then, just apply the style to new text, and your alignment settings will be applied automatically.


Set line and paragraph indentation

You can specify the way you want to indent a paragraph. For example, you can indent the right or left side of a paragraph, or just indent the first line.

  1. In Page view, select one or more paragraphs, right-click, and then click Paragraph on the shortcut menu.
  2. Under Indentation, do one or more of the following:
    • To indent the left side of the paragraph, enter a value in points in the Before text box.
    • To indent the right side of the paragraph, enter a value in points in the After text box.
    • To indent the first line of text in the paragraph, enter a value in points in the Indent first line box.

Tips

  • To quickly change the indentation of a selected paragraph, click Increase Indent Increase Indent button or Decrease Indent Decrease Indent button. Both the left and right sides of the paragraph are indented.
  • You can change a style (such as the Normal style) with your indentation settings so that you only need to set your preferences once. Then, just apply the style to new text, and your indentation settings will be applied automatically.


Raise or lower text

You can raise or lower text, for example to indicate a footnote. You can also specify the number of points to raise or lower text, although some Web browsers might not support this setting and will default to one point.

  1. In Page view, select the text, right-click, and then click Font on the shortcut menu.
  2. Click the Character Spacing tab.
  3. In the Position box, click Raised or Lowered.
  4. In the By box, enter a number to specify how much you want to raise or lower the text.

    5. Note Some Web browsers will raise text only a fixed amount, regardless of the number you enter.


Underline text

You can underline text, for example to add emphasis.

  • In Page view, select the text, and then click Underline Underline button.


Add a new line of text within a paragraph

To add a new line of text to the current paragraph, insert a line break. The text will appear at the beginning of the next line, but is still included in the previous paragraph. Lines that are separated with line breaks are not displayed with space between them, so these lines of text will appear close together.

  1. In the Page view, position the insertion point where you want to insert a line break.
  2. On the Insert menu, click Break.
  3. Click Normal line break.

    4. Note If pictures appear next to the paragraph, you can add special line breaks in which the new line begins below the pictures' baseline rather than below the paragraph:

    • To position a line break below a picture aligned to the left, click Clear left margin.
    • To position a line break below a picture aligned to the right, click Clear right margin.
    • To position a line break below pictures on the left and right sides, click Clear both margins.

Tip You can also press SHIFT+ENTER to insert a line break.


Apply a style to a paragraph

A style is a combination of font and paragraph settings. Use styles to format your text quickly and consistently. For example, apply the style Heading 1 to each of your headings so that each one looks the same. Using styles also saves you time, because rather than changing the font and paragraph settings for each individual heading, you simply specify a style to use.

In addition to styles for headings, you can also use the Bulleted List style, which indents text and adds bullets, and the Numbered List style, which indents text and numbers the paragraphs.

When you apply a style to text, the style is applied to all text in the paragraph.

  1. In Page view, select the paragraph.
  2. Do one of the following:
    • Click a style in the Style box.
    • To quickly apply the Bulleted List style, click Bullets Bullets button.
    • To quickly apply the Numbered List style, click Numbering Numbering button.


Copy character and paragraph formatting

You can copy formatting from selected characters or a paragraph and apply it to other text.

  • If you select characters to copy, the formatting applied to the individual characters is copied.
  • If you select a paragraph (the selection includes the paragraph mark), the paragraph's style and character formatting are copied.

For example, you have a paragraph with the style Heading 2, and it has been underlined. If you select one word and apply the formatting to other selected text, the other text will be underlined. If you select the entire paragraph and apply the formatting to other selected text, the other text will be formatted as Heading 2 and underlined. You can also copy a hyperlink using the Format Painter. Select one or more words of the hyperlink you want to copy, click the Format Painter, and then select the text for which you want a link made to the same destination.

  1. Select the characters or paragraph that has the formatting you want to copy.
  2. Click Format Painter Format Painter button, and then select the text where you want to apply the formatting.

Tip To copy the selected formatting to several locations, double-click Format Painter Format Painter button. Click the button again when you're finished.


Set line and paragraph spacing

You can specify the way you want to space the text in paragraphs. For example, you can set a paragraph to have a 6-point space above it and a 12-point space below it. You can also adjust the spacing between the lines of text within a paragraph, for example to double space text.

  1. In Page view, select one or more paragraphs, right-click, and then click Paragraph on the shortcut menu.
  2. Under Spacing, set the spacing for text by doing one of the following:
    • To set the amount of space above each paragraph, enter a value in the Before box.
    • To set the amount of space below each paragraph, enter a value in the After box.
    • To set the amount of vertical space between lines of text, click an option from the Line spacing box.
    • To set the amount of space between words, enter a value in the Word box. However, FrontPage does not display the affect of this setting on your page, and some Web browsers do not support this feature.

Tip You can change a style (such as the Normal style) with your spacing settings so that you only need to set your preferences once. Then, just apply the style to new text, and your spacing settings will be applied automatically.


Remove text formatting

You can quickly remove formatting you have applied to text. When you remove formatting, the text reverts to the default settings of its style.

  1. In Page view, select the text.
  2. On the Format menu, click Remove Formatting.


About color

To learn more about color, click the graphic.

To display this topic, click the graphic.


Define a custom color for a page element

You can set the color for a variety of page elements, including:

  • Text.
  • Background of pages, tables, and cells.
  • Hyperlinks.
  • Table borders.
  • Graphical elements such as horizontal lines, hover buttons, and marquees.

When you want to select a color, Microsoft FrontPage displays one or more color palettes. However, if the palettes do not display the color you want, you can define custom colors.

  1. In Page view, do one of the following:
    • To set the color for selected text, right-click it, and then click Font on the shortcut menu. Click the Color box.
    • To set the default text color for the current page, right-click the page, click Page Properties on the shortcut menu, and then click the Background tab. Click the Text box.
    • To set the background color of the current page, right-click the page, click Page Properties on the shortcut menu, and then click the Background tab. Click the Background box.
    • To set the default hyperlink colors for the current page, right-click the page, click Page Properties on the shortcut menu, and then click the Background tab. Click one of the Hyperlink boxes.
    • To set the color for a table background or border, right-click the table, and then click Table Properties on the shortcut menu. Click one of the Color or Border boxes.
    • To set the color for a cell background or border, right-click the cell, and then click Cell Properties on the shortcut menu. Click one of the Color or Border boxes.
    • To set the color for a graphical element, right-click it, and then click the corresponding properties command on the shortcut menu. Click the appropriate color box.
  2. In the box where you're defining the color of a page element, click More Colors.
  3. Do one of the following:
    • To select a color from the browser-safe palette, click a color.
    • To specify a hexadecimal value, type the value in the Value box. For example, type HEX={FF,33,00}.
    • To select a color on the screen, click Select, and then use the Eyedropper tool to click the color. For example, to use a color from a picture on an open page, click a color in the picture.
    • To create a color average of the colors in a particular region on the screen, click Select, and then use the Eyedropper tool to draw a box on the screen to specify the region.
    • To select a different color or to specify a combination for hue-saturation-luminosity or red-green-blue, click Custom. Under Custom colors, click a blank box. Define a color by entering a combination of values or selecting a color from the color matrix.


Define a custom color for a theme element

You can set the colors for the individual elements used in a theme. When you want to select a color, Microsoft FrontPage displays one or more color palettes. However, if the palettes do not display the color you want, you can define custom colors.

Note When you modify a FrontPage theme, you must save the modified theme as a new theme.

  1. On the Format menu, click Theme.
  2. Select the theme for which you want to set colors. If the theme is currently being used, it is listed at the top as (Default).
  3. Click Modify, click Colors, and then click the Custom tab.
  4. In the Item box, click the theme element for which to set a custom color.
  5. Click the Color box, and then click More Colors.
  6. Do one of the following:
    • To select a color from the browser-safe palette, click a color.
    • To specify a hexadecimal value, type the value in the Value box. For example, type HEX={FF,33,00}.
    • To select a color on the screen, click Select, and then use the Eyedropper tool to click the color. For example, to use a color from a picture on an open page, click a color in the picture.
    • To create a color average of the colors in a particular region on the screen, click Select, and then use the Eyedropper tool to draw a box on the screen to specify the region.
    • To select a different color or to specify a combination for hue-saturation-luminosity or red-green-blue, click Custom. Under Custom colors, click a blank box. Define a color by entering a combination of values or selecting a color from the color matrix.
  7. Click OK, click OK again, and then click Yes to save the modified theme.
  8. If the theme you modified is a FrontPage theme, type a new name for the modified theme, and then click OK.


Define a custom color for a style

You can set the color for the styles defined in a cascading style sheet. When you want to select a color, Microsoft FrontPage displays one or more color palettes. However, if the palettes do not display the color you want, you can define custom colors.

  1. On the Format menu, click Style.
  2. In the Styles box, click the style for which you want to set a color, and then click Modify.
  3. Click Format, and then click Font.
  4. Click the Color box, and then click More Colors.
  5. Do one of the following:
    • To select a color from the browser-safe palette, click a color.
    • To specify a hexadecimal value, type the value in the Value box. For example, type HEX={FF,33,00}.
    • To select a color on the screen, click Select, and then use the Eyedropper tool to click the color. For example, to use a color from a picture on an open page, click a color in the picture.
    • To create a color average of the colors in a particular region on the screen, click Select, and then use the Eyedropper tool to draw a box on the screen to specify the region.
    • To select a different color or to specify a combination for hue-saturation-luminosity or red-green-blue, click Custom. Under Custom colors, click a blank box. Define a color by entering a combination of values or selecting a color from the color matrix.


About positioning

To learn more about absolute positioning, click the graphic.

To display this topic, click the graphic.


Place an element on a page using absolute positioning

Use absolute-style positioning to place a page element (such as text or graphics) at an exact location on a page. The position of the element is relative to the top left corner of its container, such as the page or a position box.

  1. If the Positioning toolbar is not displayed, point to Toolbars on the View menu, and then click Positioning.
  2. In Page view, insert the page element or type the text you want to position (the location on the page is unimportant).
  3. Select the page element, and then click Position Absolutely Position Absolutely button on the Positioning toolbar.
  4. Do one of the following to specify the element's location:
    • Move the element — point to a border until the cursor changes to a four-headed arrow, click, and then drag the element to the new location.
    • Set pixel coordinates — specify a value in the Left (x-coordinate) and Top (y-coordinate) boxes on the Positioning toolbar.

    Tip To specify the z-order, which is the element's position in the layers of the page, specify a value in the Z-index box on the Positioning toolbar. A positive value means that the element is in front of the main text-flow layer (layer 0), and a negative value means the item is behind it.

For more information about positioning, see About positioning.

Notes

  • When positioning elements, turn off Reveal Tags (on the View menu, click Reveal Tags to remove the checkmark) and Show All (click Show All Show All button if it is already selected). Tags and non-printing characters are not part of the layout, but when you display them on the screen while editing, they change the layout displayed in FrontPage. Turn off these features so that your page layout is closer to what will actually be displayed in a Web browser, and switch between the Normal and Preview tabs in FrontPage often.
  • Page layout can vary when viewed at different screen resolutions, even though an absolutely positioned element always appears at the same coordinates you specify. To ensure the page is displayed well to all site visitors, you should test it at different screen resolutions.
  • Do not use DHTML effects with absolute positioning, because unpredictable results might occur.


Group elements inside a position box

To create an area in which elements are grouped and treated as a unit, place a position box on the page, and then add absolutely positioned page elements inside the box. The result is a position box that is positioned relatively to other page elements, but the layout of the elements inside the box is preserved, regardless of changes to the page outside the box. For example, you might group a logo and text inside a position box.

  1. In Page view, position the insertion point where you want to place a position box, and press ENTER twice to insert a new blank line (a paragraph mark).
  2. Select the blank line, and then on the Format menu, click Position.
  3. Under Positioning style, click Relative, and then click OK.

    4. A position box is inserted on the new line.

  4. If the Positioning toolbar is not displayed, point to Toolbars on the View menu, and then click Positioning.
  5. Click inside the position box, and insert the page element or type the text you want to position.
  6. Select the page element, and then click Position Absolutely Position Absolutely button on the Positioning toolbar.
  7. Do one of the following to specify the element's location:
    • Move the element — point to a border until the cursor changes to a four-headed arrow, click, and then drag the element to the new location.
    • Set pixel coordinates — specify a value in the Left (x-coordinate) and Top (y-coordinate) boxes on the Positioning toolbar.

    Repeat steps 5, 6, and 7 for each page element to place in the position box.

  8. Set the positioning properties for the position box or page elements.

For more information about positioning, see About positioning.

Notes

  • When positioning elements, turn off Reveal Tags (on the View menu, click Reveal Tags to remove the checkmark) and Show All (click Show All Show All button if it is already selected). Tags and nonprinting characters are not part of the layout, but when you display them on the screen while editing, they change the layout displayed in FrontPage. Turn off these features so that your page layout is closer to what will actually be displayed in a Web browser, and switch between the Normal and Preview tabs in Page view often.
  • Page layout can vary when viewed at different screen resolutions, even though an absolutely positioned element always appears at the same coordinates you specify. To ensure the page is displayed well to all site visitors, you should test it at different screen resolutions.
  • Do not use DHTML effects with absolute positioning, because unpredictable results might occur.


Set the properties of a positioned page element

After you insert a position box or position a page element, you can set the following positioning properties for it:

  • Change the positioning style of the page element: Absolute (position the element at an exact location), Relative (position the element at a location relative to other page elements in the text flow), or None (the element is placed as an ordinary page element, for example it is anchored between two paragraphs).
  • Specify the way text and other page elements flow around the page element, thereby creating a floating page element. You can prevent any flow next to the positioned element, or float the element to either the right or left side of the page.
  • Specify the z-order, which is the element's position in the layers of the page. The text flow is the main page layer; you can position an absolutely positioned page element to be behind or in front of this layer.
  • Specify the coordinates of the page element relative to the top left corner of its container (for example, an element is inside a page or position box), and specify the dimensions of a position box. You can use the following units:
    • Pixels (px)
    • Font size (em)
    • X-height of the font (ex)
    • Inches (in)
    • Centimeters (cm)
    • Millimeters (mm)
    • Points (Pt), where one point is equal to 1/72th of an inch
    • Percentage of the page height or width (%)

    For example, you can set a position box to be the same width as the page (set Width to 100%), and 20 pixels high (set Height to 20 px).

Tip To view the current properties of a page element, position the mouse pointer over it. The properties are displayed as a tool tip.

  1. In Page view, select the positioned element or position box.

    2. Note Positioning settings are applied to the element that is selected (the element that is displayed with handles). Therefore, if a regular page element is selected, the positioning settings you specify will be applied to it, in effect positioning that element.

  2. On the Format menu, click Position.
  3. Under Positioning style, specify how you want the page element to be positioned.
  4. Under Wrapping style, specify how you want text and other page elements to wrap around the element.
  5. To specify the coordinates of the positioned element, under Location and size, specify the coordinates of the top left corner of the position box or element in the Top and Left boxes.
  6. To specify the exact dimensions of the position box, under Location and size, specify the height and width.
  7. To specify the z-order, which is the element's position in the layers of the page, specify a value in the Z-index box on the Positioning toolbar. A positive value means that the element is in front of the main text-flow layer (layer 0), and a negative value means the item is behind it.

Tip You can also specify several properties using the Positioning toolbar. To show the Positioning toolbar, point to Toolbars on the View menu, and then click Positioning.


Select a positioned element

Selecting a positioned element can be trickier than selecting a page element in the main text-flow layer. For example, you want to select a page element that is behind the text flow; when you click the page element, you select page elements in the text flow instead.

Many types of page elements, such as graphics, form fields, and other objects, are indicated with an anchor icon when you show all nonprinting characters (click Show All Show All button). The anchor is displayed in the text flow where you originally inserted the element. For example, an absolutely positioned graphic appears at the top of the page, but if you originally inserted the graphic at the bottom of the page, the anchor is displayed at the bottom. To select the object, select the corresponding anchor icon.

Some page elements, such as text or tables, are not indicated by an anchor icon, and you must select the element by clicking it directly.

For more information about positioning, see About positioning.


About forms

To learn more about forms, click the graphic.

To display this topic, click the graphic.


Create a form

You can create a form anywhere on a page outside of an existing form. Microsoft FrontPage inserts a rectangular area outlined with a dashed line where you can add text and form fields, such as text boxes, radio buttons, check boxes, drop-down menus, and push buttons.

A submit button and a reset button are also included in the form. Site visitors click the submit button after filling out a form, and the information they enter is sent to the form handler you set up. By default, the form results are saved to a text file. Site visitors click the reset button to reset the form to its default state by deleting any text they have entered and clearing any selections they have made.

  • On the Insert menu, point to Form, and then click Form.


Create a form using a wizard

You can create a form by using the Form Page Wizard, which prompts you to specify the following information:

  • The data you want to gather, which determines which fields to place on your form.
  • The way you want to lay out fields. You can organize the form into paragraphs or lists, and choose whether to use tables to lay out the page.
  • Whether to include a table of contents at the top of the page, which is useful for large forms.
  • How you want to save form results (the data gathered from the form after a site visitor fills it out). The wizard allows you to save the results to a text file or an HTML file, or you can use your own custom script to handle the results. When a site visitor clicks the submit button on the form, the form results will be sent to the location you specified.

Using this information, the wizard creates your form. You can customize it by editing the text, and defining properties and data entry rules for the form fields.

  1. On the File menu, point to New, and then click Page.
  2. On the General tab, click Form Page Wizard, and then click OK.

    3. The Form Page Wizard opens. Follow the on-screen instructions to complete the form.


Create a search form

If your web is server-based and your server is running the Microsoft FrontPage Server Extensions, FrontPage automatically creates a text index based on the words contained in all of the pages in your web. Create a search form to let site visitors search your web for specific words or phrases. When a visitor submits a search form, FrontPage checks the text index and displays a weighted list of hyperlinks to the pages containing the search text.

Tip The easiest way to create a search form is to create a new page based on the Search Page template. You can customize the template with your own introductory text, copyright information, button labels, and so on. If you add a search form to an existing page using the following procedure, be sure to type instructions for site visitors on how to use the search form, and then create the search form immediately following the explanatory text.

  1. In Page view, position the insertion point where you want to create the search form. On the Insert menu, point to Component, and then click Search Form.
  2. To create a standard search form based on the FrontPage defaults as in the example above, click OK. You can format the search form later if you want to change the button labels or widen the one-line text box, limit the search to a specific discussion web, or format the search results.

Notes

  • When you save a page in a web, FrontPage adds any new words to the text index for that web. The text index is cumulative: New words are added to the index, but old ones are not removed. To create a new text index and purge outdated words, click Recalculate Hyperlinks on the Tools menu. Note that this procedure may take several minutes if you have many external hyperlinks, because FrontPage must connect to and verify each one.
  • A search form will not locate approximately 300 of the most common English words, such as "a," "the," and so on.
  • If your server is using Microsoft Internet Information Services (IIS), the search form uses Microsoft Index Server to search the text index. Index Server has more extensive support for searching non-English systems and Microsoft Office documents.


Format a search form

You can create a search form to let site visitors search your web for specific words or phrases. If the default search form doesn't fit your needs, you can change the button labels and shorten or widen the one-line text box.

In Page view, right-click the search form you want to format, click Search Form Properties on the shortcut menu, and then click the Search Form Properties tab:

  • To change the label of the one-line text box where site visitors will type their search text, type a different label in the Label for input box.
  • To make the one-line text box narrower or wider, type a smaller or larger number in the Width in characters box.

    • Note Changing the size of the one-line text box doesn't affect how many characters a site visitor can type in the box. If a site visitor types more characters than will fit in the box, the extra characters will scroll off the left side of the box, but all the text the site visitor types will be submitted with the search form.

  • To change the label of the Start Search button on the search form (that is, the button a site visitor clicks to submit the search to the server), type a different label in the Label for "Start Search" button box.
  • To change the label of the Reset button on the search form (that is, the button a site visitor clicks to restore the text in the one-line text box to the text of the previous search text, if any), type a different label in the Label for "Clear" button box.


Format search results

You can create a search form to let a site visitor search your web for specific words or phrases. If your server finds the search text in the text index for your web, the visitor sees a weighted list of hyperlinks to the pages containing the search text.

You can add scores and file information to the list of hyperlinks returned to the visitor.

For WAIS:

In Page view, right-click the search form you want to format, click Search Form Properties on the shortcut menu, and then click the Search Results tab:

  • To include the score, or quality of each match, select the Display score check box. The higher the score, the better the match.
  • To include the date and time each page in the list was last modified, select the Display file date check box.
  • To include the size of each page in the list, select the Display file size check box.

For Index Server:

  1. In Page view, right-click the search form you want to format, click Search Form Properties on the shortcut menu, and then click the Search Results tab.
  2. In the Additional information to display in the search results list section, select the formatting options you want:
  • To include the date when a page was last changed, select the Last time file was changed check box.
  • To include the size of each page, select the Size in bytes check box.
  • To include the score, or quality of each match, select the Score check box. The higher the score, the better the match.
  • For Microsoft Word, Microsoft Excel, and Microsoft PowerPoint: To include the author of a discussion, select the Author of document check box.
  • For Microsoft Word, Microsoft Excel, and Microsoft PowerPoint: To include the comments for a page, select the Comments check box.
  • For Microsoft Word, Microsoft Excel, and Microsoft PowerPoint: To include the subject of the document, select the Document subject check box.
  • To include the number of times the text sting of the requested search appears in the document, select the Hit count check box.


Show a warning when a text index is out of date

If your web is server-based and your server is running the Microsoft FrontPage Server Extensions, FrontPage automatically creates a text index based on the words contained in all of the pages in your web. You can create a search form to let site visitors search your web for specific words or phrases. When a visitor submits a search form, FrontPage checks the text index and displays a weighted list of hyperlinks to the pages containing the search text.

When you save a page in a web, FrontPage adds any new words to the text index for that web. The text index is cumulative: New words are added to the index, but old ones are not removed. When you open a web, you can specify that FrontPage show you a warning if that web's text index is out of date and needs to be recalculated to remove outdated words.

  1. On the Tools menu, point to Options, and then click the General tab.
  2. Select the Warn when text index is out of date check box.

Notes

  • To create a new text index and purge outdated words, click Recalculate Hyperlinks on the Tools menu. Note that this procedure may take several minutes if you have many external hyperlinks, since FrontPage must connect to and verify each one.
  • A search form will not locate approximately 300 of the most common English words, such as "a," "the," and so on.
  • If your server is using Microsoft Internet Information Services (IIS) and you have also installed Microsoft Index Server, the search form uses Index Server to search the text index. Index Server has more extensive support for searching non-English systems and Microsoft Office documents. However, because Index Server updates the text index as a background process (and depending on how Index Server is configured), updating the text index may take anywhere from a few minutes to a few hours or more.


Create a user registration form

You can restrict access to a protected web, or monitor access to a web, by creating a user registration form in which site visitors log in by typing a user name and password.

  • To protect a web, specify which users are allowed access, then the Registration Form Handler authenticates against this user list to allow only registered users to access the web.
  • To monitor access to a web, the Registration Form Handler saves the user names of site visitors who have accessed your web.

Note Windows NT security and Microsoft Internet Information Services (IIS) do not allow registration through a Web browser.

The registration form must be saved to the root web, not the Web site itself. For example, if the protected Web site is http://Root/Subweb, the form must be saved in Root. Create the protected Web site before you create this form.

The easiest way to create a registration form is by using the User Registration page template.

  1. Open your root web.
  2. On the File menu, point to New, and then click Page.
  3. On the General tab, click User Registration, and then click OK.

    4. FrontPage creates a user registration form, and assigns it the Registration Form Handler.

  4. Right-click the form, and then click Form Properties on the shortcut menu.
  5. Click Options, and then click the Registration tab.
  6. In the Web name box, type the name of the protected Web site.
  7. Click the File Results tab. The file in which the user names of site visitors are saved is displayed in the File name box. By default, this file is located in the _private folder of the root web.
  8. Click OK, and then click OK again.
  9. Customize the fields on the form as needed. For example, change the phrase [OtherWeb] to the name of your protected Web site, customize the instructions on the form, and change the text labels on the fields.
  10. Click the Save button Save button and save your page.

If you want to protect a web, open the web, and do the following:

  1. On the Tools menu, point to Security, and then click Permissions.
  2. On the Settings tab, click Use unique permissions for this web, and then click Apply.
  3. Click the Users tab, and then click Only registered users have browse access.
  4. Click Add.

    5. Next, you will add the users to the web, adding users for browse, author, and administer access separately. For example, you will add all the users with browse access separately from users with author access.

  5. If you are using a Web server that supports a domain hierarchy, in the Obtain list from box, select the domain or group from which you want to select users.
  6. In the Names box, select or type a user name, and then click Add.

    7. Repeat steps 5 and 6 for each user you want to add for a particular type of access.

  7. Specify the type of access to give to the list of users you are adding (browse, author, or administer access), and then click OK.

    8. The same permission is given to all users listed in the Add Names box. To set different permissions, for example to give one user browse access and a different user author access, repeat steps 4 through 7 for each user.

Tip To test your user registration form, preview it in your Web browser by clicking the Preview in Browser Preview in Browser button button.


Create a confirmation page and assign it to a form

Rather than using the default confirmation page, you can create your own. First, create a new page in your web, and then set it as the confirmation page for your form.

You can display the contents of form fields on your confirmation page. The site visitor can confirm that the information was entered correctly and, if necessary, can return to the form and fill it out again. You can also personalize the confirmation page; for example, if you request the site visitor's name in your form, you can display it on the confirmation page:

Dear Jeff Smith,
Thank you for taking the time to fill out this form.

  1. In Page view, click the New Page button New Page button.
  2. On the page, type the text you want to display after a site visitor has submitted the form.
  3. To display information back to the visitor from a form field:
    • Place the cursor where you want to display the text. For example, you could display the contents of an e-mail address field, allowing the site visitor to confirm that it was typed correctly.
    • On the Insert menu, point to Component, and then click Confirmation Field.
    • In the Name of form field to confirm box, type the name of the field from which to display information, and then click OK.

    The name of the field is displayed in brackets on the form. When the confirmation form is displayed to the site visitor, this field will display the site visitor's entry instead.

    Repeat this step for each field you want to display.

  4. Click Save Save button.
  5. Type the URL and the page title, and then click Save.
  6. To assign the confirmation page to your form, open the page containing your form by double-clicking the file in the Folder List.
  7. Right-click the form, and then click Form Properties on the shortcut menu.
  8. Click Options, and then click the Confirmation Page tab.
  9. In the URL of confirmation page box, type the name and location of the confirmation page you just created, or click Browse to locate it.

Tips

  • You can use the Confirmation Form page template to create a confirmation page.
  • To test your form, preview it in your Web browser by clicking Preview in Browser Preview in Browser button.


Add a check box to a form

Add check boxes to your form when you want a site visitor to select one or more items, or none at all. Click the check boxes below to see how they work.

After you place a check box on your form, assign an internal name to it. An internal name is not displayed on the form, but identifies the field in the form results. Assign a value to the check box and specify whether it should be selected by default.

When the form is submitted, if the check box has been selected, its internal name and value are included in the results. Otherwise, only the internal name is included, and the value is blank.

  1. In Page view, click in the form where you want to place the check box. You can insert a new line by pressing ENTER.

    2. Note By default, if you place a field outside of a form, a new form area will be created with submit and reset buttons, and the field will be inserted inside the form. You can disable this feature if you want to use fields with scripts rather than inside forms.

  2. On the Insert menu, point to Form, and then click Check Box.
  3. Type the label for the check box directly on the form.
  4. Double-click the check box to set its properties.
  5. In the Name box, type a name to identify the check box. This internal name will be visible to the site visitor on the default confirmation page, which is displayed when you use a form handler rather than a custom script.
  6. In the Value box, type the value to associate with this field. When the check box is selected, this value is returned with the form results, and is displayed on the default confirmation page.
  7. Click Checked under Initial state if you want the check box to be selected by default when a site visitor first opens the form.

Tip By making a label for each check box, you can let a site visitor select the check box by clicking it or by clicking the accompanying text.


Add a radio button to a form

When you want a site visitor to select one option in a group, add radio buttons to your form. Only one radio button in a group can be selected at a time. Click the radio buttons below to see how they work.

Group 1

 Group 2

After you place the radio buttons on your form, assign an internal name to each radio button group, and assign a value to each individual radio button. An internal name is not displayed on the form, but identifies the radio button group in the form results. You can also specify one radio button in a group to be selected by default.

When the form is submitted, the group name and value assigned to the selected radio button are included in the form results. If no radio button is selected, the group name is included, but the value is blank.

  1. In Page view, click in the form where you want to place the radio button. You can insert a new line by pressing ENTER.

    2. Note By default, if you place a field outside of a form, a new form area will be created with submit and reset buttons, and the field will be inserted inside the form. You can disable this feature if you want to use fields with scripts rather than inside forms.

  2. On the Insert menu, point to Form, and then click Radio Button.
  3. Type the label for the radio button directly on the form.
  4. Double-click the radio button to set its properties.
  5. In the Group name box, type a name to identify the group to which this radio button belongs. This internal name will be visible to the site visitor on the default confirmation page, which is displayed when you use a form handler rather than a custom script.
  6. In the Value box, type the value to associate with this field. If this radio button is selected, this value is returned with the form results, and is displayed on the default confirmation page.
  7. Click Selected under Initial state if you want the radio button to be selected by default when a site visitor first opens the form.

Repeat this procedure for each radio button you want to add to the group.

Tip By making a label for each each radio button, you can let the site visitor select the radio button by clicking it or by clicking the accompanying text.


Set data entry rules for a radio button

You can set a data entry rule (validation) to require a site visitor to make a selection from a group of radio buttons. For example, you add a set of radio buttons, none of which is selected by default. If a site visitor tries to submit a form without making a selection, a message is displayed. When you set a rule for one radio button, the rule applies to all radio buttons in the group.

  1. In Page view, double-click a radio button in the group for which you want to set a rule.
  2. Click Validate.
  3. To require the site visitor to select one of the radio buttons, select Data required.
  4. In the Display name box, type a name to identify the radio button group for the site visitor. This name is displayed to the visitor in a message if the visitor submits the form without selecting a radio button from that group. For example, the site visitor would see "Please select one of the DisplayName options."

Tip To test your form, preview it in your Web browser by clicking Preview in Browser Preview in Browser button.


Add a custom push button to a form

You can add a custom push button to a form; however, in order to give the button an action, you must write or create a script for it. You can modify the HTML code to include a script or use the Script Wizard to create a script.

  1. In Page view, click in the form where you want to place the push button. You can insert a new line by pressing ENTER.

    2. Note By default, if you place a field outside of a form, a new form area will be created with submit and reset buttons, and the field will be inserted inside the form. You can disable this feature if you want to use fields with scripts rather than inside forms.

  2. On the Insert menu, point to Form, and then click Push Button.
  3. Double-click the button to set its properties.
  4. In the Name box, type a name to identify the button in form results.
  5. In the Value/Label box, type the text that will appear on the button.


Add a drop-down menu to a form

When you want a site visitor to choose options from a list or menu, add a drop-down menu to your form. You can set the properties of the menu so that only one choice can be made, or you can allow multiple choices. Click the drop-down menus below to see how they work.

This drop-down menu allows a site visitor to select one item:

This drop-down menu is sized to display all the choices and lets a site visitor select more than one:

After you place a drop-down menu on your form, assign an internal name to it and specify the choices that you want displayed in the menu. An internal name is not displayed on the form, but identifies the field in the form results.

When the form is submitted, the name of the menu is included in the form results, followed by a list of values for the selected choices.

  1. In Page view, click in the form where you want to place the drop-down menu. You can insert a new line by pressing ENTER.

    2. Note By default, if you place a field outside of a form, a new form area will be created with submit and reset buttons, and the field will be inserted inside the form. You can disable this feature if you want to use fields with scripts rather than inside forms.

  2. On the Insert menu, point to Form, and then click Drop-Down Menu.
  3. Type the label for the drop-down menu directly on the form.
  4. Double-click the drop-down menu to set its properties.
  5. In the Name box, type a name to identify the drop-down menu. This internal name will be visible to the site visitor on the default confirmation page, which is displayed when you use a form handler rather than a custom script.
  6. Add the choices you want to display in the drop-down menu:
    • Click Add.
    • In the Choice box, type an option you want to display in the drop-down menu.
    • If you want the value for this choice to be different from the text displayed in the drop-down itself, select Specify value, and then type the value in the box. For example, a choice in the menu could be No, but the value returned in the form results could be 2.
    • Click Selected under Initial state if you want the choice to be selected by default when a site visitor first opens the form.
    • Click OK.

    Repeat this step for each choice you want to add.

    You can also change the order in which choices are displayed by clicking a choice in the list, and then clicking the Move Up or Move Down button.

  7. In the Height box, type how many lines of text you want displayed in the drop-down box. For example, if the drop-down menu has three options, you can set the height to 3 so that all choices are visible.
  8. Click Yes under Allow multiple selections if you want to allow multiple selections in the drop-down menu. If you click No, the site visitor will be able to make one choice only.


Set data entry rules for a drop-down menu

You can set data entry rules (validation) for the way you want site visitors to enter data in a drop-down menu.

  • You can require site visitors to make a selection. If a selection is not made and a site visitor tries to submit the form, a message is displayed.
  • You can disallow the first item from being selected. For example, disallow the first item if it is an instruction, such as "Select an item."
  • If the drop-down menu allows multiple selections, you can specify a minimum and maximum number of selections to allow.
  1. In Page view, double-click the drop-down menu for which you want to set validation rules.
  2. Click Validate.
  3. To require the site visitor to make a selection from this drop-down menu, select Data required.
  4. If you allow multiple selections for the drop-down menu, to specify the minimum and maximum number of selections to allow, type values in the Minimum items and Maximum items boxes.
  5. To restrict a site visitor from selecting the first choice in the drop-down menu, select Disallow first item.
  6. In the Display name box, type a name to identify the drop-down menu for the site visitor. This name is displayed in a message if the visitor submits the form and does not meet the requirements you have set for the drop-down menu. For example, the site visitor would see "Please enter a value for the DisplayName field."

Tip To test your form, preview it in your Web browser by clicking Preview in Browser Preview in Browser button.


Add a one-line text box to a form

When you want to accept one line of information from a site visitor, add a one-line text box to your form. Type in the text box below to see how it works.

Type your full name:

After you place a one-line text box on your form, assign it an internal name. An internal name is not displayed on the form, but identifies the field in the form results.

When the form is submitted, the name and contents of the field are included in the form results.

  1. In Page view, click in the form where you want to place the text box. You can insert a new line by pressing ENTER.

    2. Note By default, if you place a field outside of a form, a new form area will be created with submit and reset buttons, and the field will be inserted inside the form. You can disable this feature if you want to use fields with scripts rather than inside forms.

  2. On the Insert menu, point to Form, and then click One-Line Text Box.
  3. Type the label for the text box directly on the form.
  4. Double-click the text box to set its properties.
  5. In the Name box, type a name to identify the text box. This internal name will be visible to the site visitor on the default confirmation page, which is displayed when you use a form handler rather than a custom script.
  6. If you want text to appear in the text box when a site visitor first opens the form, type the text in the Initial value box.
  7. In the Width in characters box, type a number indicating how many characters wide you want the box to be.


Add a scrolling text box to a form

Add a scrolling text box to your form when you want to accept multiple lines of text from a site visitor. Type in the text box below to see how it works.

After you add a scrolling text box to your form, assign it an internal name and specify its size. An internal name is not displayed on the form, but identifies the field in the form results.

When the form is submitted, the field's name and contents are included in the form results.

  1. In Page view, click in the form where you want to place the text box. You can insert a new line by pressing ENTER.

    2. Note By default, if you place a field outside of a form, a new form area will be created with submit and reset buttons, and the field will be inserted inside the form. You can disable this feature if you want to use fields with scripts rather than inside forms.

  2. On the Insert menu, point to Form, and then click Scrolling Text Box.
  3. Type the label for the text box directly on the form.
  4. Double-click the text box to set its properties.
  5. In the Name box, type a name to identify the text box. This internal name will be visible to the site visitor on the default confirmation page, which is displayed when you use a form handler rather than a custom script.
  6. If you want text to appear in the text box when a site visitor first opens the form, type the text in the Initial value box.
  7. In the Width in characters box, type a number indicating how many characters wide you want the text box to be.
  8. In Number of lines, type a number indicating how many lines of text high you want the text box to be.


Set data entry rules for a text box

You can set data entry rules (validation) for the way you want site visitors to enter data in your one-line text box and scrolling text box fields. You can specify the following:

  • The type of data to allow (text, integers, or numbers) and the format
  • Whether to require an entry in the field
  • The minimum and maximum length for the entry
  • Conditions for the data

For example, to request a visitor's telephone number, you can set up a one-line text box to accept only numbers, spaces, hyphens, and parentheses.
Type your telephone number:

To collect a credit card number, you could request the number as follows, allowing only numbers to be entered, requiring exactly four characters in each box:
Type your credit card number: ---

  1. In Page view, double-click the text box for which you want to set validation rules.
  2. Click Validate.
  3. In the Data type list, click the type of data to allow in the field: No Constraints, Text, Integer, or Number.
    • If you limit the data to Text, select the types of characters to allow in the field — Letters, Digits, Whitespace (spaces, tabs, carriage returns, and line feeds), or Other (different characters such as commas and hyphens). If you select Other, type the characters in the box.
    • If you limit the data to Integer or Number, specify the character to allow for grouping. You can disallow any punctuation, allow periods to group numbers as in 123.456.789, or allow commas to group numbers as in 123,456,789.
    • If you limit the data to Number, specify the character to use for decimal points. You cannot use the same character for both Grouping and Decimal.
  4. To require that a site visitor type an entry in this text box field, select Required.
  5. To specify the minimum number of characters to allow in the text box, type a value in the Min length box.
  6. To specify the maximum number of characters to allow in the text box, type a value in the Max length box.
  7. To specify a value constraint, such as requiring the value in the field to be greater than 10, select Field must be, and then click the condition from the corresponding list. In the Value box, type the value for the constraint. To specify a second constraint, select And must be, then specify a condition and value.

    8. The validation rule will use numerical comparisons if the data type is Number or Integer, and alphabetical-order comparisons if the data type is Text or No Constraints.

  8. In the Display name box, type a name to identify the text box for the site visitor. This name is displayed to the site visitor in a message if the visitor submits the form and does not meet the requirements you have set for the text box. For example, the site visitor would see "Please enter a value for the DisplayName field."

Tip To test your form, preview it in your Web browser by clicking Preview in Browser Preview in Browser button.


Add a submit button to a form

Add a submit push button to a form to allow the site visitor to submit a form after filling it out. When a form is submitted, the data from it is sent to the form handler, including the internal name of the submit button and its value/label. An internal name is not displayed on the button, but identifies the field in the form results.

  1. In Page view, click in the form where you want to place the submit button. You can insert a new line by pressing ENTER.

    2. Note By default, if you place a field outside of a form, a new form area will be created with submit and reset buttons, and the field will be inserted inside the form. You can disable this feature if you want to use fields with scripts rather than inside forms.

  2. On the Insert menu, point to Form, and then click Push Button.
  3. Double-click the button to set its properties.
  4. In the Name box, type a name to identify the button. This internal name will be visible to the site visitor on the default confirmation page, which is displayed when you use a form handler rather than a custom script.
  5. Click Submit under Button type.

    6. By default, the button label text changes to Submit. You can type a different button label in the Value/Label box.

Tip To test your form, preview it in your Web browser by clicking Preview in Browser Preview in Browser button.


Add a reset button to a form

Add a reset push button to a form to allow a site visitor to reset the form to its default settings. Clicking this button deletes any text that has been entered in a field and clears any selections that have been made. However, if a box contains text or an option is selected by default, clicking the reset button restores these settings.

  1. In Page view, click in the form where you want to place the reset button. You can insert a new line by pressing ENTER.

    2. Note By default, if you place a field outside of a form, a new form area will be created with submit and reset buttons, and the field will be inserted inside the form. You can disable this feature if you want to use fields with scripts rather than inside forms.

  2. On the Insert menu, point to Form, and then click Push Button.
  3. Double-click the button to set its properties.
  4. In the Name box, type a name to identify the button. This internal name will be visible to the site visitor on the default confirmation page, which is displayed when you use a form handler rather than a custom script.
  5. Click Reset under Button type.

    6. By default, the button label text changes to Reset. You can type a different button label in the Value/Label box.


Add a hidden field to a form

To include information in the form results that you do not want site visitors to see, add hidden fields to your form. Each hidden field has a name and a value. When the form is submitted, the names and values of the hidden fields are included in the form results, along with the names and values from the visible form fields.

For example, if you have several different forms that use the same custom form handler, you could use a hidden field to identify each form by using a unique name or number.

Note The default confirmation page displays hidden fields and their values. If you do not want the site visitor to see this information, create a custom confirmation page.

  1. In Page view, right-click the form, and then click Form Properties on the shortcut menu.
  2. Click Advanced.
  3. Click Add.
  4. In the Name box, type the name of the hidden field.
  5. In the Value box, type the value to associate with the field. The value can be any text.

Tip To test your form, preview it in your Web browser by clicking Preview in Browser Preview in Browser button.


Modify or remove a hidden field

You can modify or remove hidden fields that you added to a form. Hidden fields are used to include information that is not visible to a site visitor in form results.

  1. In Page view, right-click the form, and then click Form Properties on the shortcut menu.
  2. Click Advanced.
    • To modify a hidden field, select it from the list, and then click Modify. Edit the Name and Value as needed, and then click OK.
    • To remove a hidden field, select it from the list, and then click Remove.


Add a password field to a form

When you want a site visitor to enter a password to visit your Web site, add a password field to your registration form. A password field is really just a one-line text box. When a site visitor types in this field, most Web browsers will display the password as asterisks, to protect confidentiality. Type in the password field below to see how it works.

Type your password:

After you place the one-line text box on your form, assign it an internal name. An internal name is not displayed on the form, but identifies the field in the form results. You must also designate the text box as a password field. When the form is submitted, the name and contents of the field are included in the form results.

Note A password field is only validated when you use the Registration Form Handler or a custom script to handle the form results.

  1. In Page view, click in the form where you want to place the password field. You can insert a new line by pressing ENTER.

    2. Note By default, if you place a field outside of a form, a new form area will be created with submit and reset buttons, and the field will be inserted inside the form. You can disable this feature if you want to use fields with scripts rather than inside forms.

  2. On the Insert menu, point to Form, and then click One-Line Text Box.
  3. Type the label for the password field directly on the form.
  4. Double-click the password field to set its properties.
  5. In the Name box, type a name to identify the password field.
  6. In the Width in characters box, type a number indicating how many characters wide you want the box to be.
  7. Click Yes under Password field.


Delete a field from a form

You can delete fields from a form as needed.

  • In Page view, click the field you want to delete, and then press DELETE.


Make a selectable label for a field in a form

Site visitors can select a check box or radio button by clicking it. However, you can make a selectable label so that a site visitor can also select the field by clicking the accompanying text, which provides an easier way to select options and improves accessibility.

Below are two check boxes. The first check box has text displayed next to it, but can only be selected by clicking directly in the check box. The second check box can be selected by clicking it or its label.

Plain label
  1. In Page view, type text next to the field for which you want a label.
  2. Select the text and the field.
  3. On the Insert menu, point to Forms, and then click Label.

Note This feature will only be enabled in Web browsers that support Dynamic HTML, such as Microsoft Internet Explorer 4.0.


Set a keyboard shortcut for a field in a form

You can set a keyboard shortcut for a field. A keyboard shortcut allows a site visitor to select a field in a form by using the keyboard rather than by clicking the field. The shortcut appears as an underlined letter in the field label — the site visitor selects the field by pressing ALT plus the underlined letter.

For example, to select the check box below, press ALT+Z, and then press SPACEBAR.

Notes

  • Before setting a keyboard shortcut for a field, you must make a label for the field.
  • This feature is only enabled in Web browsers that support Dynamic HTML, such as Microsoft Internet Explorer 4.0.
  1. In Page view, select a letter in the field's label.
  2. Click Underline Underline button.


Set the tab order in a form

Site visitors can navigate through a form — move from field to field — by pressing the TAB key. By default, the order of fields on the page (from top to bottom) is the order in which a visitor can tab through the form. You can, however, specify a different tab order.

Note Only Microsoft Internet Explorer 4.0 or later supports a custom tab order. Other Web browsers and previous versions of Internet Explorer use the default tab order.

  1. In Page view, double-click a field to edit its properties.
  2. In the Tab order box, type a number (1 - 999) indicating the tab order for the selected field. If you specify the same number for two or more fields, the field that is first on the page will come first in the tab order. To remove the field from the tab order, type -1.

Repeat this procedure for each field for which you want to set the tab order.

Tip To test your form, preview it in your Web browser by clicking Preview in Browser Preview in Browser button.


Modify properties for a field in a form

You can modify the properties for fields, including:

  • The field's name, which is an internal reference, not the text you display next to the field on the form. For example, change T1, the default name for a one-line text box, to FirstName. The form results will include these field names.
  • The initial value or state of the field. For example, you can type the text that will appear in a text box when the form is first opened, or specify whether an option is selected by default.
  • The field's value, which is returned with the form results if the option is selected. For example, change V1, the default value for a radio button, to Yes.
  • The position of the field in the tab order for the form.
  • Width and height of a text box.
  • The choices in a drop-down menu.

The type of properties you can set depend on the type of field it is.

  1. In Page view, double-click the form field.
  2. Modify the properties as needed.


Disable automatic form functionality for fields

By default, when you insert a form field outside of a form area, Microsoft FrontPage creates a form area with submit and reset buttons, and then inserts the field inside the form. If you want to use form fields with scripts rather than inside forms, you can disable this feature.

  1. On the Tools menu, click Page Options.
  2. On the General tab, clear the Automatically enclose form fields within a form box to disable automatic forms.


View or display the results of a form

You can view the results of a form differently depending on the form handler you are using. For example, you can open a text or HTML file, or view the results received in an e-mail message.

You can also display the results of a form. For example, if you have a form that serves as a guest book and saves the results to an HTML file, you can display the file as a page on your Web site for other visitors to see.

  1. In Page view, right-click the form, and then click Form Properties on the shortcut menu.

    2. The Form Properties dialog box displays the method you are using for saving your form results.

  2. If you are saving your form results to a file, note the name and location of the file so that you can open it or link to it from another page.


Specify the information to collect from a form

You can specify the information you want to gather from your form by selecting the fields to include in the form results. In addition, you can include the following information:

  • The time or date the form was submitted
  • The name or IP address of the site visitor's computer
  • The site visitor's user name
  • The type of Web browser used by the site visitor
  1. In Page view, right-click the form, and then click Form Properties on the shortcut menu.
  2. Click Options, and then click the Saved Fields tab.

    3. The names of all the fields in your form are listed in the Form fields to save list.

    • Select any field that you do not want saved in the form results, and then press DELETE.
    • To save the date or time the form was submitted with the form results, select formats from the Date format and Time format lists.
    • Select any additional types of information you want to save in the form results.

Tip To test your form, preview it in your Web browser by clicking Preview in Browser Preview in Browser button.


Save form results using a custom form handler

You can use your own custom script (ISAPI, NSAPI, or CGI) as a form handler. The Microsoft FrontPage Server Extensions do not need to be installed on your Web server in order for you to use a custom script.

  1. In Folders view, right-click the folder containing your script, and then click Properties on the shortcut menu.
  2. Select Allow scripts to be run. If you don't want others to be able to see files in this directory, click to clear the Allow files to be browsed check box.
  3. Click OK.
  4. In Page view, right-click your form, and then click Form Properties on the shortcut menu.
  5. Click Send to other, and then in the list click Custom ISAPI, NSAPI, CGI, or ASP script.
  6. Click Options.
  7. In the Action box, type the URL to the form handler.
  8. In the Method box, select the method of submitting information to the form handler:
    • The Get method encodes the form's name-value pairs and assigns the information to a server variable called QUERY_STRING.
    • The Post method passes the name-value pair directly to the form handler as input.
  9. To use the default encoding method application/x-www-form-urlencoded, leave the Encoding type box blank.

Tip To test your form, preview it in your Web browser by clicking Preview in Browser Preview in Browser button.


Save form results to an existing database

You can save form results (data that a site visitor enters in your form) to an ODBC-compliant database. When a site visitor fills out a form and submits it, Microsoft FrontPage enters the data directly into your database.

Before you can set up the form to work with an existing database, you must set up a connection for it:

  • If a database is on a Web server or network server, you must set up the database as a system data source name (system DSN). You can set up a system DSN by using the ODBC Data Sources control panel.

    • Then, you must create a database connection to it in FrontPage. On the Tools menu, point to Web Settings, click the Database tab, and then follow one of the following procedures, starting at step 3:

    • Create a new database connection to a data source on a Web server
    • Create a new database connection to a database server on a network
  • You can import the database into the current web, and let FrontPage create the database connection. For example, copy the database file from Windows Explorer, and then paste the database into the current web in Folders view. When FrontPage asks if you want to create a connection for it, type a name for the database, and then click Yes.
  1. In Page view, right-click the form, and then click Form Properties on the shortcut menu.
  2. Click Send to database.
  3. Click Options.
  4. On the Database Results tab, in the Database connection to use box, select the database connection for the database you want to use.
  5. In the Table to hold form results box, select the table in which you want to place the form results data.
  6. Click the Saved Fields tab.

    7. All of the fields in your form are listed. For each field, you must specify the column in which you want to save the data. For example, you collect telephone numbers from your site visitors in the field named PhoneNum, and you want to save the numbers in the Telephone column in your database.

  7. In the Form fields to save box, click a form field, and then click Modify.
  8. In the Save to database column box, specify the column in which you want to save form field data, and then click OK. The columns listed are from the table you specified earlier.

    9. Repeat steps 7 and 8 for each form field.

  9. To save additional information (such as the site visitor's browser type, remote computer name, timestamp, or user name) to your database, click the Additional Fields tab, and repeat steps 7 and 8 for each field you want to save.

Tip To test your form, preview it in your Web browser by clicking Preview in Browser Preview in Browser button.


Send form results in an e-mail message

You can send form results (data that a site visitor enters in your form) in an e-mail message. Each time a site visitor submits a form, a message containing the results of the form is sent to the e-mail address you specify. You can also configure other options for the messages, such as the text for the Subject line and the address for the From (Reply To) line.

Note In order to use this feature, the Microsoft FrontPage Server Extensions must be installed on your Web server and they must be correctly configured for e-mail. If you experience any problems using this feature or receive any error messages, contact your server or ISP administrator about correcting the configuration.

  1. In Page view, right-click the form, and then click Form Properties on the shortcut menu.
  2. Click Send to.
  3. In the E-mail address box, type the e-mail address to which you want to send the form results.

    4. Note If you do not want results saved to a file in addition to being sent in e-mail, clear the File name box.

  4. Click Options, and then click the E-mail Results tab.

    5. You can set properties for the results e-mail as needed, such as the format of the text and whether to include form field names in the results.

  5. In the Subject line box, type the text that you want in the subject line of the e-mail. If you leave this box blank, the default subject line in the e-mail will be "Form Results."

    6. If you want the subject line of the e-mail to contain the results of one field from your form, select Form field name, and then type the name of the field in the Subject line box.

  6. In the Reply-to line box, if you want a specific e-mail address to appear as the sender of the e-mail (the From or Reply To line in the e-mail), type the address.

    7. However, if your form contains a field that collects the site visitor's e-mail address, you can use that address as the sender's address. Select Form field name, and then in the Reply-to line box, type the name of the form field.

Tip To test your form, preview it in your Web browser by clicking Preview in Browser Preview in Browser button.


Save form results to a file

You can save the form results (data that a site visitor enters in your form) to a text or HTML file. By default, the file is located in _private, a hidden directory in your web. You can change this location and file name as needed. You can select the format of the text file and specify whether to include field names in the form results. You can also specify a second file to which to save results.

  1. In Page view, right-click the form, and then click Form Properties on the shortcut menu.
  2. Click Send to.

    3. A default file name and location for the results file are displayed. You can specify a different file to use by typing the new name and location in the File name box, or click Browse to locate the file.

  3. Click Options, and then click the File Results tab.
  4. Set properties for the results file as needed.

Tip To test your form, preview it in your Web browser by clicking Preview in Browser Preview in Browser button.


Save form results to a new Microsoft Access database

You can save form results (data that a site visitor enters in your form) to a database. When a site visitor fills out a form and submits it, Microsoft FrontPage enters the data directly into the database.

If you don't have a database available in which to store form results, FrontPage will create a new Microsoft Access database for you. FrontPage creates a table using the fields that you have already placed on your form as the columns.

  1. In Page view, right-click the form, and then click Form Properties on the shortcut menu.
  2. Click Send to database.
  3. Click Options.
  4. On the Database Results tab, click Create Database.

    5. After the database has been created, a confirmation message is displayed, telling you the name of the database and its location in your web. For example, /fpdb/Form.mdb means the database is named Form, and is located in the /fpdb folder in the current web. By default, FrontPage creates the fpdb folder in which to place the database.

  5. Click OK.

    6. FrontPage automatically selects the new database as the database connection to use, and selects the table in which to store the form results.

  6. Click OK, and then click OK again.

    7. If the extension of the current page is .htm, FrontPage prompts you to rename the file with the .asp extension in order for the file to work correctly.

Tip To test your form, preview it in your Web browser by clicking Preview in Browser Preview in Browser button.


About discussion groups

To learn more about discussion groups, click the graphic.

To display this topic, click the graphic.


Set properties for a discussion web

You can set the following properties for a discussion web:

  • The title of the discussion group
  • The discussion web directory in which to save articles
  • The format for the table of contents
  • Whether to use the color and background scheme from another page in your web
  • The pages to use as a header and footer in articles
  • Whether to include additional information in articles, such as the time and date
  1. Locate the page that contains the form for posting articles, and then open the page. If you used the Discussion Web Wizard, the file name of this page contains _post.
  2. In Page view, right-click the form, and then click Form Properties on the shortcut menu.
  3. Click Options, and then click the Discussion tab.
  4. Specify the properties you want for the discussion group.
  5. Click the Article tab, and then specify properties for the discussion group articles.


Manage discussion group articles

You can manage the articles that are posted in a discussion group. For example, you can modify an article that contains offensive language.

  1. On the Tools menu, click Web Settings, and then click the Advanced tab.
  2. Select Show documents in hidden directories.
  3. Click OK.
  4. Click Yes to refresh the web.
  5. Click Folders view.
  6. Navigate to the directory you specified for discussion group articles.

    7. Discussion group articles are named 0001.htm, 0002.htm, and so on.

  7. Open articles as needed in Page view by double-clicking the file name.
  8. If you find an offensive article, do not delete it. Instead, type a standard message replacing the article body, such as "[Deleted Article]." By not deleting the message, you will protect forward and backward hyperlinks to other articles in the discussion group thread.


Create a discussion group

Create a discussion group to set up a forum for site visitors to communicate with each other. A discussion group allows site visitors to post articles and reply to them.

The easiest way to create a discussion group is by using the Discussion Web Wizard. The wizard asks for the features you want to use, then creates a web and sets up the pages for you. After the web is created, open the pages and customize them.

If your discussion web is protected, you can register site visitors. The wizard creates a registration form for you. You will need to open this page, customize the form as needed, save it to the root web where the discussion group is located, and then make the page available to visitors.

  1. On the File menu, point to New, and then click Web.
  2. On the Web Site tab, click Discussion Web Wizard.
  3. In Choose a title for your web, type the name of the new web, and then click OK.

    4. The Discussion Web Wizard opens. Follow the on-screen directions to create a discussion group.

After the wizard has set up your web pages, modify them as necessary. For example, if your discussion group has categories, open the page for posting articles and modify the temporary choices the wizard set up for you in the category drop-down menu.

Tip To test your discussion group, preview it in your Web browser by clicking Preview in Browser Preview in Browser button.


Limit a search to a specific discussion web

You can create a search form to let a site visitor search a specific discussion web for specific words or phrases. If your server finds the search text in the text index for the specified discussion web, the visitor sees a weighted list of hyperlinks to the pages containing the search text.

For WAIS:

  1. In Page view, right-click the search form you want to format, click Search Form Properties on the shortcut menu, and then click the Search Results tab.
  2. In the Word list to search box, type the name of a discussion group folder to limit the search to that folder.

For Index Server:

  1. In Page view, right-click the search form you want to format, click Search Form Properties on the shortcut menu, and then click the Search Results tab.
  2. In the Scope of search results section, click Directory, and then enter the name of the folder containing the discussion web to which you want to limit the search.


Working with databases

To learn more about databases, click the graphic.

To display this topic, click the graphic.


Add information from a database to your pages using the Database Results Wizard

Before you run the Database Results Wizard, you should determine the name and type of database you want to access (for example, a Microsoft Access database named Northwind.mdb), and where that database is stored (for example, in the current web, on a database server, and so on). If you plan to use an Access database that you intend to add to the current web, import that database into the web before running the wizard. FrontPage will automatically create a database connection to the imported database.

After you've run the wizard, you can modify the database results (for example, to change the sorting order, or add another field from the database) by rerunning the wizard. In Page view, right-click the database results region, and then click Database Results Properties on the shortcut menu. The wizard remembers your settings; to skip to the step of the wizard that contains the settings you want to change, click Next.

Tip FrontPage includes a sample database named Northwind Traders, which you can use with the Database Results Wizard to create pages involving databases. If you've never used a database, or if you want to experiment with creating pages that input data without altering your own "live" database, click Use a sample database connection under step 1, below.

1. Connect to a database

Use a sample database connection

Use an existing database connection

Create a new database connection to a file or folder in the current web

Create a new database connection to a System DSN on a Web server

Create a new database connection to a database server on a network

Create a new database connection using a custom definition

Set or modify advanced database connection properties

2. Choose a record source or create a custom query

Choose a record source from a database

Create a custom query

3. Select the fields to be displayed and set other options

Edit the list of fields to be included in database results

Specify criteria to use for filtering database results

Select fields for a search form

Specify the sorting order of database results

Provide default values for input parameters

Limit the number of records returned

Create a message to display if no records are returned

4. Choose formatting options for database results

Format database results as a table

Format database results as a list

Format database results as a drop-down list

5. Display records together or split them into smaller groups

Display records together or split them into smaller groups

Add a search form


Modify an existing database connection

If the original database pointed to by a database connection has been moved or deleted, you can use this procedure to point the database connection to a different database, location, or server. You can also change the user name, password, or any other property of the connection except its name.

Note If you change the location or data source for an existing database connection, any pages containing database results from that database connection may display errors when viewed by a site visitor using a browser. You should either delete the database results regions from those pages, or rerun the Database Results Wizard to update each region.

  1. On the Tools menu, click Web Settings, and then click the Database tab.
  2. Click the database connection you want to modify, and then click Modify.
  3. Under Type of connection, do the following:
    • To connect to a different file or folder in the current web, click File or folder in current web, click Browse, and then select a database file or folder.
    • To connect to a different System Data Source Name (System DSN) on a Web server, click System data source on Web server, click Browse, and then select the System DSN for the database you want to access.
    • To connect to a different database server on a network, click Network connection to database server, click Browse, and then specify the type of database, the name of the server, and the name of the database you want to access.

      • Note You do not need to type a database name to connect to an Oracle database server.

    • To connect to a different database using a custom definition, click Custom definition, click Browse, and then select a File Data Source Name (File DSN) or Universal Data Link (UDL) file in the web. Or, to type a custom connection string, click Custom definition, click Advanced, and then type the connection string.


Remove a database connection

Use this procedure to remove an existing database connection from the current web.

Note If you remove a database connection from a web, any pages containing database results from the deleted database connection will display errors when viewed by a site visitor using a browser. You should either delete the database results regions from those pages, or rerun the Database Results Wizard to reconnect each region to another database connection.

  1. On the Tools menu, click Web Settings, and then click the Database tab.
  2. Click the database connection you want to remove, and then click Remove.


Verify a database connection

  1. On the Tools menu, click Web Settings, and then click the Database tab.

    2. In the list of database connections, the Status column contains a question mark (?) if the connection hasn't been verified.

  2. Click the database connection you want to verify, and then click Verify.

Notes

  • If FrontPage successfully verifies the database connection, the question mark in the Status column changes to a check mark.
  • If FrontPage does not successfully verify the database connection, click Modify and adjust the database connection properties.


Use an Access database in a web

Microsoft FrontPage makes it easy to use information from a Microsoft Access database in your web. You can import an Access database into your web, or you can connect to an Access database defined as a System Data Source Name (System DSN) on another server. Using the Database Results Wizard, you can then display information from the Access database on the pages in your web.

  • To import an Access database into your web, in Windows Explorer, copy the Access database file (.mdb) you want to import, and then paste the file into the Folder List in FrontPage. FrontPage asks if you want to create a new database connection, and then prompts you for a name for the new connection. To display information from that database on a page, run the Database Results Wizard (point to Database on the Insert menu, and then click Results).
  • When you import an Access database into your web, FrontPage creates a folder named Fpdb with permissions specifying that the folder can't be viewed in a Web browser. To protect the privacy of your database, move it into the Fpdb folder.
  • To use an Access database defined as a System DSN on the Web server, create a new database connection to a System DSN on a Web server.


Use an Excel database in a web

Microsoft FrontPage makes it easy to use information from a Microsoft Excel database in your web. An Excel database is a range of cells in a spreadsheet that has been defined as a database table and given a name. You can import an Excel database into your web, or you can connect to an Excel database defined as a System Data Source Name (System DSN) on the Web server. Using the Database Results Wizard, you can then display information from the Excel database on the pages in your web.

  • To import an Excel database into your web, click Import on the File menu, click Add File, and then select the file containing the Excel database you want to import.
  • To display results from an Excel database in the current web, create a new database connection to the file containing the Excel database.
  • To display results from an Excel database located on another server, create a new database connection to a System DSN on a Web server.

Tip To define a database table in an Excel spreadsheet, select a range of cells, point to Name on the Insert menu, click Define, and then type a name.


Create a database connection

To display information from, or input information to, a database, FrontPage uses a database connection. The database connection specifies the name, location, and type of database you want to access.

When you add information from a database to your pages using the Database Results Wizard, in step 1 of the wizard, you can select an existing database connection or create a new one.

You can also create or modify a database connection without using the Database Results Wizard as follows:

  • On the Tools menu, click Web Settings, and then click the Database tab:
    • To create a new database connection, click Add, and then follow the appropriate procedure to create a new database connection to a file or folder in the current web, create a new database connection to a System DSN on a Web server, create a new database connection to a database server on a network, or create a new database connection using a custom definition.
    • To modify an existing database connection, select that connection in the list, click Modify, and then follow the procedure to modify an existing database connection.


Import a database

You can easily import a Microsoft Access or other database file into the current web. Using the Database Results Wizard, you can then display information from the database on the pages in your web.

  • To import a database into your web, in Windows Explorer, copy the database file you want to import, and then paste the file into the Folder List in FrontPage. FrontPage asks if you want to create a new database connection, and then prompts you for a name for the new connection.
  • To display information from the imported database on a page, run the Database Results Wizard (point to Database on the Insert menu, and then click Results).
  • When you import an Access database into your web, FrontPage creates a folder named Fpdb with permissions specifying that the folder can't be viewed in a Web browser. To protect the privacy of your database, move it into the Fpdb folder.


Create a hyperlink in a list of database results

You can use a hyperlink to pass input parameters to a query in a database results region. For example, using the Database Results Wizard, you can easily create a page that searches the corporate address book database and displays a list of the names, e-mail addresses, and telephone extensions of everyone in your workgroup. You can then create a hyperlink from each name in the list that will display detailed information about the selected person in another database results region.

When a site visitor clicks a name in the list, the hyperlink uses parameters to send the value of that field to the page pointed to by the hyperlink. That page can then use the value in another database query, or send it to a shopping cart, and so on.

Note You cannot create a hyperlink in a database results region that is formatted as a drop-down list.

  1. In Page view, create or open a page containing a database results region formatted as a table or list.
  2. Select the field containing the values you want to pass as parameters, and then click Hyperlink Hyperlink button.
  3. In the Create Hyperlink dialog box, type the URL or select the page that will display the database results, click Parameters, and then click Add.
  4. In the Name box, type or select the name of the field that contains the values you want to pass as parameters.

    5. For example, select LastName to pass the value of the LastName field (for example, "Smith") as a parameter to another page.

    Note The Value box displays a VBScript function call that retrieves the value from the current record. To replace the VBScript function call with a constant value (for example, to always submit the value "Seattle" for the City field), type that value in the Value box.


Modify the labels of fields displayed in database results

If you used the Database Results Wizard to create a table or list of database results on a page, you can modify the field labels to use "friendly" names rather than the field identifiers from the database. In a database results region formatted as a table, the field labels are displayed in bold text at the top of each column. In a database results region formatted as a list, the fields labels are displayed in bold text to the left of the value of the field.

  • In Page view, select the field label you want to modify, and then type a different label.


Change the fields displayed in database results

If you used the Database Results Wizard to display a table or list of database results on a page, you can change which fields are displayed without rerunning the wizard.

  1. In Page view, right-click the field that you want to change, and then click Database Column Value Properties on the shortcut menu.
  2. In the Column to display box, select a different field to display in the database results region.


Working with HTML

To learn more about HTML, click the graphic.

To display this topic, click the graphic.


Show or hide color coding of HTML

When you edit a page using the HTML tab in Page view, Microsoft FrontPage automatically color codes HTML to distinguish between tags, attributes, and values, as well as comments and scripts.

  • To show color coding, right-click anywhere in the HTML tab, and then click Show Color Coding on the shortcut menu.
  • To hide color coding once the Show Color Coding command is checked, click Show Color Coding to clear the check mark.

Tip If you want to modify which colors FrontPage uses to display HTML, click Page Options on the Tools menu, click the Color Coding tab, and then select the colors you want to use.


Edit HTML of a page

If you're editing a page on the Normal tab in Page view, you can switch to the HTML tab to directly edit the HTML of that page. You can type HTML yourself or use menu commands, properties dialog boxes, and other tools in Microsoft FrontPage to help you create and edit HTML.

  • To edit HTML of an open page in Page view, click the HTML tab, or press CTRL+PAGE UP (or CTRL+PAGE DOWN) to select the HTML tab.
  • To edit HTML of an open frames page in Page view, click the Frames Page HTML tab.
  • To edit HTML of an open page displayed in a frame on a frames page, click that page and then click the HTML tab.


Find and replace text on the HTML tab in Page view

If you're editing HTML of a page on the HTML tab in Page view, you can find or replace text in tags, attributes, values, comments, and script.

  1. On the Edit menu, click Find or Replace.
  2. In the Find what box, type the text that you want to find or replace in HTML. If you're replacing text, type the replacement text in the Replace with box.
  3. Set the other find or replace options:
    • Click Up or Down to specify the direction to search relative to the insertion point on the HTML tab.
    • To find or replace only whole words matching the text in the Find what box, or to match the case of the text in the Find what box, select the Find whole word only or Match case check boxes.
  4. Click Find Next to find the first occurrence.

    5. Microsoft FrontPage highlights the first occurrence.

  5. Click Find Next to find the next occurrence, Replace to replace this occurrence and find the next, or Replace All to replace all occurrences on the open page.

Tip If you want to search selected pages or all pages in your web, you can find or replace text in HTML in a web.


Find and replace text in HTML in a web

You can find or replace text in tags, attributes, values, comments, and script in HTML. If any pages are open in Page view, save them so the most current version of your page or web is checked.

If you want to find or replace text in HTML only in selected pages in your web, switch to Folders view, and then select those pages in the file list before continuing.

  1. On the Edit menu, click Find or Replace.
  2. In the Find what box, type the text that you want to find or replace in HTML. If you're replacing text, type the replacement text in the Replace with box.
  3. Set the scope of the find or replace operation:
    • Click All pages to find or replace the text on every page in your web.
    • Click Selected pages to find or replace the text on the pages you selected in Folders view.
  4. Set the other find and replace options:
    • Click Up or Down to specify the direction to search.
    • To find or replace only whole words matching the text in the Find what box, or to match the case of the text in the Find what box, select the Find whole word only or Match case check boxes.
  5. Select the Find in HTML check box, and then click Find Next (for selected pages) or Find in Web (for an entire web) to find the first occurrence.

    6. At the bottom of the dialog box, Microsoft FrontPage lists each page that contains the search text, including the number of occurrences of the search text located on each page.

    • To add a task to the list in the Tasks view for each page containing the search text, select the page, then click Add Task.
    • To edit a page containing the search text, double-click that page in the list. The selected page opens in Page view, and the first occurrence of the search text is selected. Click Find Next to skip this occurrence and find the next, Back to Web to cancel editing and restore the list of occurrences in the Find or Replace dialog box, Replace to replace this occurrence on the page and find the next, or Replace All to replace every occurrence in the web.

      • Note If you click Replace All, FrontPage may ask you to save and close the open page before replacing the search text on other pages.


Show or hide HTML tags on the Normal tab in Page view

If you're editing a page using the Normal tab in Page view, you can show or hide marks that indicate the beginning and end of the underlying HTML tags that surround all text, pictures, and other page elements. Showing HTML tags can help you more precisely position page elements such as nested tables, text boxes, and so on.

  • To show HTML tags, on the View menu, click Reveal Tags.
  • To hide HTML tags once the Reveal Tags command is checked, click Reveal Tags to clear the check mark.

Tip If you move the mouse pointer over an HTML tag, Microsoft FrontPage displays a ScreenTip showing the entire text of that tag, including its attributes and values.


Insert HTML on the Normal tab in Page view

If you're editing a page on the Normal tab in Page view and you want to supplement the HTML that Microsoft FrontPage generates, you can insert an HTML Markup component at the insertion point.

Tip You can click the HTML tab to edit HTML directly using the color-coded HTML editor, which checks HTML syntax automatically as you type.

  1. On the Insert menu, point to Advanced, and then click HTML.
  2. Type the plain text or HTML that you want to insert. FrontPage will not verify the text or HTML for correctness, nor reformat it when the page is saved.

Notes

  • If you click Reveal Tags on the View menu, or if Show All Show All button is selected, the inserted text or HTML appears as an HTML Markup icon HTML Markup icon. However, the inserted text or HTML is displayed on the Preview tab, or when a site visitor browses to the page.
  • FrontPage inserts the plain text or HTML that you type between the HTML Markup component <STARTSPAN> and <ENDSPAN> tags.
  • To insert a comment into HTML that can only be viewed while authoring in FrontPage, on the Insert menu, click Comment, and then type the text of the comment (you do not need to type the surrounding comment tags).


Go to a line number on the HTML tab in Page view

When you're editing HTML on the HTML tab in Page view, you can jump to a specific line number in your code.

  1. Right-click anywhere in the HTML tab, and then click Go To on the shortcut menu.
  2. In the Enter line number box, type the number of the line you want to go to.


Modify HTML formatting

You can modify how Microsoft FrontPage formats HTML for a page displayed on the HTML tab in Page view. For example, you can display the names of HTML tags in uppercase and HTML attributes in lowercase to differentiate them, such as <FORM method="POST">.

  1. In Page view, open the page you want to modify. On the Tools menu, click Page Options, and then click the HTML Source tab.
  2. Select how to apply the formatting changes to HTML:
    • To preserve the formatting of any existing HTML on the page and apply the formatting changes only to subsequent HTML that you insert or write, click Preserve existing HTML. Use this option if you're editing a page created in another editor and you do not want FrontPage to modify your original HTML.
    • To apply the formatting changes to all HTML on the page when the page is saved and refreshed, click Reformat using the rules below. When you save the page, FrontPage will reformat all of the HTML on the page according to the new formatting settings.
  3. Modify the formatting as follows:
    • To display the names of HTML tags in lowercase, select the Tag names are lowercase check box.
    • To display the names of HTML attributes in lowercase, select the Attribute names are lowercase check box.
    • To allow line breaks within tags, select the Allow line breaks within tags check box.
    • To adjust the amount of space that HTML is indented from the left, in the Indent box, type or select the number of spaces to indent HTML, and then click Spaces.
    • To indent HTML using tabs instead of spaces, in the Indent box, type or select the number of tab stops to indent HTML, and then click Tabs.
    • To adjust the point at which HTML wraps on the right, in the Right Margin box, type or select the column width, in characters, at which to wrap HTML on the right. For example, to wrap HTML into smaller line lengths so you can see a long tag without scrolling horizontally, type or select a smaller number, such as 40. To create longer lines of HTML that scroll off the edge of the HTML tab, type or select a larger number, such as 100.
    • To get HTML formatting information from the current page and use those settings as the default, click Base on current page. Use this option if you're editing a page whose HTML is already formatted the way you want, and you'd like to apply those formatting options to any new HTML you insert or write.

Notes

  • The settings you choose won't be displayed on the HTML tab until you switch to the Normal tab and then back.
  • The settings you choose will apply to all subsequent new pages you create.
  • By default, FrontPage preserves the original HTML formatting whenever you save the page and applies formatting changes only to any new HTML you insert or write.
  • To restore the HTML formatting settings to their original defaults, click Reset.


Modify HTML formatting of specific tags

You can modify how Microsoft FrontPage formats specific HTML tags for a page displayed on the HTML tab in Page view. For example, you can tell FrontPage not to insert closing </p> tags, or to indent the contents and add a line break before <h1> tags.

  1. In Page view, open the page you want to modify. On the Tools menu, click Page Options, and then click the HTML Source tab.
  2. Select how to apply the formatting changes for the specific tags:
    • To preserve the formatting of any existing HTML tags on the page and apply the formatting changes only to subsequent HTML tags that you insert or write, click Preserve existing HTML. Use this option if you're editing a page created in another editor and you do not want FrontPage to modify your original HTML.
    • To apply the formatting changes to all occurrences of specific HTML tags on the page when the page is saved and refreshed, click Reformat using the rules below. When you save the page, FrontPage will reformat all occurrences of the specific tags in the page's original HTML.
  3. In the Tags list, click the tag you want to modify, and then specify the formatting for that tag:
    • To add line breaks before or after the tag to more clearly differentiate it from surrounding HTML, type or select the number of line breaks in the Before start or After end boxes.
    • To add line breaks within a tag to more clearly differentiate the tag from its contents, type or select the number of line breaks in the After start or Before end boxes.
    • To indent the contents of the tag from the left of the start and end tags, select the Indent contents check box.
    • To omit the starting or ending portion of the tag, select the Omit start tag or Omit end tag check box. Depending on the tag you selected, one or both of these options may not be available if HTML rules don't permit you to omit the start or end of that specific tag.
    • To get HTML formatting information from the current page and use those settings as the default, click Base on current page. Use this option if you're editing a page whose HTML is already formatted the way you want, and you'd like to apply those formatting options to any new HTML you insert or write.

Notes

  • The settings you choose won't be displayed on the HTML tab until you switch to the Normal tab and then back.
  • The settings you choose will apply to all subsequent new pages you create.
  • By default, FrontPage preserves the original HTML formatting whenever you save the page and applies formatting changes only to any new HTML you insert or write.
  • To restore the HTML formatting settings to their original defaults, click Reset.


Get HTML formatting from a page

You can modify how Microsoft FrontPage formats HTML for a page displayed on the HTML tab in Page view. For example, you can display the names of HTML tags in uppercase and HTML attributes in lowercase to differentiate them, such as <FORM method="POST">. You can get the formatting information from the current page and use that as the default for any subsequent HTML you insert or write on that page.

  1. In Page view, open the page you want to modify. On the Tools menu, click Page Options, and then click the HTML Source tab.
  2. Select how to apply the formatting changes to HTML:
    • To preserve the formatting of any existing HTML on the page and apply the formatting changes only to subsequent HTML that you insert or write, select Preserve existing HTML.
    • To apply the formatting changes to all HTML on the page when the page is saved, click Reformat using the rules below. When you save and refresh the page, FrontPage will reformat all of the HTML on the page according to the formatting settings of the current page.
  3. Click Base on current page.

Notes

  • The settings you choose won't be displayed on the HTML tab until you switch to the Normal tab and then back.
  • The settings you choose will apply to all subsequent new pages you create.
  • By default, FrontPage preserves the original HTML formatting whenever you save the page and applies formatting changes only to any new HTML you insert or write.
  • To restore the HTML formatting settings to their original FrontPage defaults, click Reset.


Modify color coding of HTML

When you're editing a page on the HTML tab in Page view, Microsoft FrontPage automatically color codes HTML to differentiate between text on the page, tags, attribute names, attribute values, comments, and scripts. You can change which colors FrontPage uses to display these elements to suit your personal preferences or workgroup needs.

  1. In Page view, open the page you want to modify. On the Tools menu, click Page Options, and then click the Color Coding tab.
  2. For each HTML element that you want to modify, click the arrow in the color box to select the color you want to use. To select or create a custom color using the Eyedropper tool, click More Colors.

Tips

  • The settings you choose will apply to all subsequent new pages you create.
  • To reset color coding to its original default settings, click Reset Colors.
  • If HTML doesn't appear color-coded on the HTML tab in Page view, select the Show color coding check box.


Open or edit an Active Server Page (.asp)

When you open an Active Server Page (.asp file) in Page view, you can view it on the Normal tab, and edit it by using either the Normal tab or the HTML tab.

Notes

  • If an Active Server Page opens on the HTML tab, Microsoft FrontPage has detected errors or structural problems with the page, such as multiple body tags or missing end tags. FrontPage opens the page on the HTML tab to prevent any unwanted changes to the original .asp.
  • Active Server Pages may not preview properly on the Preview tab. To see the page as it will be appear to a site visitor browsing to your site, click Preview in Browser on the File menu.


Enable or disable Dynamic HTML (DHTML)

Dynamic HTML (DHTML) is a Microsoft enhancement to HTML version 4.0 that lets you create special effects such as text that flies off the page one word at a time, or rotating billboard-style transition effects between pages. However, some Web browsers don't support DHTML, so pages containing DHTML might not be displayed properly or might contain errors when viewed by some site visitors.

Microsoft FrontPage lets you target your web for compatibility with specific browsers and technologies. If you enable or disable DHTML, or if you target a web for compatibility with a browser that doesn't support DHTML, the commands that utilize DHTML will be unavailable (that is, they will appear dimmed) on menus in FrontPage at authoring time.

  1. On the Tools menu, click Page Options, and then click the Compatibility tab.
  2. To enable or disable DHTML, select or clear the Dynamic HTML check box.

Notes

  • The following table lists the browser compatibility options for which DHTML is automatically disabled or enabled. If you override the default and enable DHTML, your pages might not be displayed properly, or they might contain errors.
    • Browser | Browser Version | DHTML
Internet Explorer | 4.0 and later | enabled
Internet Explorer | 3.0 and later | disabled
Netscape Navigator | 4.0 and later | enabled
Netscape Navigator | 3.0 and later | disabled
Both Internet Explorer and Navigator | 4.0 and later | enabled
Both Internet Explorer and Navigator | 3.0 and later | disabled
Microsoft WebTV | unavailable | disabled

  • If you disable DHTML, or choose a browser compatibility option that disables DHTML, the following commands and settings will be unavailable:
    • Dynamic HTML Effects (Format menu)
    • Page Transition (Format menu)
    • Enable collapsible outlines check box (Format menu, Bullets and Numbering command)
    • Enable hyperlink rollover effects check box (File menu, Properties command, Background tab)


Set properties on the HTML tab in Page view

When you're editing a page on the HTML tab in Page view, you can use Microsoft FrontPage to help you set the properties of an HTML tag, instead of memorizing the valid attributes and values and typing them yourself.

For example, if you want to add a border to an image, you can type border="1" in the <img> tag — but that assumes you know the valid attributes and values for image tags. Instead, you can use the Picture Properties dialog box to set the border, and FrontPage automatically writes the border settings, in the proper syntax and using valid values, back into the <img> tag. Unlike previous versions of FrontPage, you don't need to exit the HTML tab to use dialog boxes to set properties for a tag.

  1. On the HTML tab in Page view, position the insertion point inside the tag name (not inside an attribute or a value) of the tag you want to set properties for, right-click to display the shortcut menu, and then click Tag Properties.

    2. FrontPage displays the appropriate properties dialog box for that HTML tag. For example, if you click in a form field check box tag, FrontPage displays the Check Box Properties dialog box.

  2. Set the properties you want. The dialog box lets you choose from among the valid attributes and values for that tag.

When you click OK to close the properties dialog box, FrontPage immediately rewrites the HTML for that tag.


Preserve the original HTML formatting of a page

When you open an existing page, including pages created in other editors, Microsoft FrontPage automatically preserves the content, syntax, and formatting of HTML of that page, even if it contains errors or unrecognized HTML. When you save the page, FrontPage saves any custom formatting — such as the indentation, the case of tags, and so on — for any new HTML you've written. The original HTML of the page, however, will not be modified or reformatted in any way unless you edited it in FrontPage.

If you want to override automatic HTML preservation, click Page Options on the Tools menu, click the HTML Source tab, and then click Reformat using the rules below.


Print HTML of a page

  • In Page view, click the HTML tab, and then click Print Print button.


Add a system META-variable to a page

To add information to the HTTP header for a page, add a system META-variable. This variable corresponds to the HTTP-EQUIV attribute in the META tag and will not be visible to site visitors. This META tag can supply special instructions to a Web browser, such as an expiration date or a display-refresh value.

  1. In Page view, right-click the page, and then click Page Properties on the shortcut menu.
  2. Click the Custom tab.
  3. Under System variables, click Add.
  4. In the Name box, type the name of the variable.
  5. In the Value box, type the value of the variable.


Add a user-defined META-variable to a page

To add information to the HTTP header for a page, add a user-defined META-variable. This variable corresponds to the NAME attribute in the META tag and will not be visible to site visitors. This META tag can supply special instructions to a Web browser, such as an expiration date or a display-refresh value.

  1. In Page view, right-click the page, and then click Page Properties on the shortcut menu.
  2. Click the Custom tab.
  3. Under User variables, click Add.
  4. In the Name box, type the name of the variable.
  5. In the Value box, type the value of the variable.


Target a web for specific browsers

Microsoft FrontPage lets you target your web for compatibility with specific browsers and technologies. For example, you can target a web for compatibility with both Microsoft Internet Explorer and Netscape Navigator, or for compatibility with all version 3.0 browsers.

If you target a web for compatibility with specific browser technologies or versions, commands not supported by those browser technologies or versions will be unavailable (that is, they will appear dimmed) on menus in FrontPage at authoring time.

  1. On the Tools menu, point to Page Options, and then click the Compatibility tab.
  2. In the Browser box, select the specific browsers you want.

    3. Tip To target specific technologies or features instead of browsers, click Custom, and then in the Technologies area, select or clear the check boxes of the specific technologies or features you want to enable or disable.

  3. In the Browser versions box, select the specific versions of browsers that you want.

    4. Tip To target specific technologies or features instead of browser versions, click Custom, and then in the Technologies area, select or clear the check boxes of the specific technologies or features you want to enable or disable.

Notes

  • The following table lists the default technologies and features supported for each browser compatibility combination. If you override the default and enable a technology or feature not supported by a specific browser or version, your pages might not be displayed properly, or they might contain errors.
  • You can also target a web for specific servers when creating a web.

    Browser | Browser version | ActiveX controls | VBScript | JavaScript | Java applets | Dynamic HTML | Frames | CSS 1.0 | CSS 2.0
Internet Explorer | 4.0 and later | enabled | enabled | enabled | enabled | enabled | enabled | enabled | enabled
Internet Explorer | 3.0 and later | enabled | enabled | enabled | enabled | disabled | enabled | enabled | disabled
Netscape Navigator | 4.0 and later | disabled | disabled | enabled | enabled | enabled | enabled | enabled | enabled
Netscape Navigator | 3.0 and later | disabled | disabled | enabled | enabled | disabled | enabled | disabled | disabled
Both Internet Explorer and Navigator | 4.0 and later | disabled | disabled | enabled | enabled | enabled | enabled | enabled | enabled
Both Internet Explorer and Navigator | 3.0 and later | disabled | disabled | enabled | enabled | disabled | enabled | disabled | disabled
Microsoft WebTV | unavailable | disabled | disabled | disabled | disabled | disabled | disabled | disabled | disabled

  • If you choose Netscape Navigator only, Both Internet Explorer and Netscape Navigator, or Microsoft Web TV in the Browsers box, the following commands and settings will be unavailable:
    • Marquee (Insert menu, Component submenu)
    • Video (Insert menu, Picture submenu)
    • Table background picture (Table menu, Properties submenu, Table command)
    • Cell borders and background (Table menu, Properties submenu, Cell command)
  • If you choose Microsoft Internet Explorer, Both Internet Explorer and Netscape Navigator, or Microsoft Web TV in the Browsers box, the following setting will be unavailable:
    • Blink check box (Format menu, Font command)


Target a web for specific servers

Microsoft FrontPage lets you target your web for compatibility with specific servers. For example, you can target a web for compatibility with Microsoft Internet Information Server version 3.0 and later.

If you target a web for compatibility with a specific server, commands not supported by that server will be unavailable (that is, they will appear dimmed) on menus in FrontPage at authoring time.

  1. On the Tools menu, point to Page Options, and then click the Compatibility tab.
  2. In the Servers box, select the server you want.

    3. Note If you select Apache server, Active Server Pages are disabled by default.

  3. If you want to target your web for a server that uses the FrontPage Server Extensions, select the Enabled with Microsoft FrontPage Server Extensions check box.

    4. Note If your server doesn't use the FrontPage Server Extensions and you clear this check box, the following commands will be unavailable:

    • Hit Counter (Insert menu, Component submenu)
    • Search Form (Insert menu, Component submenu)
    • Confirmation Field (Insert menu, Component submenu)


Use your computer as a server

When you install Microsoft FrontPage, it checks to see if you have a Web server installed on your computer. Previous versions of FrontPage installed a Web server by default, so if you have a previous version of FrontPage installed, you probably have a Web server installed as well.

If you have installed a Web server or a previous version of FrontPage or the server extensions, FrontPage automatically updates the server extensions and, if necessary, guides you through the process of configuring your server to use the server extensions. By default, all of the webs you create will be server-based.

If you don't have a Web server installed on your computer, FrontPage installs the server extensions, but does not configure them. By default, all of the webs you create in FrontPage will be disk-based. Use the following procedure to configure your computer as a server and use FrontPage to create server-based webs.

  1. Install server software, such as Microsoft Personal Web Server.
    • If you have Windows 98 or Windows NT installed on your computer, you can install the Microsoft Personal Web Server from the product CD.
    • If you have Windows 95 installed on your computer, you can install the Microsoft Personal Web Server from the Windows NT 4.0 Option Pack. You can download the Option Pack from the Microsoft Web site.
  2. After you've installed a server on your computer, run Fpsrvadm, the FrontPage Server Extensions administration utility, to configure your server to use the server extensions. If your server is Windows NT Internet Information Services (IIS), you can use the FrontPage Microsoft Management Console (MMC) snap-in instead.

Notes

  • Once you complete this procedure, FrontPage will create server-based webs by default. You can continue to open and save any disk-based webs you may have created prior to configuring your computer as a server. To convert a disk-based web to a server-based web, publish the disk-based web to the URL of your server.
  • For information about how to install and administer the FrontPage Server Extensions, see the FrontPage Server Extensions Resource Kit. If the FrontPage Server Extensions are installed on your computer, you can also access the resource kit by default at C:\Program Files\Common Files\Microsoft Shared\Web Server Extensions\40\Serk\nnnn\Default.htm. (The nnnn folder has a numerical name based on the language in which you installed the FrontPage Server Extensions. For example, in a US English installation, the path is C:\Program Files\Common Files\Microsoft Shared\Web Server Extensions\40\Serk\1033\Default.htm.)


Enable or disable VBScript

You can use Microsoft VBScript in your web for everything from forms to database queries. However, some Web browsers don't support VBScript, so pages containing VBScript might not be displayed properly or might contain errors when viewed by some site visitors.

Microsoft FrontPage lets you target your web for compatibility with specific browsers and technologies. If you enable or disable VBScript, or if you target a web for compatibility with a browser that doesn't support VBScript, the commands for inserting or using VBScript will be unavailable (that is, they will appear dimmed) on menus in FrontPage at authoring time.

  1. On the Tools menu, click Page Options, and then click the Compatibility tab.
  2. To enable or disable VBScript, select or clear the VBScript check box.

Note If you target your web for compatibility with Netscape Navigator only, Both Internet Explorer and Navigator, or Microsoft Web TV in the Browsers box, VBScript is automatically disabled by default. If you override the default and enable VBScript, your pages might not be displayed properly, or they might contain errors.


Enable or disable JavaScript

You can use JavaScript in your web for everything from animation to applications. However, some Web browsers don't support JavaScript, so pages containing JavaScript might not be displayed properly or might contain errors when viewed by some site visitors.

Microsoft FrontPage lets you target your web for compatibility with specific browsers and technologies. If you enable or disable JavaScript, or if you target a web for compatibility with a browser that doesn't support JavaScript, the commands for inserting or using JavaScript will be unavailable (that is, they will appear dimmed) on menus in FrontPage at authoring time.

  1. On the Tools menu, click Page Options, and then click the Compatibility tab.
  2. To enable or disable JavaScript, select or clear the JavaScript check box.

Note If you target your web for compatibility with Microsoft Web TV in the Browsers box, JavaScript is automatically disabled by default. If you override the default and enable JavaScript, your pages might not be displayed properly, or they might contain errors.


Enable or disable Java applets

You can use Java applets in your web for everything from animation to applications. However, some Web browsers don't support Java applets, so pages containing Java applets might not be displayed properly or might contain errors when viewed by some site visitors.

Microsoft FrontPage lets you target your web for compatibility with specific browsers and technologies. If you enable or disable Java applets, or if you target a web for compatibility with a browser that doesn't support Java applets, the commands for inserting or using Java applets will be unavailable (that is, they will appear dimmed) on menus in FrontPage at authoring time.

  1. On the Tools menu, click Page Options, and then click the Compatibility tab.
  2. To enable or disable Java applets, select or clear the Java applets check box.

Notes

  • If you target your web for compatibility with Microsoft Web TV in the Browsers box, Java applets are automatically disabled by default. If you override the default and enable Java applets, your pages might not be displayed properly, or they might contain errors.
  • If you disable Java applets, or choose a browser compatibility option that disables Java applets, the following commands will be unavailable:
    • Java Applet (Insert menu, Advanced submenu)
    • Banner Ad Manager (Insert menu, Component submenu)
    • Hover Button (Insert menu, Component submenu)


Enable or disable frames

A frames page is a special kind of HTML page that divides the browser window into different areas called frames, each of which can display a different page. However, some Web browsers don't support frames, so frames pages might not be displayed properly when viewed by some site visitors.

Microsoft FrontPage lets you target your web for compatibility with specific browsers and technologies. If you enable or disable frames, or if you target a web for compatibility with a browser that doesn't support frames, the commands for inserting or using frames will be unavailable (that is, they will appear dimmed) on menus in FrontPage at authoring time.

  1. On the Tools menu, click Page Options, and then click the Compatibility tab.
  2. To enable or disable frames and frames pages, select or clear the Frames check box.

Notes

  • If you target your web for compatibility with Microsoft Web TV in the Browsers box, frames are automatically disabled by default. If you override the default and enable frames, your frames pages might not be displayed properly.
  • If you disable frames, or choose a browser compatibility option that disables frames, the Frames Pages tab won't appear in the New dialog box (File menu, New submenu, Page command) when you are creating new pages.


Enable or disable Active Server Pages (.asp)

You can enable or disable the use of Active Server Pages (files with the .asp extension) in a web.

  • On the Tools menu, click Page Options, click the Compatibility tab, and then select or clear the Active Server Pages check box.

Notes

  • If you target your web for compatibility with Apache server in the Servers box, Active Server Pages are disabled by default. If you override the default and enable Active Server Pages, your pages might not be displayed properly, or they might contain errors.
  • If your web already uses a database and you disable Active Server Pages, the Results and Column Value commands (Insert menu, Database submenu) will be unavailable.


View a site summary

The Site Summary report gives you an overview of your web's vital statistics, such as the number and sizes of files and pictures, number and types of hyperlinks, number of incomplete tasks, and so on. Think of it as a high-level inventory and diagnosis of your web.

Note If your web contains files located in hidden folders, those files will not be included in this report. To include files in hidden folders in your reports, click Web Settings on the Tools menu, click the Advanced tab, and then select the Show documents in hidden directories check box.

  • On the View menu, point to Reports, and then click Site Summary.


View hyperlinks to and from any page in your web

Hyperlinks view presents a visual "map" of the hyperlinks to and from any page in your web. On the Views bar, click the Hyperlinks icon to switch to Hyperlinks view, and then in the Folder List, click the page you want.

Tip You can customize Hyperlinks view to show or hide page titles, links to and from pictures, and so on.


List broken hyperlinks

Few things irritate site visitors as much broken hyperlinks — links that don't lead anywhere or point to "dead ends," pages or Web sites that have been renamed, moved, deleted, or assigned different URLs. Part of good web maintenance involves regularly checking for broken hyperlinks and fixing or deleting them.

Note If your web contains files located in hidden folders, those files will not be included in this report. To include files in hidden folders in your reports, click Web Settings on the Tools menu, click the Advanced tab, and then select the Show documents in hidden directories check box.

  • To see the number of broken hyperlinks in your web, on the View menu, point to Reports, and then click Site Summary. In the Broken hyperlinks row, the Count column list the number of broken hyperlinks in your web.
  • To see a detailed list of the broken hyperlinks in your web, on the View menu, point to Reports, and then click Broken Hyperlinks.

Tips

  • The first time you create the Site Summary or Broken Hyperlinks reports, the count of broken hyperlinks is listed as 0, while the count of unverified hyperlinks equals the total number of hyperlinks in your web. This is because Microsoft FrontPage initially lists all hyperlinks as unverified. To verify hyperlinks, click Recalculate Hyperlinks on the Tools menu.

    • Note If there are many external hyperlinks in your web, it may take several minutes for FrontPage to carry out this command, because it must connect to each external Web site to verify the hyperlink.

  • In the Site Summary report, you can double-click the Broken hyperlinks row to display the Broken Hyperlinks report. In this report, you can do the following:
    • Double-click a hyperlink to open and edit it, and apply the change to selected pages or all pages in which that hyperlink appears.
    • To edit the page containing a broken hyperlink, right-click the hyperlink and then click Edit Page on the shortcut menu.
    • To add a task to the hyperlink reminding someone to fix it, right-click the hyperlink and then click Add Task on the shortcut menu.


View the list of tasks

  • Click the Tasks button in the Views bar to switch to Tasks view, which lists the name, priority, status, and other information about each task in the current web.

Tip If the Task History command isn't checked, each time you refresh Tasks view or switch to another view, Microsoft FrontPage hides completed tasks. To show completed tasks, right-click on the background in Tasks view, and then click Show Task History on the shortcut menu, if it is not already checked.


Add a hit counter to a page

A hit counter tallies and displays the number of times a page has been visited. For example, add a hit counter to your home page so that you and site visitors can see how many times your Web site has been visited, as in the example below.

You are visitor: Hit counter

Microsoft FrontPage provides several styles of counters, but you can supply your own number graphics by creating a custom picture in GIF format. The picture must include numbers 0 to 9, evenly spaced.

Note A hit counter works only for pages in a web, and requires your Web server to run the FrontPage Server Extensions.

  1. In Page view, position the insertion point where you want to place the hit counter.
  2. On the Insert menu, point to Component, and then click Hit Counter.
  3. Under Counter Style, click the type of hit counter you want to use. If you click Custom Picture, type the relative location of the GIF file, for example Images/Custom.gif.
  4. To set the counter to a specific number, select the Reset counter to box, and then type the number.
  5. To display a fixed number of digits in the hit counter, select the Fixed number of digits box, and then type the number. For example, to display 005 rather than 5, select this option and type 3.

    6. [HitCounter] is displayed on the page as a placeholder for the hit counter. To see how the hit counter will appear to site visitors, click the Preview tab, or preview the page in a Web browser.


Reset a hit counter to zero

After you add a hit counter to a page, you can reset the counter to zero. For example, you test a web after you publish it to ensure that it is working properly, and then you find that the hit counter has been incremented by your own visits. You can reset the counter to zero to start it over to count just site visitors.

  1. In Page view, double-click [HitCounter].
  2. Select the Reset counter to box, and then type 0 in the box.


Calculate the size of a web

The Site Summary report displays the number and total size, in kilobytes, of all the files in your web, including pages, pictures, and databases.

Note If your web contains files located in hidden folders, those files will not be included in this report. To include files in hidden folders in your reports, click Web Settings on the Tools menu, click the Advanced tab, and then select the Show documents in hidden directories check box.

  • On the View menu, point to Reports, and then click Site Summary.

In the All files row, the Count column lists the number of files in your web, and the Size column lists the total size, in kilobytes, of all the files in your web.


Calculate the size of all pictures

The Site Summary report displays the size, in kilobytes, of all the pictures (GIFs, JPEGs, BMPs, and so on) in your web.

Note If your web contains pictures located in hidden folders, those pictures will not be included in this report. To include pictures in hidden folders in your reports, click Web Settings on the Tools menu, click the Advanced tab, and then select the Show documents in hidden directories check box.

  • On the View menu, point to Reports, and then click Site Summary.

In the Pictures row, the Size column lists the total size of all the pictures in your web.


Count pictures

The Site Summary report displays the total number of pictures (GIFs, JPEGs, BMPs, and so on) in your web.

Note If your web contains pictures located in hidden folders, those pictures will not be included in this report. To include pictures in hidden folders in your reports, click Web Settings on the Tools menu, click the Advanced tab, and then select the Show documents in hidden directories check box.

  • On the View menu, point to Reports, and then click Site Summary.

In the Pictures row, the Count column lists the number of pictures in your web.


List pages that will download slowly

The more text, pictures, controls, and other elements you add to a page, the more slowly that page will download from your Web server when a site visitor browses to the page. It's a good idea to keep your pages small so that they download quickly. Consider the connection speed of the audience for your web: Are they browsing from home on a 28.8 modem, or are they connected at work via the corporate intranet? The slower their connection, the smaller your pages should be.

Microsoft FrontPage helps you determine which pages in your web will download slowly, based on a given connection speed. The Site Summary and Slow Pages reports display this information.

Note If your web contains files located in hidden folders, those files will not be included in this report. To include files in hidden folders in your reports, click Web Settings on the Tools menu, click the Advanced tab, and then select the Show documents in hidden directories check box.

  1. On the View menu, point to Reports, and then click Site Summary.

    2. In the Slow pages row, the Count column lists the number of slow pages in your web. The Description column lists the download time and modem speed used to define a slow page.

  2. To view the Slow Pages report, which lists the slow pages in your web and the estimated download time for each, double-click the Slow pages row, or point to Reports on the View menu, and then click Slow Pages.

Tip To define the connection speed and the amount of time used to calculate a slow page, click Options on the Tools menu, click the Reports View tab, and then type new values for "Slow pages" take at least and Assume connection speed of.


Define "slow pages" in Reports view

When Microsoft FrontPage calculates the Site Summary and Slow Pages reports in Reports view, it defines pages that will download slowly, or "slow" pages, as pages that will take at least 20 seconds to download at a connection speed of 14.4 baud. Use this procedure to change the default number of seconds to download and assumed connection speed that FrontPage uses to define "slow" pages when it calculates these reports.

  1. On the Tools menu, click Options, and then click the Reports View tab.
  2. In the Assume connection speed of box, select the connection speed of your target audience. For example, if your web will be browsed by home users with modem connections, select 28.8 or 56.6. If your web will be browsed on a corporate intranet by users with dedicated network connections, select T1 or T3.
  3. In the "Slow" pages take at least box, type or select the number of seconds that define a "slow" page at the assumed connection speed.

    4. Tip As a general guideline, a page that takes more than 20 seconds to download — no matter what the assumed connection speed is — will be considered "slow" by people browsing your web.


Sort files by date

Microsoft FrontPage gives you several different ways to sort the files in your web by date.

Note If your web contains files located in hidden folders, those files will not be included in this report. To include files in hidden folders in your reports, click Web Settings on the Tools menu, click the Advanced tab, and then select the Show documents in hidden directories check box.

  • To see files that have been added to your web recently, on the View menu, point to Reports, and then click Recently Added Files.
  • To see files that have been modified recently, on the View menu, point to Reports, and then click Recently Changed Files.
  • To see older files in your web that might be outdated or overlooked, on the View menu, point to Reports, and then click Older Files.

Tips

  • To change the number of days that a report uses to calculate whether a file is recently added, recently changed, or older, click the number of days in the Report Setting box on the Reporting toolbar.

    • To display the Reporting toolbar, point to Toolbars on the View menu, and then click Reporting.

  • In any date report, you can double-click a file to open and edit it.
  • In any date report, to add a task to a file reminding someone to update or delete it, right-click the file, and then click Add Task on the shortcut menu.


Define "older" files in Reports view

When Microsoft FrontPage calculates the Site Summary and Older Files reports in Reports view, it defines "older" files as files that haven't been modified for 72 or more days. Use this procedure to change the default number of days FrontPage uses to define "older" files when it calculates these reports.

  • On the Tools menu, click Options, and then click the Reports View tab. In the "Older" files are more than box, type or select the number of days.


Define "recent" files in Reports view

When Microsoft FrontPage calculates the Site Summary, Recently Added Files, and Recently Changed Files reports in Reports view, it defines "recent" files as 30 or fewer days old. Use this procedure to change the default number of days FrontPage uses to define "recent" files when it calculates these reports.

  • On the Tools menu, click Options, and then click the Reports View tab. In the "Recent" files are less than box, type or select the number of days.


Check for errors on a page

If you have used any Microsoft FrontPage-based components in your web, you should check for component errors before publishing the web.

  1. On the View menu, point to Reports, and then click Component Errors.

    2. Pages with errors are listed, and a description of the error is displayed in the Errors column.

  2. To open a page to edit it, double-click the row.


Check spelling in a web

You can check the spelling on all pages, or on selected pages, in the current web. Microsoft FrontPage checks spelling only for text elements that can be edited in Page view on the Normal tab. For example, if you add a component such as a hover button, or if you specify a page title in the page properties, spelling in these elements will not be checked.

When FrontPage finds misspelled words, you can correct them in two ways:

  • Add a task for each page on which FrontPage finds misspelled words. You can correct the spelling at any time by switching to Tasks view and completing each task.
  • Correct spelling immediately after FrontPage has finished checking the spelling. FrontPage displays a list of pages with misspelled words, and you can then edit each page.
  1. Switch to Folders view.
  2. If you do not want to check spelling on each page in the web, select the pages you want to check.
  3. Click Spelling Spelling button.
  4. Do one of the following:
    • To check spelling in all pages in the current web, click Entire web.
    • To check spelling in pages you have selected, click Selected pages.
  5. If you want FrontPage to add a task for each page with misspelled words, select the Add a task for each page with misspellings box.
  6. Click Start.
  7. When FrontPage lists the pages with misspelled words, do one of the following:
    • If you chose to create tasks for pages with misspelled words, the tasks are added to the task list. To correct the misspellings later, click Cancel. When you are ready to correct misspellings, switch to Tasks view, double-click a task labeled Fix misspelled words, and then click Start Task. FrontPage opens the page in Page view and prompts you to correct the misspelled words.
    • To correct the misspellings, from the list, double-click a page. FrontPage opens the page in Page view and prompts you to correct the misspelled words. When you have reviewed all occurrences of the text on the page, you are prompted to save and close the page, and continue to the next page on which a misspelling was found.


Check spelling on a page

You can check the spelling on the current page.

  1. In Page view, click Spelling Spelling button.

    2. If an unrecognized word is found, the Spelling dialog box opens, and displays the word in the Not in Dictionary box.

  2. Do one of the following:
    • To replace the misspelled word with a word from the Suggestions list, click the suggested word, and then click Change. Click Change All to correct all instances of this word.
    • To correct the word yourself, type the correct word in the Change To box, and then click Change. Click Change All to correct all instances of this word.
    • If the unrecognized word is correctly spelled, click Ignore to ignore this instance of the word, or click Ignore All to ignore all instance of this word. Click Add to add the word to your custom dictionary.

    FrontPage displays the next misspelled word.

Notes

  • If you click Cancel, any changes that have already been made will not be undone.
  • You cannot check spelling in included files. You must open the files to check their spelling.


List errors in components

As part of good web maintenance, you should regularly check for errors in any FrontPage components and repair them. For example, a Table of Contents component might report an error if you select an invalid page (such as a page that has been deleted) for the starting point of the table.

Note If your web contains files located in hidden folders, those files will not be included in this report. To include files in hidden folders in your reports, click Web Settings on the Tools menu, click the Advanced tab, and then select the Show documents in hidden directories check box.

  • To see the number of errors in components in your web, point to Reports on the View menu, and then click Site Summary. In the Component errors row, the Count column list the numbers of errors in components in your web.
  • To see a detailed list of the files containing component errors in your web, point to Reports on the View menu, and then click Component Errors. The Errors column identifies the components and describes the errors.

Tips

  • In the Site Summary report, you can double-click the Component errors row to display the Component Errors report. In this report, you can do the following:
    • Double-click a page to open it and fix the error in the component.
    • To add a task to the error reminding someone to fix it, right-click the hyperlink and then click Add Task on the shortcut menu.


List files by assignment

If you've assigned files to different people or workgroups, you can use the Assigned To report to list the files in your web by assignment, as well as see the dates the files were assigned, who assigned them, and what comments have been added to the files.

Note If your web contains files located in hidden folders, those files will not be included in this report. To include files in hidden folders in your reports, click Web Settings on the Tools menu, click the Advanced tab, and then select the Show documents in hidden directories check box.

  • On the View menu, point to Reports, and then click Assigned To.

The Assigned To report lists all of the files in your web. The Assigned To column shows the person or workgroup assigned to each file.

Tips

  • To sort the report by the dates the files were assigned or by the names of the people who made the assignments, click the Assigned date or Assigned by column heading.
  • To assign a file to a person or workgroup or modify an assignment, click the cell in the Assigned to column, click the cell again, and then type or select a person or workgroup.
  • You can assign multiple files at one time. In the Assigned To report, select the files you want to assign, right-click to display the shortcut menu, and then click Properties. Click the Workgroup tab, and then in the Assigned to box, select the person or workgroup to whom you want to assign the files.
  • To open and edit it a file, double-click it.
  • To add a task to a file reminding someone to assign it, right-click the file, and then click Add Task on the shortcut menu.
  • To add or edit a file comment, click the cell in the Comments column, click the cell again, and then type the comment.


List files by category

If you use categories to organize the files in your web into logical groups, such as Products or Sales Reports, you can use the Categories report to list files by category.

Note If your web contains files located in hidden folders, those files will not be included in this report. To include files in hidden folders in your reports, click Web Settings on the Tools menu, click the Advanced tab, and then select the Show documents in hidden directories check box.

  • On the View menu, point to Reports, and then click Categories.

The Categories report lists all of the files in your web. The Category column shows the categories, if any, into which each file has been grouped.

Tips

  • To list only the files in a single category, on the Reporting toolbar, click the category in the Report Setting list.

    • To display the Reporting toolbar, point to Toolbars on the View menu, and then click Reporting.

  • In any Categories report, you can double-click a file to open and edit it.
  • In any Categories report, to add a task to a file reminding someone to categorize it, right-click the file, and then click Add Task on the shortcut menu.
  • You can categorize multiple files at one time. In the Categories report, select the files you want to categorize, right-click to display the shortcut menu, and then click Properties. Click the Workgroup tab, and then in the Available categories box, select the categories for the selected files.


List files by checkout status

If your web uses source control to manage files by checking them in and out from a server, you can use the Checkout Status report to see at a glance who has checked out which files.

Note If your web contains files located in hidden folders, those files will not be included in this report. To include files in hidden folders in your reports, click Web Settings on the Tools menu, click the Advanced tab, and then select the Show documents in hidden directories check box.

  • On the View menu, point to Reports, and then click Checkout Status.

The Checkout Status report lists all of the files in your web. The Checked out by column shows who has the file checked out, the Version column shows the most recent version of the file that was checked out, and the Locked date column shows the date the file was checked out (and thus "locked").

Tips

  • To sort the report by the dates files were checked out or by the names of the people who checked out the file, click the Checked out by or Locked date column heading.
  • To check out a file that isn't locked, right-click the file, and then click Check Out on the shortcut menu.
  • To open and edit it a file, right-click the file, and then click Open on the shortcut menu.
  • To add a task to a file reminding someone to check it in or out, right-click the file, and then click Add Task on the shortcut menu.
  • To check in a file that you've checked out, right-click the file, and then click Check In on the shortcut menu.


List files by publishing status

You can use the Publish Status report to see at a glance if a file has been marked for, or withheld from, publishing. You can also see the review status of files and change the publishing status accordingly.

Note If your web contains files located in hidden folders, those files will not be included in this report. To include files in hidden folders in your reports, click Web Settings on the Tools menu, click the Advanced tab, and then select the Show documents in hidden directories check box.

  • On the View menu, point to Reports, and then click Publish Status.

The Publish Status report lists all of the files in your web. The Publish column shows whether the file has been marked for, or withheld from, publishing.

Tips

  • To change the publishing or review status of a file, click the cell in the Publish or Review status column, click the cell again, and then type or select a different publishing or review status.
  • You can change the publishing or review status of multiple files at one time. In the Publish Status report, select the files for which you want to change publishing or review status, right-click to display the shortcut menu, and then click Properties. Click the Workgroup tab, and then in the Review status box, select the review status for the selected files. To withhold the files from publishing, select the Exclude this file when publishing the rest of the web check box.
  • To open and edit it a file, double-click it.
  • To add a task to a file reminding someone to approve or review it, right-click the file, and then click Add Task on the shortcut menu.


List files by review status

You can set the review status for a file indicating what type of review the file needs, such as a code review for an Active Server Page (.asp), or where the file stands in the approval process for release to publishing. If you've set review status for the files in your web, you can use the Review Status report to sort the files in your web by review status, as well as see the dates the files were last reviewed, and who reviewed them.

Note If your web contains files located in hidden folders, those files will not be included in this report. To include files in hidden folders in your reports, click Web Settings on the Tools menu, click the Advanced tab, and then select the Show documents in hidden directories check box.

  • On the View menu, point to Reports, and then click Review Status.

The Review Status report lists all of the files in your web.

Tips

  • To sort the report alphabetically by review status, review date, or reviewer, click the appropriate column heading.
  • To modify the review status for a file, click the cell in the Review status column, click the cell again, and then type or select a review status.
  • To assign a file to a person or workgroup, click the cell in the Assigned to column, click the cell again, and then type or select a person or workgroup.
  • You can set the review status for multiple files at one time, or assign multiple files at one time. In the Review Status report, select the files you want to set a review status for or assign, right-click to display the shortcut menu, and then click Properties. Click the Workgroup tab, and then in the Review ttatus or Assigned to box, select the review status for, or person or workgroup assigned to, the selected files.
  • To open and edit it a file, double-click it.
  • To add a task to a file reminding someone to review it, right-click the file, and then click Add Task on the shortcut menu.


List unlinked files

To properly maintain your web, occasionally you should check to see if there are any "orphaned" pages — that is, files that can't be reached by following hyperlinks from your home page. Orphaned pages may be outdated or unneeded files that can be deleted to clean up your web. They may also be pages that should be added to the web's navigation structure in Navigation view, or linked to by a hyperlink.

Note If your web contains files located in hidden folders, those files will not be included in this report. To include files in hidden folders in your reports, click Web Settings on the Tools menu, click the Advanced tab, and then select the Show documents in hidden directories check box.

  • To see the number of unlinked files in your web, on the View menu, point to Reports, and then click Site Summary. In the Unlinked files row, the Count and Size columns list the number and size, in kilobytes, of unlinked files in your web.
  • To see a list of the unlinked files in your web, point to Reports on the View menu, and then click Unlinked Files.

Tips

  • In the Site Summary report, you can double-click the Unlinked files row to display the Unlinked Files report.
  • In the Unlinked Files report, you can double-click a file to open and edit it.
  • In the Unlinked Files report, to add a task to a file reminding someone to create a hyperlink to it, right-click the file, and then click Add Task on the shortcut menu.


Print a page

You can print the current page to a printer or to a file. Hyperlinks and pictures are printed as they look on the Normal tab in Page view.

  1. In Page view, click Print Print button.
  2. Set your printing options, such as the name of the printer you want to use and the number of copies you want.

Tip To see how the page will look when printed, click Print Preview on the File menu. However, this preview is not exactly the same as the view from a Web browser — the Print Preview paginates and assigns page numbers, but Web browsers do not.


Check the publishing status of a web

You can view the publishing status of all the files in a web by running a report. The Publish Status report indicates whether a file has been marked as Publish or Don't Publish. By default, all files are marked as Publish unless you change the status.

  • On the View menu, point to Reports, and then click Publish Status.

The Publish column displays the publishing status of each file.


About publishing

To learn more about publishing, click the graphic.

To display this topic, click the graphic.


Mark the pages to publish

You can specify which files you want to publish. By default, files are marked for publishing, but you can change this setting. For example, if you have not finished editing a page but you want to publish your Web site, you can prevent the page from being published by marking it Don't Publish. When you want to publish the file, mark the page Publish.

Certain files should not be published again after you first publish your web. For example, you create a web with a guestbook, and then publish the web. Later, you update your web pages — if you publish all of your files, including the file that records guestbook information, you will save a blank guestbook over the existing one, losing all the information. Other examples include pages with a hit counter; discussion webs; and catalogs (if you are running Index Server).

  1. On the View menu, point to Reports, and then click Publish Status.

    2. The publishing status of all files in the current web is displayed.

  2. Select one or more files, right-click them, click Properties on the shortcut menu, and then click the Workgroup tab.
  3. Do one of the following:
    • To prevent a file from being published, select the Exclude this file when publishing the rest of the web check box.
    • To mark a file for publishing, clear the Exclude this file when publishing the rest of the web check box.

Tip You can right-click the page icon from the Folder List in any view, click Properties on the shortcut menu, and then click the Workgroup tab.


Publish a web using HTTP

Publish the files in the current web when you are ready to present your web for public viewing, or when you want to update the files in your web. You can publish using HTTP (HyperText Transfer Protocol) if the the FrontPage Server Extensions are installed on the Web server to which you are publishing.

Before you publish your web, you can specify which pages you want to publish. Then, when you publish your web, you have the following options:

  • Publish only the files that have changed. FrontPage compares the files on your local web to the files on the Web server, and only those files that are newer than those on the Web server are published. However, files that have been marked Don't Publish will not be published.
  • Publish all files, except those that have been marked Don't Publish. The files from the local web will overwrite all files on the destination Web server, even if the files on the Web server are newer.
  • Publish subwebs, if the current web has subwebs. All files and folders in subwebs will be recursively published in addition to those in the current web.
  • Publish the web using a secure (SSL) connection. For example, use this feature if your Web server uses the HTTPS protocol to authenticate its users.
  1. On the File menu, click Publish Web.
  2. Click Options to expand the list of options.
  3. Specify whether you want to publish only pages that have changed, or all pages.
  4. To publish subwebs, select the Include subwebs check box.
  5. To publish using a secure connection, select the Secure connection required (SSL) check box. Your destination Web server must support SSL for this feature to work.
  6. In the Specify the location to publish your web to box, type the location of a Web server, click the arrow to select a location to which you have published before, or click Browse to find the publishing location.
  7. Click Publish.

    8. FrontPage publishes your web. If you want to verify that your web was successfully published, click the hyperlink that is displayed after the web has been published — your Web browser will open to the site you just published.

    If you cancel publishing in the middle of the operation, files that have already been published remain on the destination Web server.

Tip To publish only pages that have changed to the same location you previously published to, click Publish Publish button.


Publish a web using FTP

Publish the files in the current web when you are ready to present your web for public viewing, or when you want to update the files in your web on a remote web server.

Publish using FTP (File Transfer Protocol) if the the FrontPage Server Extensions are not installed on the Web server to which you are publishing. You will need to know the FTP server name and directory path. The FTP server name is the domain name of the Web server to which you are publishing (for example, ftp.server.com). The directory path is the folder on the server where your web is stored (for example, /public_html). If you are unsure about your user name, password, or FTP location, contact your Internet service provider.

Before you publish your web, you can specify which pages you want to publish. Then, when you publish your web, you have the following options:

  • Publish only the files that have changed. FrontPage compares the files on your computer to the files on the Web server, and only those files that are newer than those on the Web server are published. However, files that have been marked Don't Publish will not be published.
  • Publish all files, except those that have been marked Don't Publish. The files from the local web will overwrite all files on the destination Web server, even if the files on the Web server are newer.
  • Publish subwebs, if the current web has subwebs. All files and folders in subwebs will be recursively published in addition to those files and folders in the current web.
  1. On the File menu, click Publish Web.
  2. Click Options to expand the list of options.
  3. Specify whether you want to publish only pages that have changed, or all pages.
  4. To publish subwebs, select the Include subwebs check box.
  5. In the Specify the location to publish your web to box, type the location of an FTP Web server (for example, ftp://ftp.server.com/public_html), or click the arrow to select a location to which you have published before.

    Clicking Browse to find the folder on the server where your web is stored is not recommended for FTP publishing because you will need to navigate through a folder structure which might be unclear.

  6. Click Publish.

    7. FrontPage publishes your web. By browsing to your web, you can verify that your web was successfully published.

    Because you are publishing to a Web server that does not run the FrontPage Server Extensions, you will be notified if your web contains any features that require the server extensions.

    If you cancel publishing in the middle of the operation, files that have already been published remain on the destination Web server.

Tip To publish only pages that have changed to the same location you previously published to, click Publish Publish button.


Add or change an FTP location

After establishing an FTP location, you can add or change that FTP location the next time you publish.

Before you can change an FTP location, you need to know the FTP server name and directory path. The FTP server name is the domain name of the Web server to which you are publishing (for example, ftp.server.com). The directory path is the folder on the server where your web is stored (for example, public_html). If you are unsure about your user name, password, or FTP location, contact your Internet service provider.

  1. On the File menu, click Publish Web.
  2. Click Options to expand the list of options.
  3. Specify whether you want to publish only pages that have changed, or all pages.
  4. To publish subwebs, select the Include subwebs check box.
  5. In the Specify the location to publish your web to box, type the location of an FTP Web server (for example, ftp://ftp.server.com/public_html), or click the arrow to select a location to which you have published before.

    Clicking Browse to find the folder on the server where your web is stored is not recommended for FTP publishing because you will need to navigate through a folder structure which might be unclear.

  6. Click Publish.

    7. FrontPage publishes your web. If you want to verify that your web was successfully published, click the hyperlink that is displayed after the web has been published — your Web browser will open to the site you just published.

    Because you are publishing to a Web server that does not run the FrontPage Server Extensions, you will be notified if your web contains any features that require the server extensions.

    If you cancel publishing in the middle of the operation, files that have already been published remain on the destination Web server.


Delete a file or folder that has been published

When you publish your web, FrontPage compares the current files on your local computer to those files on the Web server. So, to manage files on the Web server (for example, to get rid of old files or folders), you delete or move the files or folders in the web on your local computer, and then FrontPage will prompt you about the files on the Web server the next time you publish.


Publish a web to a file system location

You can publish your web to a folder on your local file system or to a UNC path. For example, you can make a backup copy of your entire web by publishing it to a new disk-based location, such as C:\Backup. Publishing a web rather than just copying files ensures that all necessary files are saved and in the correct structure.

  1. On the File menu, click Publish Web.
  2. Click Options to expand the list of options.
  3. Specify whether you want to publish only pages that have changed, or all pages.
  4. To publish subwebs, select the Include subwebs check box. All files and folders of the subwebs in the current web will be published recursively, in addition to the files and folders of the current web.
  5. In the Specify the location to publish your web to box, type the path to the folder on your file system, such as C:\Backup or \\Webs\Myfolder. To find the folder, click Browse.
  6. Click Publish.

    7. FrontPage publishes your web.

    If you cancel publishing in the middle of the operation, files that have already been published remain on the destination Web server.

Tip To publish only pages that have changed to the same location you previously published to, click Publish Publish button.


Hide a page from Web browsers

If you do not want site visitors to see certain pages in a web, such as external style sheets or pages to be included in other pages, you can hide these pages by placing them in the hidden folder _private, a folder that is in every web.

  • In Folders view, select the pages you want to hide, and then drag them to the _private folder. FrontPage automatically updates any hyperlinks to and from these pages to reflect their new location.

Tip You can create subfolders in _private to organize pages, because subfolders in the _private folder are also inaccessible to Web browsers.


Flag a page for a search engine

You can index keywords to your home page to make your web more accessible to search engines such as Yahoo! or Alta Vista.

  1. On the File menu, click Properties, and then click the Custom tab.
  2. Under User Variables, click Add.
  3. In the Name box, type keywords.
  4. In the Value box, type the index keywords for your site, using commas to separate words.
  5. Click OK to close the User Meta Variable dialog box, and then click OK to close the Page Properties dialog box.

Notes

  • FrontPage adds the index keywords to your page's meta data. Click the HTML tab in Page view to see the HTML that FrontPage generates.
  • Some search engines do not use index keywords in meta data, or require their own registration processes. Check with specific search engines for their guidelines.


Managing your web

To learn how to manage your web, click the graphic.

To display this topic, click the graphic.


View information about your server

If you're working on a server-based web, you can view information about the server software. You can also see if the Microsoft FrontPage Server Extensions have been installed on the server, and, if so, what version.

  • On the Tools menu, click Web Settings, and then click the General tab.


Test your network connection

If you have problems accessing or opening webs on a server, you can test your network connection to determine your host name, local host, IP address, TCP/IP stack, and Winsock protocol settings.

  1. On the Help menu, click About Microsoft FrontPage, and then click Network Test.
  2. Click Start Test.


Enable or disable the FrontPage Server Extensions

If a web is server-based and the server is using the Microsoft FrontPage Server Extensions, you can extend the functionality of the web by adding page elements such as hit counters, search forms, and confirmation fields. To ensure compatibility with servers that don't use the FrontPage Server Extensions, you can enable or disable commands that rely on the presence of the server extensions on the server. If you disable the server extensions for a web, the related commands will be unavailable (that is, they will appear dimmed) on menus in FrontPage at authoring time.

  1. On the Tools menu, point to Page Options, and then click the Compatibility tab.
  2. If you want to target your web for a server that uses the FrontPage Server Extensions, select the Enabled with Microsoft FrontPage Server Extensions check box.

    3. Note If your server doesn't use the FrontPage Server Extensions and you clear this check box, the following commands will be unavailable:

    • Hit Counter (Insert menu, Component submenu)
    • Confirmation Field (Insert menu, Component submenu)
    • Include Page (Insert menu, Component submenu)
    • Scheduled Include Page (Insert menu, Component submenu)
    • Categories (Insert menu, Component submenu)
    • Search Form (Insert menu, Component submenu)
    • Additional Components (Insert menu, Component submenu)


Set file properties

You can manage your web more effectively by adding detailed properties to files. For example, you can modify the title of the file, add a comment indicating work that needs to be done, categorize the file, and so on. In any view except Tasks view, right-click the file or files, and then click Properties on the shortcut menu:

  • To change the title of a file, click the General tab, and then type a title in the Title box.
  • To add a comment to a file, click the Summary tab, and then type the comment you want to add to the file in the Comments box. File comments are displayed in several reports in Reports view.
  • To categorize a file, click the Workgroup tab, and then in the Available categories box, select the check boxes of the categories to which this file belongs.
  • To assign a file to a person or workgroup, click the Workgroup tab, and then in the Assigned to box, type or select the person or workgroup to whom you want to assign the file.
  • To change the review status of a file, click the Workgroup tab, and then type or select the review status of the file in the Review status box.
  • To withhold a file from being published, select the Exclude this file when publishing the rest of the web check box.


View summary information for a file

You can manage your web more effectively by adding detailed properties to files, such as a title, a comment indicating work that needs to be done, and so on. Use this procedure to view detailed properties and other summary information for a file, such as the date the file was created and who created it. In any view except Tasks view, right-click the file, and then click Properties on the shortcut menu:

  • To view the file name and title, the type of file (such as Web Page or Picture), and the file size and location, click the General tab.
  • To view the date that a file was created or modified and who modified it, or to view comments that have been added to the file, click the Summary tab.
  • To view the categories to which a file belongs, the name of the person or workgroup assigned to the file, or the review or publishing status of the file, click the Workgroup tab.
  • To view errors in a component in a file, click the Errors tab if it is present.


Add a comment to a file summary

You can add comments to any file in your web. Because file comments can't be seen by a site visitor browsing your web, you can use comments to make notes to yourself or a co-worker about the status of a file, or to add a more detailed description of the file. A web author or administrator can view your comments in the file's properties or in several of the reports in Reports view.

  1. In any view except Tasks view, right-click the file you want to add comments to, click Properties on the shortcut menu, and then click the Summary tab.
  2. In the Comments box, type the comments you want to add.


Create a hidden folder

If you create a folder and precede its name with an underscore (for example, _database), the folder is only hidden from Microsoft FrontPage views. Such folders are useful for files that do not need to be seen in FrontPage views; however, the folder's contents can be viewed by site visitors browsing the web. If you want a folder to display in FrontPage views, select the Show documents in hidden directories check box on the Advanced tab in the Web Settings dialog box.

When you create a new web, FrontPage automatically creates a hidden folder named _private to store form results. This hidden folder created by FrontPage cannot be viewed by site visitors browsing your web. If you want additional folders that cannot be viewed by site visitors, you can create subfolders below the _private folder, or you can contact your web administrator for instructions on how to make a hidden folder.


Files and folders that FrontPage creates for your web

Microsoft FrontPage creates the following files and folders for a web:

  • The Images folder for storing pictures, videos, and other images.
  • The _private folder for storing form results and any other files that you want to keep hidden from site visitors browsing your web.
  • FrontPage may create a new home page named Index.htm or Default.htm, depending on the type of server in use for the web.
  • If you paste picture files into pages, when you save the web, FrontPage prompts you to save the pictures in GIF or JPEG format, depending on the type of pictures they are.
  • If you select the Apply using CSS check box for a theme applied to a web, FrontPage creates a file named Theme1.css in the root of your web, where Theme is the name of the theme.
  • If you create shared templates for a web, FrontPage creates a hidden folder named _sharedtemplates in your root web.
  • If you add hover buttons to your pages, FrontPage creates files named Fphover.class and Fphoverx.class in your root web.
  • If you add banner ads to your pages, FrontPage creates files named Fprotate.class and Fprotatx.class in your root web.
  • If you use Dynamic HTML (DHTML) effects to animate page elements, FrontPage creates a file named Animate.js in the root folder of your web.
  • If you enable collapsible outlines for bulleted or numbered lists, FrontPage creates a file named Outline.js in the root folder of your web.
  • If you add database functionality to a page, or add a data connection to a web, FrontPage creates a file named Global.asa in the root folder of the web. This file contains information about the web's data connections. If a Global.asa file already exists, FrontPage merely merges the new information into it.

    • If you create a page that contains a database results region, FrontPage creates an _fpclass folder (if it doesn't already exist) containing three files: Fpdblib.inc, Fpdbrgn1.inc, and Fpdbrgn2.inc. These files contain the Active Server Page scripts used to implement the server-side functionality for database features.

    If you save form results to a database, FrontPage creates an _fpclass folder (if it doesn't already exist) and uploads a file named Fpdbform.inc to it. If you create a new database to hold form results, or if you use the sample data connection offered by the Database Results Wizard, FrontPage create an Fpdb folder (if it doesn't already exist) and uploads files with the .mdb extension (Access database files) to it.


Recalculate hyperlinks

Recalculate hyperlinks periodically when you want to update the hyperlink display in the current web, for example to update recent changes made to the web by others in a multi-author environment. Recalculating hyperlinks also updates other data in FrontPage, such as deleting unused themes and updating FrontPage-based component information on the server.

  1. On the Tools menu, click Recalculate Hyperlinks.
  2. Click Yes to confirm.


Verify hyperlinks

A critical part of managing a Web site is verifying that the hyperlinks to external destinations (destinations that are outside of the web) are valid. After hyperlinks have been verified, their status will not change until you verify the hyperlinks again, or close and reopen the web.

Note Before verifying hyperlinks, you should save all open pages.

  1. In Reports view, click Verify Hyperlinks Verify Hyperlinks button on the Reporting toolbar.
  2. Click Verify all hyperlinks, and then click Start.

    3. The status of all hyperlinks in the current web is displayed.


Repair broken hyperlinks

While working on a web, you should occasionally check to see if the web has broken hyperlinks and if it does, repair them. A broken hyperlink is one that has an invalid destination URL and will return an error if the site visitor clicks the hyperlink.

A hyperlink might have an invalid URL for various reasons; you might have mistyped it, or, if the destination page is on another World Wide Web site, the page might have been changed or removed.

  1. On the View menu, point to Reports, and then click Broken Hyperlinks.

    2. All broken hyperlinks in the web are listed. If a hyperlink's destination is not in the current web, the status of the hyperlink is Unknown.

  2. Double-click a hyperlink with Broken status.
  3. To display the page to edit it, click Edit Page.
  4. If you know the correct URL of the destination, edit it in the Replace hyperlink with box. Or, click Browse to browse to the page or file in a web, file system, or World Wide Web.
  5. To repair other occurrences of this hyperlink in all pages in the current web, click Change in all pages.
  6. To repair other occurrences of this hyperlink in selected pages, click Change in selected pages, and then select the pages.
  7. Click Replace.

If the hyperlink's destination is not in the current web, the status of the hyperlink changes to Unknown. If the destination is valid, the hyperlink is no longer displayed in the Broken Hyperlinks report.


Delete temporary files

When you initially open or create a web on a server, Microsoft FrontPage creates temporary files, located on your local hard drive, that contain information about the files in that web. The next time you open the web, FrontPage reads the local temporary files for information about that web, instead of downloading the information from the server (which would slow the process of opening a large web).

If you work in a multiple authoring environment — with many authors adding, removing, editing, and renaming files in the same web — occasionally your temporary files may become outdated or out-of-sync with the web information stored on the server. If this happens, your reports may not show all the files in the web, or you may notice hyperlinks that no longer work. To remedy this situation and synchronize your local temporary files with the latest information from the server, you should attempt each step described below, in order, until your local web information appears to be synchronized with the server.

  1. Click Refresh Refresh button.
  2. On the Tools menu, click Recalculate Hyperlinks. Note that for large webs with many hyperlinks, this process may be time-consuming.
  3. On the Tools menu, click Web Settings, click the Advanced tab, and then click Delete Files.

Note If you delete temporary files for a large web, the next time you open that web on the server, it may take longer to open the web because FrontPage must copy information from the server to recreate your local temporary files.


About security

To learn more about security, click the graphic.

To display this topic, click the graphic.


Add a user to a web and set permissions

An administrator can add users to a web in FrontPage with one of the following levels of permission:

  • Browse — the user can browse the files in the web (read access).
  • Author — the user can browse and change the files in a web (read and write access).
  • Administer — the user can browse and change the files in the web, and can also administer the web by adding and removing users (full access).

By default, all subwebs use the same permission settings as their parent webs, but you can set unique permissions for a subweb.

  1. On the Tools menu, point to Security, and then click Permissions.
  2. If the web is a subweb using the same permissions as its parent web, click Use unique permissions for this web, and then click Apply.
  3. Click the Users tab.
  4. Specify whether you want to give everyone or only registered users browse access to the web.
  5. Click Add.

    6. Next, you will add the users to the web, adding users for browse, author, and administer access separately. For example, you will add all the users with browse access separately from users with author access.

  6. In the Obtain list from box, if you are using a Windows NT server, select the domain or group from which you want to select users.
  7. In the Names box, select or type a user name, and then click Add.

    8. Repeat steps 6 and 7 for each user you want to add for a particular type of access.

  8. Specify the type of access to give to the list of users you are adding (browse, author, or administer access), and then click OK.

    9. The same permission is given to all users listed in the Add Names box. To set different permissions, for example to give one user browse access and a different user author access, repeat steps 5 through 8 for each user.


Add a group of users to a web and set permissions

An administrator can add user groups to a web in FrontPage with one of the following levels of permission:

  • Browse — users in the group can browse the files in the web (read access).
  • Author — users in the group can browse and change the files in a web (read and write access).
  • Administer — users in the group can browse and change the files in the web, and can also administer the web by adding and removing users (full access).

By default, all subwebs use the same permission settings as their parent webs, but you can set unique permissions for a subweb.

  1. On the Tools menu, point to Security, and then click Permissions.
  2. If the web is a subweb using the same permissions as its parent web, click Use unique permissions for this web, and then click Apply.
  3. Click the Groups tab.
  4. Click Add.

    5. Next, you will add the user groups to the web, adding groups for browse, author, and administer access separately. For example, you will add all the groups with browse access separately from groups with author access.

  5. In the Obtain list from box, select the domain from which you want to select user groups.
  6. In the Names box, select or type a group name, and then click Add.

    7. Repeat steps 5 and 6 for each group you want to add for a particular type of access.

  7. Specify the type of access to give to the list of groups you are adding (browse, author, or administer access), and then click OK.

    8. The same permission is given to all groups listed in the Add Names box. To set different permissions, for example to give one user group browse access and a different user group author access, repeat steps 4 through 7 for each group.


Change permissions for a user

An administrator can change the permission that a user has for accessing a web in FrontPage. Users can have one of the following levels of permission:

  • Browse — the user can browse the files in the web (read access).
  • Author — the user can browse and change the files in a web (read and write access).
  • Administer — the user can browse and change the files in the web, and can also administer the web by adding and removing users (full access).

By default, all subwebs use the same permission settings as their parent webs, but you can set unique permissions for a subweb.

  1. On the Tools menu, point to Security, and then click Permissions.
  2. If the web is a subweb using the same permissions as its parent web, click Use unique permissions for this web, and then click Apply.
  3. Click the Users tab.
  4. Select a user, and then click Edit.
  5. Under User can, select the type of access you want to give the user.


Change permissions for a group of users

An administrator can change the permission that a user group has for accessing a web in FrontPage. Users in a group can have one of the following levels of permission:

  • Browse — the user can browse the files in the web (read access).
  • Author — the user can browse and change the files in a web (read and write access).
  • Administer — the user can browse and change the files in the web, and can also administer the web by adding and removing users (full access).

By default, all subwebs use the same permission settings as their parent webs, but you can set unique permissions for a subweb.

  1. On the Tools menu, point to Security, and then click Permissions.
  2. If the web is a subweb using the same permissions as its parent web, click Use unique permissions for this web, and then click Apply.
  3. Click the Groups tab.
  4. Select a group, and then click Edit.
  5. Under User can, select the type of access you want to give the user group.


Remove a user or group of users from a web

Administrators can remove a user or user group to prevent them from accessing a web in FrontPage.

By default, all subwebs use the same permission settings as their parent webs, but you can set unique permissions for a subweb.

  1. On the Tools menu, point to Security, and then click Permissions.
  2. If the web is a subweb using the same permissions as its parent web, click Use unique permissions for this web, and then click Apply.
  3. Do one or more of the following:
    • To remove a user, click the Users tab, click the user in the list, and then click Remove.
    • To remove a group, click the Groups tab, click the group in the list, and then click Remove.


Change a password

Users can change their passwords for accessing FrontPage. This feature only applies to UNIX systems, O'Reilly servers in Windows, and Netscape servers in Windows.

  1. On the Tools menu, point to Security, and then click Change Password.
  2. In the Old password box, type your old password.
  3. In the New password box, type your new password, and then type it again in the Confirm password box.


Set the default display font for a language or character set

You can set the default display font for a language or character set. Then, when no font is applied to text, FrontPage uses this default font to display the text. This setting only affects how pages are displayed in Microsoft FrontPage, not how the page is displayed in a Web browser.

  1. On the Tools menu, click Page Options, and then click the Default Font tab.
  2. In the Language (character set) box, select the language or character set for which you want to set a default display font.
  3. In the Default proportional font box, select a proportional font for the selected language or character set. The list includes all of the proportional fonts installed on your computer.
  4. In the Default fixed-width font box, select a fixed-width font for the selected language or character set (the fixed-width font is also used to display text on the HTML tab in Page view). The list includes all of the fixed-width fonts installed on your computer. If the selected language or character set does not support fixed-width fonts, this option is not available.


Set the page language

Page encoding can apply to several languages. For example, the US/Western European page encoding applies to many Western languages. For example, your page encoding is Multilingual, but your page language is English. Therefore, you should specify the exact language for your pages. The page language setting determines the language of the background spell-checker used in FrontPage. This setting also identifies the page's language to advanced search engines, since search queries can target content in a specific language.

If you do not specify the language, FrontPage determines the page language from your keyboard (if you type to edit the page), or from the user locale setting for your computer.

Note This setting overrides the default spelling language, which is used for unmarked pages.

  1. In Page view, right-click the page, click Page Properties on the shortcut menu, and then click the Language tab.
  2. In the Mark current document as box, select the language for the page.


Change the page-encoding language for saving or loading a page

By default, FrontPage sets the encoding of pages based on the your keyboard when you first type to a page, or uses the web's default encoding to determine in what character set to save and load pages. Or, if no web is open, FrontPage uses the default encoding specified for your computer. However, you can specify a different encoding for individual pages.

Saving pages

The HTML encoding for saving pages tells FrontPage how to save the page. For example, if characters on your page are not recognized by the default encoding, these unrecognized characters are saved by embedding additional information in the page's HTML code, thereby increasing the size of the file. While a few characters might not pose a problem, you probably don't want an entire page of characters saved this way, so you should specify the correct encoding for the page. For example, if the default page encoding for the web is US/Western European but the page is written in Greek characters, you should set the encoding for saving pages to Greek or Multilingual.

When you save the page, the HTML page encoding you set is included in the page's HTML code, telling Web browsers how to read the text in the page.

Reloading pages

If a page's HTML code does not specify a page encoding, FrontPage must guess the page's encoding. Therefore, if FrontPage guesses incorrectly, the page will not be displayed correctly. You can specify the correct encoding for reloading the page.

Tips

  • For pages containing a mix of languages, Unicode is a useful encoding; it contains the basic Roman character set, plus characters from languages throughout the world. Unicode corresponds to the Multilingual (UTF-8) option.
  • For the new Euro character to be displayed correctly, your page encoding must be set to either US/Western European or Unicode.

Warning! If the current page is being displayed incorrectly, you might corrupt the contents of the page by saving the page over the original.

  1. In Page view, right-click the page, click Page Properties on the shortcut menu, and then click the Language tab.
  2. Under HTML Encoding, do the following:
    • In the Save the document as box, select the character set in which to save the current page.
    • In the Reload the current document as box, select the character set in which to load the current page, if the current page is not displaying text correctly.


Set the server message language for a web

FrontPage uses the server message language set for your web to determine the language in which to display certain messages from the FrontPage Server Extensions. These messages include errors that are displayed to you while you are editing a page, but also messages that are displayed to the site visitor, such as a search failure message or a form validation warning. The server extensions also generate HTML, such as the default confirmation and failure pages for forms in this langauge.

When creating a web in a different language than your computer's language, change the server message language for the web. You can also create subwebs to organize your content by language.

  1. On the Tools menu, click Web Settings, and then click the Language tab.
  2. In the Server message language box, select the language to use for error messages and HTML messages.


Set the default page encoding for a web

FrontPage uses a web's default page encoding to help determine the language for new pages. This encoding is then used to determine how a page is saved. You can change a web's default page encoding to a different one. For example, if you prefer Unicode, change the default page encoding to Multilingual (UTF-8).

When you create new pages, FrontPage verifies the default page encoding against your keyboard. Then, if you set a default page encoding that is incompatible with your keyboard (for example, the default page encoding is US/Western European but you are using a Greek keyboard), FrontPage will use your keyboard's encoding instead for new pages. However, if you choose to ignore the keyboard's encoding, FrontPage will compare the default page encoding to that of your computer instead — if the two are incompatible, FrontPage uses the web's default page encoding for new pages.

  1. On the Tools menu, click Web Settings, and then click the Language tab.
  2. In the Default page encoding box, select the default page encoding for the current web.
  3. If you do not want FrontPage to verify the default page encoding against your keyboard, select the Ignore the keyboard when deciding the encoding of new pages check box.


Set the default spelling language for a web

You can specify the language of the web's default spelling checker, and you can also mark individual pages with a different language as needed. For example, if two pages are in German and all others are in English, set the default spelling language to English, and mark the two individual pages as German. FrontPage will use the German spelling checker for these two pages, and English for the rest of the web.

  1. On the Tools menu, click Page Options.
  2. On the General tab, in the Default spelling language box, select the default spelling language for the current web.


Open a page

You can open a page to edit or view it.

  • If the page is in the current web, in any view, double-click the page's icon or file name.
  • If the page is in a different web or on your local file system, click the arrow on Open Open button, click Open, select the file you want to open, and then click Open.


Create a new page

Create a new page in a web, or create a stand-alone HTML page. Microsoft FrontPage includes a variety of templates to help you create different kinds of pages:

  • Create a blank page.
  • Create a page with a specific layout, such as a page with multiple columns.
  • Set up a page for a certain function, such as a table of contents, a search form, a guest book, and so on.
  • Create a frames page using one of several frame formats.
  1. On the File menu, point to New, and then click Page.
  2. Click the tab for the template you want to use, and then click the template. A thumbnail sketch of that template, or output from that wizard, is displayed in the Preview area.

Tip To create a new blank page using the Normal Page template, click New Page New Page button.


Open a new window

If a web is open in Microsoft FrontPage, you can open another, separate FrontPage window for the same web. FrontPage differentiates between the two windows by appending a number after the web name in the application title bar of each window. If no web is open, FrontPage simply opens another window without opening a web.

  • On the Window menu, click New Window.


Stop loading a page

You can stop loading a page in Microsoft FrontPage, for example if the file takes too much time to be downloaded from the Web server.

  • Click Stop Stop button.


Undo or redo an action

You can undo any action you've performed on a page (such as inserting or modifying a table) as well as some actions you perform on a web (such as deleting a page from the structure in Navigation view). Microsoft FrontPage maintains a list of the last 30 actions and lets you undo each, in sequence. Similarly, you can redo any of the last 30 actions that you've undone by using the Undo command.

  • To undo the last action you performed, click Undo Undo button. If you click Undo again, FrontPage will undo the action you performed before that, and so on down the list.
  • To undo another action or sequence of actions, click the arrow next to Undo Undo button to see a list of the most recent actions that you can undo, and then select the action or actions that you want to undo.
  • To redo the last action you undid, click Redo Redo button.
  • To redo another action or sequence of actions, click the arrow next to Redo Redo button to see a list of the most recent undone actions that you can redo, and then select the undone action or actions that you want to redo.


Undo or redo an edit

You can undo one or more edits you have made. If an action cannot be undone, or if there is nothing to undo, the Undo command is not available.

  1. Click the arrow next to Undo Undo button to see a list of the most recent actions you can undo, and then click the action you want to undo. When you undo an action, you must undo all actions above it in the list.
  2. If you later decide you didn't want to undo one or more actions, click the arrow next to Redo Redo button to see a list of the most recent actions you can redo, and then click the action you want to redo. When you redo an action, you must redo all actions above it in the list.


Get information about your program or computer

You can check which version of Microsoft FrontPage is installed on your computer, and you can determine the product ID number of your copy of FrontPage. You can also get system information and perform a test of your network connection.

  • On the Help menu, click About Microsoft FrontPage.
  • The About FrontPage box shows the version and product ID number of FrontPage.
  • If you're using FrontPage with a server-based web, you can click Network Test to determine your network address, host name, IP address, and local host name.
  • If you need to determine system information, such as your version of Windows, amount of RAM, and so on, click System Info.


Refresh a page or a view

If you use Microsoft FrontPage in a workgroup setting with multiple authors, or if you use source control to check files in and out from a server, you may need to refresh a page or view to ensure that you have the latest information. For example, if you create a Site Summary report for your web, and then another author deletes pages, the Site Summary report won't reflect the latest changes until you refresh Reports view.

  • To refresh a page or view, click Refresh Refresh button.


Open the last web automatically when you start FrontPage

If you find that you usually work on the same web until it's completed, you can set Microsoft FrontPage to automatically open the last web you worked on when you start FrontPage.

  • On the Tools menu, click Options, and then click the General tab. Select the Open last web automatically when FrontPage starts check box.


Find text on a page

You can search for text on the current page.

  1. In Page view, position the insertion point at the beginning of the page. Or, to find text in the HTML code, click the HTML tab, and then position the insertion point at the beginning of the page.
  2. On the Edit menu, click Find.
  3. In the Find what box, type the text you want to search for.
  4. To find text only if it matches a whole word, select the Find whole word only check box.
  5. To find text only if it matches the capitalization of the text you typed, select the Match case check box.
  6. Click Find Next.


Find and replace text on a page

You can search for and replace text on the current page.

  1. In Page view, position the insertion point at the beginning of the page. Or, to find and replace text in the HTML code, click the HTML tab, and then position the insertion point at the beginning of the page.
  2. On the Edit menu, click Replace.
  3. In the Find what box, type the text you want to search for.
  4. In the Replace with box, type the replacement text.
  5. To find text only if it matches a whole word, select the Match whole word only check box.
  6. To find text only if it matches the capitalization of the text you typed, select the Match case check box.
  7. Do one of the following:
    • To find the next match for the text, click Find Next. To replace this text, click Replace.
    • To replace all occurrences of the text, click Replace All.


Keyboard shortcuts

You can quickly accomplish tasks you perform frequently by using shortcut keys. The availability of shortcut keys in Microsoft FrontPage depends on whether the command you want to use is available in the currently selected view.

Keys for working with pages
 Keys for formatting text and paragraphs
Keys for editing and moving text and graphics
Keys for selecting text and graphics
Keys for menus and toolbars
 Keys for programming applications
Keys for Help

Keys for working with pages

To | Press
Create a new page | CTRL+N
Open a page | CTRL+O
Create a hyperlink on a page | CTRL+K
Preview a page in a Web browser | CTRL+SHIFT+B
Print a page | CTRL+P
Display non-printing characters | CTRL+ SHIFT+8
Display HTML tags | CTRL+ /
Refresh a page | F5
Switch between open pages | CTRL+TAB CTRL+SHIFT+TAB
Close a page | CTRL+F4
Save a page | CTRL+S
Quit Microsoft FrontPage | ALT+F4
Find text on pages or in HTML | CTRL+F
Replace text on pages or in HTML | CTRL+H
Check spelling on a page | F7
Look up a word in the Thesaurus | SHIFT+F7
Cancel an action | ESC
Undo an action | CTRL+Z or ALT+BACKSPACE
Redo or repeat an action | CTRL+Y or SHIFT+ALT+BACKSPACE

Back to top

Keys for formatting text and paragraphs

To | Press
Change the font | CTRL+SHIFT+F
Change the font size | CTRL+SHIFT+P
Apply bold formatting | CTRL+B
Apply an underline | CTRL+U
Apply italic formatting | CTRL+I
Apply superscript formatting | CTRL+PLUS SIGN
Apply subscript formatting | CTRL+MINUS SIGN
Copy formatting | CTRL+ SHIFT+C
Paste formatting | CTRL+SHIFT+V
Remove manual formatting | CTRL+SHIFT+Z or CTRL+SPACEBAR
Center a paragraph | CTRL+E
Left align a paragraph | CTRL+L
Right align a paragraph | CTRL+R
Indent a paragraph from the left | CTRL+M
Indent a paragraph from the right | CTRL+ SHIFT+M
Apply a style | CTRL+ SHIFT+S
Apply the Normal style | CTRL+SHIFT+ N
Apply the Heading 1 style | CTRL+ALT+1
Apply the Heading 2 style | CTRL+ALT+2
Apply the Heading 3 style | CTRL+ALT+3
Apply the Heading 4 style | CTRL+ALT+4
Apply the Heading 5 style | CTRL+ALT+5
Apply the Heading 6 style | CTRL+ALT+6
Apply the List style | CTRL+ SHIFT+L

Back to top

Keys for editing and moving text and graphics

To | Press
Delete one character to the left | BACKSPACE
Delete one character to the right | DELETE
Delete one word to the left | CTRL+BACKSPACE
Delete one word to the right | CTRL+DELETE
Cut selected text to the clipboard | CTRL+X or SHIFT+DELETE
Copy text or graphics | CTRL+C or CTRL+INSERT
Paste the clipboard contents | CTRL+V or SHIFT+INSERT
Insert a line break | SHIFT+ENTER
Insert a nonbreaking space | CTRL+SHIFT+SPACEBAR

Back to top

Keys for selecting text and graphics

To extend a selection | Press
One character to the right | SHIFT+RIGHT ARROW
One character to the left | SHIFT+LEFT ARROW
To the end of a word | CTRL+SHIFT+RIGHT ARROW
To the end of a line | SHIFT+END
To the beginning of a line | SHIFT+HOME
One line down | SHIFT+DOWN ARROW
One line up | SHIFT+UP ARROW
To the end of a paragraph | CTRL+SHIFT+DOWN ARROW
To the beginning of a paragraph | CTRL+SHIFT+UP ARROW
One screen down | SHIFT+PAGE DOWN
One screen up | SHIFT+PAGE UP
To include the entire page | CTRL+A
Display the properties of a selection | ALT+ENTER
Insert a table | SHIFT+CTRL+ALT+T
Select the next cell's contents | TAB
Select the preceding cell's contents | SHIFT+TAB
Extend a selection to adjacent cells | Hold down SHIFT and press an arrow key repeatedly
Select a column | Click in the column's top or bottom cell, then hold down SHIFT and press the UP ARROW or DOWN ARROW key repeatedly

Back to top

Keys for menus and toolbars

To | Press
Show the shortcut menu | SHIFT+F10
Make the menu bar active | F10
Show the program icon menu | ALT+SPACEBAR
Select the next or previous command on the menu or submenu | DOWN ARROW or DOWN ARROW (with the menu or submenu displayed)
Close the visible menu and submenu at the same time | ALT
Close the visible menu; or, with a submenu visible, close the submenu only | ESC
Create an Auto Thumbnail of a selected picture | CTRL+T

Back to top

Keys for programming applications

To | Press
Display, edit, or run macros | ALT+F8
Display the Microsoft Script Editor | SHIFT+ALT+F11
Display the Microsoft Visual Basic Editor | ALT+F11

Back to top

Keys for Help

To | Press
Display the online Help | F1
Display context-sensitive Help | SHIFT+F1

Back to top


Switch views in FrontPage

The Views bar, shown by default at the left of the workspace in Microsoft FrontPage, lets you switch quickly from one view of your web to another. For example, to view reports about your web, click the Reports icon on the Views bar. To view or edit pages, click the Page icon.

You can also switch views by clicking the view you want on the View menu.


Switch tabs in Page view

When you're editing a page in Page view, you can edit in WYSIWYG fashion by using the Normal tab, write HTML directly by using the HTML tab, or preview your page as it will appear when viewed by a site visitor by using the Preview tab. If you use frames in your web, Page view has two additional tabs: No Frames and Frames Page HTML. The No Frames tab displays the message that will display in a Web browser if the browser does not support frames. The Frames Page HTML tab shows the HTML for the frames page.

  • To switch to another tab in Page view, click that tab. Or, you can press CTRL+PAGE UP or CTRL+PAGE DOWN to switch tabs using the keyboard.


Show or hide the Views bar

The Views bar, shown by default at the left of the workspace in Microsoft FrontPage, lets you switch quickly from one view of your web to another. You can hide the Views bar if you want more space to view pages in Page view, reports in Reports view, and so on.

  • To hide the Views bar, on the View menu, click Views Bar to clear the check mark.
  • To show the Views bar, on the View menu, click Views Bar to show the check mark.


Display small icons on the Views bar

The Views bar, shown by default at the left of the workspace in Microsoft FrontPage, lets you switch quickly from one view of your web to another. Large icons are displayed in the Views bar by default, but you can display small icons if you prefer.

  • Right-click anywhere on the Views bar, and then click Small Icons on the shortcut menu.


Customize view options

Microsoft FrontPage lets you customize a variety of options for your workspace. For example, to improve accessibility for authors, you can display large icons on toolbars, or show shortcut keys in ScreenTips. On the Tools menu, click Customize, and then click the Options tab:

  • To display large icons for toolbars, select the Large icons check box.
  • To display the list of fonts in the Font box using the fonts themselves (for example, to display Arial Black using Arial Black), select the List font names in their font check box.
  • To display ScreenTips describing toolbar buttons when you point to a button, select the Show ScreenTips on toolbars check box.
  • To display the keyboard shortcuts for toolbar buttons when you point to a button, select the Show shortcut keys in ScreenTips check box.


Customize Page view

You can customize Page view to show or hide the Folder List, paragraph marks, and so on.

  • To show or hide the Folder List, click Folder List on the View menu.
  • To show or hide paragraph marks on the Normal tab, click Show All Show All button.
  • To show or hide HTML tags surrounding text, pictures, and other page elements on the Normal tab, click Reveal Tags on the View menu.


Customize Navigation view

If you create a navigation structure in Navigation view, you can customize how that structure is displayed.

  • To zoom in or out, right-click on the view background, point to Zoom on the shortcut menu, and then click the percentage that you want to zoom in or out.
  • To automatically size a large navigation structure to fit into the view, right-click on the view background, point to Zoom on the shortcut menu, and then click Size to Fit.
  • To rotate a navigation structure for easier viewing, right-click on the view background, and then click Rotate on the shortcut menu.
  • To expand all of the subtrees so that you can see the entire navigation structure, right-click on the view background, and then click Expand All on the shortcut menu.
  • To view only the pages in a subtree, right-click on any page in the subtree you want to view, and then click View Subtree Only on the shortcut menu.


Customize Hyperlinks view

Hyperlinks view presents a visual "map" of the hyperlinks to and from any page in your web. You can customize Hyperlinks view to show page titles, links to and from pictures, and so on. On the Views bar, click the Hyperlinks icon to switch to Hyperlinks view:

  • To show page titles instead of file names, right-click the background, and then click Show Page Titles on the shortcut menu to place a check mark next to it. If the command isn't checked, Hyperlinks view shows file names.
  • To show hyperlinks to pictures on a page, right-click the background, and then click Hyperlinks to Pictures on the shortcut menu to place a check mark next to it. If the command isn't checked, Hyperlinks view does not show links to pictures.
  • To show repeated hyperlinks (that is, multiple hyperlinks on one page that all point to the same page, picture, or file), right-click the background, and then click Repeated Hyperlinks on the shortcut menu to place a check mark next to it. If the command isn't checked, Hyperlinks view does not show repeated hyperlinks.
  • To show hyperlinks to bookmarks on the same page, right-click the background, and then click Hyperlinks Inside Page on the shortcut menu to place a check mark next to it. If the command isn't checked, Hyperlinks view does not show hyperlinks to bookmarks on the same page.
  • To move another page or file into the center of Hyperlinks view, right-click the page or file, and then click Move to Center on the shortcut menu.


Show or hide completed tasks in Tasks view

If the Show Task History command isn't turned on, each time you refresh Tasks view or switch to another view, Microsoft FrontPage hides completed tasks.

  • To show completed tasks, right-click on the background in Tasks view, and then click Show Task History on the shortcut menu.
  • To hide completed tasks once the Show Task History command is checked, click Show Task History again to clear the check mark.


Sort the list of tasks

You can sort tasks by Priority, by Status, or by any other column in the task list.

  • In Tasks view, click any column label to sort the task list by the values in that column.
  • Click the column label a second time to reverse the sorting order.


Show or hide gridlines in reports

  • On the Tools menu, click Options, and then click the Reports View tab. Select or clear the Display gridlines when viewing reports check box.


Check spelling automatically as you type

You can have Microsoft FrontPage automatically check your spelling as you type. Misspelled words are underlined with a red wavy line. You can also hide spelling errors (the red wavy lines are not displayed). For example, hide the spelling errors until you are finished editing the page, and then display them when you are ready to correct them.

  1. On the Tools menu, click Page Options.
  2. On the General tab, select the Check spelling as you type check box.
  3. If you don't want misspelled words to be underlined, select the Hide spelling errors in all documents check box. To show spelling errors, clear this check box.


Add a web or a page to your Favorites list

You can add a web or a page to the Internet Explorer Favorites list when you open or save that web or page using Microsoft FrontPage.

  • In the Open or Save dialog boxes that are displayed when you open or save a page, or when you open a web, click Tools, and then click Add to Favorites.


Show or hide files in hidden folders

You can show or hide files in hidden or private folders from views in FrontPage. Hidden folder names begin with an underscore character (for example, _borders).

  1. On the Tools menu, click Web Settings, and then click the Advanced tab.
  2. Select or clear the Show documents in hidden directories check box to show or hide files in hidden folders.


Show or hide the status bar

The status bar at the bottom of the workspace in Microsoft FrontPage displays information and messages. For example, if you select a file in Folders view, the status bar displays the full path to that file. If you open a page in Page view, the status bar displays messages indicating that the page is being loaded, and how long it will take to download the page when a site visitor browses to it. FrontPage shows the status bar by default.

  • To hide the status bar, click Options on the Tools menu, click the General tab, and then clear the Show status bar check box.
  • To show the status bar, click Options on the Tools menu, click the General tab, and then select the Show status bar check box.


Show or hide spelling errors

When you're editing a page in Page view, you can set Microsoft FrontPage to check spelling automatically as you type. You can also set FrontPage to hide the spelling errors it finds.

  • On the Tools menu, click Page Options, click the Spelling tab, and then select the Hide spelling errors in all documents check box.


View or customize toolbars

Toolbars contain the same commands found on menus in Microsoft FrontPage. You can show or hide toolbars or move them to any location in your workspace. You can also add or remove commands from toolbars, or create your own.

  • To show or hide a toolbar, point to Toolbars on the View menu. The list shows all of the available toolbars. A check mark next to a toolbar name means that toolbar will be displayed. To show a toolbar that isn't checked, click its name. To hide a toolbar, click the name of the toolbar to clear the check mark.
  • To move a toolbar to a different location in your workspace, click the toolbar's title bar and then drag the toolbar to the new location.
  • To display the Standard and Formatting toolbars in the same row beneath the menus, click Customize on the Tools menu, click the Options tab, and then select the Standard and Formatting toolbars share one row check box.
  • To add a command to a toolbar from another toolbar, press CTRL and drag the command onto the toolbar.
  • To add a command to a toolbar from a menu, click Customize on the Tools menu, and then click the Commands tab. In the Categories list, click the group that contains the command you want to add, and then in the Commands list, click that command and drag it to the toolbar in your workspace.
  • To remove a command from a toolbar, drag it off the toolbar and release it anywhere in your workspace (except on another toolbar).
  • If you add commands to one of the default toolbars, such as the Navigation toolbar, you can reset the toolbar to its original state. On the Tools menu, click Customize, and then click the Toolbars tab. In the Toolbars box, select the toolbar you want to reset, and then click Reset.


Create a toolbar

If you find that you use certain commands more often than others, you can create your own toolbars to help organize your workspace in Microsoft FrontPage.

  1. On the Tools menu, click Customize, and then click the Toolbars tab. Click New.
  2. In the Toolbar name box, type a name for the new toolbar, and then click OK.

    3. FrontPage adds the new toolbar to the list in the Toolbars box and also displays the new toolbar in your workspace.

  3. Click the Commands tab, and then in the Categories list, click the group that contains the command you want to put on the new toolbar.
  4. In the Commands list, click the command that you want to put on the new toolbar, and then drag the command onto the new toolbar displayed in your workspace.
  5. Repeat steps 3 and 4 until you've added all the commands you want on the new toolbar.

Tips

  • You can also add a command to a toolbar by pressing CTRL and dragging the command from an existing toolbar.
  • To rename or delete a custom toolbar, click Customize on the Tools menu, and then click the Toolbars tab. In the Toolbars box, select the custom toolbar you want to rename or delete, and then click Rename or Delete.


View or customize menus

When you first start Microsoft FrontPage, you see short menus — that is, only basic commands are displayed on each menu. As you work, FrontPage adds the commands you use most often to the visible set that appears on the menus.

To look for a menu command that doesn't appear, click the arrow Expand button for short menus at the bottom of the menu. The menu expands to show all commands. You can also double-click the menu to expand it. When you click a command on an expanded menu, FrontPage subsequently adds that command to the short version of the menu. If you don't use the command for a while, FrontPage removes it from the short menu.

  • To turn off short menus and display all of the commands on each menu all the time, click Customize on the Tools menu, click the Options tab, and then clear the Menus show recently used commands first check box.
  • If you use short menus, you can specify that FrontPage display full menus when you open a short menu and pause before clicking a command. To do so, click Customize on the Tools menu, click the Options tab, and then select the Show full menus after a short delay check box. Note that this check box is unavailable (dimmed) unless the Menus show recently used commands first check box is selected to enable short menus.
  • To clear the historical usage data that FrontPage uses to build short menus of the most frequently used commands, click Customize on the Tools menu, click the Options tab, and then click Reset My Usage Data.
  • If a submenu has a move handle, you can move it anywhere on the screen to create a floating toolbar. To do so, display the submenu you want to move, and then drag the move handle at the top of the submenu to the new location. In FrontPage, you can create floating toolbars from the following submenus on the Insert menu:
    • Component
    • Form
    • Advanced


Animate menus

You can use animation to open menus. When you click or point to the name of a menu, that menu can "unfold" from top to bottom and left to right, "slide" from top to bottom, or randomly use either effect.

  • On the Tools menu, click Customize, and then click the Options tab. In the Menu animations list, select the type of animation you want to use, or click None to turn off menu animation.


Associate an editor with a file type

In Microsoft Windows, every type of file (for example, picture files such as GIFs, JPEGs, and PNGs) is associated with a default application, or editor. For example, Microsoft Image Composer might be the editor associated with picture files. When you open a file for editing, it opens in the associated default editor.

In Microsoft FrontPage, the default editor associations for most types of files are already set up for you. Use this procedure if you want to associate an editor with a new type of file.

  1. On the Tools menu, click Options, click the Configure Editors tab, and then click Add.
  2. In the File type box, type the three-character extension of the file type you want to add, such as avi for audiovisual files.
  3. In the Editor name box, type the name of the editor you want FrontPage to use to open that type of file.
  4. In the Command box, type the path to the executable file (.exe) for the editor, or click Browse to locate the file.


Change the editor associated with a file type

In Microsoft Windows, every type of file (for example, picture files such as GIFs, JPEGs, and PNGs) is associated with a default application, or editor. For example, Microsoft Image Composer might be the editor associated with picture files. When you open a file for editing, it opens in the associated default editor.

In Microsoft FrontPage, the default editor associations for most types of files are already set up for you. Use this procedure if you want to to change the default editor associated with an existing type of file. For example, you might want to change the default editor for .txt files from Notepad to WordPad.

  1. On the Tools menu, click Options, and then click the Configure Editors tab.
  2. Select the file type/editor association that you want to change, and then click Modify.
  3. In the Editor name box, type the name of the editor you want FrontPage to use to open that type of file.
  4. In the Command box, type the path to the executable file (.exe) for the editor, or click Browse to locate the file.


Remove the association between an editor and a file type

In Microsoft Windows, every type of file (for example, picture files such as GIFs, JPEGs, and PNGs) is associated with a default application, or editor. For example, Microsoft Image Composer might be the editor associated with picture files. When you open a file for editing, it opens in the associated default editor.

In Microsoft FrontPage, the default editor associations for most types of files are already set up for you. Use this procedure if you want to to remove the association between a file type and an editor.

Note If you remove the association between a file type and an editor, you won't be able to open files of that type when you're working in FrontPage. You should associate the file type with a different editor, rather than remove the association entirely.

  1. On the Tools menu, click Options, and then click the Configure Editors tab.
  2. Select the file type/editor association that you want to remove, and then click Remove.


Open a file with a different editor

When you open a file in Microsoft FrontPage, the file is opened in the editor associated with that type of file. By default, FrontPage is the editor associated with HTML pages (.htm files) and Active Server Pages (.asp files), Notepad is the editor associated with text files (.txt files), and so on. Use this procedure to open a file in a different editor than the one associated with the file by default — for example, to open an .asp file in Microsoft Visual InterDev, or a .bmp file in Microsoft Image Composer.

  1. In any view except Tasks view, right-click the file you want to open, and then click Open With on the shortcut menu.
  2. Select the editor you want to use to open the file.


Open pages in the Office application that created them

When you open a page in a web, Microsoft FrontPage uses the default editor associated with that type of file — which is, by default, FrontPage for most types of pages. If you want to override this setting, you can specify that FrontPage automatically open pages using the Microsoft Office application that created them.

  • On the Tools menu, click Options, click the Configure Editors tab, and then select the Open web pages in the Office application that created them check box.


Preview a page in a Web browser

If you have installed Microsoft Internet Explorer version 3.0 or later on your computer, you can quickly preview the current page by clicking the Preview tab in Page view.

If you have not installed Microsoft Internet Explorer version 3.0 or later on your computer, FrontPage will not display a Preview tab. Instead, click Preview in Browser Preview in Browser button in Page view.


Save pages automatically before previewing in a browser

To properly preview a page as it will appear when viewed by a site visitor in a Web browser, you should save the page first. You can set Microsoft FrontPage to save pages automatically before you preview them.

  • On the File menu, click Preview in Browser, and then select the Automatically save page check box.


Add a Web browser to the preview list

You can preview pages in any Web browser installed on your computer. Microsoft FrontPage automatically adds any browser installed on your computer to the list of browsers you can use to preview pages. Use this procedure to add a browser to the list manually.

  1. In Page view, open the page you want to preview. On the File menu, click Preview in Browser.
  2. If the browser you want to use to preview the page isn't included in the Browser list, click Add.

    3. Tip To remove a Web browser from the preview list, select it and then click Delete.

  3. In the Name box, type the name of the Web browser as you want it to appear in the preview list.
  4. In the Command box, type the name and path of the Web browser's executable file, or click Browse to locate the file.


Set the preview window size

When site visitors view your page in a Web browser, how much (or how little) of your page is displayed in their browser window depends on the screen resolution of their computer. For example, a visitor browsing at 800x600 resolution can view a larger part of the page than one browsing at 640x480. Use this procedure to see how the page will appear when a site visitor's Web browser is set to a different screen resolution.

  1. In Page view, open the page you want to preview. On the File menu, click Preview in Browser.
  2. Under Window size, click the screen resolution you'd like to simulate when you preview the page. The choices displayed reflect the screen resolutions available on your computer.

    3. Tip Click Default to preview the page in a browser window the size of the default screen resolution for your computer.


Use a macro

You can create, run, edit, debug, or delete a macro for your web without exiting Microsoft FrontPage.

  • On the Tools menu, point to Macro, and then click Macros:
  • To create a new macro, type a name in the Macro name box, and then click Create. FrontPage launches the Visual Basic Editor, where you can create the macro.
  • To run a macro, select it in the list, and then click Run.
  • To step into a macro and debug it, select the macro in the list, and then click Step Into. FrontPage launches the Visual Basic Editor, where you can debug the macro.
  • To edit a macro, select it in the list, and then click Edit. FrontPage launches the Visual Basic Editor, where you can edit the macro.
  • To delete a macro, select it in the list and then click Delete.


Use the Visual Basic Editor

Use the Visual Basic Editor to create macros, applications, controls, and forms for your web. You can even create webs and change their structure within a programming environment. For example, you can use the Visual Basic Editor to create a new folder and then convert that folder to a web.

  • On the Tools menu, point to Macros, and then click Visual Basic Editor.


Use the Microsoft Script Editor

Use the Microsoft Script Editor to add VBScript or JavaScript to your web.

  • On the Tools menu, point to Macros, and then click Microsoft Script Editor.


Set the behavior of an add-in

Add-ins are supplemental programs that extend the capabilities of Microsoft FrontPage by adding custom commands and specialized features. You can obtain add-ins from independent software vendors, or you can write your own custom add-ins. To download or get more information about add-ins for FrontPage, visit the Office Update Web site.

After you've installed an add-in on your computer, you can use the following procedure to register the add-in, load or unload it, or set its load behavior.

  • On the Tools menu, click Add-Ins.

    • The Add-In Manager dialog box lists the add-ins installed on your computer, along with their load behavior:

    • To load an add-in, click it in the list of available add-ins, and then select the Loaded/unloaded check box.
    • To unload an add-in, click it in the list of available add-ins, and then clear the Loaded/unloaded check box.

Tip When you load an add-in, it remains loaded until you close or exit FrontPage. If your system is running slowly or is low on memory, unload the add-in as described above.


Assign a task

In a workgroup setting, you can more effectively manage your workflow by assigning tasks to different team members. You can assign a task to a person, a workgroup, a web, or anything else that you can type or select in the Assigned To list.

  • You can assign a task when you create it. Type or select a name in the Assigned to box of the New Task dialog box.
  • You can assign a task after you've created it. In Tasks view, click the cell in the Assigned to column of the task you want to assign, click the cell again, and then type or select a name. This will override any assignment made when the task was created.

    • Note If a task has been marked as Completed, you can't reassign it.

Tip The Assigned To list is shared with Reports view for assigning files. In Reports view, you can assign a file to someone without creating a specific task.


Mark a task as completed

You can mark a task as completed in two ways:

  • In Tasks view, right-click the task that you want to mark as completed, and then click Mark as Completed on the shortcut menu.
  • If you started a task associated with a web page, the first time you save the page in Page view, Microsoft FrontPage will ask if you want to mark the task as completed. Click Yes.

Note If you don't want FrontPage to hide completed tasks in Tasks view, right-click on the background of the view, and then click Show Task History on the shortcut menu, if it isn't already checked.


Create a task

Use tasks to maintain and manage your web. You can assign tasks, prioritize them, and link them to pages, pictures, sounds, other Office documents, or any other files in your web.

Note If you create a task in Page view while editing a page, the new task is automatically associated with that page. To associate a task with a page or file in another view, select the file, and then create the task.

  1. On the File menu, point to New, and then click Task.
  2. In the Task name box, type the name of the task.
  3. In the Assigned to box, type or select the name of the person, workgroup, or other area you want to assign the task to.
  4. In the Description box, type a description of the task.
  5. In the Priority area, click a priority for the task.

Note The Associated with field displays the name of the file associated with the task, if any.


Start a task

A task can be linked to any file in your web — a web page, a picture, a sound, another Microsoft Office document, and so on.

  • In Tasks view, right-click the task that you want to start, and then click Start Task on the shortcut menu.

Notes

  • When you start a task associated with a page, Microsoft FrontPage opens that page in Page view.
  • When you start a task associated with another type of file, FrontPage opens the file in its associated editor (for example, Image Composer for .gif files, Word for .doc files, Notepad for .txt files, and so on).


Prioritize a task

  • You can prioritize a task when you create it. Click a priority of High, Medium, or Low in the New Task dialog box.
  • You can prioritize a task after you've created it. In Tasks view, click the cell in the Priority column of the task you want to prioritize, click the cell again, and then click High, Medium, or Low. This will override any priority set when the task was created.

    • Note If a task has been marked as Completed, you can't change its priority.

If you don't prioritize a task, Microsoft FrontPage assigns the task a priority of Medium by default.


Change the name or description of a task

  • In Tasks view, click the cell in the Task or Description column that you want to change, click the cell again, and then type the new name or description.

Note If a task has been marked as Completed, you can change the task's description but not its name.


Delete a task

Keep your task list up to date by regularly deleting completed or outdated tasks.

  • In Tasks view, right-click the task that you want to delete, and then click Delete on the shortcut menu.


Add a comment to a page

You can add a comment to a page, for example to provide information for another page author. A comment has the same attributes as the current paragraph style, but is displayed in a different color. Although comments can be viewed while editing a page, they are not visible in the Web browser of a site visitor who has browsed to the page.

  1. In Page view, position the insertion point where you want to add a comment.
  2. On the Insert menu, click Comment.
  3. Type the comment.

Tip To edit a comment, double-click it.


Assign a file

In a workgroup setting, you can more effectively manage who's working on what by assigning files to different people or teams. You can assign a file to a person, a workgroup, a web, or anything else that you can type or select in the Assigned To report.

Note If your web contains files located in hidden folders, those files will not be included in this report. To include files in hidden folders in your reports, click Web Settings on the Tools menu, click the Advanced tab, and then select the Show documents in hidden directories check box.

  1. On the View menu, point to Reports, and then click Assigned To.
  2. In Reports view, click the cell in the Assigned to column of the file you want to assign, click the cell again, and then type or select a name.

Tips

  • You can assign multiple files at one time. In the Assigned To report, select the files you want to assign, right-click to display the shortcut menu, and then click Properties. Click the Workgroup tab, and then in the Assigned to box, select the person or workgroup to whom you want to assign the files.
  • The Assigned To report is shared with Tasks view for assigning tasks. In Tasks view, you can assign a task to someone without associating it with a specific file.


Categorize a file

You can more effectively manage your web by grouping pages, pictures, or any other files using categories. For example, you might classify pages that need editorial approval in a category called Editors, or classify all of the shopping-related files in your web in categories called Catalog and Products.

Note If your web contains files located in hidden folders, those files will not be included in this report. To include files in hidden folders in your reports, click Web Settings on the Tools menu, click the Advanced tab, and then select the Show documents in hidden directories check box.

  1. On the View menu, point to Reports, and then click Categories.
  2. Right-click the file you want to categorize, click Properties, and then click the Workgroup tab.
  3. In the Available Categories box, select the check boxes of the categories for this file. You can select multiple categories.

Tips

  • You can categorize multiple files at one time. In the Categories report, select the files you want to categorize, right-click to display the shortcut menu, and then click Properties. Click the Workgroup tab, and then in the Items belong to these categories box, select the categories for the selected files.
  • You can create custom categories for your workgroup and add them as choices in the master categories list. To modify the master categories list, right-click a file, click Properties on the shortcut menu, and then click the Workgroup tab. Click Categories, and then add or delete names from the list.


Create a shared template

If you work in a multiple authoring environment, you can create your own custom templates and share them with other authors working on the same web. Anyone who opens the web can then create new pages based on your shared templates, which are listed along with the default templates in the New dialog box.

For example, you might want all of the pages in a web to be linked to a specific cascading style sheet (.css file name extension). You could create a template containing a link to the style sheet, and then share that template with anyone working on the web. Instead of adding style sheet links manually to new pages, authors can then create new pages that already contain the links just by using the shared template.

  1. In Page view, open the page you want to save as a shared template, and then click Save As on the File menu.
  2. In the Save as type box, click FrontPage Template (*.tem).
  3. In the File name box, type a file name for the template, and then click Save.
  4. In the Save As Template dialog box, type a friendly title for the template in the Title box. This is the title displayed in the list of templates on the tabs of the New dialog box.
  5. In the Description box, type text describing what the template does. This is the text displayed in the Description area of the tabs in the New dialog box.
  6. Select the Save template in current web check box.


Delete a shared template

If you work in a multiple authoring environment, you can create your own custom templates and share them with other authors working on the same web. Anyone who opens the web can then create new pages based on your shared templates, which are listed with the default templates in the New dialog box. Use this procedure if you want to delete an existing shared template.

  1. On the Tools menu, click Web Settings, and then click the Advanced tab.
  2. Select the Show documents in hidden directories check box, and then click OK.
  3. When FrontPage asks if you want to refresh your web, click Yes.
  4. The _sharedtemplates folder is displayed in the Folder List.
  5. In the Folder List, double-click the _sharedtemplates folder to open it.
  6. Depending on the types of shared templates (non-frames pages, frames pages, or cascading style sheets(CSS)) you've created, the _sharedtemplates folder contains subfolders corresponding to the names of the tabs in the New dialog box. For example, if you created a non-frames page shared template named Mytemplate.tem, it will be located in a subfolder named pages.
  7. Double-click to open the subfolder (Pages, Frames, or CSS) that contains the shared template you want to delete.
  8. Right-click the folder corresponding to the name of the shared template you want to delete, and then click Delete on the shortcut menu.

    9. For example, if you want to delete the shared template named Mytemplate.tem, delete the folder named Mytemplate.tem.

  9. When FrontPage asks if you want to delete the shared template, click Yes.

Note This procedure only deletes the shared template from the list of available templates for a web. It does not delete the copies of the shared template created on the local computers of authors who have previously opened that web; the template will still be displayed in the list of templates in the New dialog box when those authors create new pages. To remove the local shared templates, each author must delete the appropriate shared template folder from the Application Data\Microsoft\FrontPage\Pages folder on his or her computer. The exact location of this folder depends on each author's operating system and installation directory.


Modify a shared template

If you work in a multiple authoring environment, you can create your own custom templates and share them with other authors working on the same web. Anyone who opens the web can then create new pages based on your shared templates, which are listed with the default templates in the New dialog box. Use this procedure if you want to modify an existing shared template.

  1. In Page view, on the File menu, point to New, and then click Page.
  2. Click the tab (General, Frames Pages, or Style Sheets) containing the shared template you want to modify, and then in the list of templates, double-click the shared template.

    3. FrontPage opens a new page based on the shared template.

  3. Modify the new page to reflect the changes you want to make to the shared template.
  4. On the File menu, click Save As, and then in the Save as type box, click FrontPage Template (*.tem).
  5. In the File name box, type the file name of the shared template, and then click Save.
  6. In the Save As Template dialog box, type a friendly title for the template in the Title box. This is the title displayed in the list of templates on the tabs of the New dialog box. You can type the same friendly title that you originally used, or type a different one.
  7. In the Description box, type text describing what the template does. This is the text displayed in the Description area of the tabs in the New dialog box. You can type the same description that you originally used, or type a different one.
  8. Select the Save template in current web check box, and then click OK.
  9. When FrontPage asks if you want to replace the existing template, click Yes.


Modify the Assigned To list

Use the Assigned To list to assign both files and tasks. Whenever a file or task is assigned to a person or a workgroup, that name is added to the Assigned To list (if it is not already there).

  1. In Reports view, right-click on any file, click Properties on the shortcut menu, and then click the Workgroup tab.
  2. Click Names, and then do one of the following:
    • To add a new name, type it in the New username box, and then click Add.
    • To delete a name, select it, and then click Delete.
    • To undo your additions or deletions, click Reset to restore the list to its original state.


Modify the master categories list

You can more effectively manage your web by grouping pages, pictures, or any other files using categories. Categories can help you track related items in your web that may be in different folders, or differentiate between dissimilar items in the same folder.

For example, you can create a category called Catalog, and then classify a page in your root web, three picture files in your Images folder, and a sound effect in the Sounds folder in that category. When you view your web by categories in Reports view, all of the Catalog files will be grouped together.

  1. In Reports view, right-click any file, click Properties on the shortcut menu, and then click the Workgroup tab.
  2. Click Categories, and then do one of the following:
    • To add a new category, type its name in the New category box, and then click Add.
    • To delete a category, select it, and then click Delete.
    • To undo your additions or deletions, click Reset to restore the list to its original state.


Send a copy of a page in an e-mail message

You can send a copy of the current page in an e-mail message. To use this feature, Microsoft Exchange, Microsoft Outlook, or another mail system compatible with the Messaging Application Programming Interface (MAPI) must be installed on your computer.

  1. In Page view, open the page you want to send.
  2. On the File menu, choose Send.

    3. FrontPage starts your e-mail editor, and then opens a new message with the active page attached.

  3. Select recipients for the e-mail message and type a subject.
  4. Send the message.


Set the review status for a file

Review statuses help you indicate the status of pages, pictures, and other files as they are prepared for publishing. For example, "Code Review" might mean an Active Server Page (.asp) needs to be reviewed for code, "Legal Review" that a page needs to be approved by your Legal department, and so on.

  • In any view except Tasks view, right-click the file, click Properties, and then click the Workgroup tab.
  • In the Review status box, select a review status from the list, or type a new one.

Tips

  • You can set the review status for multiple files at one time. Select the files you want to set a review status for, right-click to display the shortcut menu, and then click Properties. Click the Workgroup tab, and then in the Review status box, type or select the review status you want to set for the selected files.
  • You can also modify the list of review statuses to include the specific terms that your team or company uses.


Modify the list of review statuses

Review statuses help you indicate the status of a page as it moves from design to publishing. Microsoft FrontPage supplies four default review statuses (Code Review, Content Review, Legal Review, and Manager Review), but you can add your own as follows:

  1. Right-click any file, click Properties, and then click the Workgroup tab.
  2. Click Statuses, and then do one of the following:
    • To add a new review status, type its name in the New review status box, and then click Add.
    • To delete a status, select it, and then click Delete.
    • To undo your additions or deletions, click Reset to restore the list to its original state.


About source control

To learn more about source control, click the graphic.

To display this topic, click the graphic.


Enable built-in source control

Before you can use built-in source control in Microsoft FrontPage, you must enable it. You can enable source control if you have administrator privileges.

For information about how to integrate Visual SourceSafe with FrontPage, see "Overview of Server Extensions Source Control" in the Microsoft FrontPage Server Extensions Resource Kit.

Note It is recommended that you close all files in your web before enabling source control.

  1. On the Tools menu, click Web Settings.
  2. On the General tab, select the Use document check-in and check-out check box.


Check out a file

When you check out a file, only you can modify it. Other authors can open the last-saved version of the file to view it, but cannot save any changes to it.

  • In the Folder List in any view or in Folders view, right-click the file you want to check out, and then click Check Out on the shortcut menu.

Tip To see the checkout status of files, point to Reports on the View menu, and then click Checkout Status.


Check in a file

You can check in a file that you have edited. Other authors will then be able to check out the file and modify it.

  1. In Page view, click Save Save button to save your changes.
  2. In the Folder List in any view or in Folders view, right-click the file you want to check in, and then click Check In on the shortcut menu.

Tip To see the checkout status of files, point to Reports on the View menu, and then click Checkout Status.


Undo a file checkout

You can undo a file checkout. The file will be checked in as though no changes had been made to it since it was last checked out.

  • In the Folder List in any view or in Folders view, right-click the file for which you want to undo a checkout, and then click Undo Check Out on the shortcut menu.

Tip To see the checkout status of files, point to Reports on the View menu, and then click Checkout Status.


Add an Office Spreadsheet component

If you want to create a spreadsheet for your web, you can add a Microsoft Office Spreadsheet component to a page. You can then directly edit and set properties for the spreadsheet in Page view, even if you don't have Microsoft Excel installed on your computer.

  • On the Insert menu, point to Component, and then click Office Spreadsheet.

Note When you include an Office Spreadsheet in your web, a site visitor will need to have the Microsoft Office Web Component controls installed on her/his computer to view the spreadsheet. (If the controls are not installed, a site visitor will see a watermark.) A site visitor must have Microsoft Office installed on her/his computer, or have access to a Microsoft Office installation server to have the controls. If the site visitor will have access to an Office installation server, set the code base to the msowc.cab file on the server, for example, file:\\officeinstallationserver\msowc.cab.

  • If you cannot foresee whether a site visitor will have access to an Office installation server, remove the file path in the Code Source field in the ActiveX Control Properties dialog box so the site visitor does not get an error message indicating that the controls cannot be installed from the specified location.
  • The default file path for the controls is located in the Code Source field in the ActiveX Control Properties dialog box. The default file path in this field is where Microsoft Office was installed from. This default file path can be changed in Microsoft Excel or Microsoft Access. If a change is made to the default path in Excel or Access, FrontPage will use the path specified in those applications.


Add an Office PivotTable component

A Microsoft Office PivotTable list is an interactive table that displays summary data from a database or other source. If you want to create a PivotTable list for your web, you can add an Office PivotTable component to a page. You can then directly edit and set properties for the Office PivotTable in Page view, even if you don't have Microsoft Excel installed on your computer.

  • On the Insert menu, point to Component, and then click Office PivotTable.

Note When you include an Office PivotTable in your web, a site visitor will need to have the Microsoft Office Web Component controls installed on her/his computer to view the PivotTable. (If the controls are not installed, a site visitor will see a watermark.) A site visitor must have Microsoft Office installed on her/his computer, or have access to a Microsoft Office installation server to have the controls. If the site visitor will have access to an Office installation server, set the code base to the msowc.cab file on the server, for example, file:\\officeinstallationserver\msowc.cab.

  • If you cannot foresee whether a site visitor will have access to an Office installation server, remove the file path in the Code Source field in the ActiveX Control Properties dialog box so the site visitor does not get an error message indicating that the controls cannot be installed from the specified location.
  • The default file path for the controls is located in the Code Source field in the ActiveX Control Properties dialog box. The default file path in this field is where Microsoft Office was installed from. This default file path can be changed in Microsoft Excel or Microsoft Access. If a change is made to the default path in Excel or Access, FrontPage will use the path specified in those applications.


Add an Office Chart component

If you want to create a chart for your web, you can add a Microsoft Office Chart component to a page. You can then directly edit and set properties for the chart in Page view, even if you don't have Microsoft Excel installed on your computer.

  • On the Insert menu, point to Component, and then click Office Chart.

Note When you include an Office Chart in your web, a site visitor will need to have the Microsoft Office Web Component controls installed on her/his computer to view the chart. (If the controls are not installed, a site visitor will see a watermark.) A site visitor must have Microsoft Office installed on her/his computer, or have access to a Microsoft Office installation server to have the controls. If the site visitor will have access to an Office installation server, set the code base to the msowc.cab file on the server, for example, file:\\officeinstallationserver\msowc.cab.

  • If you cannot foresee whether a site visitor will have access to an Office installation server, remove the file path in the Code Source field in the ActiveX Control Properties dialog box so the site visitor does not get an error message indicating that the controls cannot be installed from the specified location.
  • The default file path for the controls is located in the Code Source field in the ActiveX Control Properties dialog box. The default file path in this field is where Microsoft Office was installed from. This default file path can be changed in Microsoft Excel or Microsoft Access. If a change is made to the default path in Excel or Access, FrontPage will use the path specified in those applications.


Insert a file on a page

You can insert almost any kind of text-based file on a page, including .htm, .asp, .rtf, and .txt files, as well as any Microsoft Office document.

  1. In Page view, position the insertion point where you want to insert the file.
  2. On the Insert menu, click File.
  3. In the Files of type box, click the type of file you want to insert.
  4. In the Look in box, click the drive, folder, or network location that contains the file. In the folder list, double-click folders until you open the folder that contains the file you want. Select the file you want to insert, and then click Open.


What's new in Microsoft FrontPage 2000

To learn more about Microsoft FrontPage 2000, click the graphic.

To display this topic, click the graphic.


Upgrading to FrontPage 2000

To learn more about upgrading to Microsoft FrontPage 2000, click the graphic.

To display this topic, click the graphic.


Get help about specific commands, buttons, and dialog boxes

If you aren't sure what a specific command or button does, or if you want to know more about an option in a dialog box, you can get help through ScreenTips. ScreenTips show information about different elements on the screen.

  • To get help about a specific command or button, click What's This? on the Help menu, and then click the element you want information about.
  • To get help about a dialog box option, click the question mark in the upper right corner of the dialog box, and then click the option.


Copy examples from Help

If you see an element in a Microsoft FrontPage Help topic that you'd like to include on one of your Web pages — for example, a table, a form field, a hover button, or a Dynamic HTML animation effect — you can copy that element from Help and paste it into a page in Page view. You can then customize the Help example with your own text, pictures, labels, and so on.

  1. In the Help topic window, select the element that you want to copy, right-click, and then click Copy on the shortcut menu.

    2. Note If the element you want to copy is a table, form field, hover button, or other non-text element, you may need to begin and end the selection at the text just before and after the element that you want to copy.

  2. In Page view, open the page to which you want to copy the element from Help. Position the insertion point where you want to insert the element, right-click, and then click Paste on the shortcut menu.


Glossary

To look up a term in the glossary, click the graphic.

To display this topic, click the graphic.


About color

You can set the color for many page elements, including:

  • Text.
  • Background of pages, tables, and cells.
  • Hyperlinks.
  • Table borders.
  • Graphical elements such as horizontal lines, hover buttons, and marquees.

To set the color for an individual element, change its properties. For example, the color of text is a font property, and the background color of the current page is a page property. You can also set the color for several page elements (text styles, backgrounds, hyperlinks, or table borders) all at once by using themes or cascading style sheets. These features allow you to set color properties for styles or page elements in one place, and then these settings are applied to all the pages that use the theme or style sheet. For example, if you change a theme's hyperlink color, the color of hyperlinks on all pages that use that theme are updated automatically.

Selecting colors

Whenever you select a color, palettes appropriate for your page are displayed:

  • Standard colors displays the basic 16-color palette.
  • Custom colors displays any custom colors you have defined.
  • Document's colors displays the colors that are used on the current page.
  • Theme colors displays the colors used by the current theme.
  • More colors lets you define a custom color.

Defining custom colors

You have many options when defining a custom color:

  • Select a color from a browser-safe palette.
  • Specify a color by entering a hexadecimal value.
  • Select a color on the screen, such as a color from a picture on an open page.
  • Select a region on the screen, and then create a color average of the region.
  • Enter a value combination for hue-saturation-luminosity or red-green-blue.
  • Select a color from a color matrix.

Any custom colors you define are saved, and will be available the next time you use Microsoft FrontPage.

More information

About themes

Working with cascading style sheets

Define a custom color for a page element

Define a custom color for a theme

Define a custom color for a style


The basics of databases

Think of a database as a sophisticated version of an index card file. For example, an employee phone list consists of index cards filed in alphabetical order by the employees' last names. Each card contains an employee's ID number, last name, first name, and company telephone extension.

A database consists of tables; each table consists of individual records.

In database terminology, each employee's card is called a record. Together, all the cards in the index card file are called a table, or record source. Each item on a card is called a field. On a card in the employee phone list, the first name is considered one field; the last name, another field, and so on. In a database, the fields are broken into two parts: the field label, which identifies the field (for example, LastName) and the field value, which is the actual data in the field (for example, "Smith").

A database can have multiple tables. For example, in addition to the employee phone list card file, you might also have card files for customers and products. You can store them as additional tables in the same database.

A database can also have multiple views. A view has records and fields just like a table, but it can contain information from different tables. In Microsoft Access, a view is called a query, and it can accept parameters that change the information it displays.

In Microsoft FrontPage 2000, you can use the new Database Results Wizard to create pages that let site visitors search for and display specific information from your database — in the employee phone list, for example, they can look up a specific employee's telephone extension. You can also create forms to let visitors add information to a database — for example, to subscribe to your e-mail list or order a product.


Connect to a database

Before you can use the information in a database on your pages, you must create a database connection. A database connection specifies the name, location, and type of database you want to access, along with any other required parameters.

A database connection specifies the location and type of database.

There are different types of database connections:

  • A file-based connection to a database, such as Microsoft Access, in your web. When you import an Access database into your web, FrontPage creates a database connection automatically.
  • A System Data Source Name (System DSN) on a Web server. The data source can be a file-based database or a database management system.
  • A network connection to a database server. A database server (for example, Microsoft SQL Server) is a computer dedicated solely to managing and maintaining large databases.

You can also create a custom connection using a file or string that defines all the necessary information.

The Database Results Wizard lets you use an existing database connection or create a new one. You can also use a sample database, Northwind Traders, to help you understand database concepts and experiment without altering your own "live" database.


Create hyperlinks with parameters

After you've used the Database Results Wizard to create database results on a page, you can create hyperlinks with parameters — that is, hyperlinks that send field values or other parameters from the database results on one page to another page containing database results.

Create a hyperlink that displays another page with database results.

In the Northwind Employees phone list, for example, you can create a hyperlink using Jeff Smith's last name. When a site visitor clicks the hyperlink, the page sends Jeff's employee ID (in the example, "1") to a database results region on another page. On the destination page, the database results region displays the complete contents (that is, all of the fields) of one employee's record. When that page receives a parameter called EmployeeID with the value "1," it looks up that record in the database and displays the results for Jeff Smith.


Filter and sort database results

The Database Results Wizard lets you filter the database results — that is, display only records that match certain criteria. For example, you can filter the Northwind Employees results to display only the records of employees whose last names are Smith. When the page is browsed, the wizard searches the LastName field in the Employees table, and then displays the records of employees where the value of the LastName field equals "Smith."

You can filter results to display only records matching a specific criteria. You can also sort results by any field.

You can also specify the sorting order for database results. For example, you can sort the Northwind Employees phone list alphabetically by last name, and then by first name (if there is more than one employee with the same last name). After you select the fields you want to sort by, and the order in which you want the fields sorted (ascending or descending), the wizard displays the database results accordingly.


Format database results

The Database Results Wizard presents a variety of formatting options for the database results region. You can format the results as a table, with one row for each record returned from the database. By default, the column headings contain field labels, and the columns contain the field values. In the Northwind Employees phone list, for example, the column headings would read LastName, FirstName, and Extension. You can show or hide table borders, and modify or delete the column headings.

Database results formatted as a table, a list, or a drop-down list.

You can also format database results as a list, with each row containing the label of a field and the data in that field. By default, the wizard inserts horizontal lines between records to more clearly separate them. You can select from a variety of list formats, including bulleted and numbered lists.

Finally, you can format database results as a single drop-down list that displays values of a particular field from each record. Use this option if you want to add a drop-down list to a form, or if you want to display database results in a consistent location on a page that uses absolute positioning or Dynamic HTML animation effects. For example, you could add a drop-down list that displays a list of employee last names in an address book.


Select information from a database

After connecting to a database, the Database Results Wizard determines the names of the tables and views in that database. In the Northwind Traders database, for example, there are tables for Employees, Customers, Products, and so on.

Select the table you want to use, then select the records and fields to include in database results.

After you select a table or view, the wizard determines the names of the fields it contains — in the Northwind Employees table, for example, there are fields for FirstName, LastName, and Extension. You can then select the fields that contain the information you want to display in the database results region.

When a site visitor views the page in a browser, the selected fields from each record in the table or view are displayed in the database results region. For example, for each employee in the Northwind Employees table, the database results include a field label (for example, LastName) and a field value (for example, "Smith").

If you're familiar with Structured Query Language (SQL) statements, you can create a custom query (instead of selecting a table or view) and have the wizard verify it.


Working with databases


The basics of databases
Connect to a database
Select information from a database
Filter and sort database results
Format database results
Create hyperlinks with parameters
Let site visitors search for information
Let site visitors add information


Let site visitors add information

You can create forms that let site visitors add information to a table in a database. One common example is an order form.

Create forms (for example, order forms) that let site visitors add information to a database.

A site visitor types his e-mail address, shipping address, credit card information, and so on. When he clicks Submit, the form sends the information (the field labels and values for each piece of information) to a database, where it's added to a table as a new record. You can add the information to an existing database, or have FrontPage create one for you. The Web server sends back a confirmation message or page letting the visitor know that the data has been accepted.


Let site visitors search for information

The Database Results Wizard also makes it easy to let site visitors search for information in a database. The wizard can create a search form to find records that match certain criteria, and a database results region beneath to display the results of the search.

Create a search form to let site visitors search a database for specific information.

For example, if a site visitor browsing the page wants to look up an employee's extension in the Northwind database, she can type the employee's last name (for example, Smith) in the Search for box. When she clicks Submit, FrontPage tells the database to check the records of employees where the value of the LastName field equals "Smith," and then displays only those records in the database results.


1 2 3 4 5


A form is a collection of fields that you use for gathering information from people visiting your Web site. Site visitors fill out a form by typing text, clicking radio buttons and check boxes, and selecting options from drop-down menus. After filling out the form, site visitors submit the data they entered, which can be processed in a variety of ways depending on the form handler you set up.

The steps in creating a form are:

  1. Decide what kind of information to collect, and then start a form.
  2. Add fields to the form.
  3. Set data entry rules for your form fields.
  4. Set up how you want to handle the information you collect from the form.
  5. Set up a confirmation page.

The first step is to decide what kind of form you want to create, and what kind of information you want to gather with it. Forms have a variety of uses, such as:

  • Gathering contact information.
  • Receiving requests.
  • Collecting order, shipping, and billing information.
  • Getting feedback.
  • Setting up a guest book.
  • Letting visitors search your Web site by typing a query.
  • Prompting visitors to log in to a Web site with a user name and password.

After you decide what kind of form to create, you can either start with a blank form and add to it, or you can use a template or wizard to create the form for you.

More information

Create a form

About discussion groups


The second step in creating a form is to add form fields to it. Form fields are the individual fields on a form that are used to gather information. Each type of field operates a little differently, so choose the fields for your form depending on the way you want site visitors to enter information. You can experiment with the fields below to see how they each work.

One-line text box
Use one-line text boxes to collect a small amount of text, such as a name or a number.

Enter your e-mail address: 		Radio buttons
Use radio buttons when you want the site visitor to select only one option from a group.

A B C
Scrolling text box
Use scrolling text boxes to collect one or more lines of text, such as a comment. This field scrolls to accommodate varying amounts of text.

Sign my guest book:
 Drop-down menu
Use a drop-down menu to present the site visitor with a list of choices. This field is similar to using a group of radio buttons, but takes less space on your form. You can configure a drop-down menu to allow one or multiple selections.

Select a product:
Check box
Use check boxes for optional items. The site visitor can select or clear the check box. They can also select multiple items.

 Push button
Use push buttons to let site visitors submit the form after filling it out, clear fields by resetting the form, or run your custom scripts.

After you place fields on your form, you can lay them out on the page like you lay out text; you can use line breaks, tables, cascading style sheets, and positioning. Type directly in the form to include field labels and instructions. You can also set properties for each field, for example to specify the length of a text box, whether an option is selected by default, and to define the choices in a drop-down menu.

More information

Add fields to a form

Modify properties for a field in a form

Make a selectable label for a field in a form

Set a keyboard shortcut for a field in a form

Set the tab order in a form


The third step in creating a form is to set rules for the way data is entered in certain fields in your form. These data entry rules, also called validation, ensure that a site visitor fills out the form correctly. For example, you can set up an order form for your products, but unless the customer's name, address, and payment information are correctly entered, you won't be able to complete the order.

Text box validation

You can specify the type of data to allow and set other criteria for one-line and scrolling text boxes. For example, to collect a credit card number, set up a one-line text box to accept only numbers and hyphens, and disallow all other characters. You can also require a fixed number of characters so that a site visitor does not omit a number by mistake.

Radio button validation

You can require a selection to be made from a group of radio buttons. For example, your form has two radio buttons, Yes and No. If a site visitor tries to submit the form without making a selection, a message is displayed.

Drop-down menu validation

You can require a site visitor to make a choice from a drop-down menu, set the minimum and maximum number of choices to allow, and disallow the first choice from being selected (for example, disallow the first item from being selected if it is an instruction, such as "Select an item").

More information

Set rules for allowing data in fields


The fourth step in creating a form is to set up the way form results are handled. After a site visitor submits the form, you must collect the data that was entered — the form results — so you can view them, display them to the visitor, or work with them as needed. Microsoft FrontPage provides several form handlers, which take the form results and perform various actions.

  • Save the results to a text or HTML file. Each time a site visitor submits a form, FrontPage appends the results to a file. You can then open the file and view the results. For example, you set up a guest book for your Web site and choose to save the results to an HTML file. You can create a link to the file so that site visitors can see what others have written.
  • Send the results in e-mail. Each time a site visitor submits a form, FrontPage sends you an e-mail message containing the results of that form.
  • Save the results to a database. Each time a site visitor submits a form, FrontPage saves the information to a database. For example, you use a form to collect contact information; you can save the results directly to your customer database.

Or, use your custom scripts to handle the form results.

Note If you use any of the form handlers rather than a custom script, the FrontPage Server Extensions must be installed on the server on which your Web site is located.

FrontPage also includes form handlers for discussion group articles and user-registration forms. For more information, see About discussion groups and About security.

More information

Collect the results from a form


The last step in creating a form is to set up a confirmation page, which is a page that is displayed to site visitors after they submit a form. The confirmation page can display a "thank you" message and the contents of one or more form fields. The site visitor can confirm that the information was entered correctly and, if necessary, can return to the form and fill it out again.

Unless you are using a custom script to handle form results, Microsoft FrontPage automatically displays a confirmation page. If you do not create your own confirmation page, FrontPage will use the default page, which displays a list of the field names from the form and their values. The following example shows a form and the default confirmation page that would be displayed for it. The default field names (T1, T2, R1, C1, and B1) are used, but you can change these names to be more descriptive by modifying the field properties.

Form

Name:

Address:

A B C

 Form Confirmation

Thank you for submitting the following information:

T1: My name
T2: My address
R1: C
C1: ON
B1: Submit

More information

Create a confirmation page and assign it to a form

Modify properties for a field in a form


About forms


About discussion groups

A discussion group is an interactive web that lets site visitors discuss topics by reading articles that have been posted, replying to articles, and posting new ones. Visitors can also use a search form to find articles of interest.

A discussion group can have the following features:

  • A table of contents that contains hyperlinks to articles in the discussion topics
  • A search form that allows visitors to search the articles for a word or phrase
  • An entry form in which a visitor types an article to post
  • Threaded replies, allowing the visitor to choose whether the article they are posting is a new top-level topic for discussion, or a reply to another article
  • A confirmation page, which confirms that a visitor's article has been posted
  • A registration form that lets site visitors log in to the Web site, if the discussion web is protected

More information

Create a discussion group

Manage discussion group articles

Set properties for a discussion web

About security


A frames page itself contains no visible content: It's just a container that specifies which other pages to display and how to display them. When you click a hyperlink on a page displayed in one frame, the page pointed to by that hyperlink typically is displayed in another frame, called the target frame.

For example, a frames page created by using the Banner and Contents frames page template actually displays four pages simultaneously in the browser: the frames page and the pages displayed in each of the three frames. When you click a hyperlink in the Contents frame on the left, the page pointed to by that hyperlink opens in the Main frame.

A frames page specifies the number, layout, and appearance of the frames. When you click a link in one frame, the page pointed to by that link is displayed in another frame.


You can delete, resize, or split frames by selecting and dragging frame borders. You can also control:

  • The amount of space between frames.
  • Whether to show or hide borders between frames.
  • The size of margins inside frames.
  • Whether or not a frame can be resized.
  • Whether or not scroll bars should be displayed in a frame.

You can show or hide scroll bars or borders between frames, specify the space between frames and the inside margins of frames, and enable or disable frame resizing.


You create a frames page using one of the frames page templates in Microsoft FrontPage. In each of these templates, the navigation between frames is already set up for you. In the Banner and Contents frames page template, for example, clicking a hyperlink in the Contents frame on the left displays a page in the Main frame on the right.

After you've created the frames page from a template, all you need to do is set the initial page you want displayed in each frame. You can select an existing page or create a new page. Then you can edit the page directly in its frame. A highlighted border indicates which frame is selected, or whether the frames page itself is selected.

Note When you use frames pages and frames to organize your web, you should not use shared borders or navigation bars. Using shared borders or navigation bars along with frames will make your Web site confusing to navigate.

Create a frames page using a frames page template, and then set the initial page displayed in each frame. The highlighted border indicates the current frame.


Understanding frames and frames pages


What are frames and frames pages?
How do frames and frames pages work?
What are frames and frames pages used for?
How do I create a frames page?
How do I control the appearance of a frames page?


A frames page is a special kind of HTML page that divides the browser window into different areas called frames, each of which can display a different page.

For example, a frames page created by using the Banner and Contents frames page template contains three frames: Banner, Contents, and Main.

A frames page created with the Microsoft FrontPage Banner and Contents frames page template. It contains three frames, named Banner, Contents, and Main.


Frames pages are often used for catalogs, lists of articles, or any other kind of page where clicking a hyperlink in one frame displays a page in another frame. Authors use frames pages because they contain built-in navigation and present a consistent user interface (that is, the structure and layout of frames).

For example, in frames pages based on the Banner and Contents frames page template, many companies use the Banner frame to display a corporate logo and the primary departments accessible on their web. In the following example, clicking the hyperlink labeled "Marketing" in the Banner frame displays a list of marketing team members in the Contents frame. Clicking the name of a team member in the Contents frame displays that person's home page in the Main frame.

A frames page specifies the number, layout, and appearance of the frames. When you click a link in one frame, the page pointed to by that link is displayed in another frame.


HTML stands for HyperText Markup Language, the standard for describing the contents and appearance of pages on the World Wide Web. HTML consists of pairs of opening and closing tags, with attributes and values in between. The tags describe each element on a Web page, such as a paragraph of text, a table, or an image.

For example, the HTML code <H1 align="left">Welcome!</H1> describes a left-aligned paragraph on the page containing the text "Welcome!", formatted using the Heading 1 style. The </H1> tag indicates the end of the paragraph.

Dynamic HTML (DHTML) is a Microsoft enhancement to HTML version 4.0 that lets you create special effects, such as text that flies off the page one word at a time, or rotating billboard-style transition effects between pages.

If you design pages on the Normal tab in Page view, you don't need to know any HTML or DHTML; FrontPage is a WYSIWYG design tool that generates the HTML code for you. You can insert images, controls, script, applets, or hyperlinks without having to type any HTML code. However, if you want to see the HTML tags that FrontPage is creating, you can show HTML tags on the Normal tab in Page view.

If you prefer to write and edit HTML directly, switch to the HTML tab in Page view.


You can edit HTML directly on the HTML tab in Page view using all the standard editing commands (for example, cut, paste, find, and replace). You can also use FrontPage to help you set the properties of an HTML tag, instead of memorizing the valid attributes and values and typing them yourself.

You can use menu commands and dialog boxes to write HTML, and Properties dialog boxes to edit HTML.

For example, if you want to add a border to an image, you can type border="1" in the <IMG> tag — but that assumes you know the valid attributes and values for image tags. Instead, you can use the Picture Properties dialog box to set the border, and FrontPage automatically writes the border settings, in the proper syntax and using valid values, back into the <IMG> tag. Unlike previous versions of FrontPage, you don't need to exit the HTML tab to use Properties dialog boxes to set properties for a tag.


You can target your pages to be compatible with specific browsers, browser versions, servers, and technologies. When you target a page for compatibility, any FrontPage commands that insert incompatible HTML or other code are dimmed, or unavailable, to authors working on that page.

For example, if you disable Dynamic HTML (DHTML) for a page, commands that rely on DHTML, such as the animations you can create using Dynamic HTML effects, are dimmed, or unavailable, to authors working on that page.


You can modify how FrontPage formats HTML for a page displayed on the HTML tab in Page view. For example, you can display the names of HTML tags in uppercase and HTML attributes in lowercase to differentiate them, such as <FORM method="POST">. You can also allow line breaks within tags, as well as set the amount of indentation, and the right margin at which you want to wrap HTML.

You can set the case for tags, use color coding, set the right margin, and even set indentation.

FrontPage also automatically color codes HTML to differentiate between text on the page, tags, attribute names, attribute values, comments, and scripts. You can change which colors FrontPage uses to display these elements to suit your personal preferences or workgroup needs, or turn off color coding completely.


You can modify how FrontPage formats specific HTML tags for a page displayed on the HTML tab in Page view. For example, you can tell FrontPage not to insert closing </P> tags, or to indent the contents and add a line break before <H1> tags.

You can set formatting for specific tags, such as indenting the contents or omitting the end tag when allowed.


When you open an existing page, including pages created in other editors, Microsoft FrontPage automatically preserves the content, syntax, and formatting of HTML of that page, even if it contains errors or unrecognized HTML. When you save the page, FrontPage saves any custom formatting — such as indentation, the case of tags, and so on — for any new HTML you've written. The original HTML of the page, however, will not be modified or reformatted in any way unless you edited it in FrontPage.

If you want to override automatic HTML preservation, click Page Options on the Tools menu, click the HTML Source tab, and then click Reformat using the rules below.


Working with HTML


About HTML
Preserve existing HTML
Ensure compatibility
Edit HTML
Modify HTML formatting
Modify HTML formatting of specific tags


About graphics


Uses for graphics
Types and formats
Image maps
Effects


You can apply one or more of the following effects to your pictures:

Original picture Original picture | Add text Add text
More brightness More brightness | Less brightness Less brightness
More contrast More contrast | Less contrast Less contrast
Black and white Black and white | Washed out Washed out
Beveled Beveled | Border Border
Original picture Original picture | Set a transparent color Set a transparent color
Rotate left Rotate left | Rotate right Rotate right
Flip horizontally Flip horizontally | Flip vertically Flip vertically

If you experiment with a few effects but then decide you don't like the changes you made, you can always restore the picture to its last saved version.

More information

Resize a graphic

Crop a picture


You can create an image map by putting hotspots on a graphic. A hotspot is an invisible region that, when clicked, takes the site visitor to a URL that you have defined. The image map usually gives cues about where to click. For example, you have a Web page about your company with a picture of your products. The picture contains a hotspot on each product. When the site visitor clicks a product, a page is displayed describing the product in detail.

You can also define a default hyperlink for a graphic rather than create a hotspot on it. For example, you want to create a button that is linked to your home page. Rather than drawing a hotspot around the entire button, you can define a default hyperlink for the graphic that, when clicked, goes to your home page.

More information

Create an image map

About hyperlinks


Animated GIFs and Videos

You can add animated GIFs and videos to your Web pages. An animated GIF, which is a sequential display of GIF pictures, can be created in a graphics program, and you can find animated GIFs on the World Wide Web.

You can add any videos to your page that can be played by the Windows Media Player, such as videos in AVI format. You can also set options for video playback, such as playing the video once when the page is first loaded; looping the video and playing it endlessly; or playing the video when the mouse is positioned over it. The animation in this example plays once when the page is opened.

Pictures

You can add pictures with the following file formats: GIF (standard and animated), JPEG (standard and progressive), BMP (Windows and OS/2), TIFF, TGA, RAS, EPS, PCX, PNG, PCD (Kodak Photo CD), and WMF. The formats that are generally used for Web pages are GIF, JPEG, and PNG.

Pictures in GIF format can contain up to 256 colors. One useful aspect of GIF pictures is that you can select one color to be transparent.

The JPEG format is commonly used for photo-realistic pictures containing thousands or millions of colors. JPEG pictures are useful because you can control the file compression by changing the picture quality. The lower you set the quality, the higher the file compression will be, and, as a result, the file size is decreased.

The PNG format is an alternative to GIF that supports transparency for pictures containing thousands or millions of colors. However, some Web browsers cannot display PNG pictures without a special plug-in.

When you add a picture other than a GIF, JPEG, or PNG to a page and then save it, Microsoft FrontPage automatically converts the picture to a GIF if it has 8 bits of color or less, or to a JPEG if it has more than 8 bits of color.

More information

Add a graphic to a page


You can use graphics on your Web pages to provide information, artwork, or pictures. In addition to being decorative, graphics can be useful, for example as navigational buttons.

Uses for graphics

Microsoft FrontPage includes many different themes that use different graphics for these page elements. However, you can create your own themes by using your own graphics.

More information

Add a graphic to a page

Set a background picture for a page

About themes

Create custom bullets


How graphics affect your web

Increased web size

When you add graphics such as pictures, animations, and videos to your web, the size of your web will quickly increase. The size, quality, type, and number of graphics are important considerations if your Internet service provider has limited the size of your web. Here are ways you can make picture file sizes smaller:

  • Make a large picture smaller by resizing and resampling it.

    • Resizing a picture just changes the way it is displayed in a site visitor's Web browser. Therefore, if you only resize a large picture to be displayed at a smaller size, the picture's file size is still large. To reduce its file size, you must resample the picture after you have resized it.

  • Convert the picture to JPEG format and lower the Quality setting. As you lower this setting, file compression is increased and the file size is decreased.
  • For a high-resolution picture, make a copy of the picture and lower its resolution by using a graphics program.

Pages that are slow to download

Graphics can take a lot of time to download, especially for site visitors with slow Internet connections. Here are ways you can make pages with graphics easier for site visitors to download:

  • Resize and resample large pictures.
  • Create a thumbnail.

    • A thumbnail is a small version of the picture that downloads quickly. By looking at the thumbnail, site visitors can determine whether they want to download the full-size version of the picture. Use the AutoThumbnail feature, which automatically creates a thumbnail with a hyperlink to your original picture.

  • Display a low-resolution version of a graphic while the final version is downloading.

    • In a graphics program, create a low-resolution version of a picture, video, or animated GIF. Then, set Microsoft FrontPage to display this while the original is being downloaded. Although this option does not reduce the amount of time the graphic takes to download, you have at least given the site visitor something to look at.

  • Display ALT text.

    • ALT text is text that is displayed in place of a graphic while it is downloading and lets site visitors know what they are waiting to see.

To find out which pages in your web are slow to download, point to Reports on the View menu, and then click Slow Pages.


Language factors for international webs

You can author and edit pages in a language other than your computer's default language. Initially, the default settings for your webs and pages are based on the default language that is set for your computer. However, FrontPage allows you to set alternative language settings for your web and pages. This topic provides an overview of the concepts and FrontPage settings useful for creating pages in different languages and encodings.

Overview

When your operating system is installed on your computer, your computer is set up with a default language. This language determines the keyboard language and system code page, an HTML encoding used by applications that run on your computer. System code pages and HTML encodings can apply to several languages. For example, computers in the US and Western Europe use the encoding Windows-1252, but this region contains a large number of languages (English, German, Spanish, French, and so on).

When you create Web pages, FrontPage determines the language and encoding of new pages by your keyboard's language. The encoding tells FrontPage how to store the information in a file. Any characters that are not part of the current encoding are stored as Unicode numeric character references (such as &#20AC;). Unicode numeric character references make the file larger and hamper the readability of your HTML code. The following HTML tag specifies a page's encoding:

<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">

The language of a page does not affect how information is stored, but rather tells FrontPage which spelling checker to use, helps Web browsers determine in which font to display the page, and helps advanced indexing. The following HTML tag specifies a page's language:

<meta http-equiv="Content-Language" content="en-us">

Creating pages in a different language, using the same encoding

Consider the following settings when you are creating pages in a different language from your computer's default, but you are still using the same encoding. For example, your encoding is US/Western European and your computer's language is English, but you want to create pages in German.

The easiest way to create Web pages in a different language is by changing the keyboard, which automatically sets the language and encoding for new pages. By installing additional keyboards and code pages, you enable FrontPage to create pages in other languages that your computer might not otherwise support.

  • The language used by the server extensions

    • You can specify the language that the FrontPage Server Extensions use for displaying messages. Some messages will be displayed to you while you are editing the page. Other messages are displayed to site visitors, such as a search failure message or a form validation warning. The server extensions also generate HTML that the site visitor will see, such as the default confirmation and failure pages for forms based on this language setting. So, if the language is set to English but you think the majority of your site visitors will be German, you can choose German as the language used by the server extensions.

  • The interface language of FrontPage

    • The FrontPage interface is displayed in the same language as the computer's default language or in the language of FrontPage that you purchased. Templates, wizards, and server extensions messages are also displayed in this language. To display a different language for the FrontPage interface, and make wizards and templates available in that language, you can purchase a version of FrontPage in that language, or if your corporation has provided you with the Microsoft MultiLanguage Pack for Office 2000, you can switch the language of the user interface and Help in Microsoft Office programs.

  • The page language

    • When you author in a different language, you'll want to ensure that other Web browsers and search engines can identify your pages' language and display them correctly. In addition, you should identify the language for FrontPage so that you can check spelling and save pages correctly. Therefore, specify the exact language of individual pages. The default setting is based on your keyboard's language.

  • Default spelling language

    • You can specify the language for the default spelling checker in FrontPage. For pages that are not marked with a specific language, FrontPage checks the spelling according to the default spelling language.

Creating pages in a different language and encoding

Consider the following additional settings when you are creating pages in a different language and encoding from your computer's default, in addition to the settings mentioned in the previous section. For example, your computer's encoding is US/Western European and language is English, and you are creating pages in Greek.

  • The web's default page encoding

    • The default page encoding is set for each web, and is used by FrontPage to specify the initial encoding for new pages, if it's compatible with current keyboard. If the encoding is not compatible with the keyboard, the keyboard's encoding is used instead. However, you can choose to ignore the keyboard's encoding, and FrontPage will compare the default page encoding to that of your computer instead.

    Setting the default page encoding to <none> is not recommended because users would have to set the page encoding for each individual new page. Otherwise special characters not contained in the basic ASCII character set, such as the Euro character, might not be displayed correctly.

  • The encoding for saving pages

    • By default, FrontPage uses the page encoding indicated by your keyboard, or the web's (or computer's) default encoding, to determine in what character set to save new pages. However, if characters on a page are primarily in a different character set than the default page encoding, you can specify a different encoding for saving an individual page.

  • Encodings available on your computer

    • If you want to work with a page whose character set is not part of your computer's code pages, you must install the language pack for your operating system on both the client and server computers. FrontPage can then interpret and display characters. For example, if you are using Windows 95, install the Multilanguage Support. Then, Web browsers such as Microsoft Internet Explorer will be able to display the page, and the FrontPage Server Extensions will be able to maintain hyperlinks in your webs. You can download the language pack from the Microsoft home page, and then follow the link to the Internet Explorer Multilanguage Support. If you are using Windows NT, the language pack is located in the Langpack folder on the installation CD.

Other options

  • You can specify the default fonts that are displayed in FrontPage for each character set to match the default font in your Web browser. The default font is displayed when no other font has been applied to text. You can specify both a proportional font and a fixed-width font (displayed on the HTML tab) for most character sets.
  • If a page is not being displayed correctly because its encoding is not marked in the HTML code, you can specify its correct encoding for reloading the page.

FrontPage dialog box limitations

You can create and modify Web pages in most languages. However, the dialog boxes in FrontPage can only receive input and display content in your computer's system code page. For example, if your computer is set for US/Western European (Windows-1252), you will not be able to enter Greek text in dialog boxes, such as the Find dialog box for finding text. Also, the page's title will not be properly displayed in the Page Properties dialog box if the characters cannot be represented in that code page.

URL limitations

Even today, Internet standards only permit the use of plain ASCII characters in URLs. To ensure that all site visitors can follow URLs regardless of their computer language or operating system, you should also use plain ASCII characters in the URLs for your webs. For this reason, whenever you create a new web, folder, or file, FrontPage suggests a name with plain characters. On intranets, using non-ASCII characters in a file name will work as long as the server and all clients share the same system code page.

The version of Internet Explorer that is included with FrontPage has begun to send international URLs in Unicode (UTF-8). URLs in Unicode can be understood by Microsoft Internet Information Services (IIS) 4.0 or later. If your web is on an intranet and you can control both the client and server software, you might be able to use international URLs.

More information

Set the default display font for a language or character set


Language factors for international webs

To learn more about the language factors, click the graphic.

To display this topic, click the graphic.


Hyperlinks can be indicated in various ways. Web browsers usually underline text hyperlinks and display them in a different color. For example, this is how a hyperlink might look. You can also set effects so that hyperlinks change appearance when a site visitor positions the mouse pointer over them, such as changing the hyperlink's font.

Hyperlinks on a picture are not always visible, but a site visitor can tell that a picture has a hyperlink by positioning the mouse pointer over it — the mouse pointer changes appearance, usually to a pointing hand. Position your mouse pointer over the following button:

The mouse pointer changes to indicate a hyperlink

To emphasize a hyperlink even more, you can also add dynamic HTML effects to either text or picture hyperlinks. For more information, see Animating your web.

A hyperlink should also give a visual cue about where it leads; for example, the hyperlinks below could be used to lead to a web's home page:

Home Page

Hyperlink to a home page

More information

Set hyperlink colors

Add font effects to a hyperlink


A bookmark is a location or set of characters that you have marked on a page.

You can use a bookmark as a destination of a hyperlink. For example, you want to provide site visitors with a link to a specific paragraph on another page. If you simply create a hyperlink to the page, the beginning of the page is displayed in the Web browser, and the site visitor must then search for the relevant paragraph. Instead, add a bookmark at the beginning of the paragraph, and provide a hyperlink to the bookmark. The page is displayed with the relevant paragraph at the top of the Web browser window.

You can also use a bookmark to quickly find a location on a page while you are editing it. For example, you have added a bookmark at each section heading on a long page; when you edit the page, you can quickly find a specific section by going to its bookmark.

You can also use bookmarks to create a table of contents for a long page. For example, bookmark each heading on a page. At the top of the page, create a list of hyperlinks that go to each of these bookmarks.

More information

Create a bookmark

Create a hyperlink to a bookmark


Renaming and moving files in your web

Whenever you rename a file in your web, FrontPage checks to see whether there are any hyperlinks to the file. If there are, FrontPage will update the hyperlinks with the new file name.

Whenever you move a file in your web (for example, to a subfolder), FrontPage automatically updates any hyperlinks to that file with its new location.

Testing and repairing broken hyperlinks

Before you publish a Web site, you should always check for broken hyperlinks and test hyperlinks to external destinations. A broken hyperlink is one that has an invalid destination URL — when the hyperlink is clicked, the Web browser displays an error to the site visitor. The cause might be as simple as a URL that was mistyped, or one that points to a page that you deleted from your web. If the destination is another page on the World Wide Web, the page might have been moved or deleted.

To manage the hyperlinks in a web, you can have FrontPage test the hyperlinks and report their status. You can then quickly repair or update hyperlinks that are broken.

More information

Repair broken hyperlinks

Verify hyperlinks


A hyperlink is a connection from one page to another destination such as another page or a different location on the same page. The destination is frequently another Web page, but it can also be a picture, an e-mail address, a file (such as a multimedia file or Microsoft Office document), or a program. A hyperlink can be text or a picture.

When a site visitor clicks the hyperlink, the destination is displayed in a Web browser, opened, or run, depending on the type of destination. For example, a hyperlink to an AVI file opens the file in a media player, and a hyperlink to a page displays the page in the Web browser.

In the following example, the word "services" is a hyperlink; when the site visitor clicks it, the Services page is displayed.

Example of a hyperlink

More information

Create a hyperlink


A text hyperlink is simply text, such as a word or phrase, that has been assigned a destination URL. (The hyperlink below, About graphics, is an example.)

A picture hyperlink is a picture that has been assigned a destination URL in one of two ways:

  • The entire picture can be assigned a default hyperlink. In this case, the site visitor can click any part of the picture to display its destination. An example of a picture with a default hyperlink is a button.
  • The picture can be assigned one or more hotspots, which are hyperlink regions on the picture. A picture that contains hotspots is called an image map. For example, an image map can be a picture that represents different parts of a Web site (such as the home page, a catalog page, and so on). The site visitor clicks a certain area of the image map to display the corresponding page. For more information, see About graphics, and then click Image maps.

More information

Create a hyperlink

Create an image map


About hyperlinks


What is a hyperlink?
What is a URL?
Using text versus pictures
How hyperlinks are displayed
Ways to use hyperlinks
Using bookmarks
Managing hyperlinks


When you create a hyperlink, its destination is encoded as a URL (Uniform Resource Locator), such as http://example.microsoft.com/news.htm or file://ComputerName/SharedFolder/FileName.htm. A URL contains a web server or network location, path, and file name. A URL also identifies the protocol that will handle the file, such as HTTP, FTP, or FILE:

Parts of a URL

A hyperlink can be absolute or relative:

  • An absolute URL contains the full address.
  • A relative URL has one or more missing parts. The missing information is taken from the page that contains the URL. For example, if the protocol and domain are missing, the Web browser uses the protocol and domain of the current page.

    • It is common for pages in a web to use relative URLs containing only a partial path and file name. If the files are moved to another server, any hyperlinks will continue to work as long as the relative positions of the pages remains unchanged. For example, a hyperlink on Products.htm points to a page in the same folder; if both pages are moved to the same folder on a different server, the URL in the hyperlink will still be correct.

When you create hyperlinks in FrontPage, you do not need to know the destination URL — you can simply browse to the page or file in a web, file system, or on the World Wide Web, and then FrontPage will provide the correct URL. When you create a hyperlink to a destination in the same web, FrontPage will create a relative URL. If you rename or move a file in a web, FrontPage will update all the URLs that point to the file. By generating relative URLs, FrontPage saves you time and ensures that your Web site will be portable.


  • Navigate your Web site. When site visitors open your home page, you should provide a way for them to navigate to the other pages in your Web site. Many sites use a set of buttons or text hyperlinks that go to the main pages in a site:

    • Home News Contents Search

    You can also create a table of contents for your Web site by creating a list of hyperlinks go to each main page.

  • Link to other pages, files, and documents. You can use hyperlinks to link to other pages, and also to pictures, files, and Microsoft Office documents. For example, create a hyperlink to display a picture, or provide a list of hyperlinks to your favorite Web sites on the World Wide Web.
  • Create an e-mail message. You can create a hyperlink that will start an e-mail message to the address you specify. For example, if you want feedback from your site visitors, you can create a link that will start an e-mail message addressed to your site's Webmaster.

More information

About navigation bars

Create a hyperlink


About lists

You can create several types of lists:

  • Bulleted list, for presenting a list of unordered items. A bulleted list can use the standard bullets (round, square, or circle), custom bullets that you create, or bullets from a theme (if the page uses one).
  • Numbered list, for presenting a list of sequential items. You can choose from numbers, Roman numerals (uppercase or lowercase), or letters (uppercase or lowercase).
  • Definition list, for presenting a list of terms and definitions. Terms are usually displayed flush left, with indented definitions.
  • Directory list, for presenting a sequence of short terms. Many Web browsers ignore this style.
  • Menu list, for presenting an unordered list of short entries. Many Web browsers ignore this style.

The exact formatting of a list depends on the site visitor's Web browser. If the page uses a theme, the list will have the theme's font and paragraph formatting.

Creating complex lists

You can create lists that have multiple nested levels and paragraphs, and specify different list styles for each level. In addition, you can create collapsible lists, which allow the site visitor to show or hide different levels by clicking headings.

The following list is an example of a multilevel list, with each level using a different style. This list is also collapsible; click Topic B and then Heading One to see how it works:

  1. Heading One
    1. Topic A

      2. Paragraph

    2. Topic B
      • Detail 1
      • Detail 2
  2. Heading Two

More information

Create a list


What's new in Microsoft FrontPage 2000


Tools for working on webs
Getting help
HTML editing
Publishing
Database integration
Extensibility and programmability
Changes to the FrontPage interface
FrontPage and Office
Using FrontPage around the world
Installation


Pixel-precise positioning and layering
New! Through absolute and relative positioning, you can place page elements anywhere on the page and in different layers.
60 predesigned themes
You can pick from 60 predesigned themes to provide a consistent look across a single page, multiple pages, or an entire Web site.
Customizing themes
New! You can customize any of the predesigned themes — customize their colors, logos, graphics, backgrounds, and bullets to create a new theme with the right look for your site.
Cross-browser DHTML animation effects
Add Dynamic HTML effects, including animation and collapsible outlines to pages. Animation effects work with Microsoft Internet Explorer 4.0 and Netscape Navigator 4.0, and appear statically across version 3 Web browsers.
Enhanced color tools
You can choose or create custom colors. Using the Eyedropper tool, you can pick a color from anywhere on the screen. You can also choose a color from a Web-safe color palette. Custom colors are available anywhere you can specify a color, and colors are saved across editing sessions.
Cascading style sheets
Use cascading style sheets to provide customized and consistent formatting on a page. You can apply external style sheets to several pages or even across an entire web.
Nested subwebs
New! Using nested subwebs, you can create a more organized web structure. And, you can set different access rights to each subweb, allowing you to control each one differently.
Source control
New! Source control lets you reserve a file in a web so that no one else can edit it, preventing other authors from saving changes to a file you are currently working on. Source control also lets you revert to a previous version of a file.
Workflow reports
New! You can assign responsibilities for pages to your team members. You can also set up and assign approval levels and stages in your publishing process to manage your webs.
Authoring and management
Multiple authors can create and add content to webs at the same time, allowing teams to work together. You can also create content directly on a server running the FrontPage Server Extensions, and administer webs remotely.
Hyperlinks automatically fixed
Rename or move a page or graphic in a web, and hyperlinks are automatically fixed. This feature also works from within Microsoft Office.
Target specific Web browsers, features, and servers
New! You can target a specific environment, such as a Web browser, Web server, FrontPage Server Extensions, ASP, DHTML, CSS, Java, or script. FrontPage automatically restricts features that will not work on the targeted systems.
Personalized menus
New! Only the items used most often are featured on the menus. Menus are easily expanded to reveal all commands, and they also expand automatically based on IntelliSense rules.
Personalized toolbars
New! To reduce screen clutter, toolbars share space on the screen based on usage and the current view, showing the toolbars relevant to the current task.
Customizable toolbars
New! You can customize toolbars with the buttons you want, using drag-and-drop command controls.
Format Painter
New! The Format Painter lets you quickly apply the formatting from one piece of text to another.
Background spell checking
New! FrontPage 2000 underlines misspelled or unrecognized words with a red squiggly line. You can right-click on these words for suggestions on the correct spelling.
Pre-built web components
New! Easily insert advanced functionality directly onto pages through FrontPage components such as the Category Component and Office Web Components, which include the Spreadsheet, PivotTable dynamic views, and Chart.
No Web server needed to create webs
New! You don't need to use a Web server to create a web; you can create a web on your hard drive, and then publish to a Web server when you are ready.
Web server administration
FrontPage uses the same management console as Windows NT and Internet Information Services, and you can manage webs remotely.
Roaming user profiles
New! When you set up the FrontPage work environment on a server, the users' preferences are saved — the environment always looks the same to the user, regardless of the computer she logged in from.


HTML Help
New! HTML Help allows you to see help while continuing to work within FrontPage, which means that you can follow the steps more closely and get questions answered more quickly.
Answer Wizard
New! Using the Answer Wizard, you can get answers more quickly because you can ask questions in natural language.


HTML source preservation
New! Edit existing HTML and scripts (including ASP) in FrontPage, and your code will not be modified, including code you bring in from other sources. Tag and comment order, capitalization, and white space are preserved.
Quickly insert code
New! Use buttons or drop-down menus to insert code directly in a page's HTML (the HTML tab in Page view).
Personalized HTML formatting
New! You can specify how you want your HTML code indented, which colors to use for displaying tabs, when to capitalize, and when to use optional tags. When pages are imported or new content is created, FrontPage automatically applies those preferences to the new code.
Reveal HTML tags on a page
New! You can quickly see which tags create the effects on your pages by revealing the HTML tags on the Normal tab in Page view, which is WYSIWYG mode.


Page-level control
You have more control over what is published because you can specify exactly which pages you want and don’t want to publish. You can also choose to publish only pages that have changed.
Progress indicator
New! A progress indicator makes it more clear what is happening during the publishing process.
Publish anywhere
You can publish to any ISP, regardless of whether the server has the FrontPage Server Extensions installed.


Database Results Wizard
You can easily and automatically incorporate database queries directly into your Web pages, even if you have no prior database experience. The data is dynamic, and current data is returned from the database each time the page is loaded.
Data Access Pages
New! You can easily incorporate Microsoft Access databases into a Web page. Site visitors can then add or edit the database directly from their Web browsers.
Easy database publishing
New! Makes creating and updating a database as easy as creating a form, by allowing you to create a new Access database, or modify an existing one, based on form data on a page.
Edit HTML, DHTML, script, ASP, and XML
Use the HTML tab to view pages and scripts, and edit them directly. Includes HTML, DHTML, script, ASP, and XML.


Microsoft Script Editor
New! Edit and debug scripts including JavaScript and VBScript more quickly with the built-in Script Editor.
Visual Basic for Applications
New! You can build powerful FrontPage-based solutions using VBA. Leverage existing expertise to extend these solutions across Office applications.
Application, document, and web object models
New! Developers can programmatically manipulate FrontPage, pages, and webs.
Integration with design-time controls and Visual InterDev
Extend FrontPage functionality by creating design-time controls with Microsoft Visual InterDev Web development system.


Integrated Editor and Explorer
The FrontPage Editor and FrontPage Explorer have been integrated, allowing you to create and manage webs in one application.
Looks like Microsoft Office
Office 2000 and FrontPage 2000 share common themes, toolbars, menus, shortcuts, and tools such as the Format Painter, HTML Help, and background spell checking.
Page view
New! The functionality of the FrontPage Editor is available in Page view, allowing you to create and manage webs in the same window.
Folders view
Allows you to see all pages, graphics, and files in your web.
Reports view
You can quickly list the pages, graphics, and files in your web, and then analyze your web by running reports to list slow pages, unlinked pages, recently added or changed files, broken hyperlinks, component errors, review status, assignments, categories, publish status, or checkout status.
Navigation view
You can manage how your web's navigation bars work by setting up the navigational structure of your site. You can zoom in to specific nodes, and add hyperlinks to external sites.
Hyperlinks view
Graphically see all of the items that link to or from a specific page or Microsoft Office document, and visually see if any links are broken.
Tasks view
Track what tasks need to be done and to whom the tasks are assigned, and quickly see the status, description, and the priority of the tasks.


Common themes
With Office 2000 and FrontPage 2000, themes are shared so that pages created by Word, Access, or FrontPage can share the same look.
Office 2000 uses HTML as a native file format
New! HTML has been elevated to the same level as the Office proprietary file formats (*.doc, *.xls, *.ppt, *.mdb), which means that HTML documents can be used in much the same way that Office files are used. HTML documents can be easily saved to and edited from webs in FrontPage.
Open and save Office 2000 documents to webs in FrontPage
You can save Office documents and Web pages directly to a web in FrontPage as easily as saving a file to your hard drive.
Integrated HTML editing with Office applications
New! When you edit an Office 2000 file from a web in FrontPage, the Office application you used to create the file opens so that you can continue to edit the file in its original application.
Add, edit, and manage Office 2000 Web components
New! Microsoft Office Web Components (such as the Spreadsheet, PivotTable views, and Chart) allow you to add the functionality of Microsoft Excel directly to Web pages.
Common Server Extensions
New! Office Server Extensions incorporate the functionality of the FrontPage Server Extensions, allowing you to host webs on servers running Office Server Extensions.


Available in 15 languages
FrontPage 2000 is available in English, French, German, Italian, Japanese, Spanish, Norwegian, Dutch, Swedish, Brazilian, Korean, Traditional Chinese, Simplified Chinese, Danish, and Finnish. Additionally, you can create and manage webs in the language of your Windows operating system.
Single executable
One executable means that companies can standardize the base Office 2000 or FrontPage 2000 installation around the globe, then add support for appropriate languages when required.
Global user interface and multilingual editing
When additional languages are required, you simply install them from the appropriate language pack. You can also display the FrontPage user interface in one language, but create content in other languages.
Set language by page
New! You can set the language for each page, making it easier for you to create content in multiple languages. The page language determines which proofing tools to use. Additionally, search products, such as Microsoft Index Server (Indexing Services), can then perform searches on pages according to their language.


Windows Installer technology
New! Using the Microsoft-standard Windows Installer technology, you can easily install FrontPage 2000 along with Office 2000.
Install on demand
New! Programs and components are installed as needed, saving space on your hard drive until you need the functionality.
Self-repairing
New! When started, FrontPage 2000 determines if essential files are missing and where they can be found.
Custom Installation Wizard
New! The Custom Installation Wizard allows administrators to help deploy customized versions of Microsoft Office 2000 and FrontPage 2000 that contain preselected configuration options at the individual feature, menu, and toolbar level.


Glossary

A | B | C | D | E | F | G | H | I | J | K | L | M
N | O | P | Q | R | S | T | U | V | W | X | Y | Z
A

Back to top

absolute URL
The full Internet address of a page or other World Wide Web resource. The absolute URL includes a protocol, such as "http," network location, and optional path and file name. For example, http://example.microsoft.com/ is an absolute URL. See also URL.
accessibility
The quality of a system incorporating hardware or software that makes it usable by people with one or more physical disabilities, such as restricted mobility, blindness, or deafness.
Active Data Objects
(ADO) Components that enable client applications to access and manipulate data in a file- or server-based database through a provider.
active hyperlink
A hyperlink that is currently selected in a Web browser. Some Web browsers indicate the active hyperlink by changing its color.
active page, active web
See current page, current web.
Active Server Page
(ASP) A document that contains embedded server-side scripting. ASP-compatible Web servers can execute these scripts. On the client side, an ASP is a standard HTML document that can be viewed on any platform using any Web browser.
ActiveX
A set of technologies that enables software components to interact with one another in a networked environment, regardless of the language in which the components were created. ActiveX is used primarily to develop interactive content for the World Wide Web, although it can be used in desktop applications and other programs. See also ActiveX controls.
ActiveX controls
Reusable software components that incorporate ActiveX technology. ActiveX controls can be embedded in Web pages to produce animation and other multimedia effects, interactive objects, and sophisticated applications. They can be written in a variety of programming languages, including C, C++, and Visual Basic.
anchor
See bookmark.
animated GIF
A file containing a series of GIF (Graphics Interchange Format) graphics that are displayed in rapid sequence in a Web browser, giving the appearance of a moving picture. See also GIF.
anonymous FTP
The ability to access a remote computer system on which one does not have an account, via the Internet's File Transfer Protocol (FTP). Users have restricted access rights with anonymous FTP and usually can only list, view, or copy files to or from a public directory on the remote system. Many FTP sites do not permit anonymous FTP access in order to maintain security. See also FTP.
applet
See Java applet.
article
A message or posting in a discussion group or an Internet newsgroup. An article can be a response to a previous article.
ASCII
(American Standard Code for Information Interchange) A coding scheme using 7 or 8 bits that assigns numeric values to up to 256 characters, including letters, numerals, punctuation marks, control characters, and other symbols. ASCII was developed in 1968 to standardize data transmission among disparate hardware and software systems and is built into all personal computers.
ASP
(Active Server Page) A document that contains embedded server-side scripting. ASP-compatible Web servers can execute these scripts. On the client side, an ASP is a standard HTML document that can be viewed on any platform using any Web browser.
aspect ratio
In computer displays and graphics, the ratio of the width of a picture or picture area to its height. For example, an aspect ratio of 2:1 indicates that the picture is twice as wide as it is high. The aspect ratio is an important factor in maintaining correct proportions when a picture is incorporated into another document such as a Web page.
authentication
In a multiuser or network environment, the process by which the system validates a user's logon information. A user's name and password are compared against an authorized list, and, if the system detects a match, access is granted to the extent specified in the permission list for that user.
authentication database
A database on a server that matches user names to passwords.
Auto Thumbnail
A tool that creates a thumbnail of a picture or photograph and a hyperlink to the original picture. The Pictures toolbar in Page view contains the Auto Thumbnail command. See also thumbnail.
B

Back to top

background sound
A sound clip associated with a Web page. When the page is displayed in a Web browser, the sound is played either continuously or the number of times that the page specifies.
banner
See page banner.
Banner Ad Manager
A component in FrontPage that shows each of a series of designated graphics for a specified number of seconds, then transitions to the next graphic using any of several transition effects. Banner ads usually contain hyperlinks to an advertiser's Web site.
base location, base URL
A URL that you can assign to a page to convert all relative URLs on that page to absolute URLs. A base URL should end with a document name part, such as http://example.microsoft.com/sample.htm or a trailing slash, such as http://example.microsoft.com/subdir/. See also absolute URL.
bevel
A three-dimensional edge effect applied to the border of a graphic. The Pictures toolbar in Page view contains the Bevel command.
BMP
(bitmap) The standard graphics file format on Windows-compatible computers. Bitmap graphics support 24-bit color and can be saved for Windows or OS/2 systems. FrontPage can import BMP files.
bookmark
A named location on a Web page that can be the target of a hyperlink. A bookmark can be applied to a string of characters or exist on a page separately from any text. Bookmarks allow authors to link to a specific section of a target page. In a URL, a bookmark is preceded by a the pound sign (#). Also called anchor.
broken hyperlink
In FrontPage, a hyperlink that points to an incorrect URL or a missing page or file.
browser
See Web browser.
browser-safe palette
A color table containing only 216 out of a possible 256 colors, used to precisely match the colors of graphics and pictures in cross-platform Web browsers. The remaining 40 colors vary on IBM-compatible and Macintosh computers and are therefore omitted.
C

Back to top

Cascading Style Sheet
(CSS) An HTML specification developed by the World Wide Web Consortium that allows authors of Web pages to attach style sheets to HTML documents. Style sheets can include typographical information on how the page should appear, such as the font of the text in the page. CSS also directs the way in which the style sheets of the HTML document and the user's style will blend.
category
In FrontPage, a classification for labeling and grouping Web pages and files by common criteria such as page contents, file types, or similar distinction.
cell padding
The space between the contents and inside edges of a table cell.
cell spacing
The amount of space between cells in a table. Cell spacing is the thickness, in pixels, of the walls surrounding each cell.
CGI
(Common Gateway Interface) A standard method of extending Web server functionality by executing programs or scripts on a Web server in response to Web browser requests. A common use of CGI is in form processing, where the Web browser sends form data to a CGI script on the server, the script integrates the data with a database, and sends back the results as a Web page. Use of CGI can make a Web page much more dynamic and add interactivity for the user.
check box
A form field that can be selected by clicking a box. When a box is selected, it is usually displayed with a check mark or X. Check boxes are usually grouped to represent a set of non-exclusive choices. See also radio button.
child web
See subweb.
class selector
In a cascading style sheet's style definition (or style rule), a subset of a selector that controls whether the same selector can be used for slightly different styles in different situations.
client
On a local area network or the Internet, a computer that accesses shared network resources provided by another computer. See also server.
client-side image map
An image map that encodes the destination URL of each hotspot directly on a Web page. Client-side image maps do not require processing from a server to allow a site visitor to follow the hyperlinks on the image map. However, not all Web browsers support client-side image maps. See also image map.
client-side program
On the Internet, a program that is run on a client computer rather than on a server computer.
color average tool
In FrontPage, the action of dragging the eyedropper tool across a selection of graphics or various solid colors on a Web page and thereby determining the average color spectrum of these.
comment
In FrontPage, text that can be viewed in Page view that will not be displayed in a Web browser. Comment text appears purple in Page view and is used to insert notes to authors and editors during the construction of the page. Site visitors can reveal comments by viewing the source HTML of the page containing the comments.
component
A built-in FrontPage object that is evaluated and executed when an author saves the page or, in some cases, when a site visitor browses to the page. Most components generate HTML. Components in FrontPage include Search forms, which provide full text-searching capability in a web, and Save Results form handlers, which gather information from a form and store it in a file or send it to a specified e-mail address. The FrontPage Software Developer's Kit contains instructions for adding custom components to Page view menus in FrontPage.
Confirmation Field component
A component in FrontPage that is replaced with the contents of a form field. It is useful on a form confirmation page, where it can display a site visitor's name or any other data entered into a field.
confirmation page
A page that is displayed in a Web browser, confirming that data entered into a form has been successfully submitted. You point to a form's confirmation page in the form handler's dialog box.
current page
In FrontPage, the page that is currently being edited in Page view.
current web
In FrontPage, the web that is currently open.
custom dictionary
A list of words not in the standard dictionary that an author wants the spelling checker to accept as correct. FrontPage shares its spelling dictionaries with those of Microsoft Office.
D

Back to top

database
A file containing records of information that are organized and presented to serve a specific purpose, such as the facilitation of searching, sorting, and recombination of data. Databases can be published on the World Wide Web to let site visitors look up information in records or add new information to the database.
database results region
In FrontPage, an area on an Active Server Page that can be dynamically populated by the results of a database query when the page is displayed in a Web browser.
data connection
In FrontPage, a connection that specifies the name, type, location, and optional information for a database file.
data validation
A set of rules you can apply to form fields to restrict the type of information site visitors enter into forms. For example, you can set rules so that only letters, and not numbers, can be entered into a "name" field on a form.
Database Results Wizard
In FrontPage, a wizard that guides you through creating a region on a page that displays information retrieved from the records of a database. You can use an existing database to accomplish this, or let the wizard create one for you.
default hyperlink
In an image map, the hyperlink that site visitors follow when they click in an area of the picture where there are no hotspots. See also hotspot.
design-time control
An ActiveX control that is used while designing or editing a page. Design-time controls that are installed on the client computer are listed in Page view in FrontPage. See also ActiveX.
Discussion form handler
In FrontPage, a form handler that allows site visitors to participate in an online discussion. The Discussion form handler collects information from a form, formats it into an HTML page, and adds the page to a table of contents and to a text index. In addition, the Discussion form handler gathers information from the form and stores it in a selected format.
discussion group
A FrontPage-based web that supports interactive discussions by site visitors. Visitors submit topics or responses by entering and then submitting text in a form. Visitors can search the group using a search form, or access articles using a table of contents.
Distributed Password Authentication
(DPA) An advanced, distributed method of user authentication from Microsoft, allowing for single user log-on. DPA support is provided by the Microsoft Membership System and is optimized for the needs of Internet service providers and online services.
domain name
The address of a network location in the format that identifies the owner of that address in the format: server.organization.type. For example, www.whitehouse.gov identifies the Web server at the White House in the United States, which is part of the U.S. government. See also network location.
drop-down menu field
A form field element that presents a list of selections in drop-down menu style. A drop-down menu form field element can be configured to permit the selection of many fields or a single field.
Dynamic HTML
(DHTML) An extension of the HTML language that enables the creation of presentation effects for text and objects. In FrontPage, you can use the DHTML Effects toolbar to add effects to page elements without the need to know programming.
E

Back to top

editor
A program that creates files or makes changes to existing files. In FrontPage, Page view is a Web page editor, and the HTML tab in Page view is an HTML editor. You can associate files in FrontPage-based webs with external editors, so that double-clicking these files opens them in their associated editing programs. For example, you can associate picture files to be opened in your favorite image editing program, such as Microsoft Image Composer.
e-mail
(electronic mail) The exchange of electronic text messages and computer file attachments between computers over a communications network, such as a local area network or the Internet.
E-mail form handler
See Save Results form handler.
embedded files
In FrontPage, graphics, pictures, sounds, and video clips that have been inserted on a page in Page view from a file system or from the clipboard. You are prompted to save embedded files when you save the current page.
embedded style sheet
A cascading style sheet that is embedded on a page. Styles in an embedded style sheet can be applied only to the page containing the style sheet, and will either extend or override styles defined in any external style sheet that is linked to the page.
EPS
(Encapsulated PostScript) An extension of the PostScript graphics file format developed by Adobe Systems. EPS enables PostScript graphics files to be incorporated into other documents. FrontPage can import EPS files.
executable folder
A folder in a FrontPage-based web, from which scripts and executable programs can be run on a Web server. Server administrators may prohibit the use of executable folders.
external hyperlink
A hyperlink pointing to a page or file that is outside of the current web.
external style sheet
A cascading style sheet in a file with a .css file name extension. The .css file is comprised solely of style rules in valid .css syntax, without any surrounding HTML tags. By defining styles in one or more external style sheets and linking them to pages in your web, you ensure a consistent appearance throughout those pages. If you change a style in the external style sheet, the change will be reflected in all of the pages linked to that style sheet.
F

Back to top

FAQ
(Frequently Asked Questions) A document listing common questions and answers on a particular subject. FAQs are often posted on Internet newsgroups where new participants ask the same questions that regular readers have already answered many times.
file
A named collection of information that is stored on a computer. Also, an Internet protocol that refers to files on a disk or local area network. In FrontPage, you can create hyperlinks to files (file://) in Page view.
file server
A computer running on a network that stores files and provides access to them. Also called server. See also Web server.
file type
The format of a file, commonly indicated by its file name extension. Computer applications usually work on a limited set of file types.
firewall
A method of protecting the files and programs on one network from users on another network. A firewall blocks unwanted access to a protected network, while giving the protected network access to networks outside of the firewall. A company will typically install a firewall to give users access to the Internet while protecting their internal information. FrontPage allows users to author webs on the Internet even from within a protected network.
folder
A named storage area on a computer containing files and other folders.
Folders view
In FrontPage, the view of a web that shows how the content of the web is organized. Similar to Windows Explorer, you can create, delete, copy, and move folders in Folders view. Views in FrontPage provide different ways of looking at the information in your web, so that you can effectively manage your site.
followed hyperlink
A hyperlink on a page that has been activated. Visited hyperlinks are usually displayed by the Web browser in a specified color.
form
A set of data-entry fields on a page that are processed on a Web server. The data is sent to the server when a site visitor submits the form by clicking on a button or, in some cases, by clicking a graphic.
form field
A data-entry field on a page. A site visitor supplies information in a field either by typing text or by selecting a field.
form handler
A program on a server that is executed when a site visitor submits a form. A form in FrontPage is associated with a form handler in the Form Properties dialog box.
frame
An area of a Web browser window defined by a frames page. A frame appears in a Web browser as one of a number of different areas in which pages can be displayed. A frame may be scrollable and resizable, and may have a border. You display a page in a frame by creating a hyperlink to the page and specifying the frame as part of the hyperlink. See also frames page.
frames page
A page that divides a Web browser's window into different areas called frames that can independently display several Web pages. See also frame.
Frames Page HTML tab
The tab in Page view in FrontPage that shows the HTML of the active frames page. See also frames page.
frameset
See frames page.
FrontPage Editor
In FrontPage 98 and earlier versions, the application for creating and editing Web pages. In FrontPage 2000, you create and edit Web pages in Page view.
FrontPage Explorer
In FrontPage 98 and earlier versions, the application for maintaining, testing, and publishing webs. In FrontPage 2000, you maintain, test, and publish webs using any of five web views.
FrontPage Server Extensions
A set of programs and scripts that support authoring in FrontPage and extend the functionality of a Web server. The FrontPage Server Extensions are available for Microsoft Internet Information Services (IIS) and other popular Windows and UNIX Web servers. To learn whether your Web server is supported, visit http://www.microsoft.com/frontpage/
FTP
(File Transfer Protocol) The Internet service that transfers files from one computer to another over standard phone lines. You can create FTP hyperlinks (ftp://) in Page view in FrontPage.
G

Back to top

gateway script
See CGI.
GIF
(Graphics Interchange Format) A graphics file format commonly used to display indexed-color graphics on the World Wide Web. GIF is a compressed format, designed to minimize file transfer time over standard phone lines. FrontPage can import and export GIF files. See also interlaced GIF.
graphics file formats
FrontPage can import the following graphics file formats: BMP, EPS, GIF, JPEG, PCD, PCX, PNG, RAS, TGA, TIFF, and WMF. When you save your web, FrontPage converts these graphics (if necessary) to GIF, JPEG, or PNG file formats, based on their original color depth.
H

Back to top

heading
A paragraph style that is displayed in a typeface larger than normal text. The size of a heading is related to its level: Heading 1 is the largest, Heading 2, the next largest, and so on. Use headings to provide names or titles for text paragraphs or entire pages.
hidden field
A form field that is invisible to a site visitor but supplies data to a form handler. Each hidden field is implemented as a name-value pair. When a form is submitted by a site visitor, its hidden fields are passed to the form handler along with name-value pairs for each visible form field. See also name-value pair.
hidden folder
A folder in a web in FrontPage that has a name beginning with an underscore character, as in _hidden. By default, pages and files in hidden folders cannot be viewed in a Web browser.
Hit Counter component
A component in FrontPage that keeps track of the number of visitors to a World Wide Web site.
home page
On the World Wide Web, an entry page for a set of Web pages and other files in a Web site. The home page is displayed by default when a visitor surfs to the site using a Web browser. The name of a home page depends on the type of Web server used to host the Web site. Some Web servers reserve Index.htm as the name for the home page, while others name the home page Default.htm.
host
See server.
host name
See network location.
hotspot
A graphically defined area in a graphic or picture containing a hyperlink. A graphic with hotspots is called an image map. Hotspots are invisible in Web browsers. Site visitors can tell that a hotspot is present because the mouse pointer changes appearance when the mouse is moved over the graphic. See also image map.
Hover Button component
An animated button in the navigation bar on a Web page that is activated when the mouse pointer is moved over the button or when the button is clicked. See also navigation bar.
HTML
(Hypertext Markup Language) The standard markup language used for documents on the World Wide Web. HTML development is carried out by the World Wide Web Consortium. The HTML language uses tags to indicate how Web browsers should display page elements such as text and graphics, and how Web browsers should respond to user actions such as hyperlink activation by means of a key press or mouse click. Most Web browsers, notably Microsoft Internet Explorer and Netscape Navigator, recognize HTML tags beyond those included in the present standard. FrontPage reads and writes HTML files and no knowledge of the HTML language is required. See also World Wide Web Consortium.
HTML attribute
A value used within an HTML tag to assign additional properties to the object being defined. FrontPage assigns some attributes automatically when you create an object such as a paragraph or image map. You can assign other attributes by editing the object's Properties dialog box.
HTML character encoding
A standard table which associates a numeric index with each character in a character set. The table is used when you create a Web page for use in a specific language. Also called code page.
HTML tab
In FrontPage, the tab in Page view that you click to display a page's HTML code. You can directly edit a page's HTML on this tab.
HTML tag
A text string used in HTML to identify a page element's type, format, and appearance. FrontPage automatically creates HTML tags to represent each element on a page.
HTTP
(Hypertext Transfer Protocol) The Internet protocol that enables Web browsers to retrieve information from World Wide Web servers.
hyperlink
A pointer from text, from a picture or a graphic, or from an image map to a page or file on the World Wide Web. On the World Wide Web, hyperlinks are the primary way to navigate between pages and among Web sites. Also called link.
Hyperlinks view
A view in FrontPage that shows the status of the hyperlinks in your web. The list includes both internal and external hyperlinks, and graphically indicates whether the hyperlinks have been verified or whether they are broken. Views in FrontPage provide different ways of looking at the information in your web, so that you can effectively manage your site.
hypertext
Originally, any textual information on a computer containing jumps to other information. The hypertext jumps are called hyperlinks. On the World Wide Web, hypertext is the primary way to navigate between pages and among Web sites. Hypertext on Web pages has been expanded to include hyperlinks from text, from a picture or a graphic, and from image maps.
I

Back to top

ID selector
In a cascading style sheet style definition (or style rule), a selector that is used to define a style for an individual page element, usually as an inline style.
IIS
See Internet Information Services.
image map
A graphic containing one or more invisible regions, called hotspots, which are associated hyperlinks. Typically, an image map gives site visitors visual cues about the information made available by clicking each part of a picture or graphic. For example, a geographical map could be made into an image map by assigning hotspots to each region of interest on the map.
Include Page component
A component in FrontPage that is replaced with the contents of another page in the web. This lets you update parts of many pages in one step.
initial page
The page that is initially displayed in a frame when a site visitor browses to a frames page containing the frame. In FrontPage, you can assign the initial page to a frame in Page view. See also frames page.
inline style
A method of applying cascading style sheet properties and values to an element on a page, such as a table, graphic, or ActiveX control. You can use this method even if the page is not linked to an external style sheet or does not contain an embedded style sheet.
interlaced GIF
A picture in GIF format that is gradually displayed in a Web browser, showing increasingly detailed versions of the picture until the entire file has finished downloading. See also GIF.
internal hyperlink
In FrontPage, a hyperlink pointing to any page or file within the current web. See also hyperlink.
internal web
A Web site created within an organization and accessible only to members of that organization on an intranet. See also intranet.
Internet
The worldwide collection of computers, networks and gateways that use TCP/IP protocols to communicate with one another. At the heart of the Internet are high-speed data communication lines between major host computers, consisting of thousands of commercial, government, educational, and other computer systems that route data and messages. Currently, the Internet offers a range of services to users, such as e-mail, the World Wide Web, FTP, Usenet newsgroups, Gopher, IRC, telnet, and others.
Internet address
See network location.
Internet Information Services
(IIS) Microsoft's brand of Web server software, utilizing Hypertext Transfer Protocol to deliver World Wide Web documents. IIS incorporates various functions for security, allows for CGI programs, and also provides for FTP servers.
Internet service provider
A business that supplies Internet connectivity services to individuals, businesses, and other organizations. Some ISPs are large national or multinational corporations that offer access in many locations, while others are limited to a specific city or region.
intranet
A network designed for information processing within a company or organization. Its uses include such services as document and software distribution, access to databases, and training. An intranet is so called because it usually employs applications associated with the Internet, such as Web pages, Web browsers, FTP sites, e-mail, newsgroups, and mailing lists, accessible only to those within the organization. See also firewall.
IP
(Internet Protocol) Internet software that divides data into packets for transmission over the Internet. Computers must run IP to communicate across the Internet. See also TCP.
IP address
(Internet Protocol address) The standard way of identifying a computer that is connected to the Internet, much the way a telephone number identifies a telephone on a telephone network. An IP address is four numbers separated by periods, and each number is less than 256, for example, 192.200.44.69. Your Web server administrator or Internet service provider will assign your computer an IP address.
IP address mask
(Internet Protocol address mask) A range of IP addresses defined so that only computers with IP addresses within the range are allowed access to an Internet service. To mask a portion of the IP address, replace it with the asterisk wild card character (*). For example, 192.44.*.* represents every computer on the Internet with an IP address beginning with 192.44.
ISAPI
(Internet Server Application Programming Interface) A Web server application-development interface, developed by Process Software and Microsoft, that can be used in place of CGI.
ISP
See Internet service provider.
J K

Back to top

Java
A general-purpose programming language created by Sun Microsystems. Currently, the most widespread use of Java is in programming small applications, or applets, for the World Wide Web. See also Java applet.
Java applet
A Java class that is loaded and run by an already-running Java application such as a Web browser. Java applets can be downloaded and executed by a Web browser capable of interpreting Java, such as Microsoft Internet Explorer or Netscape Navigator. Java applets are frequently used to add multimedia effects and interactivity to Web pages, such as video displays, animations, calculators, real-time clocks, and interactive games. Applets can be activated automatically when the page containing them is displayed in a Web browser, or they may require some action on the part of the site visitor, such as clicking an element on the page.
JavaScript
A scripting language developed by Netscape Communications and Sun Microsystems, Inc. Compared to Java, JavaScript is limited in performance because it is not compiled before execution. Basic online applications and functions can be added to Web pages with JavaScript, but the number and complexity of available application programming interface functions are fewer than those available with Java. JavaScript code, which is included in a Web page along with the HTML code, is generally considered easier to write than Java, especially for novice programmers. A JavaScript-compliant Web browser, such as Microsoft Internet Explorer or Netscape Navigator, is required to interpret JavaScript code.
JPEG
(Joint Photographic Experts Group) A graphics file format used to display high-resolution color graphics on the World Wide Web. JPEG graphics apply a user-specified compression scheme that can significantly reduce the large file sizes usually associated with photo-realistic color graphics. A higher level of compression results in lower quality, whereas a lower level of compression results in higher quality. FrontPage can import and export JPEG files. See also progressive JPEG.
L

Back to top

LAN
(local area network) A computer network technology designed to connect computers separated by a short distance. A LAN can be connected to the Internet and can also be configured as an intranet.
link
See hyperlink.
live web
A web that has been published to a Web server and can currently be browsed by site visitors. Editing a live web with FrontPage lets site visitors immediately see all page updates and changes every time the page is saved. See also staging web.
M

Back to top

mailto
The Internet protocol used to send electronic mail. You can create e-mail hyperlinks in FrontPage.
Marquee component
A region on a page that displays a horizontally scrolling text message.
META tag
An HTML tag that must appear in the HEAD portion of the page. META tags supply information about a page but do not affect its appearance. A standard META tag, "generator," is used to indicate the type of editor that created the HTML page.
Microsoft Image Composer
A powerful image-editing application included with FrontPage that lets you create original artwork or modify existing graphics for use in your webs.
Microsoft Internet Explorer
Microsoft's Web browser, available in Windows, Macintosh, and UNIX versions. When Internet Explorer is installed with FrontPage, additional functionality is provided, including dynamic page and themes preview in Page view.
Microsoft Management Console
(MMC) A graphical interface for Microsoft Internet Information Services (IIS) that contains "snap-in" administrative tools, such as the FrontPage MMC snap-in. See also Internet Information Services.
Microsoft Visual Basic
A high-level, visual-programming version of Basic. Visual Basic was developed by Microsoft for building Windows-based applications.
Microsoft Visual Basic for Applications
(VBA) A macro-language version of Microsoft Visual Basic that is used to program Windows applications and is included with several Microsoft applications. See also Microsoft Visual Basic.
Microsoft Visual Basic Scripting Edition
(VBScript) A subset of the Visual Basic for Applications programming language, optimized for Web-related programming. As with JavaScript, code for Visual Basic, Scripting Edition is embedded in HTML documents. This version is included with Microsoft Internet Explorer. See also Microsoft Visual Basic.
Microsoft Visual SourceSafe
A professional document source-control system developed by Microsoft. FrontPage can be integrated with Visual SourceSafe when both applications are installed on the same computer.
MIME type
(Multipurpose Internet Mail Extensions type) A method used by Web browsers to associate files of a certain type with applications that display files of that type.
multi-hosting
The ability of a Web server to support more than one Internet address and more than one home page. Also called multi-homing.
N

Back to top

name-value pair
The name of a form field and the value of the field at the time the form is submitted. Each field in a form can have one or more name-value pairs, and the form itself can have one or more name-value pairs.
navigation bar
In FrontPage, a collection of graphical or textual buttons containing hyperlinks to pages that are part of the same web structure. See also web structure, Navigation view.
Navigation view
The view in FrontPage that is used to create, display, print, and change the navigation structure of a web. Navigation view includes a folder-like view, from which you can drag and drop pages into your site structure. Views in FrontPage provide different ways of looking at the information in your web, so that you can effectively manage your site.
nested frames page
A frames page containing another frames page inside one of its frames. See also frames page, frame.
network location
In a URL, a unique name that identifies an Internet server. A network location has two or more parts, separated by periods, as inexample.microsoft.com. Also called host name and Internet address. See also URL.
news
The Internet protocol for retrieving files from an Internet newsgroup. You can create news hyperlinks (news://) in FrontPage.
No Frames tab
In FrontPage, the tab in Page view that displays the alternate HTML code of a frames page. This is the HTML for Web browsers that do not support frames pages to display.
Normal tab
In FrontPage, the default tab of Page view, which displays a page as it would appear in a Web browser.
Normal text
In FrontPage, the default paragraph style of Page view, intended for use in text paragraphs.
NTLM
(NT LanMan) The Windows NT Challenge/Response authentication protocol. This protocol uses encryption for secure transmission of passwords.
O

Back to top

Open Database Connectivity
(ODBC) An application programming interface (API) for authoring applications that are independent of any particular database management system.
OLE
(Object Linking and Embedding) A technology for transferring and sharing information among applications. OLE lets an author invoke different editor components to create a compound document.
one-line text box
A labeled, single-line form field into which site visitors can type text.
P Q

Back to top

page
A single document in a Web site written in HTML. You can use FrontPage to create and modify pages without having to know HTML.
page banner
A section of a Web page containing a graphic element and text, such as the page title. Page banners are usually displayed at the top of a Web page.
page template
A predesigned, generic Web page you can use to create new custom pages. Some of the page templates in FrontPage provide typical page content, while others provide common page layouts.
page title
A descriptive text string identifying a page.
Page view
The view in FrontPage you use for creating, editing, and previewing Web pages. Page view displays web pages as they will appear in a Web browser. Views in FrontPage provide different ways of looking at the information in your web, so that you can effectively manage your site.
paragraph style
In Page view in FrontPage, the paragraph style specifies the type of font to use in a paragraph, the font's size, and other attributes related to text on a page. Paragraph style also specifies whether to use bullets and numbering and controls indentation and line spacing.
parent page
In FrontPage, a page in a web that is part of the navigation structure of the web and is linked to one or more pages on the child level. A page on the child level is accessed from its parent page by following a link from a navigation bar on the parent page. See also navigation bar, web structure.
parent web
In a hierarchical structure, the web immediately above the current web.
password
A security measure used to restrict access to computer systems and sensitive files. On the World Wide Web, passwords are strings of characters that allow site visitors access to Internet services, such as FTP, if the Internet service requires authentication. See also authentication.
path
The portion of a URL that identifies the folders containing a file. For example, in the URL http://example.microsoft.com/hello/world/top.htm, the path is /hello/world/.
PCD
(Photo CD) A graphics file format developed by Eastman Kodak Company. FrontPage can import PCD files.
PCT
(Personal Communications Technology) An enhanced version of Secure Sockets Layer. See also Secure Sockets Layer.
PCX
A graphics file format that compresses the graphic's data with RLE-type compression, used by early versions of Windows Paintbrush. FrontPage can import PCX files.
picture
A graphics file that can be inserted on a Web page and displayed in a Web browser. FrontPage lets you import graphics in the following formats: GIF, JPEG (standard and progressive), BMP (Windows and OS/2), TIFF, TGA, RAS, EPS, PCX, WMF, and PNG. Imported graphics are converted to GIF format (for graphics containing up to 256 colors) or JPEG format (for graphics containing over 256 colors) when the page is saved to the current web. Also called image.
plug-in
One of a set of software modules that integrate into Web browsers to offer a range of interactive and multimedia capabilities.
PNG
(Portable Network Graphics) A file format for compressed bitmap graphics, similar to the GIF format. FrontPage can import and export PNG files.
port
One of the network input/output channels of a computer running TCP/IP. On the World Wide Web, port usually refers to the port number a server is running on. A single computer can have many Web servers running on it, but only one server can be running on each port. The default port for Web servers is 80.
PPP
(Point-to-Point Protocol) An Internet standard for transmitting data over serial links between computers.
progressive JPEG
An enhancement to the JPEG graphics file format specification that gradually displays a photo-realistic picture in a Web browser, showing increasingly detailed versions of the picture until the entire file has finished downloading. While this is similar to interlaced GIFs, progressive JPEGs can retain the high quality of 24-bit color, and they offer the same efficient compression as standard JPEG. See also JPEG.
properties
In FrontPage, the characteristics of an item in the current web, such as the title and URL of a web, or the name and initial value of a form field. You can also specify properties for page elements such as tables, graphics, and active elements.
protocol
A method of accessing a document or service over the Internet, such as File Transfer Protocol (FTP) or Hypertext Transfer Protocol (HTTP). Also called type.
proxy server
An Internet server that acts as a firewall, mediating traffic between a protected network and the Internet. See also firewall.
publish
The process of making a web public on the World Wide Web or an intranet by copying all of its pages and files to the Web server connected to the Internet or the local area network.
push button
A form field that a site visitor can click to submit a form or reset a form to its initial state.
R

Back to top

radio button
A form field that presents a site visitor with a selection that can be chosen by clicking on a button. Radio buttons are presented in a list, one of which is selected by default. Selecting a new member of the list deselects the currently selected item. See also check box.
RAS
The raster graphics file format developed by Sun Microsystems. FrontPage can import RAS files.
record
In a database, a group of related fields of information that are treated as a unit. Records are the logical equivalents of rows in a table. In FrontPage, a group of records is referred to as a recordset.
registered user
A visitor to a Web site whose name and password has been recorded within the Web site. In FrontPage, you can register site visitors for your web with the Registration form handler.
Registration form handler
In FrontPage, a form handler that allows site visitors to automatically register themselves for access to a service implemented as a Web site. The Registration form handler adds the site visitor to an authentication database, then gathers optional information from the form and stores it in one of many supported formats.
relational database
A relational database management system (RDBMS) organizes data into related rows and columns as specified by the relational model. Microsoft SQL Server and Oracle are examples of relational database management systems. A Microsoft Access database is an example of a relational database.
relative URL
The Internet address of a page or other World Wide Web resource relative to the Internet address of the current page. A relative URL gives the path from the current page to the destination page or resource. A relative URL can include a protocol. For example, the relative URL Doc/Sample.htm refers to the page Sample.htm in the folder Doc, below the current folder. See also URL.
Reports view
The view in FrontPage that allows you to analyze a web's contents. You can calculate the total size of the files in your web, show which files aren't linked to any other files, identify slow or outdated pages, group files by task or person they're assigned to, and so on. Views in FrontPage provide different ways of looking at the information in your web, so that you can effectively manage your site.
resample
The changing of the pixel dimensions (and therefore physical file size) of a picture or a graphic. Graphics can be resampled down (the number of pixels is decreased) or resampled up (the number of pixels is increased). When you resample a graphic down, pixel information is deleted from the graphic. When you resample a graphic up, new pixel information is created based on matching color values of the existing pixels. Resampling a graphic down and then resampling it up to its original resolution will cause the quality of the graphic to deteriorate considerably. In FrontPage, the Pictures toolbar contains the Resample command.
root web
The default, top-level web provided by a Web server. To access the root web, you supply the URL of the server without specifying a page name or subweb. FrontPage is installed with a root web named RootWeb or C:\My Webs. See also subweb.
RTF
(Rich Text Format) A method of encoding text formatting and document structure using the ASCII character set. By convention, RTF files have an .rtf file name extension. You can open RTF files in FrontPage and convert them to HTML.
S

Back to top

Save Results form handler
In FrontPage, a form handler that gathers information from a form and stores it in one of a number of formats or sends the information to an e-mail address. When a site visitor submits the form, the Save Results form handler appends the form information to a file on the server in the format you specify.
Scheduled Picture component
A component in FrontPage that is replaced on the page by a graphic during a specified time period. When the time period has expired, the graphic is no longer displayed. This is useful for displaying information that has a limited lifetime, such as the announcement of a new product or service.
Scheduled Include Page component
A component in FrontPage that is replaced with the contents of a file in the current web during a specified time period. When the time period has expired, the contents of the file are no longer displayed. This is useful for displaying textual information that is pertinent for a limited time only.
script
A type of computer code that can be directly executed by a program that understands the language in which the script is written. Scripts do not need to be compiled to be run.
scrolling text box
A labeled, multiple-line form field in which site visitors can type one or more lines of text.
Search Form component
A component in FrontPage that creates a form that provides full text-searching capability in your FrontPage-based web when a site visitor browses to your web. When a site visitor submits a form containing words to locate, the search form returns a list of hyperlinks to the pages in your FrontPage-based web that contain matches for the words.
Secure Sockets Layer
(SSL) A proposed open standard developed by Netscape Communications for establishing a secure communications channel to prevent the interception of critical information, such as credit card numbers. The primary purpose of SSL is to enable secure electronic financial transactions on the World Wide Web, although it is designed to work with other Internet services as well. This technology, which uses public key encryption, is incorporated into many Web browser and Web servers.
selector
In a cascading style sheet style definition (or style rule), the HTML element linked to a particular set of style properties and values.
server
A computer that offers services on a network. On the World Wide Web, a server is a computer that runs the Web server software that responds to HTTP protocol requests. Also called host.
server-side image map
An image map that passes the coordinates of the mouse pointer to a CGI handler routine on the server. Server-side image maps require the Web server to compute the target URL of the hyperlink based on the mouse pointer coordinates. See also image map.
server-side include
A feature provided by some Web servers that automatically inserts text onto pages when they are fetched by a Web browser.
shared borders
Page regions reserved for content that you want to appear consistently throughout your pages. Shared borders usually contain navigation bars — hyperlinks to the other pages in the current web. When you create a web in Navigation view in FrontPage, shared borders and navigation bars are automatically created and updated, even when you add, move, or delete pages from the web's structure.
Site Summary report
In FrontPage, the default report displayed in Reports view. A site summary is the combination of several reports that identify unlinked files, slow pages, unverified hyperlinks, broken hyperlinks, page component errors, unused theme files, and incomplete tasks. The site summary is useful for determining the overall size and health of your web. Views in FrontPage provide different ways of looking at the information in your web, so that you can effectively manage your site.
SLIP
(Serial Line Internet Protocol) An Internet standard for transmitting data over serial links between computers.
slow pages
Pages that take an inordinate amount of time (20 seconds or more) for a site visitor to download in a Web browser. In FrontPage, you can identify slow pages in your web by using Reports view. The number of seconds and the speed of the Internet connection FrontPage should use to mark pages as slow can be specified.
staging web
A local web that is maintained on a file system or local Web server and that currently cannot be browsed by site visitors. Staging webs allow authors and workgroups to make significant changes or updates to Web sites before they are published to the World Wide Web or a company intranet. See also live web.
Structured Query Language
(SQL) A database query and programming language widely used for accessing, querying, updating, and managing data in relational database systems. Using SQL, you can retrieve data from a database, create databases and database objects, add data, modify existing data, and perform other, more complex functions. With SQL, you can also change the server configuration, modify database or session settings, and control data and access statements.
style
Styles are used to control the font, alignment, and spacing of text; appearance of background pages; and other HTML attributes. A collection of styles is called a style sheet. See also cascading style sheet.
Substitution component
A component in FrontPage that is replaced by the value of a selected page or web variable.
subweb
A named subdirectory of the root web that is a complete FrontPage-based web. Each subweb can have independent administration, authoring and browsing permissions from the root web and other subwebs. In addition, searches implemented through the FrontPage-based search form are limited to the subweb, and FrontPage only manages hyperlinks within the subweb. Any number of subwebs can be created under the root web, and subwebs can be created within subwebs. See also root web, web.
T

Back to top

table
One or more rows of cells on a page used to organize the layout of a page or arrange data systematically. In FrontPage, you can place anything in a table cell, including text, graphics, and forms.
Table of Contents component
A component in FrontPage that creates an outline of your web, with hyperlinks to each page. The Table of Contents updates this outline each time a web's contents change.
tag
See HTML tag.
target frame
The name of a frame in which the target page of a hyperlink is displayed. Typically, a hyperlink from one frame of a frames page will supply as its target frame another frame of the frames page. See also frame, frames page.
task
An item associated with a web in FrontPage, representing an action you need to perform to complete or maintain the web. Some tasks are automatically generated by wizards in FrontPage. You can also add your own tasks. Tasks are displayed in Tasks view.
Tasks view
The view in FrontPage that maintains a list of the tasks required to complete or maintain a web. Views in FrontPage provide different ways of looking at the information in your web, so that you can effectively manage your site.
TCP
(Transmission Control Protocol) Internet networking software that controls the transmission of packets of data over the Internet. Among its tasks, TCP checks for lost packets, puts the data from multiple packets into the correct order, and requests that missing or damaged packets be sent again. Computers must run TCP to communicate with Web servers.
template
A set of predesigned formats for text and graphics on which new pages and webs can be based. After a page or web is created using a template, you can customize the page or web.
TGA
(Targa) A photorealistic graphics file format designed for systems with a Truevision display adapter. FrontPage can import TGA files.
theme
A theme applies professionally designed graphics to elements of the pages in a FrontPage-based web. FrontPage offers a gallery of over 50 themes that consist of similar design elements and color schemes for bullets, fonts, graphics, navigation bars, and other page elements. When applied, a theme gives pages and navigation bars in a web an attractive and consistent appearance.
thread
In e-mail and Internet newsgroups conversations, a series of messages and replies that are all related to a specific topic.
thumbnail
A small representation of a picture on a Web page, usually containing a hyperlink to a full-size version of the graphic. Thumbnails are used to load pages rich in graphics or pictures more quickly in a Web browser. See also Auto Thumbnail.
TIFF
(Tagged Image File Format) A high-resolution, tag-based graphics format. TIFF is used for the universal interchange of digital graphics. FrontPage can import TIFF files.
transition effect
One of a set of page-display effects, such as Dissolve and Fade To Black, that are available in some Web browsers. Transition effects can be configured to occur when a site visitor visits or leaves a page. You can apply transition effects to pages using FrontPage.
TWAIN
("Technology without an interesting name") Developed by a consortium of imaging hardware and software manufacturers, TWAIN is a cross-platform interface for acquiring pictures captured by TWAIN-compliant scanners, digital cameras, and still-frame video capture boards. In FrontPage, you can transfer pictures onto pages directly from TWAIN-compliant devices.
U

Back to top

UNIX
A multi-user, multitasking operating system that exists in various forms and implementations, typically used on proprietary computer workstations. Many Web servers run on UNIX systems.
URL
(Uniform Resource Locator) A string that supplies the Internet address of a Web site or resource on the World Wide Web, along with the protocol by which the site or resource is accessed. The most common URL type is http://, which gives the Internet address of a Web page. Some other URL types are gopher://, which gives the Internet address of a gopher directory, and ftp://, which gives the network location of an FTP resource.
V

Back to top

VBA
See Microsoft Visual Basic for Applications.
VBScript
See Microsoft Visual Basic Scripting Edition.
Views bar
The vertical bar at the left of the FrontPage application window. The buttons on the Views bar let you switch to different views of your web, such as Folders view or Hyperlinks view. Views provide different ways of looking at the information in your web, so that you can effectively manage your site.
Visual Basic
See Microsoft Visual Basic.
virtual server
One of multiple Web sites running on the same server, each with a unique domain name and IP address. A Web server that supports virtual servers is called a multi-hosting Web server.
visited hyperlink
See followed hyperlink.
W X Y Z

Back to top

WAIS
(Wide Area Information Service) Supports searching over the Internet.
WAN
(wide area network) A computer network that spans a long distance and uses specialized computers to connect smaller networks.
wash out
A graphic-editing effect available in Page view in FrontPage. Applying the Wash Out tool on the Pictures toolbar to a graphic creates a low-resolution, high-contrast version of the graphic. A washed-out graphic can be used as a watermarked background on your pages, without the need for you to make manual resolution, color, and contrast adjustments in an image-editing program.
watermark
A graphic that appears on the backgrounds of pages in a Web site to decorate and identify the pages, but does not scroll as the page scrolls. Not all Web browsers support watermarks.
web
A home page and its associated pages, graphics, documents, multimedia, and other files created in FrontPage and stored on a Web server or on a computer's hard drive. A web also contains files that support FrontPage-specific functionality and allow a web to be opened, copied, edited, and administered in FrontPage.
Web browser
Software that interprets the markup of files in HTML, formats them into Web pages, and displays them to the user. Some browsers can also permit users to send and receive e-mail, read newsgroups, and play sound or video files that are embedded in Web documents.
web name
A web name in FrontPage corresponds to a folder name on a Web server, and is subject to the length, character restrictions, and case sensitivity of that server.
web structure
The set of relationships among the pages in a FrontPage-based web as defined in Navigation view. A well-defined structure gives a site visitor a sense of position in a web. When a navigation bar is inserted on a page that is part of a web's structure, FrontPage automatically creates hyperlinks to the pages that are below that page in the structure (child level), above that page in the structure (parent level) and equal to that page in the structure (same level). See also navigation bar, Navigation view.
wizard
A program in FrontPage that creates webs or Web pages, based on choices you make in the wizard's input panels.
WMF
(Windows Metafile Format) A vector graphics format for Windows-compatible computers used mostly for word-processing clip art. FrontPage can import WMF files.
World Wide Web
The total set of interlinked hypertext documents residing on HTTP servers all over the world. Documents on the World Wide Web are called pages or Web pages, which are written in HTML (Hypertext Markup Language). Web pages are identified by URLs (Uniform Resource Locators) that specify the particular computer and path name by which a file can be accessed, and transmitted from node to node to the end user under HTTP (Hypertext Transfer Protocol). Web pages may contain text in a variety of fonts and styles, pictures, graphics, movie clips, sounds, as well as small, embedded software programs that are executed when a site visitor activates them by clicking a hyperlink. Site visitors may also be able to download files and send messages to other users via e-mail by using links on a Web page. The World Wide Web was developed by Tim Berners-Lee in 1989 for the European Laboratory for Particle Physics (CERN).
World Wide Web Consortium
(W3C) A consortium of commercial and educational institutions that oversees research and promotes standards in all areas related to the World Wide Web.


Upgrading to FrontPage 2000

Microsoft FrontPage 2000 is compatible with earlier versions of FrontPage — webs created in one version can be viewed and edited in another. Different versions of the FrontPage client application also work with different versions of the FrontPage Server Extensions.

See the following topics:

  • Upgrading the client application
  • Upgrading the FrontPage Server Extensions
  • Upgrading from localized versions of FrontPage

For more detailed information, see the Microsoft FrontPage Server Extensions Resource Kit.

Upgrading the client application

With FrontPage 2000, you can:

  • Open and edit pages created from earlier versions of FrontPage.
  • Update a web created in an earlier version by opening, editing, and then saving it in FrontPage 2000.
  • Use FrontPage 2000 to edit and publish to webs created with FrontPage 97 or FrontPage 98. For example, if you create a page in FrontPage 2000, you can publish it to a FrontPage 98-based web. However, some new FrontPage 2000 features do not work on FrontPage 98-based or FrontPage 97-based webs.

FrontPage 2000 does not support Channel Definition File or Internet Database Connectivity. However, FrontPage 2000 has replaced this feature with new database functionality.

Earlier versions of FrontPage can still open and edit FrontPage 2000-based webs. However, features that are new in FrontPage 2000 will not work, such as themes using cascading style sheets, database connections, and nested subwebs.

In earlier versions, FrontPage included a Personal Web Server so that you could preview your webs. However, in FrontPage 2000, disk-based webs do not require Personal Web Server, so it is not automatically installed. If you want to preview run-time features that require the server extensions (such as forms or hit counters), you have the option of installing Personal Web Server and the server extensions. If you are using an earlier version of Personal Web Server, FrontPage automatically updates Personal Web Server and the server extensions to the latest version.

FrontPage 2000 preserves settings and customized components that are saved with a file from an earlier version of FrontPage. These settings and components include customized themes, templates, menus, and recently opened webs. In addition, any program that uses FrontPage 97 or FrontPage 98 Automation interfaces works with FrontPage 2000.

Upgrading the FrontPage Server Extensions

The FrontPage 2000 Server Extensions support all the functionality of FrontPage 2000, FrontPage 98, and FrontPage 97. When you install FrontPage 2000 or Office 2000, the FrontPage 2000 Server Extensions are automatically installed, and earlier versions of the server extensions are updated. You can use earlier versions of the server extensions with webs created with later versions of FrontPage; however, for support of all of the newest features, you need to use the FrontPage 2000 Server Extensions.

Upgrading from localized versions of FrontPage

FrontPage 2000 allows you to work with more languages and characters than you could with earlier versions. You can display and store several new languages, as well as all Unicode 2.0 characters. In addition, FrontPage 2000 recognizes more HTML 4.0 character entity references than do earlier versions.

The enhanced language features in FrontPage 2000 affect file sharing between FrontPage 2000 and earlier versions in the following ways:

  • If you create a page in one of the languages new to FrontPage 2000, an error message is displayed when you open the page in FrontPage 98 or FrontPage 97.
  • If you create a page containing a Unicode character (such as &#914; for the Greek capital letter beta), the character is deleted if you open and save the page in FrontPage 98 or FrontPage 97.
  • If you create a page containing an HTML 4.0 character entity reference, you cannot edit the character in FrontPage 98 or FrontPage 97 (the character entity reference appears as &delta;).


When you add a navigation bar to a page, you choose which hyperlinks you want to display. These hyperlinks are relative to the position of the page in the navigation structure.

Below are the types of navigation bars you can use. When the navigation bar is placed on the Page with navigation bar page, the navigation bar will include hyperlinks to Navigation bar hyperlink pages. The home page is indicated by Home page.

Same-level navigation bar Same-level navigation bar | Top-level navigation bar Top-level navigation bar
Parent-level navigation bar Parent-level navigation bar | Child-level navigation bar Child-level navigation bar
Child pages of the home page Child pages of the home page | Back and Next navigation bar Back and Next navigation bar (for browsing same-level pages)

In addition to these choices for a navigation bar, you can also include hyperlinks to the web's home page and/or to the parent of the current page.

If you select navigation hyperlinks that are not relevant to the current page (for instance, you add a top-level navigation bar, but your web has no top-level pages other than the home page), the navigation bar will not be displayed in a Web browser. You will, however, see a placeholder for the navigation bar while you are editing the page.


A navigation bar is a set of hyperlinks used for navigating a Web site. For example, a typical navigation bar might have hyperlinks to the web's home page and its main pages:

You can display a navigation bar on every page in your web so that your site visitors can always get to the web's main pages, quickly and easily.

Navigation bars can use buttons or text hyperlinks. For example, the navigation bar above can also be displayed as text:

Home News Contents Search

You can create a set of hyperlinks to use for navigation yourself — that is, you can create your own set of buttons and link them to the relevant pages in your web, and repeat this on each page where you want a navigation bar. Or, you can set up the navigation structure of your web, and then let FrontPage create the navigation bars for you. FrontPage maintains the navigation bars it creates; if you move or add a page, FrontPage updates (recalculates the hyperlinks in) the navigation bar accordingly.

Note FrontPage can generate navigation bars only when you work with a web, rather than with separate pages.

More information

Set a navigation structure for a web

Add a navigation bar to a page


You can place navigation bars horizontally or vertically on a page. You can also add more than one navigation bar on each page, for example to navigate to different page levels.

In the Navigation view example below, note that Services and News are same-level pages, and Services has four child pages:

Then, using same-level navigation plus a hyperlink to the home page, the sample page below shows a horizontal navigation bar that lets the site visitor navigate to the main pages in the web. On the left side of the page, using child-page navigation, a vertical navigation bar lets the site visitor navigate to the Services child pages.

A page using two navigation bars


A shared border is a region that is common to one or more pages in a web. Use shared borders to place the same content on multiple pages in one step, rather than editing each page. For example, to quickly display a logo at the top of every page, insert a graphic inside a shared top border.

You can also use navigation bars inside shared borders. However, a navigation bar is relative to each page — a navigation bar might seem useful when you view it from one page, but you might not like the selection of hyperlinks when you view the navigation bar from a different page. Since a navigation bar inside a shared border has the same settings for all pages using the shared border, you must be careful how you set up navigation.

For example, you have the web structure below. To let site visitors navigate the main pages, you add a same-level navigation bar to a shared border. On the Products page, the navigation bar seems adequate because it displays hyperlinks to the main pages. However, when you view the navigation bar on the Downloads page, the navigation bar displays links to Downloads and Ordering, not to the main pages.

Sample navigation structure

One way to solve this problem is to use the navigation bar that uses hyperlinks to the child pages of the home page. Regardless of the page you are viewing, the navigation bar always shows hyperlinks to What's New, Products, and Services. You could also improve this navigation bar by adding a hyperlink to the home page.

Using a navigation bar for child pages under the home page

You can add more than one navigation bar to a page. In the example above, you cannot navigate to the Downloads and Ordering pages. To solve this problem, add a child-level navigation bar to the Products page.

Using a child-level navigation bar

You can add this child-level navigation bar to just the Products page, or inside a shared left border. Even if other pages share the left border, this navigation bar will only be displayed on the Products page because no other pages have child pages — if a navigation bar is not applicable to a page, the navigation bar is not displayed.

More information

About shared borders


You can create a navigation structure for the current web by organizing pages in Navigation view. This navigation structure shows how pages in your web are related to each other, and provides FrontPage with a way to set up navigation bars. For example, the navigation structure tells FrontPage which pages are the top-level pages; FrontPage uses this information to determine which hyperlinks to put on a navigation bar, and the page titles determine the labels for the hyperlinks.

The following example shows the structure of a web:

A navigation structure

Following is an explanation of the relationships between these pages:

The home page is the first page added to a navigation structure, typically named Default.htm or Index.htm, and is indicated by Home page icon. In this example, Welcome is the home page.

Top-level pages are at the same level as — but not including — the home page. In this example, the top-level pages are Description and Contact Us.

Parent-level pages include the parent page of another page, plus pages that are directly connected to the parent page on the same level. In this example, the parent-level pages for What's New are Welcome (the parent page), Description, and Contact Us. Similarly, the parent-level pages for Downloads are Products (the parent page), What's New, and Services. However, Employment is not included because it is not connected to Products.

Child-level pages are pages directly below another page. In this example, Welcome has three child pages (What's New, Products, and Services), Contact Us has one child page (Employment), and Products has two child pages (Downloads and Ordering).

Same-level pages are pages that are on the same level in the structure and have the same parent page. In this example, What's New, Products, and Services are same-level pages, but Employment is not because it has a different parent page. Downloads and Ordering are also same-level pages.

More information

Set a navigation structure for a web


About navigation bars


What is a navigation bar?
A navigation structure
Navigation hyperlinks
Placing navigation bars on a page
Navigation bars in a shared border


About pages

Pages are the basic documents of the World Wide Web and are written in HTML (HyperText Markup Language). Pages can either be part of a web, or they can stand alone. However, many features in Microsoft FrontPage are only useful if you are working with a web. For example, a navigation bar, which lets a site visitor navigate to other pages in a web, is meaningless in the context of a single page.

HTML

An HTML page contains HTML tags, which are embedded commands that supply information about the page's structure, appearance, and contents. Web browsers use this information to determine how to display the page.

You do not need to know HTML to use Microsoft FrontPage. While you edit pages as you would in a word processor — typing and formatting text, and adding graphics, tables, and other page elements — FrontPage adds the HTML tags in the background. Your page is displayed to you as it would appear in a Web browser. However, you can display the HTML tags on the page, and if you are familiar with HTML, you can write and edit the HTML tags yourself.

Creating and designing pages

To help you create professional-looking and well-designed web pages, FrontPage provides several page templates so you can quickly create pages with a variety of layouts and functions. For example, you can use a FrontPage template to create a two-column page or a page with a search form. You can also use one of several themes to create pages with a consistent design. A theme contains unified design elements with a color scheme, including fonts, graphics, backgrounds, navigation bars, horizontal lines, and other page elements.

If you prefer to design and lay out pages yourself, you can start with a blank page:

  • Use frames, tables, or absolute positioning to precisely position text and graphics on a page.
  • Add page elements, such as text, graphics, page banners, tables, forms, hyperlinks, banner ads, marquees, hover buttons, time stamps, hit counters, and so on.
  • Format text by applying styles or using style sheets.
  • Animate page elements and set page transitions for lively pages.
  • Set the background color, picture, or sound.
  • Create your own page templates.

More information

Organize your intranet using subwebs

Working with HTML


Absolute-style positioning lets you place an element at an exact location on a page. You can position the element by dragging it to the location you want, or you can specify coordinates, which are relative to the top left corner of the element's container, such as a page, as shown in the example below.

Specifying coordinates to position a picture

If an absolutely-positioned element is placed in a position box, the coordinates would be relative to the top left corner of the position box, rather than the page.

An absolutely positioned page element is not part of the text flow — the element will appear in front of or behind the text flow, the text does not flow around the element.

When viewed at different screen resolutions, the element might not be placed as you intended, although the element still appears at the pixel coordinates you specified. When the screen resolution changes, so does the layout, since other page elements such as text are displayed differently. To ensure your pages are displayed well to all site visitors, you should test your pages in a variety of browsers and screen resolutions.

Note Absolute positioning should not be used with DHTML, because the results might be unpredictable.


You can combine positioning features to achieve a variety of results, such as to keep a group of page elements together as a unit. For example, you can add a position box to a page, and inside the box, add multiple page elements using absolute positioning to lay them out. The result is a position box that is positioned with respect to the text flow on the page, but the layout of the elements inside the box is always preserved, regardless of the any changes you make to the rest of the page. Even when the window is resized, the layout of the elements inside the position box remains the same.

Absolutely-positioned elements grouped in a position box Absolutely-positioned elements grouped in a position box


D:\_working\HTML Help\Concard_PAG002_positioning.htm

Positioning is another way for you to place elements, such as text and graphics, on a page. Positioning lets you control the exact location and layer order of a page element. While page elements are generally positioned sequentially in a text flow (such as the characters in lines of text on a page), positioning removes the page element from this sequential order, allowing the element to appear anywhere on the page, in front of or behind other elements. In addition, you can combine positioning features to group elements together when you want them to be treated as a unit.

Because positioning is a more advanced feature, and its results can vary according to a site visitor's Web browser and screen resolution, you might have to experiment with the positioning features before you can achieve the results you want.

Notes

  • Positioning is only supported by Web browsers that support CSS 2.0, such as Microsoft Internet Explorer 4.0 and later, and Netscape Navigator 4.0 and later. When viewed in earlier browsers, positioned content is aligned left, and is located in the text flow where the elements are anchored. If you want your pages to be viewed by a wider range of browsers, consider using tables to position page elements.
  • By default, positioned elements are placed within DIV tags. If you prefer to apply positioning attributes directly to page elements without using DIV tags, click Page Options on the Tools menu, and then on the General tab, clear the Use DIV and SPAN tags when positioning check box.

More information

Ways to use tables

Working with cascading style sheets


Use relative-style positioning to place elements at a fixed point in the text flow. Regardless of the changes you make to the page above or below this point, the layout of the positioned elements remain intact. For example, you can use relative positioning for animation and DHTML effects.

More information

Animating your web


About positioning


Overview
Absolute-style positioning
Floating
Z-order
Relative-style positioning
Grouping page elements


You can create a floating page element that lets other elements, such as text, wrap around it. A floating element is removed from the text flow, and is aligned left or right. You can also specify the height and width of the floating area of the element. For example, the figure below shows how text flows around a paragraph that floats to the right, creating a sidebar of text that is aligned to the right of the page regardless of the layout of text around it:

Text wrapping around a floating paragraph


You can use positioning to overlap elements. The z-order refers to an element's position in a stack of elements, which includes the main page layer that contains the text flow. You can even position elements underneath the main page layer.

Overlapping page elements

The main page layer is zero; a positive z-order means that the element is in front of the main layer, and a negative number means the item is behind it.


About security

FrontPage provides administrative tools that let you set permissions and limit access to webs that you create and edit on a Web server. FrontPage security is based on the security mechanism used by the Web server and its operating system.

Setting permissions on a web

You can specify who can access webs in FrontPage by adding the users (and user groups) to the web's user list and specifying the type of access the user has. Users can have one of the following types of permission:

  • Browse — the user can browse the files in the web.
  • Author — the user can browse and change the files in a web.
  • Administer — the user can browse and change the files in the web, and can also administer the web by adding and removing users. On systems running Internet Information Services (IIS), FrontPage grants administrator access by default to all members of the Windows NT Administrators group and the SYSTEM account.

These permissions are set on the root web (the top-level web on your Web server), and all subwebs below it automatically inherit these permissions. That means that a user with author permission can access all webs, and site visitors can browse all webs. If you want to control the access to a subweb differently, you can set unique permissions for the subweb. This feature lets you control and divide web content among different sets of administrators, authors, and site visitors.

Security for Microsoft servers in Windows

If the Web server is a Windows NT Server running IIS (Internet Information Services), users and groups are set up and maintained in Windows NT, and cannot be created in FrontPage. You select the users and groups for your webs from these Windows NT accounts. Access to webs is then determined by the user's logon account (user name and password). When the user performs an action that requires permission, the web server requests a user name and password, and then FrontPage sends the user name and password that the user is currently logged in with.

Note Because FrontPage security is based on ACLs (access control lists), in order to enforce security, your webs must be hosted on an NTFS partition rather than a FAT partition.

When using Microsoft Internet Information Server or Microsoft Personal Web Server 1.0 (in configurations that support security), you can only set permissions for users or groups that are known to the Web server. With Microsoft Personal Web Server 4.0, you cannot set permissions for your webs — all users on the network can browse to your webs, and authoring and administering webs is permitted only from the computer on which the Web server itself is installed.

Security for UNIX servers and Windows servers other than IIS

Most UNIX Web servers maintain an access list of users who have permission to use the Web server, which is separate from the list of users and groups who can log on to the computer. To specify who can access a web in FrontPage, you add users and then specify their passwords and permission levels.

More information

Set permissions for a web

"Security" in the Microsoft FrontPage Server Extensions Resource Kit


About publishing

When you are ready to display your web on the World Wide Web or your organization's intranet, you must publish your web. Publishing a web is basically copying the files in your web to a destination, such as a Web server, where others can browse the web.

Before publishing your web

Before you publish your web, you should make sure it is ready by checking for broken hyperlinks, verifying that the pages look the way you want them to, and testing the web to make sure that everything works. A good way to ensure your web is ready is by previewing it in a Web browser and navigating through the site, and by reviewing the status of your files in Reports view.

If you are going to publish your web to the World Wide Web, you'll need an Internet service provider (ISP), preferably one who has a Web server with the FrontPage Server Extensions installed. You'll also need to know the ISP's Web server location for publishing your web, and your user name and password, if necessary. For information about ISPs who use the FrontPage Server Extensions (known as Web Presence Providers), visit the Microsoft FrontPage home page, or click Publish on the File menu, and then click the WPPs button.

How the server extensions affect publishing

There are several benefits to publishing to a Web server that has the FrontPage Server Extensions installed:

  • Your web will have full FrontPage functionality when it is published. Without the server extensions, certain features will not work, such as most form handlers, search forms, hit counters, and component features.
  • FrontPage will maintain your files and hyperlinks — each time you publish the web, FrontPage compares the files on your local computer to the files on the Web server. For example, if you move a file in your local web, FrontPage will update and correct any hyperlinks to it, and then make the same corrections to the files on the Web server the next time you publish the web.
  • After you have published the web, you will be able to edit it directly on the ISP's Web server (however, the local version of your web will not remain in sync).

If your Web server has the server extensions, FrontPage can publish your web using HTTP (HyperText Transfer Protocol). Otherwise, your web will be published using FTP (File Transfer Protocol).

Choosing the files to publish

You can choose which files you want to publish, and which ones you don't. For instance, if a page is incomplete or not directly part of your web, you can mark the file as Don't Publish. Later, if you decide to publish the file, for instance when you've completed a page, you can change its status to Publish.

Certain files should not be published again after you first publish your web. For example, you create a web with a guestbook, and then publish the web. Later, you update your web pages — if you publish all of your files, including the file that records guestbook information, you will save a blank guestbook over the existing one, losing all the information. Other examples include pages with a hit counter; discussion webs; and catalogs (if you are running Index Server).

You can also choose to publish only those files that have changed. FrontPage will compare the files in the working web on your local computer to the published files on the Web server. If FrontPage detects a newer version of a file on your local computer, the file will be published to the Web server.

Managing the files on the Web server

If your ISP has given you a size limit on the Web server, file management is a necessity. Periodically deleting unused or old files (especially graphics) can keep the size of your web down. Once you have published a web, FrontPage can synchronize the files on your local web with the published files on the Web server, each time you publish again.

After you delete files on your local computer, FrontPage will prompt you about deleting the same files on the Web server when you publish your web again and choose to publish only pages that have changed.

If your Web server uses the FrontPage Server Extensions, FrontPage can also match other actions on the Web server, such as moving or renaming files, the next time you publish your web. FrontPage will update your navigation bars, shared borders, and hyperlinks on the Web server to match the actions you performed on the web on your local computer.

More information

Mark the pages to publish

Publish a web

Check the publishing status of a web


About source control

Source control is a way for you to ensure that only one person at a time edits a file — a necessity in a multi-authoring environment. Microsoft FrontPage provides a built-in source control feature that lets web authors perform basic source control tasks:

  • A web author can check out a file. When a file is checked out, other authors can open the file, but cannot modify it. A file that has been checked out is indicated by Checked out to you (the file is checked out to you) or Checked out to a different author (the file is checked out to a different author).
  • A web author can check in a file after editing and saving it. The file is then available to other authors for checking out. A file that is checked in and available is indicated by Checked in and available for checking out.
  • A web author can undo a file checkout. The file is checked in without applying any of the changes that were made since the file was checked out.

FrontPage publishes the last-saved version of a file, rather than the version that was last checked in. For example, if a file is checked out, modified, and then saved, this version of the file is what will be published, rather than the version that was last checked in.

Note To use the built-in source control, your Web server must have the FrontPage Server Extensions.

Integrating Microsoft Visual SourceSafe with FrontPage

If you want to use Microsoft Visual SourceSafe as a method of source control, you can integrate a new or existing Visual SourceSafe project with FrontPage. Then, the source control actions that are performed in FrontPage will also be performed in Visual SourceSafe as though the web author had used Visual SourceSafe directly. For example, if a web author checks out a file in FrontPage, the file is also checked out in the Visual SourceSafe project.

All files in the web will be tracked in the Visual SourceSafe project. However, other Visual SourceSafe features (for example, viewing a file history or rolling back to a previous file version) must be performed in Visual SourceSafe.

Because the Visual SourceSafe project is synchronized with FrontPage, file management actions you perform in FrontPage will be reflected in the Visual SourceSafe project:

  • Add or create a file. FrontPage adds the file to the Visual SourceSafe project.
  • Move or rename a file. The file is also moved or renamed in the Visual SourceSafe project. Then, FrontPage checks out all pages that have hyperlinks to the moved or renamed page, updates the hyperlinks, saves the pages, and then checks them in.
  • Perform an action that affects other pages. Actions that affect other pages include applying a theme, modifying a shared border, or changing a file that is included in other pages. FrontPage checks out all pages that are affected by the change, updates the pages, saves them, and then checks them in.
  • Delete a file. FrontPage deletes the page from the Visual SourceSafe project.

Note These actions are best performed when all files in the web are checked in. If a file is affected by one of these actions but is checked out, FrontPage either does not let you perform the action, or you must update the files yourself when they are checked in again.

For information about how to integrate Visual SourceSafe with FrontPage, see "Overview of Server Extensions Source Control" in the Microsoft FrontPage Server Extensions Resource Kit.

More information

Enable built-in source control


About shared borders

A shared border is a region that is common to one or more pages in a web. A shared border may be a region at the top of the page (similar to a page header), at the bottom (similar to a page footer), at the left, or at the right. Use shared borders to place the same content on multiple pages in one step, rather than editing each page. For example, to quickly place a logo at the top of each page in your web, set the top border to be shared, then add the graphic to the top border.

Shared top and left borders

An advantage to using shared borders is that you only have to modify content in one place to update all pages. For example, to change the copyright notice on a Web site of 30 pages, you only need to update it on one page if the notice is inside a shared border.

Ways to use shared borders

Shared borders are a quick and easy way to give your pages a consistent look. Following are examples of ways to use shared borders:

  • Add a page banner to a shared top border to ensure each page has a title.
  • Add the company logo to a shared top border.
  • Add a navigation bar to let site visitors get to the main pages in your web. For more information, see About navigation bars.
  • Add a copyright notice in a shared bottom border.
  • Add the date and time the web was last modified.
  • Add an e-mail address for feedback, such as the Webmaster's address.

Setting shared borders for pages and webs

You can set the shared borders that a web uses by default, and set shared borders on individual pages. For example, the default setting for a web might be to share top and left borders; each new page would then have these shared borders. However, you could turn off a shared border on certain pages if you didn't want it.

Set shared borders differently on individual pages

Another example is a web that has no shared borders by default — you can set shared borders on specific pages as needed.

More information

Set shared borders for all pages in a web

Set shared borders for a page

Add, change, or remove elements in a shared border


A banner ad is like a rotating billboard on a Web page. It displays a timed sequence of pictures using a transition effect between pictures.

Authors typically use banner ads to place advertising on pages. You can create a hyperlink from the banner ad to the Web site or page for the company, product, or service advertised in the ad.


You can apply Dynamic HTML (DHTML) animation effects to just about anything on a page — text, paragraphs, pictures, buttons, marquees, and so on — and tie the effect to a trigger event, such as clicking a mouse, pointing a mouse, loading a page, and so on. The examples below use different animation effects:

When you point to this paragraph, the font changes to bold.

When you click this paragraph, a border and shading are added to it.

When you double-click this picture, it flies off the page.

When you click this picture, another picture is displayed in its place.


Creating a hover button is an easy way to add animation to your web without any scripting. Like any other button, a hover button contains a hyperlink to another page or file. However, when a site visitor clicks or points to a hover button, the button can also glow, display a custom picture, or play a sound effect. You can also use a picture for a hover button or for the hover effect on a hover button.


A marquee displays a scrolling text message. You can customize a marquee to achieve exactly the effects you want, as in the following example:

This marquee repeats itself continuously and uses a yellow background color.


You can create special effects that are displayed when a site visitor enters or leaves your site, or browses to or from a specific page. By applying transition effects consistently and judiciously throughout your web, you can create slide-show-style presentations with professional-looking transitions between pages.


Sounds and sound effects add another dimension to your web. If your company has a musical or audio "logo," jingle, or theme, you can play it when a site visitor browses to your home page from another site on the World Wide Web.

You can also add sound effects to a hover button. When a site visitor browsing your page clicks or points to the hover button, the sound effect is played.


Animating your web


Dynamic HTML effects
Page transitions
Banner ads
Hover buttons
Marquees
Sound effects


Working with cascading style sheets

Cascading style sheets give you more control over the appearance and presentation of your pages. Using cascading style sheets, you can extend the ability to precisely specify the location and appearance of elements on a page and create special effects. You can also make your site more accessible for visitors with specialized browsers or output devices.

The contents of a style sheet

A cascading style sheet (CSS) defines the styles that you can apply to pages or page elements. Each style definition, or style rule, consists of a selector followed by the properties and values for that selector. The following are simple examples of style rules defined in a style sheet:

H1 { font-size: x-large; color: green }
H2 { font-size: large; color: blue }
.note { font-size: small }
#footer { font-family: serif }

In the example, H1 and H2 are selectors that modify the formatting properties of standard HTML tags. The selectors' properties and values are contained within the curly braces { } — font-size is a property, and x-large is the value of the font-size property. You can specify multiple properties for a selector by separating each with a semi-colon ( ; ). In the example, .note is a class selector, and #footer is an ID selector.

Using cascading style sheets, you can set a wider range of properties than using standard HTML alone, including:

  • Font effects, such as small caps and expanded character spacing.
  • Paragraph properties, such as indentation, line spacing, and spacing before or after.
  • Borders and shading properties, such as boxes and background colors.
  • Positioning properties, such as text wrapping around page elements, absolute or relative positioning of page elements, and z-order (front to back layering) of page elements.

For detailed information on the structure and rules for defining a cascading style sheet, and for valid properties and values, refer to the World Wide Web Consortium (W3C) specifications on cascading style sheets.

Use a style sheet with a page

There are three ways you can use style sheets on pages in your web:

  • Link a page to an external style sheet.
  • Create an embedded style sheet on a page.
  • Apply inline styles to individual page elements.

Each method has advantages and disadvantages:

  • Use an external style sheet when you want to apply the same styles consistently across some or all pages in your web. By defining styles in one or more external style sheets and linking them to pages, you ensure consistency of appearance throughout those pages. If you decide to change a style, you need only make one change — in the external style sheet — and the change will be reflected in all of the pages linked to that style sheet. Typically, an external style sheet uses the .css file name extension, such as Mystyles.css.
  • Use an embedded style sheet when you want to define styles only for the current page. An embedded style sheet is a type of cascading style sheet that's "embedded" within the <HEAD> tags of a page. Styles in an embedded style sheet can be used only on that same page.
  • Use inline styles to apply cascading style sheet properties to individual elements on a page.

If a page is linked to an external style sheet, the embedded or inline styles that you create for that page will either extend or override properties specified in the external style sheet.

Create or edit a style sheet

FrontPage 2000 now includes templates that you can use to create external style sheets for a web. You can start with a blank template or one that already contains a set of styles (for example, Arcs). When you save the style sheet, FrontPage uses the .css file name extension. To edit the style sheet, double-click it in the Folder List.

When you create or modify a style for a page using the Style command on the Format menu, FrontPage automatically creates an embedded style sheet (if it doesn't already exist), and saves the style as a class selector within the embedded style sheet.

You can use the Style dialog box to create new class selectors, modify or delete existing ones, or apply CSS formatting properties to standard HTML tags such as <H1>. When you click OK to close the dialog box, FrontPage writes the formatting characteristics back to the external or embedded style sheet using the proper syntax. Or, you can simply type the style information in proper CSS syntax. To type style information for an embedded style sheet, click the HTML tab in Page view.

If you select the Apply using CSS check box for a theme applied to a web, FrontPage creates an external style sheet named Theme1.css in the root of your web, where Theme is the name of the theme. If you modify the theme, FrontPage writes the changes back to the theme CSS automatically. You can also modify the theme by directly editing the theme CSS.

Use a style sheet

To use the styles in an external style sheet on a page, you link the page to the style sheet using the Style Sheet Links command on the Format menu. You can link one or several style sheets to the current page in Page view, the pages selected in the Folder List, or all of the pages in your web.

The Style box lists standard HTML tags, such as Heading 1, as well as any class or ID selectors contained in an embedded style sheet or external style sheet linked to the page. To apply a style to a page element, select it and click the style or selector in the Style box.

In Microsoft FrontPage 2000, some formatting features are now automatically applied as inline styles. For example, if you apply a box around a normal paragraph using the Borders and Shading command on the Format menu, FrontPage writes the formatting information as an inline style attribute for the paragraph tag (for example, <p style="border-style: solid">). However, some attributes will be applied using CSS, others using HTML. If you want to apply inline styles using only CSS, apply a class or ID selector or an inline style using the Style button in the page element's Properties dialog box.

Enable or disable cascading style sheets

If a style feature is unavailable (that is, it appears dimmed), or if you do not want to use cascading style sheets in order to ensure compatibility with older browsers, you need to enable or disable specific versions of CSS. FrontPage uses CSS to implement the following style features:

  • Font command (Format menu): Some font effects on the Font tab, and expanding or condensed spacing on the Character Spacing tab.
  • Paragraph command (Format menu): Indentation and Spacing options.
  • Borders and Shading command (Format menu): All border and shading options.
  • Position command (Format menu): All positioning options.


Ways to use tables

A table is made up of rows and columns of cells in which you can insert text and graphics. You can use tables in Microsoft FrontPage in various ways.

Use tables to present information in a tabular format

Use a table to present information in a grid-like format, such as timetables, product information, rates, and so on.

Hotel Rates per Night
Room | Off Season (Jan - Apr) | Peak Season (May - Dec)
Single | 100 | 110
Single + bath | 120 | 130
Double | 160 | 175
Double + bath | 180 | 195

You can customize your tables to make them more attractive and easy to read. You can control how the text appears in each cell by setting the alignment and font, you can control how each column and row is spaced in the table, and you can set colors for borders and shading. For more information, see Customizing tables.

Use tables to lay out text and graphics on a page

When you lay out text and graphics on a page, you can use a table to arrange them. Tables are supported by virtually all Web browsers and are an easy way to lay out your pages.

This is an example of how you can use a table to lay out your page. This table contains two rows with two columns, shaded differently so you can see the boundaries. By using tables this way, you can easily lay out your text and graphics into columns.
And, using multiple rows, you can make sure that each graphic is aligned with accompanying text. When using tables for laying out a page, you can keep site visitors from seeing the table by hiding its borders.

You can also use shared borders, frames, and two-dimensional positioning to lay out your pages, but these features have different benefits:

  • Shared borders are useful when you want the same items to appear on each page.

    • For example, if you want your company logo to appear at the top of every page across your entire web, you can use a shared top border containing the logo. However, if you want to display the logo on one page only, you can use a table instead. For more information, see About shared borders.

  • Frames are useful when you want to display multiple pages dynamically on one page. Frames are also useful when you want to have certain content visible at all times, such as a list of hyperlinks, and also display a large amount of information that could scroll.

    • For example, in one frame you display a list of items. Depending on which item the site visitor selects, a corresponding page is displayed in a different frame on that page. But for static information, a table is the simplest way of displaying text and graphics. For more information, see Understanding frames and frames pages.

  • Two-dimensional positioning allows you to place text and graphics anywhere on a page, independent of the lines of text (paragraph marks) on a page. You can also overlap text and graphics. However, most older Web browsers do not support this feature and will not display the page correctly. For more information, see About positioning.

More information

Ways to create a table

Customizing tables


Ways to create a table

Microsoft FrontPage lets you create a table in different ways:

Create a simple table Simple table
You can quickly create a simple table just by specifying the number of columns and rows. Later, you can modify the table's properties as needed.
Draw a table Draw a table
You can create a table by drawing it. With the Draw Table tool, you draw the outline of the table, and then draw the table cells. You can create a complex table with different- sized cells and varying numbers of columns and rows.
Create a table and set its properties Create a table and set its properties
You can create a table by specifying several table properties right away, such as the number of rows and columns, the table width, alignment, border thickness, and cell padding and spacing.
Name, City
Jeff Smith, Los Angeles

Name | City
Jeff Smith | Los Angeles
 Convert text to a table
If you already have text that you want to put into a table, you can convert it into a table, as long as the text contains separator characters that indicate how to divide it into columns and rows.

More information

Create a simple table

Create a table by drawing it

Create a table and set its properties

Convert text to a table

Customizing tables


You can choose background colors and pictures for your tables. Background colors can be used to shade specific columns or rows to add emphasis. You can use background pictures to add visual appeal to your tables.

You can set background colors and pictures for certain cells or you can set them for the whole table. However, the settings for a cell always take priority. For example, if you set the background color for a table to be green, and set a cell color to be blue, the table will have a green background but one cell will be blue.

 | Monday | Tuesday | Wednesday | Thursday | Friday
8:00 |  |  |  |  |
8:30 |  |  |  |  |
9:00 |  |  |  |  |
9:30 |  |  |  |  |
10:00 |  |  |  |  |

More information

Set the background color in a table

Display a background picture in a table


You can customize the way borders look in your tables. Set the border color for the whole table, or set a different border color for individual cells. You can choose one color for the border, or, if you prefer a three-dimensional look, you can choose two colors — a light color and a dark color. You can also change the thickness of the outer border.

Product | Price | Qty | Total
Desk | 600 | 1 | 600
Chair | 250 | 2 | 500
Lamp | 50 | 3 | 150
Your Total |  |  | 1250

More information

Set the color of table borders

Hide a table border

Modify a table border


You can label or title your tables by adding a table caption. A table caption is placed above or below the table. You can also format the caption text.

To emphasize certain cells in your table, you can specify them as table headers. For example, in the table below, the first row and first column contain labels. They are formatted as table headers so that they stand out from the rest of the table. By default, a table header is formatted as bold text. However, you can modify the table header style (th) and define additional properties for your table headers, such as shading.

Table Caption
 | Jan | Feb | Mar | Total
East |  |  |  |
West |  |  |  |
South |  |  |  |
Total |  |  |  |

More information

Insert a table caption

Format headings in a table


You can control how your table appears on the page by setting the table alignment — tables can be aligned to the left, right, or center of the page. The table below is centered.

You can also control the height and width of the table. For example, you can set the width of the table to 80% of the overall page width (or frame width, if the table is in a frame). If a site visitor resizes the browser window, the page size and table change accordingly. On pages that include a table and text, you can also specify whether you want text to flow around the sides of the table.

You can also control the way text appears inside each cell. For example, you can specify how much space there is between the border and text of a cell, and you can set the horizontal and vertical alignment of text. In addition, table text can be formatted like any other text — you can change the font style, size, color, and other attributes.

Product | Price
Desk | $500.00
Chair | $100.00
Lamp | $50.00

More information

Set the table layout

Work with rows, columns, and cells

Set the cell layout


Customize your table after you have created it by inserting more rows and columns as needed. You can create more cells in your table by splitting one cell into two or more cells. You can also merge adjacent cells into one cell.

One cell
Split cells Split cells Split cells

Once you have all the rows and columns you need in your table, you can set the row heights and column widths the way you want them.

  • Size rows and columns individually by dragging their borders.
    Resizing a column
  • Define the row heights and column widths to be a percentage of the overall table size. For example, you can set a column to be 10% of the table's total width.
  • Define the row heights and column widths to be a specific size in pixels.
  • Set all rows to be spaced uniformly and all columns to be spaced uniformly.

More information

Add a cell, row, or column

Split cells

Merge cells

Resize a cell, row, or column

Resize a table

Distribute rows and columns evenly">


Customizing tables


Text and table layout
Rows and columns
Captions and headers
Borders
Backgrounds


About themes

A theme is a unified set of design elements and color schemes that you apply to pages to give them a consistent and attractive appearance. Using a theme is a quick and easy way to add interest to pages and give them a professional look. FrontPage includes many preset themes that you can use right away — you can use them as they are, or you can modify them.

The following example shows you what a plain page looks like, and then how it looks with different themes applied to it:

Samples of themes applied to a plain page

A theme affects all aspects of a page's appearance:

  • Colors. A theme uses a color scheme to set the color of body text, headings, hyperlinks, page banner text, navigation bar labels, table borders, and the page background. You can use the normal or vivid color set.
  • Graphics. A theme uses graphics for several page elements, such as the background picture, the page banner, bullets, navigation buttons, and horizontal lines. You can use the normal or active graphic set. The active graphic set uses animated page elements, such as hover buttons instead of plain buttons on navigation bars.
  • Styles. A theme uses its own styles (fonts) for the body text and headings.

Certain features in FrontPage are only available when you are using a theme. For example, page banners and navigation bar buttons are displayed as graphics when a theme is used, but are displayed as text when no theme is used.

Themes let you manage your pages' appearance in one place. When you choose one theme to be the default theme for your web, the theme is applied to all existing pages and to new pages that you add later. You can change the default theme or remove it, and the change is applied to the entire web automatically. You also have the option of applying themes to individual pages.

You can change and customize themes. For example you can change a theme's background picture or heading font. By customizing a preset theme, you are really creating a new theme — you can use your own graphics, color sets, and styles.

More information

Apply a theme

Customize a theme

About graphics

About color


You can assign a file to a person or workgroup without creating a specific task for that file. In a workgroup setting, for example, a product manager assigns files to different workgroups. Individual workgroup managers then assign specific tasks for those files to individuals in each workgroup. The product manager can monitor the progress of each workgroup, while the individual workgroup managers can monitor the progress of each person in each group.

You can add comments to files, assign files to workgroups, and create and assign tasks.


Review statuses help you indicate the status of pages, images, and other files as they are prepared for publishing. For example, you can assign a page that needs a syntax check to Code Review, a page that needs copyrights checked to Legal Review, and so on. You can create custom review statuses and specify file by file which pages or other files should be released and published to your live web.

You can use review statuses to track files to publication, and specify which pages to publish.


You can create reports that:

  • Show which pages will download slowly. Microsoft FrontPage calculates the size of all pictures, text, controls, and other elements linked to any page in your web to show how long it will take for site visitors to download that page at different modem speeds.
  • Show which files in your web aren't linked to any other files. You can use this information during regular web maintenance to delete any outdated or duplicate files.
  • Show and print site summaries. FrontPage calculates the number and sizes of pages, pictures, incomplete tasks, and other elements in your web. You can see which files are oldest or newest, group them by the person or workgroup they're assigned to, sort them by size, and so on.

The Site Summary report presents an "inventory" of your web.


Managing your web


Use tasks to manage your workflow
Assign files to people or workgroups
Use categories to organize pages
Manage the publishing process
Report on your web
View and verify hyperlinks


You can use categories to organize files located in different folders (or different files located in the same folder) into logical groups. You can classify a file in one or more categories and then view the files in your web by category.

For example, you might classify files that need editorial approval in a category called Editors. You might classify all of the shopping-related files in your web (for example, catalog and product pages in your root web, pictures in the Images folder, and a price database in another folder) in categories called Catalog and Products.

You can also use the Microsoft FrontPage Category component to add dynamic category lists to your web pages. For example, on a shopping page you might insert three lists of products in your Small Appliances, Large Appliances, and Outdoor Appliances categories; site visitors can click a product in any list to display that product's page from your online catalog. As you add or drop products from your product line and remove those product pages from your web, the category lists are automatically updated.

You can categorize files, and then list files by category or add dynamic category lists to your pages.


Create tasks to track work that needs to be done in your web. You can assign a task to a specific person or workgroup, prioritize the importance of the task, and associate the task with a specific file or the entire web.

When you associate a task with a file, you can click Start Task to open the file in the program you use for editing and immediately begin to work. For example, if you associate a task named "Change image background" with a picture file, starting the task opens the picture in Microsoft Image Composer, Adobe Photoshop, or whichever image editor you have associated with the picture file type.

Microsoft FrontPage monitors task status for you. When you save a page associated with a task in Pages view, FrontPage asks if you want to change the task status to Completed. If you answer No, FrontPage changes the task status to In Progress.

You can also mark tasks as Completed in Tasks view.

Use Tasks view to assign, prioritize, and manage tasks.


In Reports view, the Site Summary report lists the total number of hyperlinks in your web as well as the number of unverified links, broken links, external links, and internal links.

Hyperlinks view shows you a graphical representation of the hyperlinks to and from any file in your web. FrontPage automatically tracks and repairs any internal hyperlinks in your web whenever you move, rename, or delete a file. You can instantly check the status of any external hyperlinks using the Recalculate Hyperlinks command on the Tools menu.

Hyperlinks view presents a visual map of the hyperlinks in your web; use the Site Summary report for statistics about hyperlinks.


Formatting text

You can format text in Microsoft FrontPage as you would using a word processor, to add visual organization, emphasis, and structure. You can change the font face, size, style, color, spacing, and vertical position of text, and add effects such as underlining. You can also control spacing and indentation, add bullets and numbers, and set alignment. For example, format normal body text to use Times New Roman 10-point font, and format page headings to use Arial 16-point boldface font, centered on the page.

Text and paragraphs

The formatting you apply can either affect selected words or an entire paragraph. A general rule is that font properties can be applied to selected text, and paragraph properties (including bullets, numbering, borders, and shading) affect entire paragraphs. For example, you can italicize a single word in a paragraph, but if you try to align the word to the right, the entire paragraph will be aligned.

A paragraph is a block of text that is separated from another by a paragraph mark ( Paragraph mark). If lines of text are separated by line breaks ( Line break), the text is considered to be one paragraph. You can show paragraph marks and line breaks by clicking Show All Show All button.

Styles

A style is a collection of font and paragraph settings. Applying a style to text is a one-step procedure and a much quicker way to format text than by formatting each paragraph of text individually. Your text is also more consistently formatted by using styles. For example, to make the main headings stand out from other text, apply the style Heading 1, and leave body text styled as Normal (the default), which uses a smaller font. You can still apply additional formatting to text that has a style applied to it, for example to underline a word. You can create and modify styles, and create your own external style sheets.

You can also use themes to format your text automatically, because each theme contains predefined styles. If you want to change the appearance of text that has a theme applied to it, you can either modify the styles used by the theme or apply formatting to selected text.

More information

Format text

Working with cascading style sheets

About themes

About lists


Organize your intranet using subwebs

A subweb is a web nested inside another web. The web that contains a subweb is called the parent web, because it sits above the subweb in a hierarchical structure much like a family tree:

Organize folders and subwebs by workgroup or permissions.

In the diagram above, Northwind is the root web; Marketing and Human Resources are subwebs of the Northwind root web; and Job Postings and Employee Benefits are subwebs of Human Resources.

You can create a subweb by converting a folder to a web, by importing a web into a folder and then converting the folder into a web, and by publishing one web to another as a subweb. A subweb initially inherits certain web settings (such as theme information and permissions) from its parent web. Use subwebs to organize your intranet logically based on your organizational model.

You can also use subwebs to limit access for security reasons. Because each subweb can have its own set of permissions for who can author, browse, or administer it, you can set up individual subwebs with different levels of permissions and different groups of users.

For example, you might set up different subwebs for marketing and human resources; within the human resources subweb, you might have different subwebs with different permissions for job postings, employee records, and employee benefits. Only recruiters could update the job postings subweb, but everyone in the company could browse it. Only human resources managers could browse and author the employee records subweb, while everyone in the company could browse (but not author) the employee benefits web.


Use a sample database connection

FrontPage includes a sample database named Northwind, which you can use with the Database Results Wizard to create pages that display information from databases. If you've never used a database, or if you want to experiment with creating pages that input data to a database without altering your own "live" database, run the Database Results Wizard using the Northwind database.

  1. In Page view, open a page containing an existing database results region, or create a new page to contain the database results, and then start the Database Results Wizard:
    • If you haven't yet run the wizard to create a database results region on the page, point to Database on the Insert menu, and then click Results.
    • If the page already contains a database results region, and you want to replace that data with data from the Northwind database, right-click anywhere in the database results region, and then click Database Results Properties on the shortcut menu.
  2. In step 1 of the wizard, click Use a sample database connection (Northwind).

Add information from a database to your pages using the Database Results Wizard


Use an existing database connection

To display information from, or input information to, a database, FrontPage uses a database connection. The database connection specifies the name, location, and type of database you want to access, along with any parameters it may require.

When you start the Database Results Wizard, you specify the database connection you want to use. To select one from the existing database connections for your web, do the following:

  1. In Page view, open a page containing an existing database results region, or create a new page to contain the database results, and then start the Database Results Wizard:
    • If you haven't yet run the wizard to create a database results region on the page, point to Database on the Insert menu, and then click Results.
    • If the page already contains a database results region, and you want to replace that data with data from a different database connection, right-click anywhere in the database results region, and then click Database Results Properties on the shortcut menu.
  2. In step 1 of the wizard, click Use an existing database connection, and then select another database connection.

Add information from a database to your pages using the Database Results Wizard


Create a new database connection to a file or folder in the current web

To display information from, or input information to, a database, FrontPage uses a database connection. The database connection specifies the name, location, and type of database you want to access, along with any other parameters it may require.

When you start the Database Results Wizard, you specify the database connection you want to use. To create a new connection to a database file or folder in the current web (for example, to a Microsoft Access or Microsoft Excel database), do the following:

  1. In Page view, open a page containing an existing database results region, or create a new page to contain the database results, and then start the Database Results Wizard:
    • If you haven't yet run the wizard to create a database results region on the page, point to Database on the Insert menu, and then click Results.
    • If the page already contains a database results region, and you want to replace that data with data from a different database connection, right-click anywhere in the database results region, and then click Database Results Properties on the shortcut menu.
  2. In step 1 of the wizard, click Use a new database connection, and then click Create.
  3. Click Add, and then type a name for the new database connection in the Name box.
  4. Click File or folder in current web, and then click Browse.
  5. In the Files of type box, select the driver for the type of database to which you're connecting.
  6. In the URL box, type the path to the file or folder containing the database, and then click OK. Or, use the Look in box and file list to navigate to the file or folder you want, and then double-click the file or folder in the list.
  7. Click OK to close the Database Connection Properties dialog box, and then click OK to close the Web Settings dialog box.

Tips

  • To create a new database connection for a web without running the Database Results Wizard, click Web Settings on the Tools menu, click the Database tab, and then follow this procedure starting at step 3.
  • If the database is password-protected, click Advanced, and then type your user name and password in the boxes.
  • To set timeouts or other name-value parameters for the database, click Advanced.

Add information from a database to your pages using the Database Results Wizard


Create a new database connection to a System DSN on a Web server

To display information from, or input information to, a database, FrontPage uses a database connection. The database connection specifies the name, location, and type of database you want to access, along with any other parameters it may require.

When you start the Database Results Wizard, you specify the database connection you want to use. You can connect to any System Data Source Name (System DSN) defined on the Web server. A System DSN can connect to an ODBC-compliant database (such as a Microsoft Access or Microsoft Excel database), or a database management system (such as Microsoft SQL Server).

Note Only a Web server administrator can create a System DSN on a Web server. If the Web server doesn't contain a System DSN for the database you want to access, ask the Web server administrator to define one using the ODBC Data Sources option in Control Panel on the Web server.

To create a new connection to a system data source on a Web server, do the following:

  1. In Page view, open a page containing an existing database results region, or create a new page to contain the database results region, and then start the Database Results Wizard:
    • If you haven't yet run the wizard to create a database results region on the page, point to Database on the Insert menu, and then click Results.
    • If the page already contains a database results region, and you want to replace that data with data from a different database connection, right-click anywhere in the database results region, and then click Database Results Properties on the shortcut menu.
  2. In step 1 of the wizard, click Use a new database connection, and then click Create.
  3. Click Add, and then type a name for the new database connection in the Name box.
  4. Click System data source on Web server, and then click Browse.

    5. The System Data Sources on Web Server dialog box is displayed. The list shows the System DSNs defined on the Web server.

  5. Select the System DSN for the database you want to access, and then click OK.
  6. Click OK to close the Database Connection Properties dialog box, and then click OK to close the Web Settings dialog box.

Tips

  • To create a new database connection for a web without running the Database Results Wizard, click Web Settings on the Tools menu, click the Database tab, and then follow this procedure starting at step 3.
  • If the database is password-protected, click Advanced, and then type your user name and password in the boxes.
  • To set timeouts or other name-value parameters for the database, click Advanced.

Add information from a database to your pages using the Database Results Wizard


Create a new database connection to a database server on a network

To display information from, or input information to, a database, FrontPage uses a database connection. The database connection specifies the name, location, and type of database you want to access, along with any other parameters it may require.

When you start the Database Results Wizard, you specify the database connection you want to use. To connect to a database management system (such as Microsoft SQL Server) on a network server, do the following:

  1. In Page view, open a page containing an existing database results region, or create a new page to contain the database results region, and then start the Database Results Wizard:
    • If you haven't yet run the wizard to create a database results region on the page, point to Database on the Insert menu, and then click Results.
    • If the page already contains a database results region, and you want to replace that data with data from a different database connection, right-click anywhere in the database results region, and then click Database Results Properties on the shortcut menu.
  2. In step 1 of the wizard, click Use a new database connection, and then click Create.
  3. Click Add, and then type a name for the new database connection in the Name box.
  4. Click Network connection to database server, and then click Browse.
  5. In the Type of database driver box, select the type of database driver you want to use to connect to the database server.
  6. In the Server name box, type the URL of the network server containing the database you want to access.
  7. In the Database name box, type the name of the database, and then click OK.

    8. Note You do not need to type a database name to connect to an Oracle database server.

  8. Click OK to close the Network Database Connection dialog box, click OK to close the New Database Connection dialog box, and then click OK to close the Web Settings dialog box.

Tips

  • To create a new database connection for a web without running the Database Results Wizard, click Web Settings on the Tools menu, click the Database tab, and then follow this procedure starting at step 3.
  • If the database is password-protected, click Advanced, and then type your user name and password in the boxes.
  • To set timeouts or other name-value parameters for the database, click Advanced.

Add information from a database to your pages using the Database Results Wizard


Set or modify advanced database connection properties

If a database is password-protected, you must store your user name and password in the advanced properties of the database connection so FrontPage can access the database. You can also set timeouts or other parameters for a database connection.

Tip To set advanced database connection properties while using the Database Results Wizard to create a new database connection, follow this procedure starting at step 3 when the New Database Connection dialog box is displayed.

  1. On the Tools menu, click Web Settings, and then click the Database tab.
  2. Click the database connection you want to modify, and then click Modify.
  3. Click Advanced, and the set or modify the authorization or timeout properties:
    • To specify a user name and password for FrontPage to use to connect to the database, type a user name in the Username box, and then type a password in the Password box.

      • Note If the connection is to a database server on a network, the combination of the user name and password are often referred to as an account. Ask your database administrator for an account with appropriate permissions for use with a Web server. To protect the privacy of your database, do not use a "system administrator" account.

    • To set timeouts for the database connection, in the Connection box, type the number of seconds before the server times out when FrontPage tries to make the connection, and then in the Command box, type the number of seconds before commands sent to the connection time out.
  4. Set Other parameters. The available options and choices you can make are specific to the type of database connection:
    • If the database connection doesn't use a custom definition, you can add, modify, and remove additional connection parameters specific to the ODBC driver in use.
    • If the database connection uses a custom definition, you can edit the connection string or change the location of database cursors.

Add information from a database to your pages using the Database Results Wizard


Choose a record source from a database

After you've selected or created a database connection in step 1 of the Database Results Wizard, FrontPage connects to the database and reads its record sources, which are the tables or views in the database. (In a Microsoft Access database, a view is called a query.) You can then select the record source that contains the records you want to display in the database results region on the page.

For example, if you're using the Northwind sample database, you can select the Employees table as a record source in order to display employee records from that table in your database results region.

  1. In step 2 of the Database Results Wizard, click Record source, and then click the box to display a list of the tables and views in the database.
  2. Click the table or view that contains the information you want to display in the database results region.

Add information from a database to your pages using the Database Results Wizard


Create a custom query

After you've selected or created a database connection in step 1 of the Database Results Wizard, FrontPage connects to the database and reads its record sources. You can then create a custom query using a Structured Query Language (SQL) statement to specify the information from the database that you want to display in the database results region on a page. You can insert parameters into the query, paste a query from the Clipboard, or verify the query against the database to ensure that the syntax and parameters are correct.

If you've created a form that lets a site visitor type text or make a selection to return only selected records from the database, you can insert the name of a form field into the query as a parameter. When the site visitor submits the form, the value of the form field is substituted into the query string.

For example, you can create a form that lets a site visitor look up a phone number for a specific person in the employee address book database. When the site visitor types an employee's last name in the form and submits the form to the server, the last name is substituted into a custom query, which contains a parameter in a WHERE clause corresponding to the named form field. The database results region then displays a list of employees whose last names match the last name specified by the site visitor.

Note If you do not understand how to write a custom query using a SQL statement, do not use this procedure.

  1. In step 2 of the Database Results Wizard, click Custom query, and then click Edit.
  2. In the SQL statement box, type the query using valid SQL statement syntax.
  3. To insert the name of a form field parameter into the query, click Insert Parameter, and then type the name of the form field containing the value to be substituted when the query is processed.
  4. To paste a SQL statement from the Clipboard, click Paste from Clipboard.
  5. To verify the query against the database, click Verify Query.

Add information from a database to your pages using the Database Results Wizard


Edit the list of fields to be included in database results

After you've selected a record source or created a custom query in step 2 of the Database Results Wizard, FrontPage reads the record source (or processes the custom query), and then, in step 3 of the wizard, displays a list of the fields in the record source (or returned by the custom query). If you want to add, remove, or reorder the fields that will be included in the database results region, do the following:

  1. In step 3 of the Database Results Wizard, click Edit List.

    2. The Displayed Fields dialog box is displayed. The Displayed fields list displays all of the fields that will be included in the database results region. By default, the Displayed fields list initially contains all of the fields in the record source (or returned by the custom query). Fields will be displayed in the database results region in the order in which they appear in the Displayed fields list.

  2. Modify the Displayed fields list as follows:
    • To remove a field from the database results region, select the field you want to remove, and then click Remove.
    • To change the order in which fields will be displayed in the database results region, select the field you want to move, and then click Move Up or Move Down.
    • To add a field to the database results region, in the Available fields list, select the field you want to add, and then click Add to add the field to the Displayed fields list.
  3. When the Displayed fields list contains the fields that you want to include, in the correct order, click OK.

Add information from a database to your pages using the Database Results Wizard


Specify criteria to use for filtering database results

After you've selected a record source or created a custom query in step 2 of the Database Results Wizard, FrontPage reads the record source (or processes the custom query), and then, in step 3 of the wizard, displays a list of the fields in the record source (or returned by the custom query). You can use specific criteria as follows:

  • To let site visitors search for information in a database. The wizard can create a search form to find records that match certain criteria, and a database results region beneath to display the results of the search.

    • For example, if a site visitor browsing to the page wants to look up an employee's extension in the Northwind database, she can type the employee's last name (for example, Smith) in the Search for box. When she clicks Submit, the database searches for records of employees whose last name equals "Smith," and then displays those records in the database results region that is below the search form on the same page.

  • To filter the records that will be displayed in the database results region on a page.

    • For example, if you want to display a list of employees who live in Seattle or the Northwest sales region, you can specify criteria to display only records from the employee table where the value of the City field equals "Seattle" or the value of the Region field equals "Northwest."

  1. In step 3 of the Database Results Wizard, click More Options, click Criteria, and then click Add.
  2. In the Field name box, select the field that contains the values you want to look for. In the examples cited in the introduction, you would select the fields named LastName or City.
  3. In the Comparison box, select the type of comparison you want to perform. In the examples cited in the introduction, you would select Equals.
  4. In the Value area, set the options based on what you want to do:
    • To create a search form to let site visitors look up specific records, verify that the Use this search form field check box is selected, and that the value displayed in the Value box is the same as the value displayed in the Field name box. In the first example cited in the introduction, both the value and field name would be LastName.

      • Note To complete the process of creating the search form, be sure to select the Add search form check box in step 5 of the wizard.

    • To filter the database results to display only records matching a specific value, clear the Use this search form field check box, and then type the value in the box below. In the second example cited in the introduction, you would type seattle.
    • To substitute the value from a parameter in a custom query that you created in step 2 of the wizard, select the Use this search form field check box, and then, in the Value box, type the name of the parameter specified in the custom query.
  5. If you want to specify additional criteria, or add another field to the search form, in the And/Or box, select the operator to use when combined with additional criteria. In the second example cited in the introduction, you would select Or.
  6. When you click OK, the new condition is displayed in the Criteria dialog box. To specify additional criteria or add another field to the search form, click Add, and repeat this procedure starting at step 2.

    7. In the first example cited in the introduction, you could add the FirstName field to the search form to let site visitors further refine their searches. In the second example cited in the introduction, you would select the field named Region in step 2, the comparison Equals in step 3, and you would type the value northwest in step 4.

  7. When you are satisfied with the criteria listed in the Criteria dialog box, click OK to close it.

Tips

  • To modify a clause in existing criteria, select the condition you want to modify in the Criteria dialog box, and then click Modify.
  • To remove a clause from existing criteria, select the condition you want to remove in the Criteria dialog box, and then click Remove.

Add information from a database to your pages using the Database Results Wizard


Specify the sorting order of database results

After you've selected a record source or created a custom query in step 2 of the Database Results Wizard, FrontPage reads the record source (or processes the custom query), and then, in step 3 of the wizard, displays a list of the fields in the record source (or returned by the custom query).

When a page containing the database results region is viewed by a site visitor using a browser, by default the list of database results isn't sorted. You can specify a sorting order for the list by selecting specific fields from the record set by which results are to be sorted.

  1. In step 3 of the Database Results Wizard, click More Options, and then click Ordering.

    2. The Available fields list displays all of the fields in the selected record source. The Sort order list displays the fields that will be used to sort the database results. An up arrow next to a field name indicates that the field will be sorted in ascending order (for example, from A to Z). A down arrow indicates a descending sort (for example, from Z to A).

  2. In the Available fields list, select the primary field you want to use to sort the database results, and then click Add to add that field to the Sort order list.

    3. Tip You can add multiple fields to the Sort order list. Database results will be sorted by the first field in the list, and then they will be sorted by the second field in the list. For example, if you want to display a list of employees sorted by last name and then by first name, you would add the fields LastName and then FirstName to the Sort order list.

  3. To remove a field from the Sort order list, select it, and then click Remove.
  4. To change the order of fields in the Sort order list, select the field you want to move, and then click Move Up or Move Down.
  5. To change the sorting order for a field from ascending to descending, select the field in the Sort order list, and then click Change Sort. The arrow next to the field name changes to indicate the sorting direction.
  6. When you are satisfied with the sorting order in the Sort order list, click OK.

Add information from a database to your pages using the Database Results Wizard


Provide default values for input parameters

If you create forms to let site visitors search for information in a database, you can provide default values, or input parameters, for each field. For example, if most of your employees live in Seattle, you can set Seattle as the default value for the City field.

Input parameters can be defined by using a custom query in step 2 of the wizard, or by adding filtering criteria for specific fields in step 3.

  1. In step 3 of the Database Results Wizard, click More Options, and then click Defaults.

    2. The Defaults dialog box is displayed. The Input parameters list shows the input parameters you specified when you created the custom query or set the filtering criteria, along with their associated default values (if any).

  2. In the Input parameters list, select the parameter for which you want to specify or modify a default value, and then click Edit.
  3. In the Value box, type the default value for that parameter, and then click OK.
  4. When you are satisfied with the default values in the Input parameters list, click OK.

Add information from a database to your pages using the Database Results Wizard


Limit the number of records returned

After you've selected a record source or created a custom query in step 2 of the Database Results Wizard, FrontPage reads the record source (or processes the custom query), and then, in step 3 of the wizard, displays a list of the fields in the record source (or returned by the custom query).

To limit the number of records returned and displayed in the database results region on a page, do the following:

  1. In step 3 of the Database Results Wizard, click More Options.
  2. Select the Limit number of returned records to check box, and then in the box to the right, type the maximum number of records to be returned and displayed in the database results region.

Add information from a database to your pages using the Database Results Wizard


Create a message to display if no records are returned

After you've selected a record source or created a custom query in step 2 of the Database Results Wizard, FrontPage reads the record source (or processes the custom query), and then, in step 3 of the wizard, displays a list of the fields in the record source (or returned by the custom query).

To create a message to display in the database results region on a page if no records are returned, do the following:

  1. In step 3 of the Database Results Wizard, click More Options.
  2. In the Message to display if no records are returned box, type the text of the message that you want to display.

Add information from a database to your pages using the Database Results Wizard


Format database results as a table

After you've edited the list of fields or set options in step 3 of the Database Results Wizard, you can choose how to display the database results on the page in step 4 of the wizard. Use this procedure to format the results in a table. Each column of a database results table corresponds to a field from the record source; each row corresponds to one record returned.

For example, if you choose to format an employee phone list as a table, the first column might list the first names of employees, the second column might list last names of employees, and the third column might list telephone extensions. Each row would list the first name, last name, and telephone extension of a different employee.

  1. In step 4 of the Database Results Wizard, in the Choose formatting options for the records returned by the query list, click Table - one record per row.
  2. Specify additional table formatting options as follows:
    • To hide inside and outside table borders in the database results region, clear the Use table border check box.
    • To create a table only as wide as necessary based on its contents, clear the Expand table to width of page check box. If the check box is selected (the default setting), the table will be the same width as the page.
    • To create a table with no header row identifying the contents of each column, clear the Include header row with column labels check box.

Add information from a database to your pages using the Database Results Wizard


Format database results as a list

After you've edited the list of fields or set options in step 3 of the Database Results Wizard, you can choose how to display the database results on the page in step 4 of the wizard. Use this procedure to format the results in a list, with each row displaying the label of a field and the data in that field.

  1. In step 4 of the Database Results Wizard, in the Choose formatting options for the records returned by the query list, click List - one field per item.
  2. Specify additional list formatting options as follows:
    • To hide field labels and display only data, clear the Add labels for all field values check box.
    • To display the results in one continuous list, with no separator between records, clear the Place horizontal separator between records check box.
  3. In the List options box, select a formatting style for the list, such as Bullet list or Numbered list.

Add information from a database to your pages using the Database Results Wizard


Display records together or split them into smaller groups

After you've chosen how to format database results in step 4 of the Database Results Wizard, you can choose how to display the records returned to the database results region in step 5. If you chose a table or list format, you can display all of the records together, or you can display them in smaller groups with navigation controls. If you have a large database or expect a long list of results returned to a database results region, you should consider displaying records in smaller groups to make it easier for site visitors to browse through the information without scrolling.

  • To display records in one list or table on one page, click Display all records together.
  • To break up records into smaller groups, click Split records into groups, and then, in the box, type the number of records you want to include in each group. FrontPage automatically adds navigation controls when the page is browsed to let site visitors navigate through the groups of records.

    • Note This option is unavailable, or "dimmed," if you selected Drop-down list in step 4 of the wizard.

Add information from a database to your pages using the Database Results Wizard


Create a new database connection using a custom definition

To display information from, or input information to, a database, FrontPage uses a database connection. The database connection specifies the name, location, and type of database you want to access, along with any other parameters it may require.

Some database drivers for network database management systems require a large number of configuration parameters. Using the ODBC control panel, a database administrator can create a File Data Source Name (File DSN) containing all of these parameters on the Web server. You can then import the File DSN to your web and connect to it to create a new custom database connection. You can also connect to a Universal Data Link (UDL) file.

If a given database driver requires parameters that you can't set using FrontPage, you can create a custom database connection to edit the connection string that will be passed to the database driver. When you use a custom definition connection, you have to make a distinction between browse-time and author-time authentication (with any other type of database connection the browse-time and author-time authentication are the same). The author-time username and password are verified by FrontPage in the Database tab of the Web Settings dialog, Database Results wizard, and Save to Database form handler. The browse-time username and password are used to open a connection when a page is viewed in a Web browser.

When you use a custom database connection file, the author-time username and password must be present in the DSN or UDL file. When you use a custom definition string, the author-time username and password must be present in the connection string. Connection-string syntax is provider-specific; however, for most ODBC connections, you would add UID and PWD attributes (for example, UID=username;PWD=password).

When you start the Database Results Wizard, you specify the database connection you want to use. To create a new connection using a custom definition, do the following:

  1. In Page view, open a page containing an existing database results region, or create a new page to contain the database results, and then start the Database Results Wizard:
    • If you haven't yet run the wizard to create a database results region on the page, point to Database on the Insert menu, and then click Results.
    • If the page already contains a database results region, and you want to replace that data with data from a different database connection, right-click anywhere in the database results region, and then click Database Results Properties on the shortcut menu.
  2. In step 1 of the wizard, click Use a new database connection, and then click Create.
  3. Click Add, and then type a name for the new database connection in the Name box.
  4. Click Custom definition, and then select a File DSN, UDL file, or edit a connection string:
    • To select a File DSN or UDL file in the current web, click Browse. In the URL box, type the path to the File DSN or UDL file to which you want to connect, and then click OK. Or, use the Look in box and file list to navigate to the File DSN or UDL file you want, and then double-click the file in the list.
    • To edit a connection string, click Advanced. In the Connection string box, type the appropriate string to pass to the database driver to which you want to connect. Click OK.
  5. Click OK to close the New Database Connection dialog box, and then click OK to close the Web Settings dialog box.

Tips

  • To create a new database connection for a web without running the Database Results Wizard, click Web Settings on the Tools menu, click the Database tab, and then follow this procedure starting at step 3.
  • Do not use a File DSN to connect to a database file in the current web; the File DSN will contain file paths that are incorrect for the Web server. Instead, under Type of connection, click File or folder in current web.
  • Any timeouts or other name-value parameters for the database must be contained in the File DSN. If they are not, click Advanced, and then type the appropriate information.
  • The database driver referred to by the File DSN or the connection string must be present on the Web server for the connection to work properly.

Add information from a database to your pages using the Database Results Wizard


Format database results as a drop-down list

After you've edited the list of fields or set options in step 3 of the Database Results Wizard, you can choose how to display the database results on the page in step 4 of the wizard. Use this procedure to format the results in a drop-down list, with each choice displaying the data from one field, and the corresponding value coming from another (or the same) field.

  1. In step 4 of the Database Results Wizard, in the Choose formatting options for the records returned by the query box, click Drop-down list - one record per item.
  2. In the Display values from this field box, select the field you want to use for the choices that will be displayed to the site visitor.

    3. For example, to display a list of employees' last names, you would select the LastName field.

  3. In the Submit values from this field box, select the field you want to use for the values that will be submitted to the Web server if the database results drop-down list is inside a form. You can choose the same field you selected in step 2, or choose a different one.

    4. For example, to display another page showing an employee's entire record, instead of sending the value of the LastName field (since there might be more than one employee with the same last name), you can send the value of the EmployeeID field from that employee's record (since each employee has a unique employee ID number).

Add information from a database to your pages using the Database Results Wizard


Add a search form to the same page as database results

If you want to let site visitors look up and display specific information in a database results region, you can add a search form to the same page as the database results. When a site visitor completes the fields in the search form and clicks Submit, the database results region displays only the records that match the search criteria.

For example, if a site visitor browsing to the page wants to look up an employee's extension in the Northwind database, she can type the employee's last name (for example, Smith) in the Search for box. When she clicks Submit, FrontPage tells the database to check the records of employees where the value of the LastName field equals "Smith," and then displays only those records in the database results region.

  1. In step 3 of the Database Results Wizard, click More Options, click Criteria, and then click Add.
  2. In the Field name box, select the field that you want to let site visitors search, and then click OK.

    3. For example, to let site visitors search for and display the record of every employee whose last name is Smith, click LastName, and then click OK.

  3. To add another field to the search form to further refine the search (for example, to search first by the LastName field and then by the FirstName field), click Add, and then repeat step 2 of this procedure. When all of the fields that you want to include in the search form are displayed in the Criteria list, click OK twice to return to step 3 of the wizard.
  4. Click Next twice, and then, in step 5 of the wizard, select the Add search form check box.

Add information from a database to your pages using the Database Results Wizard


Define a custom color

A custom color is a color that you define by doing one of the following:

  • Select a color from a browser-safe palette.
  • Specify a color by entering a hexadecimal value.
  • Select a color on the screen, such as a color from a picture on an open page.
  • Select a region on the screen, and then create a color average of the region.
  • Enter a value combination for hue-saturation-luminosity or red-green-blue.
  • Select a color from a color matrix.

The custom colors you define in the current session of Microsoft FrontPage will also be available for future sessions.

What do you want to do?

Learn more about color

Define a custom color for a page element

Define a custom color for a theme element

Define a custom color for a style


Create a form

Create a form to collect information from site visitors, prompt them to log in to a protected Web site, or let them search your Web site.

What do you want to do?

Learn more about forms

Create a form

Create a form using a wizard

Create a search form

Create a user registration form


Add fields to a form

Add fields to a form to collect information in different ways.

What do you want to do?

Learn more about forms

Add a one-line text box to a form

Add a scrolling text box to a form

Add a check box to a form

Add a radio button to a form

Add a drop-down menu to a form

Add a reset button to a form

Add a submit button to a form

Add a picture as a submit button to a form

Add a custom push button to a form

Add a hidden field to a form

Add a password field to a form


Set rules for allowing data in fields

You can set data entry rules (validation) for certain types of form fields. Use these rules when you want to require site visitors to fill out a particular field and not skip it, or when you want them to enter a specific type of data (for example, numbers and hyphens for their credit-card numbers).

What do you want to do?

Learn more about forms

Set data entry rules for a text box

Set data entry rules for a radio button

Set data entry rules for a drop-down menu


Collect the results from a form

You can use a form handler to process the results of your forms, or use a custom script.

Note If you use one of the form handlers rather than a custom script, the Microsoft FrontPage Server Extensions must be installed on the server on which your Web site is located.

What do you want to do?

Learn more about forms

Specify the information to collect from a form

Save form results to a file

Send form results in an e-mail message

Save form results to an existing database

Save form results to a new Microsoft Access database

Save form results using a custom form handler

View or display the results of a form


Working with frames and frames pages

A frames page is a special kind of HTML page that divides the browser window into different areas called frames, each of which can display a different page. Clicking a hyperlink on a page in one frame usually displays the page pointed to by that hyperlink in another frame.

What do you want to do?

Learn about frames and frames pages

Create a frames page

Open a frames page

Save a frames page

Set the initial page displayed in a frame

Create a hyperlink to display a page in another frame

Edit the page displayed in a frame in another window

Switch between frames in a frames page

Control how a browser displays frames

Resize a frame

Set frame margins

Set spacing between frames

Show or hide frame borders

Split a frame


Display a page in a frame

When a frames-compatible browser downloads a frames page, it reads the frame information and then displays an initial page in each frame. When a site visitor clicks a hyperlink on a page in one frame, the page pointed to by that hyperlink usually opens in another frame on the same frames page.

What do you want to do?

Set the initial page displayed in a frame

Create a hyperlink to display a page in another frame


Modify HTML formatting

You can modify how Microsoft FrontPage formats HTML for a page and displays that HTML on the HTML tab in Page view. For example, you can display the names of HTML tags in uppercase and HTML attributes in lowercase to differentiate them.

You can also modify how FrontPage formats specific HTML tags for a page and displays those tags on the HTML tab in Page view. For example, you can tell FrontPage not to insert closing </p> tags, or to indent the contents and add a line break before <h1> tags.

What do you want to do?

Modify HTML formatting

Modify HTML formatting of specific tags


Edit HTML

If you don't want to create Web pages in WYSIWYG mode on the Normal tab in Page view, you can edit HTML directly on the HTML tab.

What do you want to do?

Edit HTML of a page

Edit HTML of a frames page

Edit HTML of a page displayed in a frame


Add a graphic to a page

What do you want to do?

Learn more about graphics

Add a picture from a file

Add a picture from a web

Add a picture from a site on the World Wide Web

Add a video

Add clip art

Import graphics to a web


Create an image map

You can create an image map, which is a graphic with one or more hotspots (hyperlink regions). To make a hotspot for the entire graphic, set a default hyperlink for it.

What do you want to do?

Set a default hyperlink for a graphic

Add a hotspot to a graphic

Add a text hotspot to a graphic

Edit, move, resize, or delete a hotspot on a graphic

Highlight the hotspots on a graphic


Create a hyperlink

What do you want to do?

Learn more about hyperlinks

Create a hyperlink to a page or file in a web

Create a hyperlink to a new page

Create a hyperlink to a page or file on the World Wide Web

Create a hyperlink to a page or file on a file system

Create a hyperlink to send an e-mail message

Create a hyperlink to an Office document

Create a hyperlink to a bookmark

Set a default hyperlink for a graphic

Add a hotspot to a graphic

Add a text hotspot to a graphic


Create a list

What do you want to do?

Learn more about lists

Create a bulleted list

Create a numbered list

Create a definition list

Create an outline

Create a collapsible list

Create a multilevel list

Create custom bullets


Change a navigation bar

What do you want to do?

Exclude a page from navigation bars

Change the page labels on a navigation bar

Change the orientation of a navigation bar

Display text hyperlinks or buttons on a navigation bar

Change which pages are displayed on a navigation bar

Add an external hyperlink to a navigation bar

Change the text format of a navigation bar

Set hyperlink colors

Delete a navigation bar from a page


Set permissions for a web

What do you want to do?

Learn more about security

Add a user to a web and set permissions

Add a group of users to a web and set permissions

Change permissions for a user

Change permissions for a group of users

Remove a user or group of users from a web


Publish a web

If you are publishing a web to a Web server that has the Microsoft FrontPage Server Extensions installed on it, you can publish using HTTP (HyperText Transfer Protocol). Otherwise, you must publish your web using FTP (File Transfer Protocol). For example, if you try to publish using HTTP and you see a message saying that your Web server is not FrontPage-enabled, you must publish using FTP.

You can also publish a web to a location on a local file system.

What do you want to do?

Learn more about publishing

Publish a web using HTTP

Publish a web using FTP

Publish a web to a file system location

Add or change an FTP location


Create a table

You can create a table to display information or to lay out text and graphics on a page.

What do you want to do?

Learn more about creating tables

Create a table and set its properties

Create a simple table

Create a table by drawing it

Convert text to a table


Customize a table

What do you want to do?

Learn more about customizing tables

Set the table layout

Set the cell layout

Work with rows, columns, and cells

Insert a table caption

Format headings in a table

Set the color of table borders

Set the background color in a table

Display a background picture in a table


Work with rows, columns, and cells

You can modify your tables by inserting and deleting cells, rows, and columns. You can also resize cells, rows, and columns — you can simply drag their borders, you can space them evenly, and you can define the cell size either in pixels or a percentage of the table size. You can also split a cell into multiple cells and merge adjacent cells to control the size of your table.

What do you want to do?

Learn more about working with rows and columns

Add a cell, row, or column

Resize a cell, row, or column

Resize a table

Distribute rows and columns evenly

Split cells

Merge cells

Set cell spanning


Apply a theme

You can apply a theme to selected pages in a web, or to the current page in Page view. Or, to set the web's default theme, apply a theme to a web.

What do you want to do?

Learn more about themes

Apply a theme to the current page

Apply a theme to selected pages

Apply a theme to a web


Customize a theme

What do you want to do?

Learn more about themes

Change the colors used in a theme

Change the graphics used in a theme

Change the styles used in a theme

Create a new theme


Create a site map

Many Web sites use site maps to make it easier for site visitors to find the pages they need. For a personal web or other small web, a site map can be as simple as a list of hyperlinks to all the web's pages. You can create this kind of site map by using the Table of Contents component.

For a corporate presence web or other large web, a site map typically contains lists of hyperlinks to pages in different subwebs, categories, or other logical groups, organized under logical headings. For example, if you sell appliances, your site map might have columns of hyperlinks for Small Appliances, Large Appliances, and Customer Service. You can create this kind of site map by using categories.

What do you want to do?

Create a table of contents for a web

Create a site map using categories


Assign work

You can manage your workflow more effectively by assigning files and tasks to people or workgroups, categorizing pages, monitoring and updating the status of tasks, and indicating the review status of files to be released for publishing to your live web.

What do you want to do?

Learn more about managing your web

Assign a task

Assign a file

Add a comment to a file summary

Categorize a file

Prioritize a task

Start a task

Mark a task as completed

Set the review status for a file

Sort the list of tasks


Create reports about your web

Reports in Microsoft FrontPage let you analyze and summarize your web in a variety of ways to get the information you need.

What do you want to do?

View a site summary

Sort files by date

Calculate the size of a web

Count pictures

Calculate the size of all pictures

List pages that will download slowly

List broken hyperlinks

List unlinked files

List errors in components

List files by assignment

List files by category

List files by checkout status

List files by publishing status

List files by review status


Format text

What do you want to do?

Learn more about formatting text

Set the font for text

Make text bold

Underline text

Raise or lower text

Increase or decrease space between characters

Add borders around text

Add shading to text

Remove text formatting


Add a page to a web

You can add pages to your web in a variety of ways. You can create new pages in any of several views in Microsoft FrontPage. You can also import or copy files and folders into your web.

What do you want to do?

Create a new page

Create a hyperlink to a new page

Set the initial page displayed in a frame

Create a new page in the Folder List

Set a navigation structure for a web

Import a file or folder